import { DestroyRef, EventEmitter, OnInit } from '@angular/core';
import { AttributeItemSelector } from '../../shared/models/attributeItemSelector.model';
import { FilterToolbarService } from '../filter-toolbar.service';
import { InboxState } from '../../inbox/state/inbox.state';
import { PossibleSelection } from '../../shared/models/possible-selection';
import { MainFacadeSetterService } from '../../inbox/services/main-facade-setter.service';
import * as i0 from "@angular/core";
export declare class AdvancedFilterSelectionComponent implements OnInit {
    /**
     * The selectedFilterSelectionAttributes input is an array of AttributeItemSelector that contains the selected filters.
     * Used to display the filter inputs.
     */
    selectedFilterSelectionAttributes: AttributeItemSelector[];
    /**
     * The deleteOrCleanFilterFromToolbar event is emitted when the user deletes or cleans the filter from the filter toolbar.
     */
    deleteOrCleanFilterFromToolbar: EventEmitter<{
        filterIdentifier: string;
        deleteOrClean: boolean;
    }>;
    /**
     * Event emitter to send the selected values to the parent component.
     */
    valuesSelected: EventEmitter<{
        filterType: string;
        filterIdentifier: string;
        value: string | boolean | string[] | number[];
    }>;
    /**
     * Different mocked selections for dropdowns in filter section
     */
    possibleSelection?: PossibleSelection;
    /**
     * The inbox service and references.
     */
    inboxState: InboxState;
    filterToolbarService: FilterToolbarService;
    setInboxConfigurationService: MainFacadeSetterService;
    destroyRef: DestroyRef;
    /**
     * Initializes the filter toolbar component.
     * @internal
     */
    ngOnInit(): void;
    /**
     * The filterSelected event is emitted when the user selects a filter.
     */
    deleteOrCleanFilterFromToolbarChange(filterIdentifier: string, deleteOrClean: boolean): void;
    /**
     * The valueSelected event is emitted when the user selects a value.
     */
    valueSelectedChange(filterType: string, filterIdentifier: string, value: string | boolean | string[] | number[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedFilterSelectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdvancedFilterSelectionComponent, "talenra-advanced-filter-selection", never, { "selectedFilterSelectionAttributes": { "alias": "selectedFilterSelectionAttributes"; "required": false; }; }, { "deleteOrCleanFilterFromToolbar": "deleteOrCleanFilterFromToolbar"; "valuesSelected": "valuesSelected"; }, never, never, false, never>;
}
