import { DetailViewItemModel } from '../../../../shared/models/detailViewItem.model';
import * as i0 from "@angular/core";
/**
 * The accumulation of several tabs. This is where the basic arrangement of the tabs is set.
 *
 * ```html
 * <talenra-detail-view-information-tab-bar
 *   [dataItemInformationTabBarItems]="dataItemInformationTabBarItems"
 * ></talenra-detail-view-information-tab-bar>
 * ```
 */
export declare class DetailViewInformationTabBarComponent {
    /**
     * Information about key, label and icons that are initialized in data item information tab bar items
     */
    detailViewInformationTabBarItems: import("@angular/core").InputSignal<DetailViewItemModel[]>;
    /**
     * The selected tab.
     */
    selectedTab: import("@angular/core").ModelSignal<string>;
    /**
     * Selects the specific tab and expands the layout with layout service.
     * @param {string} key The name of the selected tab.
     */
    selectDataItemInformationTab(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailViewInformationTabBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailViewInformationTabBarComponent, "talenra-detail-view-information-tab-bar", never, { "detailViewInformationTabBarItems": { "alias": "detailViewInformationTabBarItems"; "required": true; "isSignal": true; }; "selectedTab": { "alias": "selectedTab"; "required": false; "isSignal": true; }; }, { "selectedTab": "selectedTabChange"; }, never, never, false, never>;
}
