import { AttributeItem } from './attributeItem.model';
/**
 * AttributeItem is used to further define the attributes that are displayed in the inbox
 */
export interface AttributeItemSelector {
    /**
     * The attribute to be displayed.
     */
    attribute: AttributeItem;
    /**
     * The icon that is chosen from the selection of the talenra icons library.
     * Will be shown in the selected attribute list.
     */
    icon: string;
    /**
     * If the icon in the selected attribute list should be shown.
     */
    showIcon: boolean;
    /**
     * Tooltip for the icon
     */
    iconTooltip: string;
    /**
     * If the icon in the selected attribute list should be disabled.
     */
    iconDisabled?: boolean;
}
