/**
 * IconFiltersInput is used to define which icon filters are used in the inbox.
 *
 * @example
 * import { IconFiltersInput } from '@talenra/ngx-inbox';
 *
 * const selectedAttributeInput: IconFiltersInput = { icon: "error", identifier: "icon_error_insuree.partnerFlags" };
 */
export interface IconFiltersInput {
    /**
     * The identifier of the icon filter (the identifier is a concatenation of the icon and the key of an attribute e.g. icon_[icon]_[key]).
     */
    identifier: string;
    /**
     * The icon that is chosen from the selection of the talenra icons.
     */
    icon: string;
}
