import { SelectionModel } from './selection.model';
import { DataItemsClass } from './dataItem.model';
import { MainFacadeSetterService } from '../../inbox/services/main-facade-setter.service';
import { FilterToolbarService } from '../../filter-toolbar/filter-toolbar.service';
/**
 * Possible selection is used to define the values of the dropdowns in the selection filter (multi & single select).
 */
export declare class PossibleSelection {
    filterToolbarService: FilterToolbarService;
    setInboxConfigurationService: MainFacadeSetterService;
    /**
     * Map to save the label of the attribute and the possible selections.
     */
    identifierWithPossibleSelection: Map<string, SelectionModel[]>;
    /**
     * Map to save the label of the attribute and the flag for the possible selections.
     */
    flagForPossibleSelection: Map<string, number>;
    /**
     * Auxiliary class to get the values of the data items.
     */
    dataItemsClass: DataItemsClass;
    /**
     * Constructor for the possible selection.
     * @param filterToolbarService Service to get the data items.
     * @param setInboxConfigurationService Service to get the attributes.
     * @internal
     */
    constructor(filterToolbarService: FilterToolbarService, setInboxConfigurationService: MainFacadeSetterService);
}
