/**
 *  SortAttributesInput is used to define which attribute identifiers are used to sort the items in the inbox.
 *
 * **Important Information:**
 *
 * 1. **The identifier must already be used in selectedAttributes (SelectedAttributesInput[]).**
 *
 * @example
 * import { SortAttributesInput } from '@talenra/ngx-inbox';
 *
 * const selectedAttributeInput: SortAttributesInput = {identifier: 'caseId', sort: 'asc'};
 */
export interface SortAttributesInput {
    /**
     * the identifier of the attribute which is used to sort the items in the inbox.
     */
    identifier: string;
    /**
     * the sort direction of the attribute which is used to sort the items in the inbox.
     */
    sort: 'asc' | 'desc';
}
