import * as i0 from '@angular/core';
import { Injectable, signal, inject, EventEmitter, Component, Input, Output, ViewChild, ElementRef, NgZone, ChangeDetectorRef, input, numberAttribute, model, booleanAttribute, ChangeDetectionStrategy, HostBinding, output, DestroyRef, effect, computed, NgModule } from '@angular/core';
import * as i1$2 from '@talenra/ngx-base';
import { talenraBaseModule, DevKitModule } from '@talenra/ngx-base';
import * as i9$1 from '@talenra/ngx-base/badge';
import { BadgeModule } from '@talenra/ngx-base/badge';
import * as i4$2 from '@talenra/ngx-base/search';
import { SearchModule } from '@talenra/ngx-base/search';
import * as i4$1 from '@angular/forms';
import { FormGroup, FormControl, FormsModule, ReactiveFormsModule, UntypedFormGroup } from '@angular/forms';
import * as i2$2 from '@angular/common';
import { CommonModule, NgTemplateOutlet } from '@angular/common';
import * as i3$1 from '@angular/cdk/drag-drop';
import { DragDropModule, moveItemInArray, transferArrayItem } from '@angular/cdk/drag-drop';
import * as i3$2 from '@iharbeck/ngx-virtual-scroller';
import { VirtualScrollerModule } from '@iharbeck/ngx-virtual-scroller';
import * as i2$4 from 'angular2-draggable';
import { AngularDraggableModule } from 'angular2-draggable';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatNativeDateModule } from '@angular/material/core';
import { MatBadgeModule } from '@angular/material/badge';
import { ObserversModule } from '@angular/cdk/observers';
import * as i9 from '@angular/material/menu';
import { MatMenuTrigger, MatMenuModule } from '@angular/material/menu';
import { MatIconModule } from '@angular/material/icon';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i10 from '@angular/material/expansion';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatSnackBar, MatSnackBarModule } from '@angular/material/snack-bar';
import * as i6 from '@talenra/ngx-base/date';
import { DateModule } from '@talenra/ngx-base/date';
import * as i4$3 from '@talenra/ngx-base/paginator';
import { PaginatorComponent } from '@talenra/ngx-base/paginator';
import * as i8$1 from '@talenra/ngx-base/copy-content';
import { CopyContentDirective } from '@talenra/ngx-base/copy-content';
import * as i8 from '@talenra/ngx-base/tooltip';
import { TooltipDirective } from '@talenra/ngx-base/tooltip';
import * as i7 from '@talenra/ngx-base/query-builder';
import { QueryBuilderCondition, QueryBuilderComponent } from '@talenra/ngx-base/query-builder';
import { BehaviorSubject, Subscription, fromEvent, Observable, throttleTime, tap } from 'rxjs';
import * as i1 from '@talenra/ngx-base/button';
import * as i2$3 from '@talenra/ngx-base/checkbox';
import { CheckboxModule } from '@talenra/ngx-base/checkbox';
import * as i2$1 from '@talenra/ngx-base/icons';
import { IconsModule } from '@talenra/ngx-base/icons';
import * as i2 from '@talenra/ngx-base/form-field';
import * as i4 from '@talenra/ngx-base/input';
import * as i3 from '@talenra/ngx-base/scroll-container';
import * as i1$1 from '@talenra/ngx-base/message';
import * as i5 from '@talenra/ngx-base/toggle';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import * as i3$3 from '@talenra/ngx-base/select';
import { CustomValidators } from '@talenra/ngx-base/user-input-common';
import { deprecationWarning } from '@talenra/ngx-base/dev-kit';

var name = "@talenra/ngx-inbox";
var version$1 = "4.5.0";
var lerna = {
	command: {
		publish: {
			directory: "../../dist/ngx-inbox"
		}
	}
};
var scripts = {
	build: "ng-packagr -p ng-package.json --config tsconfig.lib.prod.json",
	docs: "npx compodoc -p tsconfig.doc.json",
	"docs-watch": "compodoc -p tsconfig.doc.json -s -w --port 8081",
	prepublishOnly: "node ../../scripts/update-dependency-version.js ../dist/ngx-inbox/package.json",
	"test:ci": "ng test ngx-inbox --no-watch --code-coverage --source-map=true --browsers=Headless"
};
var license = "MIT";
var description = "Workspace layout inbox for talenra Angular apps.";
var repository = {
	type: "git",
	url: "git+https://"
};
var publishConfig = {
	registry: "https://registry.npmjs.com/"
};
var keywords = [
	"lib",
	"angular",
	"ui",
	"Talenra",
	"inbox",
	"workspace"
];
var peerDependencies = {
	"@angular/cdk": "^18.1.2",
	"@angular/common": "^18.1.2",
	"@angular/core": "^18.1.2",
	"@angular/platform-browser": "^18.1.2",
	"@iharbeck/ngx-virtual-scroller": "^17.0.2",
	"@talenra/icons": "file:../icons",
	"@talenra/ngx-base": "file:../ngx-base",
	"@talenra/stylebox": "file:../stylebox",
	"angular2-draggable": "^16.0.0",
	moment: "^2.29.4"
};
var pkg = {
	name: name,
	version: version$1,
	lerna: lerna,
	scripts: scripts,
	license: license,
	description: description,
	repository: repository,
	publishConfig: publishConfig,
	keywords: keywords,
	peerDependencies: peerDependencies
};

var CheckboxState;
(function (CheckboxState) {
    CheckboxState["Indeterminate"] = "indeterminate";
    CheckboxState["Outline"] = "outline";
    CheckboxState["Checked"] = "checked";
})(CheckboxState || (CheckboxState = {}));

/**
 * Provides control and state of the publicly available subjects of the inbox toolbar.
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { InboxToolbarService } from '@talenra/ngx-inbox';
 * ```
 */
class InboxToolbarService {
    constructor() {
        /**
         * Number of data items which are currently selected.
         * Used to display the number of selected items in the toolbar as badge for the checkbox.
         * The value overwrites the default badge value.
         *
         * If default badge value should be used set the value to -1.
         * The value is set to 0 if no items are selected.
         * If the value is greater than 0 the badge is displayed with the value.
         * If the value is greater than 1 the ellipsis and arrow buttons are enabled.
         * If the value is greater than 99 the badge will display the value 99+.
         */
        this.selectedItemsCount$ = new BehaviorSubject(-1);
        /**
         * The boolean if the attributes settings are expanded.
         * @internal
         */
        this.attributesSettingsExpanded$ = new BehaviorSubject(false);
        /**
         * The input is used to change the state of the toolbar checkbox. The input is an object of `CheckboxState`.
         * If inputted the checkbox functionality of the default data items list gets disabled and the checkboxes are set to the state of the input.
         * To activate the default checkboxes again, set the input to `undefined`.
         */
        this.checkboxState$ = new BehaviorSubject(CheckboxState.Outline);
    }
    /**
     * Setter for the selected items count.
     * @param count The number of selected items.
     */
    setSelectedItemsCount(count) {
        this.selectedItemsCount$.next(count);
    }
    /**
     * Setter for the attribute settings state.
     * @param state The state of the attribute settings.
     */
    setAttributeSettingsState(state) {
        this.attributesSettingsExpanded$.next(state);
    }
    /**
     * Setter for the checkbox State.
     * @param state The state for the checkbox.
     */
    setCheckboxState(state) {
        this.checkboxState$.next(state);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxToolbarService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxToolbarService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxToolbarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class FilterStateService {
    constructor() {
        // FILTER behaviour subjects
        this.selectionFilterSubject$ = new BehaviorSubject([]);
        this.rangeFilterSubject$ = new BehaviorSubject([]);
        this.iconFilterSubject$ = new BehaviorSubject([]);
    }
    setSelectionFilterSubject(key) {
        this.selectionFilterSubject$.next(key);
    }
    setRangeFilterSubject(key) {
        this.rangeFilterSubject$.next(key);
    }
    setIconFilterSubject(key) {
        this.iconFilterSubject$.next(key);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterStateService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterStateService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterStateService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * DataItemClass necessary to check:
 * - if a string value is contained in all the string attributes of a data item
 * - if a data item is a duplicate
 * - to create the notes from a data item
 * - to get a property from a data item
 * - to format a date to MM/DD/YYYY
 * - to check if a date is invalid
 *
 */
class DataItemsClass {
    /**
     * This function is to check if a string value is contained in "stringish" attributes (string, number, Date) of a
     * data item.
     *
     * @param specificDataItem The data item to check.
     * @param query The value to check.
     * @param mainAttributes The main attributes of the data item.
     * @param detailAttributes The detail attributes of the data item.
     */
    contains(
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    specificDataItem, query, mainAttributes, detailAttributes) {
        // Inclusive search: Include item in results if query is empty.
        if (!query)
            return true;
        // Check if query is included in any of the attributes.
        const match = (attribute) => {
            const itemProperty = this.getElemFromDataItemDisplayed(specificDataItem, attribute.identifier);
            const haystack = typeof itemProperty === 'string' ? itemProperty : itemProperty.toString();
            return haystack.toLowerCase().includes(query.toLowerCase());
        };
        return mainAttributes.some(match) || detailAttributes.some(match);
    }
    /**
     * This method is used to create the notes from a data item.
     * @param dataItem The data item to create the notes from.
     * @param iconAttributes The icon attributes to create the notes from.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    createNotesFromDataItem(dataItem, iconAttributes) {
        const notes = [];
        // set custom notes
        if (iconAttributes && iconAttributes.length > 0) {
            iconAttributes.forEach((iconAttribute) => {
                if (iconAttribute.assignmentCondition(dataItem)) {
                    notes.push({
                        identifier: 'icon' + '_' + iconAttribute.icon + '_' + iconAttribute.identifier,
                        note: iconAttribute.displayedString(dataItem),
                        icon: iconAttribute.icon,
                        activeIconColor: iconAttribute.activeIconColor,
                    });
                }
            });
        }
        return notes;
    }
    /**
     * This method is used to get a property from a data item.
     * @param specificDataItem The data item to get the property from.
     * @param label The label of the property to get.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    getElemFromDataItemDisplayed(specificDataItem, label) {
        if (!label ||
            this.getProp(specificDataItem, label.split('.')) === null ||
            this.getProp(specificDataItem, label.split('.')) === undefined ||
            this.getProp(specificDataItem, label.split('.')) === '' ||
            this.getProp(specificDataItem, label.split('.')) === ' ') {
            return '–';
        }
        else if (this.getProp(specificDataItem, label.split('.')) instanceof Date) {
            return this.getProp(specificDataItem, label.split('.'))
                .toLocaleDateString('en-GB', { day: 'numeric', month: 'numeric', year: 'numeric' })
                .replace(/\//g, '.');
        }
        return this.getProp(specificDataItem, label.split('.'));
    }
    /**
     * Auxiliary method to get the value of a property from a data item.
     * Returns null, Number, Date or string values.
     * @param specificDataItem The data item to get the property from.
     * @param label The label of the property to get.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    getElemFromDataItemValue(specificDataItem, label) {
        if (!label ||
            this.getProp(specificDataItem, label.split('.')) === null ||
            this.getProp(specificDataItem, label.split('.')) === undefined) {
            return null;
        }
        else if (Number(this.getProp(specificDataItem, label.split('.')))) {
            return Number(this.getProp(specificDataItem, label.split('.')));
        }
        else if (!this.isDateInvalid(this.formatDate(this.getProp(specificDataItem, label.split('.'))))) {
            return new Date(this.formatDate(this.getProp(specificDataItem, label.split('.'))));
        }
        return this.getProp(specificDataItem, label.split('.'));
    }
    /**
     * This method is used to set a property from a data item.
     * @param specificDataItem The data item to set the property from.
     * @param label The label of the property to set.
     * @param value The value to set.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setElemFromDataItemValue(specificDataItem, label, value) {
        if (label) {
            this.setProp(specificDataItem, label.split('.'), value);
        }
    }
    /**
     * This method is used to get a property from a data item.
     * @param object The object to get the property from.
     * @param keys The keys of the property to get.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    getProp(object, keys) {
        let item = object;
        let index = 0;
        while (index < keys.length && item) {
            item = item[keys[index++]];
        }
        return item;
    }
    /**
     * This method is used to set a property from a data item.
     * @param object
     * @param keys
     * @param value
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setProp(object, keys, value) {
        let item = object;
        let index = 0;
        while (index < keys.length - 1 && item) {
            item = item[keys[index++]];
        }
        if (item) {
            item[keys[index]] = value;
        }
    }
    /**
     * Format a date to MM/DD/YYYY from DD.MM.YYYY.
     * @param date The date to format.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    formatDate(date) {
        if (typeof date === 'string') {
            const dateParts = date.split('.');
            return `${dateParts[1]}/${dateParts[0]}/${dateParts[2]}`;
        }
        return date;
    }
    /**
     * Check if a date is invalid.
     * @param dateString The date to check.
     */
    isDateInvalid(dateString) {
        const date = new Date(dateString);
        return isNaN(date.getTime());
    }
}

/**
 * Provides control and state of the publicly available subjects of the inbox state.
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { InboxState } from '@talenra/ngx-inbox';
 * ```
 */
class InboxState {
    constructor() {
        /**
         * Provides the inbox configuration.
         */
        this.inboxConfiguration$ = new BehaviorSubject({});
        /**
         * Provides whether the action menu (mat-menu) is expanded or not.
         * @Usage data items and inbox toolbar
         */
        this.actionMenuExpanded$ = new BehaviorSubject(false);
        /**
         * The actions menu click flag.
         * This flag is used to prevent an infinite loop of the actions menu opening, when the inbox is setting it to true.
         * @internal
         */
        this.actionsMenuClickFlag = new BehaviorSubject(false);
        /**
         * Provides the selected main attributes.
         */
        this.selectedMainAttributesSubject$ = new BehaviorSubject([]);
        /**
         * Provides the selected detail attributes.
         */
        this.selectedDetailAttributesSubject$ = new BehaviorSubject([]);
        /**
         * Provides  all selected attributes.
         */
        this.selectedAllAttributesSubject$ = new BehaviorSubject([]);
        /**
         * Provides the active preset.
         */
        this.activePreset$ = new BehaviorSubject({});
        /**
         * Data items which are filtered and sorted.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.filteredDataItemsSubject$ = new BehaviorSubject([]);
        /**
         * All preSetOptionsGroups which are available.
         * @internal
         */
        this.presetGroups$ = new BehaviorSubject([]);
        /**
         * The preset name of the active view.
         * @internal
         */
        this.activePresetName$ = new BehaviorSubject(['', '']);
        /**
         * The selected tab.
         * @internal
         */
        this.selectedSidePanelTab = signal('1');
        /**
         * The active filters, sort and search information.
         */
        this.activeFilterSortSearch = new BehaviorSubject({
            filterAttributes: [],
            iconAttributes: [],
            searchText: '',
            sortAttributes: [],
        });
        /**
         * The buffer filters and sort filters which are not saved in the presets.
         * @internal
         */
        this.bufferFilterSort = new BehaviorSubject({
            filterAttributes: new Map(),
            iconFilterAttributes: new Map(),
            sortAttributes: [],
        });
    }
    /**
     * Updates the inbox configuration.
     *
     * @param configuration The new inbox configuration.
     */
    setInboxConfiguration(configuration) {
        this.inboxConfiguration$.next(configuration);
    }
    /**
     * Collapses or expands the side-navigation
     *
     * @param isExpanded Whether the action-menu is expanded or not.
     */
    setActionMenuExpanded(isExpanded) {
        this.actionMenuExpanded$.next(isExpanded);
    }
    /**
     * Sets the actions menu click flag.
     * @param value The value to set.
     * @internal
     */
    setActionsMenuClickFlag(value) {
        this.actionsMenuClickFlag.next(value);
    }
    /**
     * Sets the selected main attributes for the filter toolbar.
     * @param selectedMainAttributes The selected main attributes.
     * @internal
     */
    setSelectedMainAttributesSubject(selectedMainAttributes) {
        this.selectedMainAttributesSubject$.next(selectedMainAttributes);
    }
    /**
     * Sets the selected detail attributes for the filter toolbar.
     * @param selectedDetailAttributes The selected detail attributes.
     * @internal
     */
    setSelectedDetailAttributesSubject(selectedDetailAttributes) {
        this.selectedDetailAttributesSubject$.next(selectedDetailAttributes);
    }
    /**
     * Sets the selected all attributes for the filter toolbar.
     * @param selectedAllAttributes The selected all attributes.
     * @internal
     */
    setSelectedAllAttributesSubject(selectedAllAttributes) {
        this.selectedAllAttributesSubject$.next(selectedAllAttributes);
    }
    /**
     * Sets the active view for the filter toolbar.
     * @param activeView The active view.
     * @internal
     */
    setActivePreset(activeView) {
        this.activePreset$.next(activeView);
    }
    /**
     * Sets the filtered data items.
     * @param filteredDataItems The filtered data items.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setFilteredDataItemsSubject(filteredDataItems) {
        this.filteredDataItemsSubject$.next(filteredDataItems);
    }
    /**
     * Sets the preSetOptionsGroups.
     * @param key The preSetOptionsGroups.
     * @internal
     */
    setPresetGroups(key) {
        this.presetGroups$.next(key);
    }
    /**
     * Sets the active view name.
     * @param key The active view name.
     * @internal
     */
    setActivePresetName(key) {
        this.activePresetName$.next(key);
    }
    /**
     * Sets the active filter sort search.
     * @param key The active filter sort search.
     * @internal
     */
    setActiveFilterSortSearch(key) {
        this.activeFilterSortSearch.next(key);
    }
    /**
     * Sets the buffer filter and sort.
     * @param key The buffer filter and sort.
     * @internal
     */
    setBufferFilterSort(key) {
        this.bufferFilterSort.next(key);
    }
    /**
     * Resets the buffer filter and sort to contain empty maps and arrays.
     * @internal
     */
    resetBufferFilterSort() {
        this.setBufferFilterSort({
            filterAttributes: new Map(),
            iconFilterAttributes: new Map(),
            sortAttributes: [],
        });
    }
    /**
     * Sets the selected side panel tab.
     * @param tab The selected side panel tab.
     */
    setSelectedSidePanelTab(tab) {
        this.selectedSidePanelTab.set(tab);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxState, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxState, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxState, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * The service to check if the values of the filter and sort are changed in comparison to the default values of the preset.
 * @ignore
 */
class ChangedPresetValuesService {
    constructor() {
        /**
         * The state of the inbox.
         */
        this.inboxState = inject(InboxState);
        /**
         * The subject to check if the attributes are changed in comparison to the active preset.
         */
        this.attributesMainChangedSubject$ = new BehaviorSubject({
            identifier: 'attributesMain',
            changed: false,
        });
        /**
         * The subject to check if the attributes details are changed in comparison to the active preset.
         */
        this.attributesDetailChangedSubject$ = new BehaviorSubject({
            identifier: 'attributesDetail',
            changed: false,
        });
        /**
         * The subject to check if the number of main attributes chosen by the user is changed in comparison to the active preset.
         */
        this.numberMainAttributesChosenByUserChangedSubject$ = new BehaviorSubject({
            identifier: 'numberMainAttributesChosenByUser',
            changed: false,
        });
        /**
         * The subject to check if the sort is changed in comparison to the active preset.
         */
        this.sortChangedSubject$ = new BehaviorSubject({
            identifier: 'sort',
            changed: false,
        });
        /**
         * The subject to check if the filter is changed in comparison to the active preset.
         */
        this.filterChangedSubject$ = new BehaviorSubject({
            identifier: 'filter',
            changed: false,
        });
        /**
         * Value if there are changes of the filter and sort from the default values of the preset.
         */
        this.filterSortChangedSubject$ = new BehaviorSubject(false);
    }
    /**
     * Set the attributes changed subject.
     * @param key The key to set the attributes changed subject.
     */
    setAttributesMainChangedSubject(key) {
        this.attributesMainChangedSubject$.next(key);
    }
    /**
     * Set the attributes details changed subject.
     * @param key The key to set the attributes details changed subject.
     */
    setAttributesDetailChangedSubject(key) {
        this.attributesDetailChangedSubject$.next(key);
    }
    /**
     * Set the number of main attributes chosen by the user changed subject.
     * @param key The key to set the number of main attributes chosen by the user changed subject.
     */
    setNumberMainAttributesChosenByUserChangedSubject(key) {
        this.numberMainAttributesChosenByUserChangedSubject$.next(key);
    }
    /**
     * Set the sort changed subject.
     * @param key The key to set the sort changed subject.
     */
    setSortChangedSubject(key) {
        this.sortChangedSubject$.next(key);
    }
    /**
     * Set the filter changed subject.
     * @param key The key to set the filter changed subject.
     */
    setFilterChangedSubject(key) {
        this.filterChangedSubject$.next(key);
    }
    /**
     * Set the filter and sort changed subject.
     * @param key The key to set the filter and sort changed subject.
     */
    setFilterSortChangedSubject$(key) {
        this.filterSortChangedSubject$.next(key);
    }
    /**
     * Checks if attributes are changed in comparison to the active preset.
     */
    setPresetGroupsAndCompareIfChangedAttributes(selectedMainAttributes, selectedDetailAttributes, numberMainAttributesChosenByUser, presetGroups) {
        const preSetOptionAttributes = [];
        const preSetOptionAttributesDetail = [];
        const selectedAttributesArray = [];
        const selectedAttributesDetailArray = [];
        let preSetOptionNumberMainAttributesChosenByUser = 0;
        selectedMainAttributes.forEach((selectedAttribute) => {
            selectedAttributesArray.push(selectedAttribute.identifier);
        });
        selectedDetailAttributes.forEach((selectedAttributeDetails) => {
            selectedAttributesDetailArray.push(selectedAttributeDetails.identifier);
        });
        //load preset group to attributes settings
        const matchingGroup = presetGroups?.find((preSetOptionGroup) => preSetOptionGroup.groupName === this.inboxState.activePresetName$.value[0]);
        if (matchingGroup) {
            const filteredPreSetOption = matchingGroup.presets.find((preSetOption) => preSetOption.name === this.inboxState.activePresetName$.value[1]);
            filteredPreSetOption?.selectedAttributes.forEach((selectedAttribute) => {
                if (selectedAttribute.defaultAttribute === 'main') {
                    preSetOptionAttributes.push(selectedAttribute.identifier);
                }
                else if (selectedAttribute.defaultAttribute === 'detail') {
                    preSetOptionAttributesDetail.push(selectedAttribute.identifier);
                }
            });
            if (!filteredPreSetOption?.numberMainAttributesChosenByUser)
                return;
            preSetOptionNumberMainAttributesChosenByUser = filteredPreSetOption?.numberMainAttributesChosenByUser;
        }
        if (JSON.stringify(preSetOptionAttributes) !== JSON.stringify(selectedAttributesArray)) {
            this.setAttributesMainChangedSubject({
                identifier: 'attributesMain',
                changed: true,
            });
        }
        else {
            this.setAttributesMainChangedSubject({
                identifier: 'attributesMain',
                changed: false,
            });
        }
        if (JSON.stringify(preSetOptionAttributesDetail) !== JSON.stringify(selectedAttributesDetailArray)) {
            this.setAttributesDetailChangedSubject({
                identifier: 'attributesDetail',
                changed: true,
            });
        }
        else {
            this.setAttributesDetailChangedSubject({
                identifier: 'attributesDetail',
                changed: false,
            });
        }
        if (numberMainAttributesChosenByUser !== preSetOptionNumberMainAttributesChosenByUser) {
            this.setNumberMainAttributesChosenByUserChangedSubject({
                identifier: 'numberMainAttributesChosenByUser',
                changed: true,
            });
        }
        else {
            this.setNumberMainAttributesChosenByUserChangedSubject({
                identifier: 'numberMainAttributesChosenByUser',
                changed: false,
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: ChangedPresetValuesService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: ChangedPresetValuesService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: ChangedPresetValuesService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * FilterToolbarService is used to share data between the filter toolbar and other components in the library.
 * The calculation of each filter is also done here.
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { FilterToolbarService } from '@talenra/ngx-inbox';
 * ```
 */
class FilterToolbarService {
    constructor() {
        /**
         * The charRangeAlphabet is the alphabet that is used for the char range filter.
         * @internal
         */
        this.charRangeAlphabet = 'AÀÁÂÃÄÅÆBCÇDÐEÈÉÊËFGHIÌÍÎÏJKLMNÑOÒÓÔÕÖPQRSTUÙÚÛÜVWXYÝÿZ0123456789!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~€‚ƒ„…†‡ˆ‰Š‹ŒŽ‘’“”•–—˜™š›œžŸ¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿×ØÞßð÷þ';
        /**
         * Is set if the inbox is initialized.
         * @internal
         */
        this.inboxInitialized$ = new BehaviorSubject(false);
        /**
         * Sets the value that the sorting should start after filtering.
         * @internal
         */
        this.startSorting$ = new BehaviorSubject(false);
        /**
         * The filtered and sorted data items.
         * @internal
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.filteredSortedDataItems$ = new BehaviorSubject([]);
        /**
         * The original list of data items inputted by the consuming application.
         * @internal
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.originalDataItems$ = new BehaviorSubject([]);
        /**
         * All information about the used filters are inside this subject.
         * @internal
         */
        this.filterSelections$ = new BehaviorSubject(new Map());
        /**
         * The selected sort attributes.
         * @internal
         */
        this.sortSelection$ = new BehaviorSubject([]);
        /**
         * List of selected attributes for the filter selection.
         */
        this.selectedFilterSelectionAttributes$ = new BehaviorSubject([]);
        /**
         * The selected sort attributes amount.
         * @internal
         */
        this.selectedSortSelectionAttributesAmount$ = signal(0);
        /**
         * The selected and active filter attributes amount.
         * @internal
         */
        this.activeAdvancedFiltersAmount$ = signal(0);
        /**
         * Reset the filter selections in the filter selection side panel.
         */
        this.resetFilterSelectionAttribute$ = signal(false);
        /**
         * This function is to check if a string value is contained in all the string attributes of a data item.
         * @internal
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * The inbox service.
         * @internal
         */
        this.inboxState = inject(InboxState);
        /**
         * The filter state service.
         */
        this.filterState = inject(FilterStateService);
        /**
         * The changed values service.
         */
        this.changedValuesService = inject(ChangedPresetValuesService);
    }
    /**
     * Sets the inboxInitialized subject.
     * @param key The value if the inbox is initialized.
     * @internal
     */
    setInboxInitialized(key) {
        this.inboxInitialized$.next(key);
    }
    /**
     * Sets the start sorting subject. If set to true, the sorting will start.
     * @param key The value if the inbox is initialized.
     * @internal
     */
    setStartSorting(key) {
        this.startSorting$.next(key);
    }
    /**
     * Sets the selectedDataItems subject.
     * @param key The value of the selected data items.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setFilteredSortedDataItems(key) {
        this.filteredSortedDataItems$.next(key);
    }
    /**
     * Sets the dataItemsSubject subject.
     * @param key The value of the unchanged list of data items.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setOriginalDataItems(key) {
        this.originalDataItems$.next(key);
    }
    /**
     * Set the sort subject.
     * @param key The sort subject.
     * @internal
     */
    setSortSelection(key) {
        this.sortSelection$.next(key);
    }
    /**
     * Set the filter selections.
     * @param key The filter selections.
     */
    setSelectedFilterSelectionAttributes(key) {
        this.selectedFilterSelectionAttributes$.next(key);
    }
    /**
     * Set the sort subject.
     * @param key The sort subject.
     * @internal
     */
    setSelectedSortSelectionAttributesAmount(key) {
        this.selectedSortSelectionAttributesAmount$.set(key);
    }
    /**
     * Set the reset filter selection attribute flag.
     * @param key The flag to reset the filter selection attribute.
     */
    setResetFilterSelectionAttribute(key) {
        this.resetFilterSelectionAttribute$.set(key);
    }
    /**
     * Set the amount of active advanced filters.
     * @internal
     */
    setActiveAdvancedFiltersAmount() {
        let amount = 0;
        this.filterSelections$.value.forEach((value, key) => {
            if (!key.startsWith('icon')) {
                amount++;
            }
        });
        this.activeAdvancedFiltersAmount$.set(amount);
    }
    /**
     * The main filter function which is called when a filter is used. It filters the data items based on the filter type.
     * @internal
     */
    mainFilterFunction() {
        if (!this.inboxState.inboxConfiguration$.value.disableInboxFiltering) {
            let filteredDataItems = this.originalDataItems$.value;
            for (const [key, value] of this.filterSelections$.value.entries()) {
                switch (value[0]) {
                    case 'icon':
                        if (value[1] === true) {
                            filteredDataItems = this.iconFunction(key, value[1], filteredDataItems);
                        }
                        break;
                    case 'single-select':
                        filteredDataItems = this.selectionFunction(key, value[1], filteredDataItems);
                        break;
                    case 'multi-select':
                        filteredDataItems = this.selectionFunction(key, value[1], filteredDataItems);
                        break;
                    case 'char-range':
                        filteredDataItems = this.charRangeFunction(key, value[1], filteredDataItems);
                        break;
                    case 'number-range':
                        filteredDataItems = this.numberRangeFunction(key, value[1], filteredDataItems);
                        break;
                    case 'date-range':
                        filteredDataItems = this.dateRangeFunction(key, value[1], filteredDataItems);
                        break;
                }
            }
            this.setFilteredSortedDataItems(filteredDataItems);
            // start sorting
            this.setStartSorting(true);
        }
    }
    /**
     * Function to filter the data items based on the icon filter.
     * @param label The label of the icon filter.
     * @param value The value of the icon filter.
     * @param filteredDataItems The data items that are already filtered.
     * @returns
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    iconFunction(label, value, filteredDataItems) {
        if (value?.length === 0 || value === undefined || value === false) {
            return filteredDataItems;
        }
        else {
            return filteredDataItems.filter((c) => c['notes'].some((elem) => elem['identifier'] === label));
        }
    }
    /**
     * Function to filter the data items based on the selection filter.
     * @param label The label of the selection filter.
     * @param values The values of the selection filter.
     * @param filteredDataItems The data items that are already filtered.
     * @returns
     * @internal
     */
    selectionFunction(label, values, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    filteredDataItems
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    ) {
        if (values?.length === 0 || values === undefined) {
            return filteredDataItems;
        }
        else {
            return filteredDataItems.filter((c) => values.indexOf(this.dataItemsClass.getElemFromDataItemDisplayed(c, label)) > -1);
        }
    }
    /**
     * Function to filter the data items based on the date range filter.
     * @param label The label of the date range filter.
     * @param values The values of the date range filter.
     * @param filteredDataItems The data items that are already filtered.
     * @returns
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    dateRangeFunction(label, values, filteredDataItems) {
        if (values?.length === 0 || values === undefined) {
            return filteredDataItems;
        }
        else {
            // set default values if no values are set (today)
            if (values[0] === null) {
                values[0] = new Date();
            }
            if (values[1] === null) {
                values[1] = new Date();
            }
            return filteredDataItems.filter((c) => {
                const date = new Date(this.dataItemsClass.getElemFromDataItemValue(c, label));
                if (date)
                    return date >= values[0] && date <= values[1];
                return false;
            });
        }
    }
    /**
     * Function to check if values are in chosen range.
     * @param label The label of the char range filter.
     * @param values The values of the char range filter.
     * @param filteredDataItems The data items that are already filtered.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    numberRangeFunction(label, values, filteredDataItems) {
        if (values?.length === 0 || values === undefined) {
            return filteredDataItems;
        }
        else {
            return filteredDataItems.filter((c) => {
                const dataItemValue = this.dataItemsClass.getElemFromDataItemValue(c, label);
                // if data item has no value
                if (!dataItemValue || dataItemValue === '–') {
                    return false;
                }
                // if only one value is set
                if ((values[0] === null || values[0] === '') && dataItemValue <= values[1]) {
                    return true;
                }
                if ((values[1] === null || values[1] === '') && dataItemValue >= values[0]) {
                    return true;
                }
                // default data item, both values are set
                return dataItemValue >= values[0] && dataItemValue <= values[1];
            });
        }
    }
    /**
     * Function to check if values are in chosen range.
     * @param label The label of the char range filter.
     * @param values The values of the char range filter.
     * @param filteredDataItems The data items that are already filtered.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    charRangeFunction(label, values, filteredDataItems) {
        if (values?.length === 0 || values === undefined) {
            return filteredDataItems;
        }
        else {
            // if no values are properly set, set them to A and Z
            if (values[0] === null || values[0] === '') {
                values[0] = this.charRangeAlphabet[0];
            }
            if (values[1] === null || values[1] === '') {
                values[1] = this.charRangeAlphabet[this.charRangeAlphabet.length - 1];
            }
            // put the values to upper case
            values[0] = values[0].toUpperCase();
            values[1] = values[1].toUpperCase();
            return filteredDataItems.filter((c) => {
                //if the data item attribute is undefined, return true
                if (this.dataItemsClass.getElemFromDataItemValue(c, label) === null) {
                    return false;
                }
                //if the first characters matching the data item attribute and check if start value length is bigger or same as end (e.g. 'ik11' - 'ik115'), return true
                if (this.dataItemsClass.getElemFromDataItemDisplayed(c, label).toUpperCase().startsWith(values[0]) &&
                    values[1].startsWith(values[0]) &&
                    values[0].length >= values[1].length) {
                    return true;
                }
                else if (this.dataItemsClass.getElemFromDataItemDisplayed(c, label).toUpperCase().startsWith(values[0]) &&
                    !values[1].startsWith(values[0])) {
                    return true;
                }
                // if the last characters matching the data items attribute, return true
                if (this.dataItemsClass.getElemFromDataItemValue(c, label).toUpperCase().startsWith(values[1])) {
                    return true;
                }
                // check if value is after the start range
                // checking via condition (e.g. 'BAU' -> 'BA9' -> 'B9' -> 'values[1].firstLetter - 1' is not in start of the string)
                // start with last char in string and work to the front
                for (let i = values[0].length - 1; i > -1; i--) {
                    // get position of the char in the alphabet
                    const charPositionAlphabet = this.charRangeAlphabet.indexOf(values[0].charAt(i));
                    // create a working string to be able to manipulate it for startWith() function
                    let workingString = values[0];
                    // break loop if first letter of values[1] is reached or if a partial value of values[1] is reached and the second loop has to check
                    if (workingString.substring(0, i + 1) === values[1].substring(0, 1) ||
                        values[1].startsWith(workingString.substring(0, i + 1))) {
                        break;
                    }
                    // iterate through the alphabet from the char position to the front
                    for (let j = charPositionAlphabet + 1; j < this.charRangeAlphabet.length; j++) {
                        // construct the working string of the previous values to check if the value starts with it
                        // removing the last char if all possible values are checked of alphabet are checked
                        workingString = this.replaceCharAt(workingString, i, this.charRangeAlphabet[j]);
                        // break loop if first letter of values[1] is reached or if a partial value of values[1] is reached and the second loop has to check
                        if (workingString.substring(0, i + 1) === values[1].substring(0, 1) ||
                            values[1].startsWith(workingString.substring(0, i + 1))) {
                            break;
                        }
                        // if the value starts with the previous values return false
                        if (this.dataItemsClass
                            .getElemFromDataItemValue(c, label)
                            .toUpperCase()
                            .startsWith(workingString.substring(0, i + 1))) {
                            return true;
                        }
                    }
                }
                // check if value is before the end range
                // checking via condition (e.g. 'THEO' -> 'THEA' -> 'THA' -> 'TA')
                // start with last char in string and work to the front
                for (let i = values[1].length - 1; i > 0; i--) {
                    // get position of the char in the alphabet
                    const charPositionAlphabet = this.charRangeAlphabet.indexOf(values[1].charAt(i));
                    // create a working string to be able to manipulate it for startWith() function
                    let workingString = values[1];
                    // break loop if first letter of values[0] is reached or if a partial value of values[0] is reached and the first loop checked it
                    if (workingString.substring(0, i + 1) === values[0].substring(0, 1) ||
                        values[0].startsWith(workingString.substring(0, i + 1))) {
                        break;
                    }
                    // iterate through the alphabet from the char position to the back
                    for (let j = charPositionAlphabet - 1; j > -1; j--) {
                        // construct the working string of the previous values to check if the value starts with it
                        // removing the last char if all possible values are checked of alphabet are checked
                        workingString = this.replaceCharAt(workingString, i, this.charRangeAlphabet[j]);
                        // break loop if first letter of values[0] is reached or if a partial value of values[0] is reached and the first loop checked it
                        if (workingString.substring(0, i + 1) === values[0].substring(0, 1) ||
                            values[0].startsWith(workingString.substring(0, i + 1))) {
                            break;
                        }
                        // if the value starts with the previous values return false
                        if (this.dataItemsClass
                            .getElemFromDataItemValue(c, label)
                            .toUpperCase()
                            .startsWith(workingString.substring(0, i + 1))) {
                            return true;
                        }
                    }
                }
                return false;
            });
        }
    }
    /**
     * Sorts the string values.
     * Returns -1 if a is smaller than b.
     * @param a String to compare.
     * @param b String to compare.
     * @internal
     */
    sortString(a, b) {
        if (a === '' || b === '') {
            return 1;
        }
        if (a === b) {
            return 1;
        }
        // cast the values to upper case
        a = a.toUpperCase();
        b = b.toUpperCase();
        //if the first characters matching the data item attribute and check if start value length is bigger or same as end (e.g. 'ik11' - 'ik115'), return -1
        if (a.length > b.length && a.startsWith(b)) {
            return -1;
        }
        // check if value is after the start range
        // checking via condition (e.g. 'BAU' -> 'BA9' -> 'B9' -> 'b.firstLetter - 1' is not in start of the string)
        // start with last char in string and work to the front
        for (let i = a.length - 1; i > -1; i--) {
            // get position of the char in the alphabet
            const charPositionAlphabet = this.charRangeAlphabet.indexOf(a.charAt(i));
            // create a working string to be able to manipulate it for startWith() function
            let workingString = a;
            if (workingString.substring(0, i + 1) === b) {
                return 1;
            }
            // break loop if first letter of b is reached or if a partial value of b is reached and the second loop has to check
            if (workingString.substring(0, i + 1) === b.substring(0, 1) || b.startsWith(workingString.substring(0, i + 1))) {
                break;
            }
            // iterate through the alphabet from the char position to the front
            for (let j = charPositionAlphabet + 1; j < this.charRangeAlphabet.length; j++) {
                // construct the working string of the previous values to check if the value starts with it
                // removing the last char if all possible values are checked of alphabet are checked
                workingString = this.replaceCharAt(workingString, i, this.charRangeAlphabet[j]);
                // break loop if first letter of b is reached or if a partial value of b is reached and the second loop has to check
                if (workingString.substring(0, i + 1) === b.substring(0, 1) ||
                    b.startsWith(workingString.substring(0, i + 1))) {
                    return 1;
                }
            }
        }
        // check if value is before the end range
        // checking via condition (e.g. 'THEO' -> 'THEA' -> 'THA' -> 'TA')
        // start with last char in string and work to the front
        for (let i = b.length - 1; i > 0; i--) {
            // get position of the char in the alphabet
            const charPositionAlphabet = this.charRangeAlphabet.indexOf(b.charAt(i));
            // create a working string to be able to manipulate it for startWith() function
            let workingString = b;
            if (workingString.substring(0, i + 1) === a) {
                return 1;
            }
            // break loop if first letter of a is reached or if a partial value of a is reached and the first loop checked it
            if (workingString.substring(0, i + 1) === a.substring(0, 1) || a.startsWith(workingString.substring(0, i + 1))) {
                break;
            }
            // iterate through the alphabet from the char position to the back
            for (let j = charPositionAlphabet - 1; j > -1; j--) {
                // construct the working string of the previous values to check if the value starts with it
                // removing the last char if all possible values are checked of alphabet are checked
                workingString = this.replaceCharAt(workingString, i, this.charRangeAlphabet[j]);
                // break loop if first letter of a is reached or if a partial value of a is reached and the first loop checked it
                if (workingString.substring(0, i + 1) === a.substring(0, 1) ||
                    a.startsWith(workingString.substring(0, i + 1))) {
                    return 1;
                }
            }
        }
        return -1;
    }
    /**
     * Important function to save the selected values of the filters to the activeFilters array.
     * The changes trigger the filter functions in the filter toolbar service.
     * @param filterType The type of the filter.
     * @param filterIdentifier The identifier of the filter.
     * @param value The value of the filter.
     */
    valuesSelected(filterType, filterIdentifier, value) {
        // because of the filterType 'icon' the value is a boolean the icon filter is handled differently, has to be deselected from activeFilters if false
        if (filterType === 'icon' && !value) {
            this.filterSelections$.value.delete(filterIdentifier);
        }
        else {
            // assume it is for filtering
            if (filterType !== '' && filterIdentifier !== undefined) {
                this.filterSelections$.value.set(filterIdentifier, [filterType, value]);
            }
        }
        // set array of active filters without icon filters
        if (filterType !== 'icon' && filterIdentifier !== undefined) {
            // set the active filter icon in the selectedFilterSelectionAttributes
            this.selectedFilterSelectionAttributes$.value.forEach((elem) => {
                elem.showIcon = this.filterSelections$.value.has(elem.attribute.identifier);
            });
        }
        // set the amount of active filters
        this.setActiveAdvancedFiltersAmount();
        // check if the filter values are changed compared to the values in the preset
        this.checkFilterValuesChangedComparedToValuesInPreset(this.inboxState.presetGroups$.value);
        this.setActiveFilterAndIconFilterState();
        this.mainFilterFunction();
    }
    /**
     * Function to delete or clean the filter from the filter toolbar.
     * If deleteOrClean = true, the filter will be deleted.
     * If deleteOrClean = false, the filter will be cleaned.
     * @param identifier The identifier of the filter.
     * @param deleteOrClean If deleteOrClean = true, the filter will be deleted.
     */
    deleteOrCleanFilterFromToolbar(identifier, deleteOrClean) {
        // reset change in filter to the filter change subject
        this.changedValuesService.setFilterChangedSubject({ identifier: 'filter', changed: false });
        // To clean the values in filters and set the picked filter to the standard values.
        this.filterSelections$.value.delete(identifier);
        // check if the filter values are changed compared to the values in the preset
        this.checkFilterValuesChangedComparedToValuesInPreset(this.inboxState.presetGroups$.value);
        this.filterState.selectionFilterSubject$.value.forEach((elem) => {
            if (elem.identifier === identifier &&
                JSON.stringify(elem.presetName) === JSON.stringify(this.inboxState.activePresetName$.value)) {
                this.filterState.setSelectionFilterSubject(this.filterState.selectionFilterSubject$.value.filter((e) => e.identifier !== identifier));
            }
        });
        this.filterState.iconFilterSubject$.value.forEach((elem) => {
            if (elem.identifier === identifier &&
                JSON.stringify(elem.presetName) === JSON.stringify(this.inboxState.activePresetName$.value)) {
                this.filterState.setIconFilterSubject(this.filterState.iconFilterSubject$.value.filter(() => elem.identifier !== identifier));
            }
        });
        this.filterState.rangeFilterSubject$.value.forEach((elem) => {
            if (elem.identifier === identifier &&
                JSON.stringify(elem.presetName) === JSON.stringify(this.inboxState.activePresetName$.value)) {
                this.filterState.setRangeFilterSubject(this.filterState.rangeFilterSubject$.value.filter((e) => e.identifier !== identifier));
            }
        });
        // set the active filter icon in the selectedFilterSelectionAttributes
        this.selectedFilterSelectionAttributes$.value.forEach((elem) => {
            elem.showIcon = this.filterSelections$.value.has(elem.attribute.identifier);
        });
        this.setActiveAdvancedFiltersAmount();
        // remove filter from selection in attribute selector, happens if only deleted
        if (deleteOrClean) {
            this.setSelectedFilterSelectionAttributes(this.selectedFilterSelectionAttributes$.value.filter((e) => e.attribute.identifier !== identifier));
        }
        this.setActiveFilterAndIconFilterState();
        this.mainFilterFunction();
    }
    /**
     * Set the active filter and icon filter state of the inbox.
     */
    setActiveFilterAndIconFilterState() {
        const iconFilter = [];
        const filter = [];
        this.filterSelections$.value.forEach((value, key) => {
            if (value[0] === 'icon') {
                iconFilter.push({ icon: key.split('_')[1], identifier: key });
            }
            else {
                filter.push({ identifier: key, value: value[1] });
            }
        });
        const activeInboxFilterSortSearchState = this.inboxState.activeFilterSortSearch.value;
        if (JSON.stringify(filter) !== JSON.stringify(activeInboxFilterSortSearchState.filterAttributes)) {
            activeInboxFilterSortSearchState.filterAttributes = filter;
        }
        if (JSON.stringify(iconFilter) !== JSON.stringify(activeInboxFilterSortSearchState.iconAttributes)) {
            activeInboxFilterSortSearchState.iconAttributes = iconFilter;
        }
        this.inboxState.setActiveFilterSortSearch(activeInboxFilterSortSearchState);
    }
    /**
     * Function to check if the filter values have changed compared to the values in the preset.
     * If the values have changed, the attributeSortOrFilterUsedSubject$ is set to true.
     */
    checkFilterValuesChangedComparedToValuesInPreset(presetGroups) {
        // check preset groups are available
        if (this.inboxState.activePresetName$ && this.inboxState.activePresetName$.value.length >= 1) {
            // get the active preset groups
            const activePresetGroups = presetGroups?.find((elem) => elem.groupName === (this.inboxState.activePresetName$ && this.inboxState.activePresetName$.value[0]));
            if (activePresetGroups) {
                // get the active preset
                const activePreset = activePresetGroups?.presets?.find((elem) => elem.name === (this.inboxState.activePresetName$ && this.inboxState.activePresetName$.value[1]));
                if (activePreset) {
                    // get all filter preSettings of specific preset which is already saved
                    const normalFilters = activePreset.filterAttributes?.filter((elem) => {
                        return elem;
                    });
                    // get all icon preSettings of specific preset which is already saved
                    const iconFilters = activePreset.iconAttributes?.filter((elem) => {
                        return elem;
                    });
                    let filterUsedFlag = false;
                    // Case A - New filter have been included
                    this.filterSelections$.value.forEach((_combineFilterNameWithFilterTypeAndValue, key) => {
                        // check for  icon filter
                        if (key.startsWith('icon_')) {
                            if (!iconFilters?.some((elem) => elem.identifier === key)) {
                                filterUsedFlag = true;
                            }
                        }
                        // check for normal filter
                        else {
                            if (!normalFilters?.some((elem) => elem.identifier === key)) {
                                filterUsedFlag = true;
                            }
                        }
                    });
                    // Case B: filter is deleted and could not be found
                    normalFilters?.forEach((activeFilter) => {
                        if (!this.filterSelections$.value.has(activeFilter.identifier)) {
                            filterUsedFlag = true;
                        }
                    });
                    iconFilters?.forEach((activeFilter) => {
                        if (!this.filterSelections$.value.has(activeFilter.identifier)) {
                            filterUsedFlag = true;
                        }
                    });
                    // Case C: filter values have been changed
                    // eslint-disable-next-line @typescript-eslint/no-explicit-any
                    normalFilters?.forEach((activeFilter) => {
                        const combineFilterValues = this.filterSelections$.value.get(activeFilter.identifier);
                        if (combineFilterValues !== undefined &&
                            JSON.stringify(combineFilterValues[1]) !== JSON.stringify(activeFilter.value) &&
                            activeFilter.identifier &&
                            activeFilter.identifier.split('_')[0] !== 'icon') {
                            filterUsedFlag = true;
                        }
                    });
                    this.changedValuesService.setFilterChangedSubject({
                        identifier: 'filter',
                        changed: filterUsedFlag,
                    });
                }
            }
        }
    }
    /**
     * Transforms the active filter to the filter attribute interface.
     * @param activeFilter The active filter.
     */
    transformActiveFilter(activeFilter) {
        const filterAttributes = [];
        activeFilter.forEach((filter) => {
            // get the filter type
            const filterMode = this.selectedFilterSelectionAttributes$.value.find((elem) => elem.attribute.identifier === filter.identifier);
            // single-select
            if (filterMode === undefined) {
                return;
            }
            switch (filterMode.attribute.filterMode) {
                case 'single-select':
                    if (typeof filter.value === 'string') {
                        filterAttributes.push({
                            identifier: filter.identifier,
                            value: {
                                key: this.getFilterValueKeyFromPossibleOptions(filter.identifier, filter.value),
                                label: filter.value,
                            },
                        });
                    }
                    break;
                case 'multi-select':
                    if (Array.isArray(filter.value)) {
                        const values = [];
                        filter.value.forEach((value) => {
                            if (typeof value === 'string') {
                                values.push({
                                    key: this.getFilterValueKeyFromPossibleOptions(filter.identifier, value),
                                    label: value,
                                });
                            }
                        });
                        filterAttributes.push({
                            identifier: filter.identifier,
                            value: values,
                        });
                    }
                    break;
                case 'char-range':
                    if (Array.isArray(filter.value) &&
                        typeof filter.value[0] === 'string' &&
                        typeof filter.value[1] === 'string') {
                        filterAttributes.push({
                            identifier: filter.identifier,
                            value: {
                                start: filter.value[0],
                                end: filter.value[1],
                            },
                        });
                    }
                    break;
                case 'number-range':
                    if (Array.isArray(filter.value) &&
                        typeof filter.value[0] === 'number' &&
                        typeof filter.value[1] === 'number') {
                        filterAttributes.push({
                            identifier: filter.identifier,
                            value: {
                                start: filter.value[0],
                                end: filter.value[1],
                            },
                        });
                    }
                    break;
                case 'date-range':
                    if (Array.isArray(filter.value) && filter.value[0] instanceof Date && filter.value[1] instanceof Date) {
                        filterAttributes.push({
                            identifier: filter.identifier,
                            value: {
                                start: filter.value[0],
                                end: filter.value[1],
                            },
                        });
                    }
                    break;
                default:
                    break;
            }
        });
        return filterAttributes;
    }
    /**
     * Get the filter value key from the possible options.
     * @param filterIdentifier
     * @param filterValue
     */
    getFilterValueKeyFromPossibleOptions(filterIdentifier, filterValue) {
        const possibleOptions = this.identifierWithPossibleSelection?.get(filterIdentifier);
        if (possibleOptions) {
            const option = possibleOptions.find((elem) => elem.displayedName === filterValue);
            if (option) {
                return option.id;
            }
        }
        return '';
    }
    /**
     * Replaces specific char in a string at a specific index.
     * @param str String to replace char in.
     * @param index Index where to replace in str.
     * @param replacement Replacement char.
     * @internal
     */
    replaceCharAt(str, index, replacement) {
        return str.substring(0, index) + replacement + str.substring(index + replacement.length);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterToolbarService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterToolbarService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterToolbarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * The message types emitted by the InteractedDataItemsModel.
 */
const InteractedDataItemsMessageTypes = {
    Process: 'process',
    More: 'more',
    Example: 'example',
};

/**
 * Provides control and state of the publicly available subjects of the inbox detail view.
 *
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { InboxDetailViewService } from '@talenra/ngx-inbox';
 * ```
 */
class InboxDetailViewService {
    constructor() {
        /**
         * Provides whether the inbox detail view side panel is expanded. Note that the state
         * (collapsed or expanded) is kept even if the current layout does not involve
         * the inbox detail view side panel.
         */
        this.detailViewExpanded$ = new BehaviorSubject(false);
        /**
         * Provides the selectedItem's state (current item).
         */
        this.selectedDetailViewTab$ = new BehaviorSubject('1');
        /**
         * Provides the state whether the inbox note box is expanded.
         */
        this.noteBoxExpanded$ = new BehaviorSubject(true);
    }
    /**
     * Collapses or expands the inbox detail view.
     *
     * @param isExpanded Whether the inbox detail view is expanded or not.
     */
    setDetailViewExpanded(isExpanded) {
        this.detailViewExpanded$.next(isExpanded);
    }
    /**
     * Updates the current selected item.
     *
     * @param key The key of the selected item (has to be a string from '1','2', '3' ... to the last tab).
     */
    setSelectedDetailViewTab(key) {
        this.selectedDetailViewTab$.next(key);
    }
    /**
     * Collapses or expands the inbox note box.
     *
     * @param isExpanded Whether the note box is expanded or not.
     */
    setNoteBoxExpanded(isExpanded) {
        this.noteBoxExpanded$.next(isExpanded);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Provides control and state of the publicly available subjects of the inbox data items.
 *
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { DataItemsService } from '@talenra/ngx-inbox';
 * ```
 */
class DataItemsService {
    constructor() {
        /**
         * Provides the state for the active data item (current item).
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.activeDataItem$ = new BehaviorSubject(null);
        /**
         * Provides the state for the selected data items in data items list.
         * @internal
         */
        this.selectedDataItemsIdList$ = new BehaviorSubject([]);
        /**
         * Provides the height of the scrollable content, all the items cumulated.
         * @internal
         */
        this.virtualScrollerScrollableContentHeight$ = new BehaviorSubject(0);
        /**
         * Provides the height of the virtual scroller, the possible space.
         * @internal
         */
        this.virtualScrollerHeight$ = new BehaviorSubject(0);
        /**
         * Provides whether the data-items-list is compressed.
         */
        this.compressedDataItem$ = new BehaviorSubject(false);
    }
    /**
     * Updates the current state for the active data item.
     * @param selection The selected data item.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setActiveDataItem(selection) {
        this.activeDataItem$.next(selection);
    }
    /**
     * Updates the current state for the selected data-items-list.
     * @param selection The selected data items.
     */
    setSelectedIdDataItemsList(selection) {
        this.selectedDataItemsIdList$.next(selection);
    }
    /**
     * Sets the height of the cumulated items of the virtual scroller.
     * @param value The cumulated height of the virtual scroller content.
     * @internal
     */
    setVirtualScrollerScrollableContentHeight(value) {
        this.virtualScrollerScrollableContentHeight$.next(value);
    }
    /**
     * Sets the height of the virtual scroller, the possible space.
     * @param value The height of the possible space for the virtual scroller.
     * @internal
     */
    setVirtualScrollerHeight(value) {
        this.virtualScrollerHeight$.next(value);
    }
    /**
     * Compress or inflate data-items-list
     * @param isCompressed Whether the data-items-list is compressed or not.
     */
    setCompressedDataItem(isCompressed) {
        this.compressedDataItem$.next(isCompressed);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemsService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Provides control and state of the publicly available subjects of the presets.
 *
 *
 * ## Import Information:
 *
 * 1. Not all attributes are changeable. Or should be changed (consult the api documentation).
 *
 * ```typescript
 * import { PresetsService } from '@talenra/ngx-inbox';
 * ```
 */
class PresetsService {
    constructor() {
        /**
         * The drag drop group and preset subject.
         * TODO: check what this does
         * @internal
         */
        this.dragDropGroupAndPreset$ = new BehaviorSubject([]);
        /**
         * The boolean if the view menu is open.
         */
        this.presetMenuOpen = new BehaviorSubject(false);
        /**
         * The inbox state service.
         * @internal
         */
        this.inboxState = inject(InboxState);
    }
    /**
     * The setter for the drag drop group and preset.
     * @param event the event
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setDragDropPresetAndGroup(event) {
        this.dragDropGroupAndPreset$.next(event);
    }
    /**
     * Setter for the view menu state.
     * @param state The state of the view menu.
     * @internal
     */
    setPresetMenuState(state) {
        this.presetMenuOpen.next(state);
    }
    /**
     * Find all preset names that are already used
     * @param groupName the name of the group
     * @param presetName the name of the preset
     * @returns all preset names that are already used
     * @internal
     */
    presetNamesThatAreAlreadyUsed(groupName, presetName) {
        if (!groupName || !presetName) {
            return [];
        }
        const group = this.findPresetGroupByName(groupName);
        if (!group) {
            return [];
        }
        const allNames = group.presets.map((preset) => preset.name);
        this.removePresetName(allNames, presetName);
        return allNames;
    }
    /**
     * Find the index of the first changeable preset inside a group
     * @returns the index of the first changeable preset
     * @internal
     */
    findIndexOfFirstChangeablePreset(groupName) {
        const presetsOfGroup = this.getPresetsForGroup(groupName);
        return presetsOfGroup.findIndex((preset) => preset.changeable === true);
    }
    /**
     * Find the index of the last changeable preset.
     * @internal
     */
    findIndexOfLastChangeablePreset(groupName) {
        const presetGroup = this.getPresetsForGroup(groupName);
        const reversedOptions = [...presetGroup].reverse();
        const preIndex = reversedOptions.findIndex((preset) => preset.changeable === true);
        return presetGroup.length - preIndex - 1;
    }
    /**
     * Find the index of a preset inside a group
     * @param groupName the name of the group
     * @param presetName the name of the preset
     * @returns the index of the preset
     * @internal
     */
    findPositionOfPreset(groupName, presetName) {
        const presetGroup = this.getPresetsForGroup(groupName);
        return presetGroup.findIndex((preset) => preset.name === presetName);
    }
    /**
     * Check if a group is changeable
     * @param groupName the name of the group
     * @returns true if the group is changeable
     * MOST GROUPS ARE NOT CHANGEABLE
     * @internal
     */
    hasChangeablePreset(groupName) {
        const presetGroup = this.inboxState.presetGroups$.value.find((group) => group.groupName === groupName);
        return !!presetGroup?.presets.some((preset) => preset.changeable);
    }
    /**
     * To check if the preset is changeable or not.
     * @param groupName the name of the group
     * @param presetName the name of the preset
     * @returns true if the preset is changeable
     * @internal
     */
    checkIfChangeablePreset(groupName, presetName) {
        const presetToCheck = this.inboxState.presetGroups$.value
            .find((group) => group.groupName === groupName)
            ?.presets.find((preset) => preset.name === presetName && (preset.changeable === false || preset.changeable === undefined));
        return !presetToCheck;
    }
    /**
     * Find a whole group with all presets by the name of the group
     * @param groupName the name of the group
     * @returns the whole group
     * @internal
     */
    findPresetGroupByName(groupName) {
        return this.inboxState.presetGroups$.value.find((group) => group.groupName === groupName);
    }
    /**
     * Remove a preset from a group
     * @param presetNamesGroup the presetNamesGroup of the presets in the group
     * @param presetName the name of the preset to remove
     * @internal
     */
    removePresetName(presetNamesGroup, presetName) {
        const index = presetNamesGroup.indexOf(presetName);
        if (index !== -1) {
            presetNamesGroup.splice(index, 1);
        }
    }
    /**
     * Find only the presets of a group
     * @param groupName the name of the group
     * @returns the presets of the group
     * @internal
     */
    getPresetsForGroup(groupName) {
        const group = this.inboxState.presetGroups$.value.find((group) => group.groupName === groupName);
        return group?.presets || [];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: PresetsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: PresetsService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: PresetsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Service to handle keyboard events.
 * Specific key are registered and propagated to the components.
 * Specific keys are subscribable.
 */
class KeyboardService {
    /**
     * Constructor of the service.
     * @internal
     */
    constructor() {
        /**
         * Class to interact with data-items-list-data.
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * Data that is especially used in the inbox data item information tabbar
         */
        this.dataItemInformationData = [];
        /**
         * Data Items which are filtered by the search
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.searchedDataItems = [];
        /**
         *  Value to what value is to be scrolled in the data-item-list
         */
        this.scrollToIndex = 0;
        /**
         * Some icon buttons are disabled at the moment
         */
        this.disabledButtonNoDataItemFound = false;
        /**
         * The boolean if the shift key is pressed.
         */
        this.shiftKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the meta key is pressed.
         */
        this.metaKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the control key is pressed.
         */
        this.controlKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the escape key is pressed.
         */
        this.escapeKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the enter key is pressed.
         */
        this.enterKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the v key is pressed.
         */
        this.vKeyPressed = new BehaviorSubject(false);
        /**
         * The boolean if the big detail view is shown.
         */
        this.bigDetailViewScreen = new BehaviorSubject(false);
        /**
         * The boolean if data item list is refreshing.
         */
        this.refreshing = false;
        /**
         * The state of the inbox.
         */
        this.inboxState = inject(InboxState);
        /**
         * The public service of the inbox detail viewe.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * The public service of the data items.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The public service of the inbox toolbar.
         */
        this.inboxToolbarService = inject(InboxToolbarService);
        /**
         * The public service of the filter toolbar.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * The public service of the presets.
         */
        this.presetsService = inject(PresetsService);
        /**
         * The timeout length for the keys.
         * Used to set the timeout for the keys.
         */
        this.timeOutLength = 3000;
        /**
         * The subscriptions of the service.
         * @internal
         */
        this.subscriptions = new Subscription();
        const keyDown$ = fromEvent(document, 'keydown');
        const keyUp$ = fromEvent(document, 'keyup');
        this.subscriptions.add(keyDown$.subscribe((event) => this.keyDownEvent(event)));
        this.subscriptions.add(keyUp$.subscribe((event) => this.keyUpEvent(event)));
        // handler for view menu state
        this.subscriptions.add(this.presetsService.presetMenuOpen.subscribe((state) => {
            if (state) {
                this.closeAllMenus('view');
            }
        }));
        // handler for attribute settings state
        this.subscriptions.add(this.inboxToolbarService.attributesSettingsExpanded$.subscribe((state) => {
            if (state) {
                this.closeAllMenus('attribute');
            }
        }));
        // handler for action menu state
        this.subscriptions.add(this.inboxState.actionMenuExpanded$.subscribe((state) => {
            if (state) {
                this.closeAllMenus('action');
            }
        }));
    }
    /**
     * Unsubscribes all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    /**
     * Registers key click and propagate to components.
     * @param {KeyboardEvent} event Clicked Key.
     */
    keyUpEvent(event) {
        const isInput = document.activeElement?.tagName === 'INPUT' || document.activeElement?.tagName === 'TEXTAREA';
        if (!isInput && !this.inboxState.inboxConfiguration$.value.disableKeyBoardInputInbox && !this.refreshing) {
            switch (event.key) {
                case 'Escape':
                    this.escapeKeyPressed.next(false);
                    break;
                case 'Enter':
                    this.enterKeyPressed.next(false);
                    if (!this.presetsService.presetMenuOpen.value &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        if (this.dataItemsService.selectedDataItemsIdList$.value.length > 0 && this.dataItemsInteractions) {
                            this.dataItemsInteractions.emit({
                                dataItems: this.getBulkDataItemsList(this.searchedDataItems, this.dataItemsService.selectedDataItemsIdList$.value),
                                message: InteractedDataItemsMessageTypes.Process,
                            });
                        }
                        else if (this.iconBtnFunction) {
                            this.iconBtnFunction('arrow-forward');
                        }
                    }
                    break;
                case 'Meta':
                    this.metaKeyPressed.next(false);
                    // clear the timeout for the control key, to prevent multiple control key timeouts
                    clearTimeout(this.timeoutMetaId);
                    break;
                case 'Shift':
                    this.shiftKeyPressed.next(false);
                    // clear the timeout for the control key, to prevent multiple control key timeouts
                    clearTimeout(this.timeoutShiftId);
                    break;
                case 'Control':
                    this.controlKeyPressed.next(false);
                    // clear the timeout for the control key, to prevent multiple control key timeouts
                    clearTimeout(this.timeoutControlId);
                    break;
                case 'ArrowRight':
                    if (this.inboxDetailViewService.detailViewExpanded$.value &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        const position = this.inboxDetailViewService.selectedDetailViewTab$.value;
                        let newPosition = Number(position) + 1;
                        if (newPosition >= this.dataItemInformationData.length) {
                            newPosition = this.dataItemInformationData.length;
                        }
                        this.inboxDetailViewService.setSelectedDetailViewTab(String(newPosition));
                    }
                    break;
                case 'ArrowLeft':
                    if (this.inboxDetailViewService.detailViewExpanded$.value &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        const position = this.inboxDetailViewService.selectedDetailViewTab$.value;
                        let newPosition = Number(position) - 1;
                        if (newPosition <= 1) {
                            newPosition = 1;
                        }
                        this.inboxDetailViewService.setSelectedDetailViewTab(String(newPosition));
                    }
                    break;
                case 'y':
                case 'Y':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value &&
                        !this.inboxState.inboxConfiguration$.value.disableDetailView &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        if (!this.disabledButtonNoDataItemFound) {
                            this.closeAllMenus();
                            if (this.inboxDetailViewService.detailViewExpanded$.value && this.iconBtnFunction) {
                                this.iconBtnFunction('vertical-split');
                            }
                            else if (this.iconBtnFunction) {
                                this.iconBtnFunction('reorder');
                            }
                        }
                    }
                    break;
                case 'i':
                case 'I':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.dataItemsService.setCompressedDataItem(!this.dataItemsService.compressedDataItem$.value);
                    }
                    break;
                case 'v':
                case 'V':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        this.vKeyPressed.value &&
                        !this.inboxState.inboxConfiguration$.value.disablePresetMenuToolbar &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.vKeyPressed.next(false);
                    }
                    break;
                case 'b':
                case 'B':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        if (this.inboxDetailViewService.detailViewExpanded$.value &&
                            !this.inboxState.inboxConfiguration$.value.disableDetailView) {
                            this.closeAllMenus();
                            this.bigDetailViewScreen.next(!this.bigDetailViewScreen.value);
                        }
                    }
                    break;
            }
        }
    }
    /**
     * Registers key click and propagate to components.
     * @param {KeyboardEvent} event Clicked Key.
     */
    keyDownEvent(event) {
        const isInput = document.activeElement?.tagName === 'INPUT' || document.activeElement?.tagName === 'TEXTAREA';
        if (!isInput && !this.inboxState.inboxConfiguration$.value.disableKeyBoardInputInbox && !this.refreshing) {
            switch (event.key) {
                case 'ArrowDown':
                    if (!this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.escapeKeyPressed.next(true);
                        this.escapeKeyPressed.next(false);
                        let indexDown = this.searchedDataItems.findIndex((x) => x['inboxId'] === this.dataItemsService.activeDataItem$.value['inboxId']) + 1;
                        indexDown > this.searchedDataItems.length - 1 && (indexDown = this.searchedDataItems.length - 1);
                        const toIndexDown = this.getNextDataItemIndex(indexDown, 1);
                        // check if the next data item is selectable
                        if (toIndexDown !== -2 && this.dataItemSelectedFunction) {
                            this.dataItemSelectedFunction(this.searchedDataItems[toIndexDown]);
                            this.scrollToIndex = toIndexDown;
                        }
                    }
                    break;
                case 'ArrowUp':
                    if (!this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.escapeKeyPressed.next(true);
                        this.escapeKeyPressed.next(false);
                        let indexUp = this.searchedDataItems.findIndex((x) => x['inboxId'] === this.dataItemsService.activeDataItem$.value['inboxId']) - 1;
                        indexUp < 0 && (indexUp = 0);
                        const toIndexUp = this.getNextDataItemIndex(indexUp, -1);
                        // check if the next data item is selectable
                        if (toIndexUp !== -2 && this.dataItemSelectedFunction) {
                            this.dataItemSelectedFunction(this.searchedDataItems[toIndexUp]);
                            this.scrollToIndex = toIndexUp;
                        }
                    }
                    break;
                case 'Escape':
                    this.escapeKeyPressed.next(true);
                    break;
                case 'Meta':
                    this.metaKeyPressed.next(true);
                    // clear the timeout for the meta key and set a new one, to prevent the meta key from being stuck (e.g. when the window is not focused)
                    clearTimeout(this.timeoutMetaId);
                    this.timeoutMetaId = setTimeout(() => {
                        this.metaKeyPressed.next(false);
                    }, this.timeOutLength);
                    break;
                case 'Shift':
                    this.shiftKeyPressed.next(true);
                    // clear the timeout for the shift key and set a new one, to prevent the shift key from being stuck (e.g. when the window is not focused)
                    clearTimeout(this.timeoutShiftId);
                    this.timeoutShiftId = setTimeout(() => {
                        this.shiftKeyPressed.next(false);
                    }, this.timeOutLength);
                    break;
                case 'Enter':
                    this.enterKeyPressed.next(true);
                    break;
                case 'Control':
                    this.controlKeyPressed.next(true);
                    // clear the timeout for the control key and set a new one, to prevent the control key from being stuck (e.g. when the window is not focused)
                    clearTimeout(this.timeoutControlId);
                    this.timeoutControlId = setTimeout(() => {
                        this.controlKeyPressed.next(false);
                    }, this.timeOutLength);
                    break;
                case 'y':
                case 'Y':
                    if (this.metaKeyPressed.value && !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.metaKeyPressed.next(false);
                    }
                    break;
                case 'v':
                case 'V':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.vKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value &&
                        !this.inboxState.inboxConfiguration$.value.disablePresetMenuToolbar &&
                        !this.inboxToolbarService.attributesSettingsExpanded$.value) {
                        this.vKeyPressed.next(true);
                    }
                    break;
                case 'x':
                case 'X':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value) {
                        this.handleSidePanel('1');
                    }
                    break;
                case 'f':
                case 'F':
                    if (!this.metaKeyPressed.value &&
                        !this.controlKeyPressed.value &&
                        !this.inboxState.actionMenuExpanded$.value) {
                        this.handleSidePanel('2');
                    }
                    break;
            }
        }
    }
    /**
     * Get the next possible selected data item.
     * If returned -2 the next data item is not selectable.
     * @param index The index of the current selected data item.
     * @param direction The direction of the next data item (1 = down, -1 = up).
     */
    getNextDataItemIndex(index, direction) {
        let newIndex = index;
        // check for locked data items
        if (this.lockedDataItems &&
            this.lockedDataItems.filter((item) => this.dataItemsClass.getElemFromDataItemDisplayed(this.searchedDataItems[index], item.identifier) ===
                item.value).length > 0) {
            newIndex = this.getNextDataItemIndex(index + direction, direction);
        }
        // check for the start of the list
        if (index < 0) {
            // check for positive index
            return -2;
        }
        // check for the end of the list
        if (index > this.searchedDataItems.length - direction) {
            // check for negative index
            return -2;
        }
        return newIndex;
    }
    /**
     * Getter for the list of data items which are chosen in the data items list.
     * @param {any[]} dataItems The list of dataItems.
     * @param {string[]} dataItemsListId The list of data items ids.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    getBulkDataItemsList(dataItems, dataItemsListId) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return dataItems.filter((elem) => {
            let included = false;
            dataItemsListId.forEach((value) => {
                if (elem['inboxId'] === value) {
                    included = true;
                }
            });
            return included;
        });
    }
    /**
     * Closes all mat-menus, attribute-settings and action menu.
     * @param notClose The menu that should not be closed.
     */
    closeAllMenus(notClose) {
        if (notClose !== 'view') {
            this.presetsService.setPresetMenuState(false);
        }
        if (notClose !== 'action') {
            this.inboxState.setActionMenuExpanded(false);
        }
        if (notClose !== 'attribute') {
            this.inboxToolbarService.setAttributeSettingsState(false);
        }
    }
    /**
     * Opens or closes the side panel and sets the correct tab.
     * @param tab The tab to open or close.
     */
    handleSidePanel(tab) {
        // if to close, check if the tab just has to be changed
        if (this.inboxToolbarService.attributesSettingsExpanded$.value && tab !== this.inboxState.selectedSidePanelTab()) {
            this.inboxState.setSelectedSidePanelTab(tab);
        }
        else if (this.inboxToolbarService.attributesSettingsExpanded$.value &&
            tab === this.inboxState.selectedSidePanelTab()) {
            this.inboxToolbarService.setAttributeSettingsState(!this.inboxToolbarService.attributesSettingsExpanded$.value);
        }
        // if not open yet, open the side panel with the tab
        else if (!this.inboxToolbarService.attributesSettingsExpanded$.value) {
            this.inboxState.setSelectedSidePanelTab(tab);
            this.inboxToolbarService.setAttributeSettingsState(!this.inboxToolbarService.attributesSettingsExpanded$.value);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: KeyboardService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: KeyboardService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: KeyboardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [] });

class MainFacadeSetterService {
    constructor() {
        /**
         * The form-group defines the search field, gets passed into the component.
         */
        this.searchField = new FormGroup({
            searchField: new FormControl(''),
        });
        /**
         * The maximum Attributes, which are to be shown in the data-items-list.
         * Further they are divided in the ui.
         * Marks the border for which values are saved to attributes and attributes-detail in attributes-settings.
         * Default value is 12, like chosen in the requirements.
         */
        this.maxMainAttributes = 12;
        /**
         * The maximum Attributes, which are to be shown in the detail-view.
         * Default value is 100, like chosen in the requirements.
         */
        this.maxAttributesDetail = 100;
        /**
         * The list of all attributes generated by the attributes input supplied by the consuming app or generated by the data
         * items if the attributes are not supplied by the consuming application.
         */
        this.allAttributes$ = new BehaviorSubject([]);
        /**
         * The list of all attributes supplied by the consuming app.
         */
        this.allUntransformedAttributes$ = new BehaviorSubject([]);
        /**
         * The number of main attributes chosen by the user.
         * Default value is 12, like chosen in the requirements. Will be overwritten by the consuming app through the view  or inbox configuration.
         */
        this.numberMainAttributesChosenByUser$ = new BehaviorSubject(12);
        /**
         * The selection of icons that are to be used to filter and flag the data items.
         */
        this.iconSelection$ = new BehaviorSubject([]);
        /**
         * The position of the virtual scroller.
         */
        this.virtualScrollerPosition$ = new BehaviorSubject(0);
        /**
         * Flag to check if the detail view is expanded or not and should be opened after data items refresh.
         */
        this.reOpenDetailViewAfterRefresh = undefined;
        /**
         * The subscription for the inbox.
         * @internal
         */
        this.subscriptions = new Subscription();
        /**
         * The subscriptions of the detail view.
         * @internal
         */
        this.detailViewSubscriptions = new Subscription();
        /**
         * The service of the data items.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The service of the keyboard.
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * The service of the filter toolbar.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * The state of the inbox.
         */
        this.inboxState = inject(InboxState);
        /**
         * The service of the inbox detail view.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * Class to interact with data items.
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * The value if the side panel is to be shown after no results found.
         */
        this.reopenInboxDetailView = undefined;
        /**
         * Data items which are filtered by the search.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.searchedDataItems = [];
        /**
         * Initial Attributes for the detail-view.
         * Used to initialize the attribute to the correct list (detail).
         */
        this.dataItemsListAttributesDetail = [];
        /**
         * Initial Attributes for the data-items-list.
         * Used to initialize the attribute to the correct list (main).
         */
        this.dataItemsListAttributesMain = [];
    }
    /**
     * Sets the attribute list.
     * @param attributeList The attribute list.
     */
    setAllAttributes(attributeList) {
        this.allAttributes$.next(attributeList);
    }
    /**
     * Sets the untransformed attribute list.
     * @param dataItemAttributes The untransformed attribute list.
     */
    setAllUntransformedAttributes(dataItemAttributes) {
        this.allUntransformedAttributes$.next(dataItemAttributes);
    }
    /**
     * Sets the number of main attributes chosen by the user.
     * @param numberMainAttributesChosenByUser The number of main attributes chosen by the user.
     */
    setNumberMainAttributesChosenByUser(numberMainAttributesChosenByUser) {
        this.numberMainAttributesChosenByUser$.next(numberMainAttributesChosenByUser);
    }
    /**
     * Sets the icon selection.
     * @param iconAttribute The icon selection.
     */
    setIconSelection(iconAttribute) {
        this.iconSelection$.next(iconAttribute);
    }
    /**
     * Sets the virtual scroller position.
     * @param virtualScrollerPosition The virtual scroller position.
     */
    setVirtualScrollerPosition(virtualScrollerPosition) {
        this.virtualScrollerPosition$.next(virtualScrollerPosition);
    }
    /**
     * Sets the detail view tabs after view init of the consuming app.
     * @param detailViewTabsChanges Changes of the detail view tabs.
     */
    resetDetailViewTabs(detailViewTabsChanges) {
        // unsubscribe detailViewTabsSubscriptions
        this.detailViewSubscriptions.unsubscribe();
        this.detailViewSubscriptions.closed = false;
        // working array for the detail view tabs
        let detailViewTabs = [];
        // reset detail view tabs and check if the configuration for the first tab is set
        if (!this.inboxState.inboxConfiguration$.value.disableDetailViewMainTab) {
            detailViewTabs = [
                {
                    icon: 'assignment',
                    key: '1',
                    label: 'attributesSettings',
                    counter: new BehaviorSubject(this.inboxState.selectedDetailAttributesSubject$.value.length),
                    useScroll: true,
                },
            ];
            // updates the badge in the main detail view tab, if no contradicting configuration is set
            this.detailViewSubscriptions.add(this.inboxState.selectedDetailAttributesSubject$.subscribe((value) => {
                detailViewTabs[0].counter?.next(value.length);
            }));
            // set icon for main detail view tab
            if (this.inboxState.inboxConfiguration$.value.detailViewMainTabIcon !== undefined) {
                if (this.inboxState.inboxConfiguration$.value.detailViewMainTabIcon !== '') {
                    detailViewTabs[0].icon = this.inboxState.inboxConfiguration$.value.detailViewMainTabIcon;
                }
                else {
                    detailViewTabs[0].icon = 'assignment';
                }
            }
        }
        // add values to detail view tabs
        detailViewTabsChanges.forEach((value) => {
            const newArray = [...detailViewTabs];
            newArray.push({
                icon: value.icon,
                key: String(detailViewTabs.length + 1),
                counter: value.counter,
                maxCounter: value.maxCounter,
                label: value.label,
                useScroll: value.useScroll,
                detailViewTabContentTemplate: value.detailViewTabContentTemplate,
            });
            detailViewTabs = newArray;
        });
        // set the detail view tabs in the keyboard service for keyboard navigation
        this.keyboardService.dataItemInformationData = detailViewTabs;
        return detailViewTabs;
    }
    /**
     * Sets the picked attributes for the attributes-settings.
     * Used to initialize the attributeList, if attributes are defined by consuming app.
     */
    setPickedAttributes() {
        // reset the auxiliary iconSelection array
        this.setIconSelection([]);
        // set maxMainAttributes and maxAttributesDetail, if provided by consuming app
        if (this.inboxState.inboxConfiguration$.value.maxAttributesList) {
            this.maxMainAttributes = this.inboxState.inboxConfiguration$.value.maxAttributesList;
        }
        if (this.inboxState.inboxConfiguration$.value.maxAttributesDetailView) {
            this.maxAttributesDetail = this.inboxState.inboxConfiguration$.value.maxAttributesDetailView;
        }
        // set the attributes
        this.allUntransformedAttributes$.value.forEach((value) => {
            const newArray = [...this.allAttributes$.value];
            newArray.push({
                identifier: value.identifier,
                label: value.label,
                checked: new FormGroup({
                    check: new FormControl({ value: false, disabled: false }),
                }),
                filterMode: value.filterMode,
                iconFilter: value.iconFilter,
                filterSelectionOptions: value.filterSelectionOptions,
                allowEmptyDataItemFilter: value.allowEmptyDataItemFilter,
            });
            // set transformed attributes
            this.setAllAttributes(newArray);
            // set string array of data-item-list labels (auxiliary array)
            // decide if attribute is in main list or detail list
            if (value.defaultAttribute &&
                value.defaultAttribute == 'main' &&
                this.dataItemsListAttributesMain.length < this.maxMainAttributes) {
                this.dataItemsListAttributesMain.push(value.identifier);
            }
            else if ((value.defaultAttribute && value.defaultAttribute == 'detail') ||
                (value.defaultAttribute == 'main' && this.dataItemsListAttributesMain.length >= this.maxMainAttributes)) {
                this.dataItemsListAttributesDetail.push(value.identifier);
            }
            // dataItemListAttributes which have an icon filter property are added to the iconAttribute array
            // used to display the correct icons in the filter toolbar and the data items
            if (value.iconFilter &&
                !this.iconSelection$.value.some((elem) => elem.identifier === value.iconFilter?.identifier)) {
                this.setIconSelection([...this.iconSelection$.value, value.iconFilter]);
            }
        });
        // if presets are used the placement of the attributes is set by the presets
        // if no selection in preset is given the default selection is used
        if (this.inboxState.activePreset$.value &&
            this.inboxState.activePreset$.value.selectedAttributes &&
            this.inboxState.activePreset$.value.selectedAttributes?.length !== 0) {
            // reset default selection
            this.dataItemsListAttributesMain = [];
            this.dataItemsListAttributesDetail = [];
            // set string array of data-item-list labels (auxiliary array)
            // decide if attribute is in main list or detail list
            this.inboxState.activePreset$.value.selectedAttributes?.forEach((selectedAttribute) => {
                if (selectedAttribute.defaultAttribute &&
                    selectedAttribute.defaultAttribute === 'main' &&
                    this.dataItemsListAttributesMain.length < this.maxMainAttributes) {
                    this.dataItemsListAttributesMain.push(selectedAttribute.identifier);
                }
                else if (selectedAttribute.defaultAttribute &&
                    (selectedAttribute.defaultAttribute == 'detail' ||
                        (selectedAttribute.defaultAttribute == 'main' &&
                            this.dataItemsListAttributesMain.length >= this.maxMainAttributes))) {
                    this.dataItemsListAttributesDetail.push(selectedAttribute.identifier);
                }
            });
        }
    }
    /**
     * Sets the selected dataItemListAttributes in the attributes-settings-service (SELECTED = CHECKED).
     * The attributes-settings-service is used to communicate with the attributes-settings (main and detail attributes).
     */
    setSelectedAttributeListInsideAttributesSettingsService() {
        // set the selected attributes in the attributes-settings service
        const mainAttributesData = [];
        const detailsAttributesData = [];
        // get values from attribute list which correspond with the picked attributes for main and detail
        this.allAttributes$.value.forEach((value) => {
            if (this.dataItemsListAttributesMain.indexOf(value.identifier) > -1) {
                mainAttributesData.push(value);
            }
            else if (this.dataItemsListAttributesDetail.indexOf(value.identifier) > -1) {
                detailsAttributesData.push(value);
            }
        });
        // sort values of attributes to get set order
        this.determineOrderOfPickedAttributes(mainAttributesData, detailsAttributesData);
        // reset the auxiliary arrays with string labels
        this.dataItemsListAttributesMain = [];
        this.dataItemsListAttributesDetail = [];
        // set the selected attributes in the attributes-settings service
        this.inboxState.setSelectedMainAttributesSubject(mainAttributesData);
        this.inboxState.setSelectedDetailAttributesSubject(detailsAttributesData);
        this.inboxState.setSelectedAllAttributesSubject([...mainAttributesData, ...detailsAttributesData]);
        if (this.inboxState.activePreset$.value.numberMainAttributesChosenByUser) {
            // set the number of main attributes chosen by the user
            this.setNumberMainAttributesChosenByUser(this.inboxState.activePreset$.value.numberMainAttributesChosenByUser);
        }
        else {
            // set the number of main attributes chosen by the user to the value chosen by the consuming app or default value
            this.setNumberMainAttributesChosenByUser(this.inboxState.inboxConfiguration$.value.maxAttributesList
                ? this.inboxState.inboxConfiguration$.value.maxAttributesList
                : 12);
        }
    }
    /**
     * Determines the order of the picked data-item-list attributes.
     * @param mainAttributesData Main attributes.
     * @param detailsAttributesData Detail attributes.
     */
    determineOrderOfPickedAttributes(mainAttributesData, detailsAttributesData) {
        // sort values of attributes to get set order
        mainAttributesData.sort((a, b) => this.dataItemsListAttributesMain.indexOf(a.identifier) - this.dataItemsListAttributesMain.indexOf(b.identifier));
        detailsAttributesData.sort((a, b) => this.dataItemsListAttributesDetail.indexOf(a.identifier) -
            this.dataItemsListAttributesDetail.indexOf(b.identifier));
    }
    /**
     * All changes through the filter-toolbar and the search-field inside inbox-toolbar are subscribed.
     * The displayed data-item-list adept to the filter changes.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setFilterAndSearchSubscriptions(clickedDataItemEmitter) {
        // reset search field and subscriptions
        this.searchField.get('searchField')?.setValue('');
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        // apply filter changes
        this.subscriptions.add(this.filterToolbarService.filteredSortedDataItems$.subscribe((result) => {
            this.inboxState.setFilteredDataItemsSubject(result);
            // get index of selected data item before filter change
            let itemIndexBefore = 0;
            if (this.dataItemsService.activeDataItem$.value) {
                this.searchedDataItems.find((elem, index) => {
                    if (elem['inboxId'] === this.dataItemsService.activeDataItem$.value['inboxId']) {
                        itemIndexBefore = index;
                    }
                });
            }
            // set the filtered data items as searched data items
            this.searchedDataItems = result;
            this.keyboardService.searchedDataItems = result;
            // get the next available data item index
            let itemIndex = this.keyboardService.getNextDataItemIndex(0, 1);
            // check if the current selected data item is still available
            if (this.dataItemsService.activeDataItem$.value) {
                result.find((elem, index) => {
                    if (elem['inboxId'] === this.dataItemsService.activeDataItem$.value['inboxId']) {
                        itemIndex = index;
                    }
                });
            }
            // if just the index changed, set the new index (only gets accessed if the item is filtered or sorted)
            // sets the first available data item as selected, after filter or sort
            if (itemIndexBefore !== itemIndex) {
                itemIndex = this.keyboardService.getNextDataItemIndex(0, 1);
            }
            // set the new selected data item
            this.clickedDataItemFunction(result[itemIndex], clickedDataItemEmitter);
            // scrolls to the first available data item as selected, after filter or sort
            if (itemIndexBefore !== itemIndex) {
                this.keyboardService.scrollToIndex = itemIndex;
            }
            // if search field is not empty, apply search the search query on the filtered data items
            // triggers the search field subscription
            const searchValue = this.searchField.get('searchField')?.value;
            if (searchValue !== '') {
                this.searchField.get('searchField')?.setValue(searchValue);
            }
            // handling zero found items
            this.noDataItemsFound();
            // virtual scroller handling to set the position to the top, because no scroll bar is available
            // emits the position of the virtual scroller
            if (this.dataItemsService.virtualScrollerHeight$.value >
                this.dataItemsService.virtualScrollerScrollableContentHeight$.value) {
                this.setVirtualScrollerPosition(-1);
            }
        }));
        this.subscriptions.add(this.searchField.get('searchField')?.valueChanges.subscribe((value) => {
            // set the searched data items
            this.inboxState.setFilteredDataItemsSubject((this.keyboardService.searchedDataItems = this.searchedDataItems.filter((elem) => {
                return this.dataItemsClass.contains(elem, value, this.inboxState.selectedMainAttributesSubject$.value, this.inboxState.selectedDetailAttributesSubject$.value);
            })));
            // set first available data item as selected
            const index = this.keyboardService.getNextDataItemIndex(0, 1);
            // emit the clicked data item
            this.clickedDataItemFunction(this.inboxState.filteredDataItemsSubject$.value[index], clickedDataItemEmitter);
            // scroll to the first available data item as selected
            this.keyboardService.scrollToIndex = index;
            // handling zero found items
            this.noDataItemsFound();
            // virtual scroller handling to set the position to the top, because no scroll bar is available
            // emits the position of the virtual scroller
            if (this.dataItemsService.virtualScrollerHeight$.value >
                this.dataItemsService.virtualScrollerScrollableContentHeight$.value) {
                this.setVirtualScrollerPosition(-1);
            }
            // set the active search value in the inbox-state
            const activeFilterSortSearch = this.inboxState.activeFilterSortSearch.value;
            if (value !== activeFilterSortSearch.searchText) {
                activeFilterSortSearch.searchText = value;
                this.inboxState.setActiveFilterSortSearch(activeFilterSortSearch);
            }
        }));
    }
    /**
     * Initializes the data items list.
     * @param dataItems The data items.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    initializeDataItemsList(dataItems) {
        dataItems.forEach((value, index) => {
            value.inboxId = index;
        });
        dataItems.forEach((value) => {
            if (!value.notes) {
                value.notes = this.dataItemsClass.createNotesFromDataItem(value, this.iconSelection$.value);
            }
        });
    }
    /**
     * Handler for the data items when no data items are found.
     * @internal
     */
    noDataItemsFound() {
        // sets the value if no data items are found, to stop interaction with the keyboard
        this.keyboardService.disabledButtonNoDataItemFound = false;
        // check if data items are available
        if (this.keyboardService.dataItemsAvailable && !this.inboxState.inboxConfiguration$.value.disableDataItemsList) {
            // check if the detail view is to be reopened after no data items are found
            if (this.reopenInboxDetailView !== undefined && this.inboxState.filteredDataItemsSubject$.value.length > 0) {
                // if data items are found and the detail view was closed before, the detail view is closed
                if (!this.reopenInboxDetailView) {
                    this.inboxDetailViewService.detailViewExpanded$.value &&
                        this.inboxDetailViewService.setDetailViewExpanded(false);
                }
                // if data items are found and the detail view was opened before, the detail view is opened
                else {
                    !this.inboxDetailViewService.detailViewExpanded$.value &&
                        this.inboxDetailViewService.setDetailViewExpanded(true);
                    this.inboxDetailViewService.detailViewExpanded$.value &&
                        this.inboxDetailViewService.setSelectedDetailViewTab('1');
                }
                // reset the value if the detail view is to be reopened after no data items are found
                this.reopenInboxDetailView = undefined;
            }
            else if (this.inboxState.filteredDataItemsSubject$.value.length === 0) {
                // if no data items are found, the detail view is closed
                this.keyboardService.disabledButtonNoDataItemFound = true;
                // if no data items are found, the detail view state is saved
                if (this.reopenInboxDetailView === undefined) {
                    this.reopenInboxDetailView = this.inboxDetailViewService.detailViewExpanded$.value;
                }
                // if no data items are found, the detail view is closed
                this.inboxDetailViewService.setDetailViewExpanded(false);
            }
        }
    }
    /**
     * Sets the necessary properties in the keyboard-service.
     * Allows the keyboard-service to access the properties of the inbox-component.
     */
    setKeyboardServiceConfiguration(dataItemInformationTabBarItems, iconBtnFunction, dataItemsInteractions, dataItemsAvailable, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    dataItemSelectedFunction, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    clickedDataItemEmitter, lockedDataItems) {
        // set the initial attributes and services
        this.keyboardService.dataItemInformationData = dataItemInformationTabBarItems;
        this.keyboardService.iconBtnFunction = iconBtnFunction;
        this.keyboardService.dataItemsInteractions = dataItemsInteractions;
        this.keyboardService.dataItemsAvailable = dataItemsAvailable;
        this.keyboardService.dataItemSelectedFunction = dataItemSelectedFunction;
        this.keyboardService.clickedDataItemEmitter = clickedDataItemEmitter;
        this.keyboardService.lockedDataItems = lockedDataItems;
    }
    /**
     * Sets the default value of expanded detailView, selectedDataItem and selectedItem of detailView.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    setDefaultStateOfInboxLayout(dataItems, clickedDataItemEmitter) {
        // reset set active data item
        this.dataItemsService.setActiveDataItem(undefined);
        // set first available data item as selected if data items are available
        if (dataItems !== undefined && dataItems !== null && dataItems.length > 0) {
            this.clickedDataItemFunction(dataItems[this.keyboardService.getNextDataItemIndex(0, 1)], clickedDataItemEmitter);
        }
        // set the default state of the detail view
        if (!this.inboxState.inboxConfiguration$.value.disableDetailView) {
            // check if detail view is to be expanded after refresh
            if (this.reOpenDetailViewAfterRefresh || this.reOpenDetailViewAfterRefresh === undefined) {
                this.inboxDetailViewService.setDetailViewExpanded(true);
                this.inboxDetailViewService.setSelectedDetailViewTab('1');
                this.reOpenDetailViewAfterRefresh = false;
            }
            else {
                this.reOpenDetailViewAfterRefresh = false;
            }
        }
    }
    /**
     * Handler for the clicked data item.
     * @param dataItem The clicked data item.
     * @param clickedDataItemEmitter The clicked data item emitter.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    clickedDataItemFunction(dataItem, clickedDataItemEmitter) {
        if (dataItem &&
            this.dataItemsService.activeDataItem$.value &&
            dataItem['inboxId'] !== undefined &&
            this.dataItemsService.activeDataItem$.value['inboxId'] !== undefined &&
            dataItem['inboxId'] !== this.dataItemsService.activeDataItem$.value['inboxId']) {
            clickedDataItemEmitter.emit(dataItem);
        }
        else if (dataItem === undefined && this.dataItemsService.activeDataItem$.value !== undefined) {
            clickedDataItemEmitter.emit(dataItem);
        }
        else if (dataItem !== undefined && this.dataItemsService.activeDataItem$.value === undefined) {
            clickedDataItemEmitter.emit(dataItem);
        }
        this.dataItemsService.setActiveDataItem(dataItem);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: MainFacadeSetterService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: MainFacadeSetterService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: MainFacadeSetterService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Service to update the presets and check if the inbox has changed.
 */
class UpdatePresetsService {
    constructor() {
        /**
         * Containing the current preset action which is to emit to the consuming application.
         */
        this.currentPresetAction$ = new BehaviorSubject({
            operation: 'none',
            groupName: '',
            presetName: '',
            newPresetName: '',
        });
        /**
         * The presets group that are to be emitted to the consuming application.
         */
        this.currentPresetGroup$ = new BehaviorSubject([]);
        /**
         * The preset that is to be renamed.
         * [groupName, presetName, newPresetName]
         */
        this.currentRenamedPreset$ = new BehaviorSubject([]);
        /**
         * The name of the new preset is saved here.
         * [groupName, presetName]
         */
        this.newPresetName$ = new BehaviorSubject([]);
        /**
         * All preset names are saved here.
         */
        this.presetNames$ = new BehaviorSubject([]);
        /**
         * all selected attributes are saved here.
         */
        this.selectedAttributes = [];
        /**
         * The filter toolbar service.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * The main facade setter service.
         */
        this.mainFacadeSetterService = inject(MainFacadeSetterService);
        /**
         * The inbox state.
         */
        this.inboxState = inject(InboxState);
    }
    /**
     * Set the current preset action.
     * @param presetAction
     */
    setCurrentPresetAction(presetAction) {
        this.currentPresetAction$.next(presetAction);
    }
    /**
     * Set the current preset action.
     */
    resetCurrentPresetAction() {
        this.currentPresetAction$.next({
            operation: 'none',
            groupName: '',
            presetName: '',
            newPresetName: '',
        });
    }
    /**
     * Set the preset groups.
     * @param presetGroups The presets group.
     */
    setCurrentPresetGroup(presetGroups) {
        this.currentPresetGroup$.next(presetGroups);
    }
    /**
     * Set the current renamed preset.
     * @param renamedPreset The renamed preset. [groupName, presetName, newPresetName]
     */
    setCurrentRenamedPreset(renamedPreset) {
        this.currentRenamedPreset$.next(renamedPreset);
    }
    /**
     * Set the new preset name.
     * @param newPresetName The new preset name. [groupName, presetName]
     */
    setNewPresetName(newPresetName) {
        this.newPresetName$.next(newPresetName);
    }
    /**
     * Set the preset names.
     * @param presetNames The preset names.
     * @private
     */
    setPresetNames(presetNames) {
        this.presetNames$.next(presetNames);
    }
    /**
     * Method to change visibility of preset in preset groups.
     * @param presetName The [groupName, presetName]
     * @param visibility boolean
     */
    changeVisibilityOfPresetInPresets(presetName, visibility) {
        const operation = visibility ? 'visibility-on' : 'visibility-off';
        this.setCurrentPresetAction({ operation, groupName: presetName[0], presetName: presetName[1] });
        this.updatePresetInPresets(presetName, (presets) => ({
            ...presets,
            visible: visibility,
        }));
    }
    /**
     * Method to delete a preset in preset groups.
     * @param presetName The [groupName, presetName]
     */
    deletePresetInPresets(presetName) {
        const newPresets = this.inboxState.presetGroups$.value.map((element) => {
            if (element.groupName === presetName[0]) {
                element.presets = element.presets.filter((preset) => preset.name !== presetName[1]);
            }
            return element;
        });
        const newPresetNames = newPresets.flatMap((element) => element.presets.map((preset) => [element.groupName, preset.name]));
        this.setPresetNames(newPresetNames);
        this.setCurrentPresetAction({
            operation: 'delete',
            groupName: presetName[0],
            presetName: presetName[1],
        });
        this.updatePresetGroupAndNotify(newPresets);
    }
    /**
     * Change the name of a preset.
     * @param presetName The [groupName, presetName, newPresetName]
     */
    renamePresetInPresets(presetName) {
        this.setCurrentPresetAction({
            operation: 'rename',
            groupName: presetName[0],
            presetName: presetName[1],
            newPresetName: presetName[2],
        });
        this.updatePresetInPresets(presetName, (preset) => ({
            ...preset,
            name: presetName[2],
        }));
    }
    /**
     * Method to change the position of presets in preset groups.
     * @param groupName The group name.
     * @param presetName The preset name.
     * @param upOrDown Boolean to indicate if the preset should be moved up or down.
     */
    changePositionOfPresetInPresets(groupName, presetName, upOrDown) {
        const operation = upOrDown ? 'position-down' : 'position-up';
        this.setCurrentPresetAction({ operation, groupName, presetName: presetName });
        const presetGroups = this.inboxState.presetGroups$.value.find((group) => group.groupName === groupName);
        const index = presetGroups?.presets.findIndex((preset) => preset.name === presetName);
        if (index !== undefined && presetGroups?.presets.length) {
            const adjacentIndex = upOrDown ? index + 1 : index - 1;
            const adjacentPresetName = presetGroups?.presets[adjacentIndex]?.name;
            if (adjacentPresetName !== undefined) {
                this.swapPresetInPresets(groupName, presetName, adjacentPresetName);
            }
        }
    }
    /**
     * Method to swap presets in preset groups.
     * @param groupName The group name.
     * @param presetNameOne The first preset name.
     * @param presetNameTwo The second preset name.
     */
    swapPresetInPresets(groupName, presetNameOne, presetNameTwo) {
        const presetGroups = this.inboxState.presetGroups$.value;
        const groupIndex = presetGroups.findIndex((group) => group.groupName === groupName);
        if (groupIndex !== -1) {
            const group = presetGroups[groupIndex];
            const indexPresetOne = group.presets.findIndex((preset) => preset.name === presetNameOne);
            const indexPresetTwo = group.presets.findIndex((preset) => preset.name === presetNameTwo);
            if (indexPresetOne !== -1 && indexPresetTwo !== -1) {
                [group.presets[indexPresetOne], group.presets[indexPresetTwo]] = [
                    group.presets[indexPresetTwo],
                    group.presets[indexPresetOne],
                ];
                this.inboxState.setPresetGroups(presetGroups);
                this.setCurrentPresetGroup(presetGroups);
            }
        }
    }
    /**
     * Method to change the position of presets in preset groups.
     * @param event The position change event. [groupName, presetName, upOrDown]
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    dragDropPresetInPresets(event) {
        this.setCurrentPresetAction({
            operation: 'dragDrop',
            groupName: event[0].groupName,
            presetName: event[1],
        });
        this.inboxState.presetGroups$.value.forEach((group) => {
            if (group.groupName === event[0].groupName) {
                group.presets = event[0].presets;
            }
        });
        this.setCurrentPresetGroup(this.inboxState.presetGroups$.value);
    }
    /**
     * Method to set the new/overwrite preset groups for the preset.
     * @param command The command to execute.
     * @param attributesUsed Boolean to indicate if attributes are used.
     */
    setAllNewSettingsForPreset(command, attributesUsed) {
        // use emitter to send what is happend to the preset
        if (command === 'overwrite') {
            if (JSON.stringify(this.inboxState.activePresetName$.value) === JSON.stringify(this.newPresetName$.value)) {
                if (!attributesUsed) {
                    if (this.newPresetName$.value[0] === this.newPresetName$.value[1]) {
                        this.setCurrentPresetAction({
                            operation: 'update',
                            groupName: this.newPresetName$.value[0],
                        });
                    }
                    else {
                        this.setCurrentPresetAction({
                            operation: 'update',
                            groupName: this.newPresetName$.value[0],
                            presetName: this.newPresetName$.value[1],
                        });
                    }
                }
                else {
                    if (this.newPresetName$.value[0] === this.newPresetName$.value[1]) {
                        this.setCurrentPresetAction({
                            operation: 'attribute-update',
                            groupName: this.newPresetName$.value[0],
                        });
                    }
                    else {
                        this.setCurrentPresetAction({
                            operation: 'attribute-update',
                            groupName: this.newPresetName$.value[0],
                            presetName: this.newPresetName$.value[1],
                        });
                    }
                }
            }
            else {
                this.setCurrentPresetAction({
                    operation: 'update & rename',
                    groupName: this.newPresetName$.value[0],
                    newPresetName: this.newPresetName$.value[1],
                });
                this.inboxState.presetGroups$.value.forEach((element) => {
                    if (element.groupName === this.inboxState.activePresetName$.value[0]) {
                        element.presets.forEach((preset) => {
                            if (preset.name === this.inboxState.activePresetName$.value[1]) {
                                preset.name = this.newPresetName$.value[1];
                            }
                        });
                    }
                });
            }
        }
        else if (command === 'create') {
            this.setCurrentPresetAction({
                operation: 'create',
                groupName: this.newPresetName$.value[0],
                presetName: this.newPresetName$.value[1],
            });
        }
        this.setPresetNames(this.inboxState.presetGroups$.value.flatMap((element) => {
            return element.presets.map((preset) => [element.groupName, preset.name]);
        }));
        this.inboxState.selectedMainAttributesSubject$.subscribe((value) => {
            this.selectedAttributesSubject = value;
        });
        this.inboxState.selectedDetailAttributesSubject$.subscribe((value) => {
            this.selectedAttributesDetailsSubject = value;
        });
        this.mainFacadeSetterService.numberMainAttributesChosenByUser$.subscribe((value) => {
            this.numberMainAttributesChosenByUserSubject = value;
        });
        this.sortSubject = this.filterToolbarService.sortSelection$.value;
        this.filterToolbarService.filterSelections$.subscribe((value) => {
            this.filterAttributesWithValuesSubject = value;
        });
        // extract the labels of the selected attributes in an array
        // TODO: refactor to use all selected attributes
        let extractedLabelsOfSelectedAttributes = this.selectedAttributesSubject.map((element) => element.identifier);
        extractedLabelsOfSelectedAttributes = extractedLabelsOfSelectedAttributes.concat(this.selectedAttributesDetailsSubject.map((element) => element.identifier));
        this.setMainAttributesToNewPreset(this.selectedAttributesSubject);
        this.setDetailsAttributesToNewPreset(this.selectedAttributesDetailsSubject);
        // BUFFER HANDLING FOR FILTER AND SORT STARTS HERE
        let filterFromActivePreset = this.inboxState.activePreset$.value.filterAttributes;
        let sortFromActivePreset = this.inboxState.activePreset$.value.sortAttributes;
        // Filter handling
        if (filterFromActivePreset &&
            filterFromActivePreset.length > 0 &&
            filterFromActivePreset.some((item) => !extractedLabelsOfSelectedAttributes.includes(item.identifier))) {
            // Update filterFromActivePreset to include only selected labels
            filterFromActivePreset = filterFromActivePreset.filter((item) => extractedLabelsOfSelectedAttributes.includes(item.identifier));
            // Get icons from the active preset
            const iconsFromPreset = this.inboxState.activePreset$.value.iconAttributes;
            // Create an array of labels from filterFromActivePreset
            const labelsArray = filterFromActivePreset.map((item) => item.identifier);
            // Create a Map to store filtered attributes
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            const filteredMap = new Map();
            filterFromActivePreset.forEach((item) => {
                filteredMap.set(item.identifier, ['', item.value]);
            });
            // Create a Map for the buffer with filtered attributes
            const filteredMapBuffer = new Map([...this.filterAttributesWithValuesSubject.entries()].filter(([key]) => labelsArray.includes(key)));
            // Format the filtered attributes
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            let updatedMap = new Map([...filteredMapBuffer.entries()].map(([key, value]) => [key, value.slice(1)]));
            updatedMap = new Map([...updatedMap.entries()].map(([key, [value]]) => [key, value]));
            // Update the bufferFilterSort with the filtered attributes
            this.inboxState.bufferFilterSort.value.filterAttributes.clear();
            this.inboxState.bufferFilterSort.value.filterAttributes = updatedMap;
            // Clear and update iconFilterAttributes
            this.inboxState.bufferFilterSort.value.iconFilterAttributes.clear();
            this.filterAttributesWithValuesSubject.forEach((value, key) => {
                if (key.startsWith('icon')) {
                    const parts = key.split('_');
                    const lastPart = parts[parts.length - 1];
                    this.inboxState.bufferFilterSort.value.iconFilterAttributes?.set(lastPart, { label: key, icon: parts[1] });
                }
            });
            // Update filteredMap with icon labels
            iconsFromPreset?.forEach((item) => {
                filteredMap.set(item.identifier, ['icon', true]);
            });
            // Set the filter to the new preset
            this.setFilterToNewPreset(filteredMap);
        }
        // Sort handling
        if (sortFromActivePreset &&
            sortFromActivePreset.length > 0 &&
            sortFromActivePreset.some((item) => !extractedLabelsOfSelectedAttributes.includes(item.identifier))) {
            // Update sortFromActivePreset to include only selected labels
            sortFromActivePreset = sortFromActivePreset.filter((item) => extractedLabelsOfSelectedAttributes.includes(item.identifier));
            // Update sortAttributes in bufferFilterSort
            this.inboxState.bufferFilterSort.value.sortAttributes = sortFromActivePreset;
            // Set the sort filter to the new preset
            this.setSortFilterToNewPreset(sortFromActivePreset);
        }
        // if the presets are changed through select and unselect of attributes, the filter and sort attributes should not be changed in the new preset
        if (!attributesUsed) {
            // If attributes are deselected, which are necessary for the filter or sort section, then the following sort or filter attributes should be deleted from the preset groups
            this.sortSubject = this.sortSubject.filter((item) => extractedLabelsOfSelectedAttributes.includes(item.identifier));
            // Filter out keys not in labelsArray
            this.filterAttributesWithValuesSubject = new Map([...this.filterAttributesWithValuesSubject.entries()].filter(([key]) => extractedLabelsOfSelectedAttributes.includes(key) || key.startsWith('icon')));
            this.setSortFilterToNewPreset(this.sortSubject);
            this.setFilterToNewPreset(this.filterAttributesWithValuesSubject);
        }
        this.inboxState.bufferFilterSort.value.filterAttributes.forEach((value, key) => {
            if (key.startsWith('icon')) {
                this.inboxState.bufferFilterSort.value.filterAttributes.delete(key);
            }
        });
        // BUFFER HANDLING FOR FILTER AND SORT ENDS HERE
        this.setVisibilityToNewPreset(true);
        this.setNumberMainAttributesChosenByUserToPreset(this.numberMainAttributesChosenByUserSubject);
        this.setCurrentPresetGroup(this.inboxState.presetGroups$.value);
        this.inboxState.setActivePresetName(this.newPresetName$.value);
    }
    /**
     * Set the main attributes to the new preset.
     * @param event Selected attributes.
     */
    setMainAttributesToNewPreset(event) {
        //presetName which is created in the preset input
        this.selectedAttributes = [];
        if (this.newPresetName$.value[1].length !== 0 && event.length !== 0) {
            //transfer the selected attributes to the new preset with main as default attribute
            event.forEach((element) => {
                this.selectedAttributes.push({
                    identifier: element.identifier,
                    defaultAttribute: 'main',
                });
            });
            // if the new preset is not already used, create a new preset and push to preset groups
            const isArrayInMultidimensionalArray = this.isArrayInMultidimensionalArray(this.presetNames$.value, this.newPresetName$.value);
            if (!isArrayInMultidimensionalArray) {
                const newPreset = {
                    name: this.newPresetName$.value[1],
                    visible: true,
                    changeable: true,
                    numberMainAttributesChosenByUser: 12,
                    selectedAttributes: this.selectedAttributes,
                    sortAttributes: [],
                    filterAttributes: [],
                    iconAttributes: [],
                };
                this.inboxState.presetGroups$.value.forEach((group) => {
                    if (group.groupName === this.newPresetName$.value[0]) {
                        group.presets.push(newPreset);
                    }
                });
                this.presetNames$.value.push(this.newPresetName$.value);
            }
            else {
                this.inboxState.presetGroups$.value.forEach((group) => {
                    if (group.groupName === this.newPresetName$.value[0]) {
                        group.presets.forEach((preset) => {
                            if (preset.name === this.newPresetName$.value[1]) {
                                preset.selectedAttributes = this.selectedAttributes;
                            }
                        });
                    }
                });
                // Set the updated value of the presetGroups$
                this.inboxState.setPresetGroups(this.inboxState.presetGroups$.value);
            }
        }
    }
    /**
     * Set the details attributes to the new preset.
     * @param event Selected attributes.
     */
    setDetailsAttributesToNewPreset(event) {
        this.selectedAttributes = [];
        if (this.newPresetName$.value[1].length !== 0 && event.length !== 0) {
            event.forEach((element) => {
                this.selectedAttributes.push({
                    identifier: element.identifier,
                    defaultAttribute: 'detail',
                });
            });
            const isArrayInMultidimensionalArray = this.isArrayInMultidimensionalArray(this.presetNames$.value, this.newPresetName$.value);
            const presetGroups = this.inboxState.presetGroups$.value;
            if (!isArrayInMultidimensionalArray) {
                const newPreset = {
                    name: this.newPresetName$.value[1],
                    visible: true,
                    changeable: true,
                    numberMainAttributesChosenByUser: 12,
                    selectedAttributes: this.selectedAttributes,
                    sortAttributes: [],
                    filterAttributes: [],
                    iconAttributes: [],
                };
                presetGroups.forEach((group) => {
                    if (group.groupName === this.newPresetName$.value[0]) {
                        group.presets.push(newPreset);
                    }
                });
                this.inboxState.setPresetGroups(presetGroups);
                this.presetNames$.value.push(this.newPresetName$.value);
            }
            else {
                presetGroups.forEach((group) => {
                    if (group.groupName === this.newPresetName$.value[0]) {
                        group.presets.forEach((preset) => {
                            if (preset.name === this.newPresetName$.value[1]) {
                                preset.selectedAttributes = preset.selectedAttributes
                                    ?.concat(this.selectedAttributes)
                                    .filter(this.onlyUnique);
                            }
                        });
                    }
                });
                this.inboxState.setPresetGroups(presetGroups);
            }
            presetGroups.forEach((group) => {
                if (group.groupName === this.newPresetName$.value[0]) {
                    group.presets.forEach((preset) => {
                        if (preset.name === this.newPresetName$.value[1]) {
                            this.presetNames$.value.push([group.groupName, preset.name]);
                        }
                    });
                }
            });
        }
    }
    /**
     * Set the sort filter to the new preset.
     * @param event Selected sort filters.
     */
    setSortFilterToNewPreset(event) {
        const presetGroups = this.inboxState.presetGroups$.value;
        const targetPreset = presetGroups
            .find((group) => group.groupName === this.newPresetName$.value[0])
            ?.presets.find((preset) => preset.name === this.newPresetName$.value[1]);
        if (targetPreset) {
            targetPreset.sortAttributes = event.map((value) => ({
                identifier: value.identifier,
                sort: value.sort,
            }));
            this.inboxState.setPresetGroups(presetGroups);
        }
    }
    /**
     * Set the visibility to the new preset.
     * @param event Selected visibility.
     */
    setVisibilityToNewPreset(event) {
        const presetGroups = this.inboxState.presetGroups$.value;
        presetGroups.forEach((group) => {
            if (group.groupName === this.newPresetName$.value[0]) {
                const targetPreset = group.presets.find((preset) => preset.name === this.newPresetName$.value[1]);
                if (targetPreset) {
                    targetPreset.visible = event;
                }
            }
        });
        this.inboxState.setPresetGroups(presetGroups);
    }
    /**
     * Set the number of main attributes to the new preset.
     * @param event
     */
    setNumberMainAttributesChosenByUserToPreset(event) {
        if (this.newPresetName$.value[1].length !== 0) {
            const presetGroups = this.inboxState.presetGroups$.value;
            presetGroups.forEach((group) => {
                if (group.groupName === this.newPresetName$.value[0]) {
                    const targetPreset = group.presets.find((preset) => preset.name === this.newPresetName$.value[1]);
                    if (targetPreset) {
                        targetPreset.numberMainAttributesChosenByUser = event;
                    }
                }
            });
            this.inboxState.setPresetGroups(presetGroups);
        }
    }
    /**
     * Set the filter to the new preset.
     * @param event Selected filters.
     */
    setFilterToNewPreset(event) {
        const presetGroups = this.inboxState.presetGroups$.value;
        presetGroups.forEach((group) => {
            if (group.groupName === this.newPresetName$.value[0]) {
                const targetPreset = group.presets.find((preset) => preset.name === this.newPresetName$.value[1]);
                if (targetPreset) {
                    targetPreset.filterAttributes = [];
                    targetPreset.iconAttributes = [];
                    event.forEach((v, key) => {
                        if (v[0] === 'icon') {
                            targetPreset.iconAttributes?.push({
                                icon: key.split('_')[1],
                                identifier: key,
                            });
                        }
                        else {
                            targetPreset.filterAttributes?.push({
                                identifier: key,
                                value: v[1],
                            });
                        }
                    });
                }
            }
        });
        this.inboxState.setPresetGroups(presetGroups);
    }
    /**
     * Auxiliary method to check if item is unique.
     * @param value Item to check.
     * @param index Index of item.
     * @param self Item to check.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    onlyUnique(value, index, self) {
        return self.indexOf(value) === index;
    }
    /**
     * Method to check if an array is in a multidimensional array.
     * @param arr The array.
     * @param target The target array.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    isArrayInMultidimensionalArray(arr, target) {
        return arr.some((innerArray) => innerArray.length === target.length && innerArray.every((value, index) => value === target[index]));
    }
    /**
     * Method to update the attributes in the preset groups.
     * @param presetName The preset to update. [groupName, presetName]
     * @param selectedAttributes The selected attributes.
     */
    updateAttributeInPresets(presetName, selectedAttributes) {
        const operation = 'update';
        this.setCurrentPresetAction({ operation, groupName: presetName[0], presetName: presetName[1] });
        this.setNewPresetName(presetName);
        this.updatePresetInPresets(presetName, (presets) => ({
            ...presets,
            selectedAttributes: selectedAttributes.map((attribute) => ({
                identifier: attribute,
                defaultAttribute: 'main',
            })),
        }));
    }
    /**
     * Updates current presetGroups in state. Also emits the new presetGroups via setting the current presetGroups.
     * @param presetGroups The new presetGroups.
     */
    updatePresetGroupAndNotify(presetGroups) {
        this.inboxState.setPresetGroups(presetGroups);
        this.setCurrentPresetGroup(presetGroups);
    }
    /**
     * Helper method to update a preset in preset groups.
     * @param presetName The preset to update.
     * @param updateFunc The function to update the preset.
     */
    updatePresetInPresets(presetName, updateFunc) {
        const newPresetGroups = this.inboxState.presetGroups$.value.map((presetGroups) => {
            if (presetGroups.groupName === presetName[0]) {
                const updatedPresets = presetGroups.presets.map((preset) => {
                    if (preset.name === presetName[1]) {
                        return updateFunc(preset);
                    }
                    return preset;
                });
                return { ...presetGroups, presets: updatedPresets };
            }
            return presetGroups;
        });
        this.inboxState.setPresetGroups(newPresetGroups);
        this.setCurrentPresetGroup(newPresetGroups);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: UpdatePresetsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: UpdatePresetsService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: UpdatePresetsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class PresetsComponent {
    constructor() {
        /**
         * EventEmitter for the interactions with the preset.
         */
        this.presetInteractions = new EventEmitter();
        /**
         * The index of the preset that is currently edited corresponding with the order in the presetGroups.
         */
        this.indexOfPresetInEditing = 0;
        /**
         * The index of the group that is currently edited corresponding with the order in the presetGroups.
         */
        this.indexOfPresetGroupInEditing = 0;
        /**
         * Value if the check value is clicked, to change the style of the clicked button.
         */
        this.onCheckClick = false;
        /**
         * Name of the active preset.
         */
        this.activePresetName = ['', ''];
        /**
         * Save the input of presets.
         */
        this.presetMenuForm = new FormGroup({
            fcn: new FormControl(''),
        });
        /**
         * Save the input of new presets.
         */
        this.saveNewPresetMenuForm = new FormGroup({
            fcn: new FormControl(''),
        });
        /**
         * In many scenarios, the delete button int the preset menu should be hidden.
         * This map stores the information if the delete button should be shown or not.
         */
        this.showDeleteButton = new Map();
        /**
         * Map to store the expanded state of the accordion groups.
         */
        this.expandedGroup = new Map();
        /**
         * Value if the drag and drop is disabled, if the preset is edited through name change and deletion process.
         */
        this.dragAndDropDisabled = false;
        /**
         * Value if an item is dragged.
         * Used to disable the hover effect on non dragged items from other lists.
         */
        this.draggingState = false;
        /**
         * BehaviorSubject for edit state if a preset is currently edited and the other should not be interactable.
         */
        this.editState = new BehaviorSubject(false);
        /**
         * This array will store the extracted values from the presetGroups.
         */
        this.originalPresetGroupNames = [];
        /**
         * The filter toolbar service.
         * @internal
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * The preset service.
         * @internal
         */
        this.presetsService = inject(PresetsService);
        /**
         * The keyboard service.
         * @internal
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * The update preset service.
         * @internal
         */
        this.updatePresetsService = inject(UpdatePresetsService);
        /**
         * The state service.
         * @internal
         */
        this.inboxState = inject(InboxState);
        /**
         * The changed values service.
         * @internal
         */
        this.changedPresetValuesService = inject(ChangedPresetValuesService);
        /**
         * The snackbar service.
         * @internal
         * @TODO: replace with talenra injectors as soon as they are available
         */
        this._snackBar = inject(MatSnackBar);
        /**
         * Information if it is possible to save a new preset.
         * @private
         */
        this.saveNewPresetButtonIsDisabled = false;
        /**
         * Information if it is possible to save an existing preset.
         * @private
         */
        this.overwritePresetButtonIsDisabled = false;
        /**
         * Information about the visibility of the presets.
         * The first value is the name of the group, the second value is the name of the preset and the third value is the visibility of the preset.
         * @private
         */
        this.visibilityOfPresets = [];
        /**
         * The subscriptions of the inbox toolbar component.
         * @internal
         * @private
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Initializes the inbox toolbar component.
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Handles the changes of the presetGroups.
     * @param changes The changes of the presetGroups.
     * @internal
     */
    ngOnChanges(changes) {
        const presetGroupsChanges = changes['presetGroups'];
        if (presetGroupsChanges && !presetGroupsChanges.firstChange) {
            this.presetGroups?.forEach((group) => {
                group.presets.forEach((preset) => {
                    this.visibilityOfPresets.push([group.groupName, preset.name, preset.visible ?? true]);
                });
                group.presets.forEach((preset) => {
                    const key = group.groupName + preset.name;
                    this.showDeleteButton.set(key, false);
                });
            });
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
    }
    /**
     * Handles the value of presetMenuForm to the presets.
     */
    onPresetFormSubmit() {
        if (this.presetMenuForm.valid &&
            this.presetMenuForm.value['fcn'] !== undefined &&
            this.presetMenuForm.value['fcn'] !== null &&
            this.savePresetName()) {
            // show snackbar message
            this.openSnackBarPreset('Die Änderungen wurden gespeichert.');
            const activePresetName = this.inboxState.activePresetName$.value[0];
            const fcnValue = this.presetMenuForm.value['fcn'];
            // set the new preset name in the presets
            this.updatePresetsService.setNewPresetName([activePresetName, fcnValue]);
            this.emitPresetInteractions('overwrite-preset');
            this.closePresetMenusAfterDelay();
            this.inboxState.resetBufferFilterSort();
        }
    }
    /**
     * Handles new values of presetMenuForm to the presets.
     */
    saveNewPresetFormSubmit() {
        if (this.presetMenuForm.valid &&
            this.saveNewPresetMenuForm.value['fcn'] !== undefined &&
            this.saveNewPresetMenuForm.value['fcn'] !== null &&
            this.saveNewPresetName()) {
            // show snackbar message
            this.openSnackBarPreset('Die View wurde gespeichert.');
            const activePresetName = this.inboxState.activePresetName$.value[0];
            const fcnValue = this.saveNewPresetMenuForm.value.fcn;
            // set the new preset name in the presets
            this.updatePresetsService.setNewPresetName([activePresetName, fcnValue]);
            this.emitPresetInteractions('create-new-preset');
            this.saveNewPresetMenuForm.controls['fcn'].setValue('');
            this.closePresetMenusAfterDelay();
            this.inboxState.resetBufferFilterSort();
        }
    }
    /**
     * To change the array place of dragged item.
     * @param event The dragged item.
     * @internal
     */
    drop(event) {
        // reset dragging state
        this.draggingState = false;
        if (event.isPointerOverContainer) {
            const previousIndex = event.previousIndex;
            const newIndex = event.currentIndex;
            // Assuming 'group.items' is an array for the current group
            const currentPreset = this.presetGroups.find((group) => group.presets.includes(event.item.data));
            // Reorder items within the same group
            if (currentPreset && previousIndex !== newIndex) {
                const [movedItem] = currentPreset.presets.splice(previousIndex, 1);
                currentPreset.presets.splice(newIndex, 0, movedItem);
            }
            this.presetsService.setDragDropPresetAndGroup([currentPreset, event.item.data.name]);
            this.emitPresetInteractions('drag-drop');
        }
    }
    /**
     * Presets are readonly by default. Only if the preset is edited, the preset is editable.
     * @param groupIndex The index of the group.
     * @param presetIndex The index of the preset.
     * @param event The mouse event.
     */
    setTextAreaReadOnly(groupIndex, presetIndex, event) {
        event.stopPropagation();
        this.editState.next(true);
        this.indexOfPresetInEditing = presetIndex;
        this.indexOfPresetGroupInEditing = groupIndex;
        this.showDeleteButton.clear();
        this.dragAndDropDisabled = true;
    }
    /**
     * To change the name of a preset and make only one preset editable.
     * @param groupName The name of the group.
     * @param oldPresetName The old name of the preset.
     * @param newPresetName The new name of the preset.
     */
    renamingPreset(groupName, oldPresetName, newPresetName) {
        if (!this.presetsService.presetNamesThatAreAlreadyUsed(groupName, oldPresetName).includes(newPresetName)) {
            this.indexOfPresetInEditing = -1;
            this.indexOfPresetGroupInEditing = -1;
            this.updatePresetsService.setCurrentRenamedPreset([groupName, oldPresetName, newPresetName]);
            this.emitPresetInteractions('rename-preset');
            this.dragAndDropDisabled = false;
        }
    }
    /**
     * To change the array place of presets.
     * @param groupName The name of the group.
     * @param preset The preset that will be moved.
     * @param direction The direction of the movement.
     */
    updatePresetPosition(groupName, preset, direction) {
        const currentPosition = this.presetsService.findPositionOfPreset(groupName, preset.name);
        const changeableStartIndex = this.presetsService.findIndexOfFirstChangeablePreset(groupName);
        const changeableEndIndex = this.presetsService.findIndexOfLastChangeablePreset(groupName);
        if ((direction === 'up' && currentPosition !== changeableStartIndex) ||
            (direction === 'down' && currentPosition !== changeableEndIndex)) {
            // set the new preset name in the presets
            this.updatePresetsService.setNewPresetName([groupName, preset.name]);
            this.emitPresetInteractions(`position-${direction}`);
        }
    }
    /**
     * Delete presets and emit it to the presets.
     * @param groupName The name of the group that contains the preset.
     * @param presetName The name of the preset that will be deleted.
     * @param event The mouse event.
     */
    deletePreset(groupName, presetName, event) {
        // set the new preset name in the presets
        this.updatePresetsService.setNewPresetName([groupName, presetName]);
        this.emitPresetInteractions('delete-preset');
        this.openSnackBarPreset('Die View wurde gelöscht.');
        this.confirmDeletePreset(false, groupName, presetName, event);
    }
    /**
     * Check and save the visibility of the preset.
     * @param bool The visibility of the preset.
     * @param groupName The name of the group.
     * @param presetName The name of the preset.
     */
    checkIfPresetIsVisible(bool, groupName, presetName) {
        //to save the visibility of the preset in presets
        this.visibilityOfPresets.forEach((presetNameElem) => {
            if (presetNameElem[0] === groupName && presetNameElem[1] === presetName) {
                presetNameElem[2] = bool;
            }
        });
        // set the new preset name in the presets
        this.updatePresetsService.setNewPresetName([groupName, presetName]);
        if (bool) {
            this.emitPresetInteractions('visbility-on');
        }
        else {
            this.emitPresetInteractions('visbility-off');
        }
    }
    /**
     * A button to confirm to delete of a preset is shown.
     * @param bool Determines if the button is shown or not.
     * @param groupName The name of the group.
     * @param presetName The name of the preset.
     * @param event The mouse event.
     */
    confirmDeletePreset(bool, groupName, presetName, event) {
        this.editState.next(false);
        // stop propagation to disable reset of showDeleteButton
        event.stopPropagation();
        if (bool) {
            const key = groupName + presetName;
            this.showDeleteButton.set(key, true);
            this.dragAndDropDisabled = true;
        }
        else {
            const key = groupName + presetName;
            this.showDeleteButton.set(key, false);
            this.dragAndDropDisabled = false;
        }
    }
    /**
     * What happens when the menu is opened.
     */
    onMenuOpened() {
        this.presetsService.setPresetMenuState(true);
        this.presetGroups.forEach((group) => {
            this.expandedGroup.set(group.groupName, true);
        });
        // check if input fields are available
        if (this.savePresetInput || this.saveNewPresetInput) {
            // check if preset is changeable
            if (!this.presetsService.checkIfChangeablePreset(this.activePresetName[0], this.activePresetName[1])) {
                // focus on input field to save new preset
                // set timeout to focus on input field after the menu is opened and not add 'v' value to the input field if the menu is opened
                setTimeout(() => {
                    this.saveNewPresetInput['elementRef'].nativeElement.focus();
                }, 0);
            }
            else {
                // focus on input field to overwrite preset
                // set timeout to focus on input field after the menu is opened and not add 'v' value to the input field if the menu is opened
                setTimeout(() => {
                    this.savePresetInput['elementRef'].nativeElement.focus();
                }, 0);
            }
        }
    }
    /**
     * What happens when the menu is closed.
     */
    onMenuClosed() {
        this.presetsService.setPresetMenuState(false);
        setTimeout(() => {
            this.updateTextareaValue(this.indexOfPresetGroupInEditing);
            this.expandedGroup.clear();
            this.dragAndDropDisabled = false;
            this.indexOfPresetInEditing = -1;
            this.indexOfPresetGroupInEditing = -1;
            this.showDeleteButton.clear();
        }, 100);
    }
    /**
     * check if it is possible to save a new presetName in an existing preset
     */
    savePresetName() {
        return !!this.presetMenuForm.controls['fcn'].value?.trim() && !this.overwritePresetButtonIsDisabled;
    }
    /**
     * check if it is possible to save a new presetName in a new preset
     */
    saveNewPresetName() {
        return this.saveNewPresetMenuForm.controls['fcn'].value?.trim() && !this.saveNewPresetButtonIsDisabled;
    }
    /**
     * Handling of an accordion header click.
     * @param groupName The name of the group.
     */
    onAccordionClick(groupName) {
        this.expandedGroup.set(groupName, !this.expandedGroup.get(groupName));
    }
    /**
     * Handling the change in the edit state if clicked on all elements except the text area.
     * @param event The mouse event.
     * @param nextState The next state of the edit state.
     */
    changeEditState(event, nextState) {
        event.stopPropagation();
        this.dragAndDropDisabled = false;
        this.editState.next(nextState);
    }
    /**
     * Handling of a click on the text area of a preset name.
     * Stops propagation if the preset is currently edited.
     * @param event The mouse event.
     * @param presetIndex The index of the preset.
     * @param groupIndex The index of the group.
     */
    clickTextAreaName(event, presetIndex, groupIndex) {
        // stop propagation on active edited preset name
        if (presetIndex === this.indexOfPresetInEditing && groupIndex === this.indexOfPresetGroupInEditing) {
            event.stopPropagation();
        }
    }
    /**
     * Handling the enter press during the renaming of a preset.
     *
     * @param event The keyboard event.
     * @param group The group of the presets.
     * @param optionName The name of the preset.
     * @param inputText The text of the input.
     */
    checkAndRenamePreset(event, group, optionName, inputText) {
        event.preventDefault(); // Prevent the Enter key from causing a line break
        // Check if the input text is empty or contains only spaces
        if (inputText.trim() !== '') {
            // The textarea has content, perform the renaming logic
            this.renamingPreset(group, optionName, inputText);
        }
    }
    /**
     * Disable drag and drop if there is only one preset in the group
     * @param group The group of the presets
     * @internal
     */
    disableDragAndDropFunction(group) {
        // Check if dragAndDropDisabled is true OR if there's only one preset in the group
        // length 2 used because, the group counts also as a preset
        return this.dragAndDropDisabled || group.presets.length === 2;
    }
    /**
     * Stop the tab press from closing the material menu.
     * @param keyEvent The event that will be stopped.
     */
    stopTabClosingMenu(keyEvent) {
        keyEvent.stopPropagation();
    }
    /**
     * Handles the drag start event.
     * Used to set the dragging state to true.
     */
    dragStarted() {
        this.draggingState = true;
    }
    /**
     * Handle the snackbar message.
     * @param message The message that will be displayed in the snackbar.
     * @private
     */
    openSnackBarPreset(message) {
        this.onCheckClick = true;
        this._snackBar.open(message, '', {
            duration: 3000,
        });
        setTimeout(() => {
            this.onCheckClick = false;
            this.saveNewPresetMenuForm.value['fcn'] = '';
        }, 2000);
    }
    /**
     * Open or close the preset menu.
     * @param open Determines if the preset menu is open or not.
     * @private
     */
    openClosePresetWindow(open) {
        if (open) {
            // define a function to check if the menu is open
            const isMenuOpen = (menu) => (menu?.menuOpen !== undefined ? menu.menuOpen : false);
            // open or close the preset menu
            if (!isMenuOpen(this.talenraInboxPresetMenuTrigger)) {
                this.talenraInboxPresetMenuTrigger?.openMenu();
            }
            else if (isMenuOpen(this.talenraInboxPresetMenuTrigger)) {
                this.talenraInboxPresetMenuTrigger?.closeMenu();
            }
        }
    }
    /**
     * Update the textarea value if the preset is currently edited.
     * @param groupIndex The index of the group.
     * @private
     */
    updateTextareaValue(groupIndex) {
        if (this.originalPresetGroupNames[groupIndex]) {
            this.presetGroups.forEach((group, groupIndex) => {
                if (groupIndex === groupIndex) {
                    group.presets.forEach((preset, presetIndex) => {
                        if (presetIndex === presetIndex) {
                            this.originalPresetGroupNames[groupIndex].presetNames[presetIndex] = preset.name;
                        }
                    });
                }
            });
        }
    }
    /**
     * Determines the preset is saved by pressing of the enter key.
     * @internal
     * @private
     */
    savePresetOnEnter() {
        // if the preset menu is open and the preset is changed, the preset is saved
        if (this.talenraInboxPresetMenuTrigger?.menuOpen && this.changedPresetValuesService.filterSortChangedSubject$.value) {
            // check if a new preset can be created or the preset can be overwritten
            if (this.saveNewPresetMenuForm.valid && this.saveNewPresetMenuForm.value['fcn'] !== '') {
                this.saveNewPresetFormSubmit();
            }
            // check if the existing preset is mutable and the input field is not empty
            else if (this.presetMenuForm.valid &&
                this.presetMenuForm.value['fcn'] !== '' &&
                this.presetsService.checkIfChangeablePreset(this.activePresetName[0], this.activePresetName[1])) {
                this.onPresetFormSubmit();
            }
        }
    }
    /**
     * Closes preset menus after a delay of 1000ms.
     * @internal
     * @private
     */
    closePresetMenusAfterDelay() {
        setTimeout(() => {
            this.talenraInboxPresetMenuTrigger?.closeMenu();
        }, 1000);
    }
    /**
     * Emits an icon button event.
     * @param presetInteraction The name of the icon button to emit.
     * @emits
     * @private
     */
    emitPresetInteractions(presetInteraction) {
        this.presetInteractions.emit(presetInteraction);
    }
    /**
     * Initializes the component.
     * @private
     */
    initializeComponent() {
        // Check if presetGroups is defined and not empty
        if (this.presetGroups && this.presetGroups.length > 0) {
            this.originalPresetGroupNames = [];
            // Iterate through the presetGroups
            this.presetGroups.forEach((group) => {
                // Extract preset names from presets array
                const presetNames = group.presets.map((option) => option.name);
                // Save values in the extractedValues array as an object
                this.originalPresetGroupNames.push({ groupName: group.groupName, presetNames: presetNames });
            });
        }
        // subscription to check if a new preset name is already used in the current group, sets a boolean value
        // @internal
        this.subscriptions.add(
        // decides if a new typed preset name is already used in presets the current group
        this.saveNewPresetMenuForm.valueChanges.subscribe((value) => {
            if (value['fcn'] !== null && value['fcn'] !== undefined) {
                this.saveNewPresetButtonIsDisabled =
                    this.activePresetName[1] === value.fcn ||
                        this.presetsService
                            .presetNamesThatAreAlreadyUsed(this.activePresetName[0], this.activePresetName[1])
                            .includes(value['fcn']);
            }
        }));
        // subscription to check if a changed preset name is already used in the current group, sets a boolean value
        // @internal
        this.subscriptions.add(
        // decides if a new typed preset name is already used as the name of groups (= unchangeable presets)
        this.presetMenuForm.valueChanges.subscribe((value) => {
            if (value['fcn'] !== null && value['fcn'] !== undefined) {
                this.overwritePresetButtonIsDisabled = this.presetsService
                    .presetNamesThatAreAlreadyUsed(this.activePresetName[0], this.activePresetName[1])
                    .includes(value['fcn']);
            }
        }));
        // subscription to set the activePresetName in the presetMenuForm, if the activePresetName changes
        // @internal
        this.subscriptions.add(
        // If new preset is created, as default the activePresetName is set in the presetMenuForm
        this.inboxState.activePresetName$.subscribe((value) => {
            this.activePresetName = value;
            this.presetMenuForm.get('fcn')?.setValue(this.activePresetName[1]);
        }));
        // subscription to overwrite or create a new preset on the enter key
        this.subscriptions.add(this.keyboardService.enterKeyPressed.subscribe((value) => {
            if (value) {
                this.savePresetOnEnter();
            }
        }));
        // subscription to close preset menu
        this.subscriptions.add(this.keyboardService.escapeKeyPressed.subscribe((value) => {
            // define a function to check if the menu is open
            const isMenuOpen = (menu) => (menu?.menuOpen !== undefined ? menu.menuOpen : false);
            if (value) {
                if (isMenuOpen(this.talenraInboxPresetMenuTrigger)) {
                    this.talenraInboxPresetMenuTrigger?.closeMenu();
                }
            }
        }));
        // subscription to open or close the preset menu
        this.subscriptions.add(this.keyboardService.vKeyPressed.subscribe((value) => {
            if (value) {
                this.openClosePresetWindow(true);
            }
            else {
                this.openClosePresetWindow(false);
            }
        }));
        // subscription if shortcuts is opened/closed
        this.subscriptions.add(this.presetsService.presetMenuOpen.subscribe((value) => {
            if (!value) {
                this.talenraInboxPresetMenuTrigger?.closeMenu();
            }
        }));
        // subscription to set the edit state of the preset menu, disables the interactability of the other presets and the drag and drop
        // @internal
        this.subscriptions.add(this.editState.subscribe((value) => {
            if (!value) {
                this.updateTextareaValue(this.indexOfPresetGroupInEditing);
                // reset edited text area
                this.indexOfPresetInEditing = -1;
                this.indexOfPresetGroupInEditing = -1;
                // reset delete button
                this.showDeleteButton.clear();
            }
            else {
                this.updateTextareaValue(this.indexOfPresetGroupInEditing);
                this.dragAndDropDisabled = true;
            }
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: PresetsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: PresetsComponent, selector: "talenra-presets", inputs: { presetGroups: "presetGroups" }, outputs: { presetInteractions: "presetInteractions" }, viewQueries: [{ propertyName: "talenraInboxPresetMenuTrigger", first: true, predicate: ["talenraInboxPresetMenuTrigger"], descendants: true }, { propertyName: "savePresetInput", first: true, predicate: ["savePresetInput"], descendants: true }, { propertyName: "saveNewPresetInput", first: true, predicate: ["saveNewPresetInput"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div *ngIf=\"!inboxState.inboxConfiguration$.value.disablePresetMenuToolbar\">\n  <ng-container>\n    <button\n      #talenraInboxPresetMenuTrigger=\"matMenuTrigger\"\n      (keydown.enter)=\"$event.preventDefault()\"\n      (menuClosed)=\"onMenuClosed()\"\n      (menuOpened)=\"onMenuOpened()\"\n      [matMenuTriggerFor]=\"presetMenu\"\n      class=\"btn\"\n      icon=\"inbox-eye\"\n      id=\"talenraInboxPresetMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"View erstellen/\u00E4ndern\"></button>\n  </ng-container>\n</div>\n\n<mat-menu #presetMenu class=\"talenra-inbox-toolbar-preset-menu\">\n  <!-- All presets are displayed and can be renamed, visibility or the position changed -->\n  <ng-container *ngIf=\"!changedPresetValuesService.filterSortChangedSubject$.value\">\n    <div (click)=\"changeEditState($event, false)\">\n      <div class=\"preset-title medium-font\">\n        Meine Views\n        <talenra-icon class=\"preset-icon\" name=\"inbox-eye\"></talenra-icon>\n      </div>\n      <talenra-scroll-container class=\"preset-groups-scroll-container\">\n        <div *ngFor=\"let group of presetGroups; let groupIndex = index\">\n          <mat-accordion>\n            <mat-expansion-panel\n              [disabled]=\"!presetsService.hasChangeablePreset(group.groupName)\"\n              [expanded]=\"expandedGroup.get(group.groupName)\"\n              class=\"remove-mat-expansion-panel-padding\">\n              <mat-expansion-panel-header\n                (click)=\"onAccordionClick(group.groupName)\"\n                class=\"inbox-mat-expansion-panel-header\">\n                <mat-panel-title class=\"inbox-mat-expansion-panel-title\"> {{ group.groupName }}</mat-panel-title>\n              </mat-expansion-panel-header>\n              <div\n                (cdkDropListDropped)=\"drop($event)\"\n                [cdkDropListDisabled]=\"dragAndDropDisabled\"\n                [class.default-cursor]=\"!draggingState\"\n                cdkDropList\n                class=\"grabbing-cursor\"\n                data-testid=\"inbox-preset-list\">\n                <div\n                  (cdkDragStarted)=\"dragStarted()\"\n                  *ngFor=\"let preSetOption of group.presets; let presetIndex = index\"\n                  [cdkDragData]=\"preSetOption\"\n                  [cdkDragDisabled]=\"disableDragAndDropFunction(group)\"\n                  cdkDrag>\n                  <div *cdkDragPlaceholder class=\"custom-drag-preset-item-placeholder\"></div>\n                  <ng-container *ngIf=\"presetsService.checkIfChangeablePreset(group.groupName, preSetOption.name)\">\n                    <!-- preset items -->\n                    <div\n                      [class.disable-hover]=\"draggingState\"\n                      [class.grabbing-cursor]=\"draggingState\"\n                      class=\"preset-items move-cursor\">\n                      <div [class.disable-hover]=\"draggingState\" class=\"preset-items-tag\">\n                        <form>\n                          <textarea\n                            #presetNameInput\n                            (click)=\"clickTextAreaName($event, presetIndex, groupIndex)\"\n                            (keydown.enter)=\"\n                              checkAndRenamePreset($event, group.groupName, preSetOption.name, presetNameInput.value)\n                            \"\n                            [(ngModel)]=\"originalPresetGroupNames[groupIndex].presetNames[presetIndex]\"\n                            [class.disable-hover]=\"draggingState\"\n                            [class.text-cursor]=\"editState | async\"\n                            [readonly]=\"\n                              !(presetIndex === indexOfPresetInEditing && groupIndex === indexOfPresetGroupInEditing)\n                            \"\n                            class=\"preset-name-input preset-name-input-wide\"\n                            maxlength=\"30\"\n                            name=\"presetName\"\n                            >{{ preSetOption.name }}</textarea\n                          >\n                        </form>\n\n                        <div class=\"preset-items-buttons\">\n                          <button\n                            (click)=\"deletePreset(group.groupName, preSetOption.name, $event)\"\n                            *ngIf=\"showDeleteButton.get(group.groupName + preSetOption.name)\"\n                            label=\"L\u00F6schen\"\n                            talenra-button\n                            size=\"s\"></button>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetIndex === indexOfPresetInEditing && groupIndex === indexOfPresetGroupInEditing;\n                              else checkIcon\n                            \">\n                            <ng-container\n                              *ngIf=\"\n                                !presetsService\n                                  .presetNamesThatAreAlreadyUsed(group.groupName, preSetOption.name)\n                                  .includes(presetNameInput.value) && presetNameInput.value.trim() !== ''\n                              \">\n                              <button\n                                (click)=\"renamingPreset(group.groupName, preSetOption.name, presetNameInput.value)\"\n                                class=\"check-button\"\n                                data-testid=\"inbox-preset-save-name\"\n                                icon=\"check\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"Best\u00E4tigen\"\n                                size=\"s\"></button>\n                            </ng-container>\n                          </ng-container>\n                          <ng-template #checkIcon>\n                            <div\n                              *ngIf=\"!showDeleteButton.get(group.groupName + preSetOption.name)\"\n                              class=\"interaction-buttons\">\n                              <button\n                                (click)=\"setTextAreaReadOnly(groupIndex, presetIndex, $event)\"\n                                class=\"no-padding\"\n                                data-testid=\"inbox-preset-name-edit\"\n                                icon=\"edit\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"Name bearbeiten\"\n                                size=\"s\"></button>\n\n                              <!-- Visibility-on button -->\n                              <ng-container *ngIf=\"preSetOption.visible; else notVisible\">\n                                <button\n                                  (click)=\"checkIfPresetIsVisible(false, group.groupName, preSetOption.name)\"\n                                  class=\"no-padding\"\n                                  data-testid=\"inbox-preset-name-visible\"\n                                  icon=\"visibility\"\n                                  kind=\"ghost\"\n                                  talenra-button\n                                  talenraTooltip=\"View ausblenden\"\n                                  size=\"s\"></button>\n                              </ng-container>\n\n                              <!--Visibility-off button -->\n                              <ng-template #notVisible>\n                                <button\n                                  (click)=\"checkIfPresetIsVisible(true, group.groupName, preSetOption.name)\"\n                                  class=\"no-padding\"\n                                  data-testid=\"inbox-preset-name-not-visible\"\n                                  icon=\"visibility-off\"\n                                  kind=\"ghost\"\n                                  talenra-button\n                                  talenraTooltip=\"View anzeigen\"\n                                  size=\"s\"></button>\n                              </ng-template>\n                              <button\n                                (click)=\"confirmDeletePreset(true, group.groupName, preSetOption.name, $event)\"\n                                [disabled]=\"false\"\n                                class=\"no-padding\"\n                                data-testid=\"inbox-preset-delete\"\n                                icon=\"delete\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"L\u00F6schen\"\n                                size=\"s\"></button>\n                            </div>\n                          </ng-template>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetsService.findPositionOfPreset(group.groupName, preSetOption.name) !==\n                                presetsService.findIndexOfFirstChangeablePreset(group.groupName);\n                              else emptyPresetIconPlaceholder\n                            \">\n                            <button\n                              (click)=\"updatePresetPosition(group.groupName, preSetOption, 'up')\"\n                              class=\"no-padding\"\n                              data-testid=\"inbox-preset-move-up\"\n                              icon=\"arrow-upward\"\n                              kind=\"ghost\"\n                              talenra-button\n                              talenraTooltip=\"Nach oben\"\n                              size=\"s\"></button>\n                          </ng-container>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetsService.findPositionOfPreset(group.groupName, preSetOption.name) !==\n                                presetsService.findIndexOfLastChangeablePreset(group.groupName);\n                              else emptyPresetIconPlaceholder\n                            \">\n                            <button\n                              (click)=\"updatePresetPosition(group.groupName, preSetOption, 'down')\"\n                              class=\"no-padding\"\n                              data-testid=\"inbox-preset-move-down\"\n                              icon=\"arrow-downward\"\n                              kind=\"ghost\"\n                              talenra-button\n                              talenraTooltip=\"Nach unten\"\n                              size=\"s\"></button>\n                          </ng-container>\n                        </div>\n                      </div>\n\n                      <div *ngIf=\"group.presets.length !== 2\" class=\"preset-items-grab\">\n                        <button\n                          class=\"move-cursor\"\n                          data-testid=\"inbox-preset-drag\"\n                          icon=\"drag-indicator\"\n                          kind=\"ghost\"\n                          talenra-button\n                          size=\"s\"></button>\n                      </div>\n                    </div>\n                  </ng-container>\n                </div>\n              </div>\n            </mat-expansion-panel>\n          </mat-accordion>\n        </div>\n      </talenra-scroll-container>\n    </div>\n  </ng-container>\n\n  <!-- preset menu for the data items that the preset has been changed -->\n  <ng-container *ngIf=\"changedPresetValuesService.filterSortChangedSubject$.value\">\n    <div (click)=\"$event.stopPropagation()\">\n      <!-- Disable overwriting of the preset name if not changeable-->\n      <ng-container *ngIf=\"presetsService.checkIfChangeablePreset(activePresetName[0], activePresetName[1])\">\n        <div class=\"preset-start-container\">\u00C4nderungen speichern</div>\n        <form (ngSubmit)=\"onPresetFormSubmit()\" [formGroup]=\"presetMenuForm\" class=\"save-preset-form\">\n          <talenra-form-field label=\"View Name\">\n            <input\n              #savePresetInput\n              (keydown.tab)=\"stopTabClosingMenu($event)\"\n              class=\"save-preset-input\"\n              data-testid=\"inbox-overwrite-preset-input\"\n              formControlName=\"fcn\"\n              maxlength=\"30\"\n              talenra-input />\n          </talenra-form-field>\n\n          <button\n            (keydown.tab)=\"stopTabClosingMenu($event)\"\n            [disabled]=\"!savePresetName()\"\n            data-testid=\"inbox-save-overwrite-preset\"\n            icon=\"check\"\n            kind=\"ghost\"\n            talenra-button\n            talenraTooltip=\"View speichern\"\n            size=\"s\"\n            type=\"submit\"></button>\n        </form>\n      </ng-container>\n\n      <div class=\"preset-start-container\">Als neue View speichern</div>\n      <form (ngSubmit)=\"saveNewPresetFormSubmit()\" [formGroup]=\"saveNewPresetMenuForm\" class=\"save-preset-form\">\n        <talenra-form-field label=\"View Name\">\n          <input\n            #saveNewPresetInput\n            (keydown.tab)=\"stopTabClosingMenu($event)\"\n            class=\"save-preset-input\"\n            data-testid=\"inbox-new-preset-input\"\n            formControlName=\"fcn\"\n            maxlength=\"30\"\n            talenra-input />\n        </talenra-form-field>\n\n        <button\n          (keydown.tab)=\"stopTabClosingMenu($event)\"\n          [disabled]=\"!saveNewPresetName()\"\n          data-testid=\"inbox-save-new-preset\"\n          icon=\"check\"\n          kind=\"ghost\"\n          talenra-button\n          talenraTooltip=\"Neue View speichern\"\n          size=\"s\"\n          type=\"submit\"></button>\n      </form>\n    </div>\n  </ng-container>\n</mat-menu>\n\n<ng-template #emptyPresetIconPlaceholder>\n  <div class=\"empty-preset-icon-placeholder\"></div>\n</ng-template>\n", styles: [":host{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;--color-background: #ffffff;--color-light-background: #f2f2f2;--color-title-icon: #666666}.preset-title{text-align:center;margin-bottom:.125rem}.preset-groups-scroll-container{width:23.75rem;min-height:fit-content;max-height:24.375rem}.inbox-mat-expansion-panel-header{padding:0 .3125rem;height:2rem!important}.preset-start-container{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;padding:1rem 1rem 0;font-weight:500}.presets-drop-lists{cursor:grabbing}.preset-items{position:relative;background:var(--color-background);height:2.25rem;margin-left:.875rem;border-radius:.1875rem;display:grid;grid-template-columns:93% 7%;grid-template-rows:1fr;grid-auto-flow:row}.preset-items:hover:not(.disable-hover){background:var(--color-light-background)}.preset-items:hover:not(.disable-hover) .preset-name-input{background:var(--color-light-background)}.preset-items-grab{display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto;align-self:center;justify-self:center}.preset-items-tag{display:flex;align-items:center;justify-content:space-between;height:1.5rem;width:100%;align-self:center;justify-self:center}.preset-items-tag:hover:not(.disable-hover){background:var(--color-light-background)}.preset-items-buttons{height:1.5rem;display:flex;align-items:center;flex-wrap:nowrap;flex-direction:row}.interaction-buttons{height:1.5rem}.no-padding{padding:0}.save-preset-form{display:flex;flex-direction:row;align-items:center;padding:0 1rem}.save-preset-input{width:20.3125rem}.preset-name-input{height:1.125rem;padding:0;border:none;outline:none;resize:none;border-radius:.25rem;margin-bottom:-.25rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;cursor:move;background:var(--color-background)}.preset-name-input:hover:not(.disable-hover){background:var(--color-light-background)}.preset-name-input-wide{flex-grow:1;max-width:100%}.custom-drag-preset-item-placeholder{margin-left:.875rem;background:var(--color-light-background);min-height:2.25rem;transition:transform .25s cubic-bezier(0,0,.2,1)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.btn{padding:0;margin:0 .5rem}.check-button{margin-right:2.625rem}.preset-icon{color:var(--color-title-icon);font-size:1rem}.move-cursor{cursor:move}.move-cursor :active{cursor:grabbing}.text-cursor{cursor:text}.grabbing-cursor{cursor:grabbing}.default-cursor{cursor:default}.empty-preset-icon-placeholder{width:1.5rem;height:1.5rem}::ng-deep .mat-mdc-menu-panel.mat-mdc-menu-panel.talenra-inbox-toolbar-preset-menu{min-width:25rem;max-width:28.125rem;overflow:hidden}::ng-deep .remove-mat-expansion-panel-padding .mat-expansion-panel-content .mat-expansion-panel-body{padding:0;background-color:var(--color-background)}.remove-mat-expansion-panel-padding .mat-expansion-panel-header-title{padding-left:.625rem}.mat-accordion .mat-expansion-panel:last-of-type{border-bottom-right-radius:0;border-bottom-left-radius:0}.mat-expansion-panel:not([class*=mat-elevation-z]){box-shadow:none!important}.appearance--dark :host{--color-background: #333333;--color-light-background: #f2f2f2}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2.FormFieldComponent, selector: "talenra-form-field", inputs: ["hint", "label"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i4.InputComponent, selector: "input[talenra-input], textarea[talenra-input]", inputs: ["type", "disabled", "readonly"] }, { kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "directive", type: i4$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3$1.CdkDropList, selector: "[cdkDropList], cdk-drop-list", inputs: ["cdkDropListConnectedTo", "cdkDropListData", "cdkDropListOrientation", "id", "cdkDropListLockAxis", "cdkDropListDisabled", "cdkDropListSortingDisabled", "cdkDropListEnterPredicate", "cdkDropListSortPredicate", "cdkDropListAutoScrollDisabled", "cdkDropListAutoScrollStep", "cdkDropListElementContainer"], outputs: ["cdkDropListDropped", "cdkDropListEntered", "cdkDropListExited", "cdkDropListSorted"], exportAs: ["cdkDropList"] }, { kind: "directive", type: i3$1.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer", "cdkDragScale"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "directive", type: i3$1.CdkDragPlaceholder, selector: "ng-template[cdkDragPlaceholder]", inputs: ["data"] }, { kind: "directive", type: i4$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i4$1.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i9.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "directive", type: i9.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "directive", type: i10.MatAccordion, selector: "mat-accordion", inputs: ["hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i10.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["hideToggle", "togglePosition"], outputs: ["afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i10.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["expandedHeight", "collapsedHeight", "tabIndex"] }, { kind: "directive", type: i10.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: PresetsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-presets', template: "<div *ngIf=\"!inboxState.inboxConfiguration$.value.disablePresetMenuToolbar\">\n  <ng-container>\n    <button\n      #talenraInboxPresetMenuTrigger=\"matMenuTrigger\"\n      (keydown.enter)=\"$event.preventDefault()\"\n      (menuClosed)=\"onMenuClosed()\"\n      (menuOpened)=\"onMenuOpened()\"\n      [matMenuTriggerFor]=\"presetMenu\"\n      class=\"btn\"\n      icon=\"inbox-eye\"\n      id=\"talenraInboxPresetMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"View erstellen/\u00E4ndern\"></button>\n  </ng-container>\n</div>\n\n<mat-menu #presetMenu class=\"talenra-inbox-toolbar-preset-menu\">\n  <!-- All presets are displayed and can be renamed, visibility or the position changed -->\n  <ng-container *ngIf=\"!changedPresetValuesService.filterSortChangedSubject$.value\">\n    <div (click)=\"changeEditState($event, false)\">\n      <div class=\"preset-title medium-font\">\n        Meine Views\n        <talenra-icon class=\"preset-icon\" name=\"inbox-eye\"></talenra-icon>\n      </div>\n      <talenra-scroll-container class=\"preset-groups-scroll-container\">\n        <div *ngFor=\"let group of presetGroups; let groupIndex = index\">\n          <mat-accordion>\n            <mat-expansion-panel\n              [disabled]=\"!presetsService.hasChangeablePreset(group.groupName)\"\n              [expanded]=\"expandedGroup.get(group.groupName)\"\n              class=\"remove-mat-expansion-panel-padding\">\n              <mat-expansion-panel-header\n                (click)=\"onAccordionClick(group.groupName)\"\n                class=\"inbox-mat-expansion-panel-header\">\n                <mat-panel-title class=\"inbox-mat-expansion-panel-title\"> {{ group.groupName }}</mat-panel-title>\n              </mat-expansion-panel-header>\n              <div\n                (cdkDropListDropped)=\"drop($event)\"\n                [cdkDropListDisabled]=\"dragAndDropDisabled\"\n                [class.default-cursor]=\"!draggingState\"\n                cdkDropList\n                class=\"grabbing-cursor\"\n                data-testid=\"inbox-preset-list\">\n                <div\n                  (cdkDragStarted)=\"dragStarted()\"\n                  *ngFor=\"let preSetOption of group.presets; let presetIndex = index\"\n                  [cdkDragData]=\"preSetOption\"\n                  [cdkDragDisabled]=\"disableDragAndDropFunction(group)\"\n                  cdkDrag>\n                  <div *cdkDragPlaceholder class=\"custom-drag-preset-item-placeholder\"></div>\n                  <ng-container *ngIf=\"presetsService.checkIfChangeablePreset(group.groupName, preSetOption.name)\">\n                    <!-- preset items -->\n                    <div\n                      [class.disable-hover]=\"draggingState\"\n                      [class.grabbing-cursor]=\"draggingState\"\n                      class=\"preset-items move-cursor\">\n                      <div [class.disable-hover]=\"draggingState\" class=\"preset-items-tag\">\n                        <form>\n                          <textarea\n                            #presetNameInput\n                            (click)=\"clickTextAreaName($event, presetIndex, groupIndex)\"\n                            (keydown.enter)=\"\n                              checkAndRenamePreset($event, group.groupName, preSetOption.name, presetNameInput.value)\n                            \"\n                            [(ngModel)]=\"originalPresetGroupNames[groupIndex].presetNames[presetIndex]\"\n                            [class.disable-hover]=\"draggingState\"\n                            [class.text-cursor]=\"editState | async\"\n                            [readonly]=\"\n                              !(presetIndex === indexOfPresetInEditing && groupIndex === indexOfPresetGroupInEditing)\n                            \"\n                            class=\"preset-name-input preset-name-input-wide\"\n                            maxlength=\"30\"\n                            name=\"presetName\"\n                            >{{ preSetOption.name }}</textarea\n                          >\n                        </form>\n\n                        <div class=\"preset-items-buttons\">\n                          <button\n                            (click)=\"deletePreset(group.groupName, preSetOption.name, $event)\"\n                            *ngIf=\"showDeleteButton.get(group.groupName + preSetOption.name)\"\n                            label=\"L\u00F6schen\"\n                            talenra-button\n                            size=\"s\"></button>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetIndex === indexOfPresetInEditing && groupIndex === indexOfPresetGroupInEditing;\n                              else checkIcon\n                            \">\n                            <ng-container\n                              *ngIf=\"\n                                !presetsService\n                                  .presetNamesThatAreAlreadyUsed(group.groupName, preSetOption.name)\n                                  .includes(presetNameInput.value) && presetNameInput.value.trim() !== ''\n                              \">\n                              <button\n                                (click)=\"renamingPreset(group.groupName, preSetOption.name, presetNameInput.value)\"\n                                class=\"check-button\"\n                                data-testid=\"inbox-preset-save-name\"\n                                icon=\"check\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"Best\u00E4tigen\"\n                                size=\"s\"></button>\n                            </ng-container>\n                          </ng-container>\n                          <ng-template #checkIcon>\n                            <div\n                              *ngIf=\"!showDeleteButton.get(group.groupName + preSetOption.name)\"\n                              class=\"interaction-buttons\">\n                              <button\n                                (click)=\"setTextAreaReadOnly(groupIndex, presetIndex, $event)\"\n                                class=\"no-padding\"\n                                data-testid=\"inbox-preset-name-edit\"\n                                icon=\"edit\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"Name bearbeiten\"\n                                size=\"s\"></button>\n\n                              <!-- Visibility-on button -->\n                              <ng-container *ngIf=\"preSetOption.visible; else notVisible\">\n                                <button\n                                  (click)=\"checkIfPresetIsVisible(false, group.groupName, preSetOption.name)\"\n                                  class=\"no-padding\"\n                                  data-testid=\"inbox-preset-name-visible\"\n                                  icon=\"visibility\"\n                                  kind=\"ghost\"\n                                  talenra-button\n                                  talenraTooltip=\"View ausblenden\"\n                                  size=\"s\"></button>\n                              </ng-container>\n\n                              <!--Visibility-off button -->\n                              <ng-template #notVisible>\n                                <button\n                                  (click)=\"checkIfPresetIsVisible(true, group.groupName, preSetOption.name)\"\n                                  class=\"no-padding\"\n                                  data-testid=\"inbox-preset-name-not-visible\"\n                                  icon=\"visibility-off\"\n                                  kind=\"ghost\"\n                                  talenra-button\n                                  talenraTooltip=\"View anzeigen\"\n                                  size=\"s\"></button>\n                              </ng-template>\n                              <button\n                                (click)=\"confirmDeletePreset(true, group.groupName, preSetOption.name, $event)\"\n                                [disabled]=\"false\"\n                                class=\"no-padding\"\n                                data-testid=\"inbox-preset-delete\"\n                                icon=\"delete\"\n                                kind=\"ghost\"\n                                talenra-button\n                                talenraTooltip=\"L\u00F6schen\"\n                                size=\"s\"></button>\n                            </div>\n                          </ng-template>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetsService.findPositionOfPreset(group.groupName, preSetOption.name) !==\n                                presetsService.findIndexOfFirstChangeablePreset(group.groupName);\n                              else emptyPresetIconPlaceholder\n                            \">\n                            <button\n                              (click)=\"updatePresetPosition(group.groupName, preSetOption, 'up')\"\n                              class=\"no-padding\"\n                              data-testid=\"inbox-preset-move-up\"\n                              icon=\"arrow-upward\"\n                              kind=\"ghost\"\n                              talenra-button\n                              talenraTooltip=\"Nach oben\"\n                              size=\"s\"></button>\n                          </ng-container>\n\n                          <ng-container\n                            *ngIf=\"\n                              presetsService.findPositionOfPreset(group.groupName, preSetOption.name) !==\n                                presetsService.findIndexOfLastChangeablePreset(group.groupName);\n                              else emptyPresetIconPlaceholder\n                            \">\n                            <button\n                              (click)=\"updatePresetPosition(group.groupName, preSetOption, 'down')\"\n                              class=\"no-padding\"\n                              data-testid=\"inbox-preset-move-down\"\n                              icon=\"arrow-downward\"\n                              kind=\"ghost\"\n                              talenra-button\n                              talenraTooltip=\"Nach unten\"\n                              size=\"s\"></button>\n                          </ng-container>\n                        </div>\n                      </div>\n\n                      <div *ngIf=\"group.presets.length !== 2\" class=\"preset-items-grab\">\n                        <button\n                          class=\"move-cursor\"\n                          data-testid=\"inbox-preset-drag\"\n                          icon=\"drag-indicator\"\n                          kind=\"ghost\"\n                          talenra-button\n                          size=\"s\"></button>\n                      </div>\n                    </div>\n                  </ng-container>\n                </div>\n              </div>\n            </mat-expansion-panel>\n          </mat-accordion>\n        </div>\n      </talenra-scroll-container>\n    </div>\n  </ng-container>\n\n  <!-- preset menu for the data items that the preset has been changed -->\n  <ng-container *ngIf=\"changedPresetValuesService.filterSortChangedSubject$.value\">\n    <div (click)=\"$event.stopPropagation()\">\n      <!-- Disable overwriting of the preset name if not changeable-->\n      <ng-container *ngIf=\"presetsService.checkIfChangeablePreset(activePresetName[0], activePresetName[1])\">\n        <div class=\"preset-start-container\">\u00C4nderungen speichern</div>\n        <form (ngSubmit)=\"onPresetFormSubmit()\" [formGroup]=\"presetMenuForm\" class=\"save-preset-form\">\n          <talenra-form-field label=\"View Name\">\n            <input\n              #savePresetInput\n              (keydown.tab)=\"stopTabClosingMenu($event)\"\n              class=\"save-preset-input\"\n              data-testid=\"inbox-overwrite-preset-input\"\n              formControlName=\"fcn\"\n              maxlength=\"30\"\n              talenra-input />\n          </talenra-form-field>\n\n          <button\n            (keydown.tab)=\"stopTabClosingMenu($event)\"\n            [disabled]=\"!savePresetName()\"\n            data-testid=\"inbox-save-overwrite-preset\"\n            icon=\"check\"\n            kind=\"ghost\"\n            talenra-button\n            talenraTooltip=\"View speichern\"\n            size=\"s\"\n            type=\"submit\"></button>\n        </form>\n      </ng-container>\n\n      <div class=\"preset-start-container\">Als neue View speichern</div>\n      <form (ngSubmit)=\"saveNewPresetFormSubmit()\" [formGroup]=\"saveNewPresetMenuForm\" class=\"save-preset-form\">\n        <talenra-form-field label=\"View Name\">\n          <input\n            #saveNewPresetInput\n            (keydown.tab)=\"stopTabClosingMenu($event)\"\n            class=\"save-preset-input\"\n            data-testid=\"inbox-new-preset-input\"\n            formControlName=\"fcn\"\n            maxlength=\"30\"\n            talenra-input />\n        </talenra-form-field>\n\n        <button\n          (keydown.tab)=\"stopTabClosingMenu($event)\"\n          [disabled]=\"!saveNewPresetName()\"\n          data-testid=\"inbox-save-new-preset\"\n          icon=\"check\"\n          kind=\"ghost\"\n          talenra-button\n          talenraTooltip=\"Neue View speichern\"\n          size=\"s\"\n          type=\"submit\"></button>\n      </form>\n    </div>\n  </ng-container>\n</mat-menu>\n\n<ng-template #emptyPresetIconPlaceholder>\n  <div class=\"empty-preset-icon-placeholder\"></div>\n</ng-template>\n", styles: [":host{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;--color-background: #ffffff;--color-light-background: #f2f2f2;--color-title-icon: #666666}.preset-title{text-align:center;margin-bottom:.125rem}.preset-groups-scroll-container{width:23.75rem;min-height:fit-content;max-height:24.375rem}.inbox-mat-expansion-panel-header{padding:0 .3125rem;height:2rem!important}.preset-start-container{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;padding:1rem 1rem 0;font-weight:500}.presets-drop-lists{cursor:grabbing}.preset-items{position:relative;background:var(--color-background);height:2.25rem;margin-left:.875rem;border-radius:.1875rem;display:grid;grid-template-columns:93% 7%;grid-template-rows:1fr;grid-auto-flow:row}.preset-items:hover:not(.disable-hover){background:var(--color-light-background)}.preset-items:hover:not(.disable-hover) .preset-name-input{background:var(--color-light-background)}.preset-items-grab{display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto;align-self:center;justify-self:center}.preset-items-tag{display:flex;align-items:center;justify-content:space-between;height:1.5rem;width:100%;align-self:center;justify-self:center}.preset-items-tag:hover:not(.disable-hover){background:var(--color-light-background)}.preset-items-buttons{height:1.5rem;display:flex;align-items:center;flex-wrap:nowrap;flex-direction:row}.interaction-buttons{height:1.5rem}.no-padding{padding:0}.save-preset-form{display:flex;flex-direction:row;align-items:center;padding:0 1rem}.save-preset-input{width:20.3125rem}.preset-name-input{height:1.125rem;padding:0;border:none;outline:none;resize:none;border-radius:.25rem;margin-bottom:-.25rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;cursor:move;background:var(--color-background)}.preset-name-input:hover:not(.disable-hover){background:var(--color-light-background)}.preset-name-input-wide{flex-grow:1;max-width:100%}.custom-drag-preset-item-placeholder{margin-left:.875rem;background:var(--color-light-background);min-height:2.25rem;transition:transform .25s cubic-bezier(0,0,.2,1)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.btn{padding:0;margin:0 .5rem}.check-button{margin-right:2.625rem}.preset-icon{color:var(--color-title-icon);font-size:1rem}.move-cursor{cursor:move}.move-cursor :active{cursor:grabbing}.text-cursor{cursor:text}.grabbing-cursor{cursor:grabbing}.default-cursor{cursor:default}.empty-preset-icon-placeholder{width:1.5rem;height:1.5rem}::ng-deep .mat-mdc-menu-panel.mat-mdc-menu-panel.talenra-inbox-toolbar-preset-menu{min-width:25rem;max-width:28.125rem;overflow:hidden}::ng-deep .remove-mat-expansion-panel-padding .mat-expansion-panel-content .mat-expansion-panel-body{padding:0;background-color:var(--color-background)}.remove-mat-expansion-panel-padding .mat-expansion-panel-header-title{padding-left:.625rem}.mat-accordion .mat-expansion-panel:last-of-type{border-bottom-right-radius:0;border-bottom-left-radius:0}.mat-expansion-panel:not([class*=mat-elevation-z]){box-shadow:none!important}.appearance--dark :host{--color-background: #333333;--color-light-background: #f2f2f2}\n"] }]
        }], propDecorators: { presetGroups: [{
                type: Input
            }], presetInteractions: [{
                type: Output
            }], talenraInboxPresetMenuTrigger: [{
                type: ViewChild,
                args: ['talenraInboxPresetMenuTrigger']
            }], savePresetInput: [{
                type: ViewChild,
                args: ['savePresetInput']
            }], saveNewPresetInput: [{
                type: ViewChild,
                args: ['saveNewPresetInput']
            }] } });

/**
 * The toolbar is an important component that allows to access needed data from the data items list faster and increase
 * the usability.
 *
 * ```html
 * <talenra-inbox-toolbar
 *   fcn="{{searchFieldFcn}}"
 *   label="{{searchFieldLabel}}"
 *   [maxLength]="searchFieldMaxLength"
 *   [searchForm]="searchField"
 *   [disabledButtons]="disabledButtons"
 *   [checkedForm]="checkedForm"
 *   (iconBtn)="iconBtnFunction($event)"
 * ></talenra-inbox-toolbar>
 * ```
 */
class InboxToolbarComponent {
    constructor() {
        /**
         * Input to define the pre-set options group.
         */
        this.presetGroups = [];
        /**
         * Identifies the form-control which is part of the form-group.
         */
        this.fcn = 'search';
        /**
         * The form-group which defines the overall form consisting most of the time
         * of multiple inputs, gets passed into the component.
         */
        this.searchForm = new FormGroup({
            search: new FormControl(''),
        });
        /**
         * Input to disable checkbox behavior and UI.
         */
        this.disableBulkInteractionButtons = false;
        /**
         * Input to disable the detail view tab change button in the toolbar and set it to a fixed state.
         * Used to set state if no data items are found.
         */
        this.fixDisableDetailViewToggle = false;
        /**
         * Number of marked data items.
         */
        this.numberMarkedDataItems = 0;
        /**
         * Boolean to show if the data is to be refreshed.
         */
        this.refreshing = false;
        /**
         * Checkbox state of the toolbar checkbox.
         */
        this.checkboxState = CheckboxState.Outline;
        /**
         * EventEmitter for icon button clicks.
         */
        this.iconBtn = new EventEmitter();
        /**
         * EventEmitter for icon button clicks.
         */
        this.presetInteractions = new EventEmitter();
        /**
         * EventEmitter to delete preset.
         */
        this.deletePreset = new EventEmitter();
        /**
         * EventEmitter to change preset name
         */
        this.changePresetName = new EventEmitter();
        /**
         * Emitter for the change in the checkbox state of the toolbar checkbox.
         */
        this.checkboxStateChange = new EventEmitter();
        /**
         * Form for checkbox interaction.
         */
        this.checkedForm = new FormGroup({
            check: new FormControl({ value: false, disabled: false }),
        });
        /**
         * List style for the checkbox behavior and UI.
         */
        this.checkboxIndeterminate = false;
        /**
         * Observable which contains the width of the component.
         */
        this.width$ = new BehaviorSubject(0);
        /**
         * The width of the line break setting.
         */
        this.LINEBREAKWIDTH = 659;
        /**
         * The inbox service.
         */
        this.inboxState = inject(InboxState);
        /**
         * The inbox detail view service.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * The data items service.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The inbox toolbar service.
         */
        this.inboxToolbarService = inject(InboxToolbarService);
        /**
         * The keyboard service.
         * @internal
         * @private
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * Semaphore to stop accessing checkbox value a second time.
         * @internal
         */
        this.checkboxSemaphore = new BehaviorSubject(false);
        /**
         * The subscriptions of the inbox toolbar component.
         * @internal
         * @private
         */
        this.subscriptions = new Subscription();
        /**
         * The element reference.
         * @internal
         * @private
         */
        this.elementRef = inject(ElementRef);
        /**
         * The zone.
         * @internal
         * @private
         */
        this.zone = inject(NgZone);
        /**
         * Initializes the subscriptions of the resize observable.
         * @internal
         */
        this.observer = new ResizeObserver((entries) => {
            this.zone.run(() => {
                this.width$.next(entries[0].contentRect.width);
            });
        });
    }
    /**
     * Initializes the inbox toolbar component.
     * @internal
     */
    ngOnInit() {
        // subscription for the checkbox state change by the user
        this.subscriptions.add(this.checkedForm.get('check')?.valueChanges.subscribe((value) => {
            if (value && !this.checkboxSemaphore.value) {
                // emit checkbox state change for default inbox functionality
                this.checkboxStateChange.emit(CheckboxState.Checked);
                // set checkbox state to checked in service
                this.inboxToolbarService.setCheckboxState(CheckboxState.Checked);
            }
            else if (!value && !this.checkboxSemaphore.value) {
                // emit checkbox state change for default inbox functionality
                this.checkboxStateChange.emit(CheckboxState.Outline);
                // set checkbox state to checked in service
                this.inboxToolbarService.setCheckboxState(CheckboxState.Outline);
            }
            // set semaphore to false
            this.checkboxSemaphore.next(false);
        }));
        // subscription for the checkbox change by the consuming application through the service
        this.subscriptions.add(this.inboxToolbarService.checkboxState$.subscribe((value) => {
            this.changeCheckboxState(value);
        }));
        this.subscriptions.add(this.keyboardService.escapeKeyPressed.subscribe((value) => {
            // unsubscribe from window resizing event, for performance reasons
            if (value && this.resizeSubscription$) {
                this.resizeSubscription$.unsubscribe();
            }
            value && this.talenraInboxToolbarMenuTrigger?.closeMenu();
        }));
        // subscription if the public api is used to open/close the actions menu
        this.subscriptions.add(this.inboxState.actionMenuExpanded$.subscribe((value) => {
            if (!this.inboxState.actionsMenuClickFlag.value) {
                this.interactionActionMenuSubscriptions(value);
            }
        }));
        // add first element of component (component itself) to resize observer
        this.observer.observe(this.elementRef.nativeElement.firstElementChild);
    }
    /**
     * Called when the component input is changed.
     * @internal
     * @param changes The changes of the component.
     */
    ngOnChanges(changes) {
        const checkboxStateChange = changes['checkboxState'];
        if (checkboxStateChange && !checkboxStateChange.firstChange) {
            this.changeCheckboxState(checkboxStateChange.currentValue);
        }
    }
    /**
     * Unsubscribes and unobserved from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.observer.unobserve(this.elementRef.nativeElement.firstElementChild);
        this.subscriptions.unsubscribe();
    }
    /**
     * Click event emit that attribute settings side panel will open.
     * @param {MouseEvent} event Click event.
     */
    onShowAttributesSettingsClick(event) {
        event?.stopPropagation();
        // set active tab in side panel
        this.inboxState.setSelectedSidePanelTab('1');
        // open side panel
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        this.iconBtn.emit('edit-note');
    }
    /**
     * Click event emit that inbox detail view side panel will close.
     * @param {MouseEvent} event Click event.
     */
    onDetailsClick(event) {
        if (this.inboxDetailViewService.detailViewExpanded$.value && !this.fixDisableDetailViewToggle) {
            this.iconBtn.emit('vertical-split');
        }
        else if (!this.inboxDetailViewService.detailViewExpanded$.value && !this.fixDisableDetailViewToggle) {
            this.iconBtn.emit('reorder');
        }
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        event.stopPropagation();
    }
    /**
     * Click event emit that 'unfold-less' and 'unfold-more' icon will switch.
     * @param {MouseEvent} event Click event.
     */
    onCompressClick(event) {
        this.iconBtn.emit('compress');
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        event.stopPropagation();
    }
    /**
     * Click event emit that filter options can be viewed.
     * @param {MouseEvent} event Click event.
     */
    onFilterListClick(event) {
        this.iconBtn.emit('filter-list');
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        event.stopPropagation();
    }
    /**
     * Click event emit that opens the preset.
     */
    stopPropagation(event) {
        // TODO: remove when preset menu is refactored
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        event.stopPropagation();
    }
    /**
     * Click event emit that a CSV can be downloaded.
     * @param {MouseEvent} event Click event.
     */
    onDownloadClick(event) {
        this.iconBtn.emit('file-download');
        if (this.condensedMenuTrigger?.menuOpen) {
            this.condensedMenuTrigger.closeMenu();
        }
        event.stopPropagation();
    }
    /**
     * Click event emit that more actions can be seen.
     * @param {string} source The source of the click event.
     */
    onGetActionsClick(source) {
        if (source === 'mouse') {
            // set action menu expanded to true
            this.inboxState.setActionsMenuClickFlag(true);
            this.inboxState.setActionMenuExpanded(true);
            this.inboxState.setActionsMenuClickFlag(false);
        }
        this.iconBtn.emit('more_vert-bulk');
        // subscribe to window resizing event to close when window is resized
        this.resizeObservable$ = fromEvent(window, 'resize');
        this.resizeSubscription$ = this.resizeObservable$.subscribe(() => {
            // close menu when window is resized and unsubscribe from window resizing event, for performance reasons
            this.talenraInboxToolbarMenuTrigger?.closeMenu();
            this.resizeSubscription$.unsubscribe();
        });
    }
    /**
     * Click event emit that the process can start.
     */
    onStartProcessClick() {
        this.iconBtn.emit('arrow-forward-bulk');
    }
    /**
     * Handler for the preset interactions.
     * @param event The event of the preset interactions.
     */
    onPresetInteractions(event) {
        this.presetInteractions.emit(event);
    }
    /**
     * Click event emit that the refresh btn is clicked.
     */
    onRefreshClick() {
        if (!this.refreshing) {
            this.refreshing = true;
            this.iconBtn.emit('refresh');
        }
    }
    /**
     * Handles the closing of the action menu.
     * Sets the value for the public api.
     */
    onActionsMenuClosed() {
        this.inboxState.setActionMenuExpanded(false);
    }
    /**
     * Handles the opening of the action menu if accessed by a subscription.
     * @param value The value of the subscription.
     */
    interactionActionMenuSubscriptions(value) {
        if (value && (!this.disableBulkInteractionButtons || this.inboxToolbarService.selectedItemsCount$.value > 1)) {
            // set action menu expanded to true
            this.inboxState.setActionsMenuClickFlag(true);
            this.inboxState.setActionMenuExpanded(true);
            this.inboxState.setActionsMenuClickFlag(false);
            this.talenraInboxToolbarMenuTrigger?.openMenu();
            this.onGetActionsClick();
        }
        else if (!value && this.disableBulkInteractionButtons && this.talenraInboxToolbarMenuTrigger) {
            // unsubscribe from window resizing event, for performance reasons
            if (this.resizeSubscription$) {
                this.resizeSubscription$.unsubscribe();
            }
            this.talenraInboxToolbarMenuTrigger.closeMenu();
        }
        else if (!value) {
            this.talenraInboxToolbarMenuTrigger &&
                this.talenraInboxToolbarMenuTrigger.menuOpen &&
                this.talenraInboxToolbarMenuTrigger.closeMenu();
        }
    }
    /**
     * Changes the checkbox state in the form.
     * @param value The value of the checkbox state.
     * @private
     */
    changeCheckboxState(value) {
        this.checkboxSemaphore.next(true);
        switch (value) {
            case CheckboxState.Outline:
                this.checkedForm.get('check')?.setValue(false);
                this.checkboxIndeterminate = false;
                break;
            case CheckboxState.Indeterminate:
                this.checkedForm.get('check')?.setValue(false);
                this.checkboxIndeterminate = true;
                break;
            case CheckboxState.Checked:
                this.checkedForm.get('check')?.setValue(true);
                this.checkboxIndeterminate = false;
                break;
            default:
                break;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxToolbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: InboxToolbarComponent, selector: "talenra-inbox-toolbar", inputs: { presetGroups: "presetGroups", fcn: "fcn", maxLength: "maxLength", searchForm: "searchForm", disableBulkInteractionButtons: "disableBulkInteractionButtons", fixDisableDetailViewToggle: "fixDisableDetailViewToggle", numberMarkedDataItems: "numberMarkedDataItems", refreshing: "refreshing", checkboxState: "checkboxState" }, outputs: { iconBtn: "iconBtn", presetInteractions: "presetInteractions", deletePreset: "deletePreset", changePresetName: "changePresetName", checkboxStateChange: "checkboxStateChange" }, viewQueries: [{ propertyName: "condensedMenuTrigger", first: true, predicate: ["condensedMenuTrigger"], descendants: true }, { propertyName: "talenraInboxToolbarMenuTrigger", first: true, predicate: ["talenraInboxToolbarMenuTrigger"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"main-container\">\n  <talenra-search-field\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableSearchToolbar\"\n    [formGroup]=\"searchForm\"\n    showIcon>\n    <input [attr.maxlength]=\"maxLength\" [formControlName]=\"fcn\" kind=\"no-indent\" talenra-search />\n  </talenra-search-field>\n\n  <div class=\"action-buttons\">\n    <div #inboxToolbarCustomSpace>\n      <ng-content select=\"[custom-toolbar-space]\"></ng-content>\n    </div>\n\n    <div *ngIf=\"inboxToolbarCustomSpace.children.length\" [class.collapsed]=\"true\" class=\"vertical-divider\"></div>\n\n    <button\n      (click)=\"onRefreshClick()\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableRefreshToolbar\"\n      [kind]=\"'ghost'\"\n      [size]=\"'m'\"\n      [waiting]=\"refreshing\"\n      class=\"btn talenra-btn\"\n      data-testid=\"inbox-refresh-button\"\n      icon=\"refresh\"\n      talenra-button\n      talenraTooltip=\"Aktualisieren\"></button>\n\n    <div\n      *ngIf=\"\n        !(\n          inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n          inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar &&\n          inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\n        ) && !inboxState.inboxConfiguration$.value.disableRefreshToolbar\n      \"\n      [class.collapsed]=\"true\"\n      class=\"vertical-divider\"></div>\n\n    <button\n      #condensedMenuTrigger=\"matMenuTrigger\"\n      *ngIf=\"width$.value <= LINEBREAKWIDTH\"\n      [disabled]=\"refreshing\"\n      [matMenuTriggerFor]=\"condensedMenu\"\n      class=\"btn\"\n      data-testid=\"inbox-advanced-menu-button\"\n      icon=\"more-horiz\"\n      id=\"condensedMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Erweitertes Menu\"\n      size=\"m\"></button>\n\n    <button\n      (click)=\"onDetailsClick($event)\"\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH &&\n        !inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n        !inboxState.inboxConfiguration$.value.disableDetailView\n      \"\n      [disabled]=\"refreshing || fixDisableDetailViewToggle\"\n      [icon]=\"\n        (inboxDetailViewService.detailViewExpanded$ | async) || fixDisableDetailViewToggle\n          ? 'reorder'\n          : 'vertical-split'\n      \"\n      [talenraTooltip]=\"\n        (inboxDetailViewService.detailViewExpanded$ | async) || fixDisableDetailViewToggle\n          ? 'Detaileinsicht aus'\n          : 'Detaileinsicht ein'\n      \"\n      class=\"btn\"\n      data-testid=\"inbox-detail-view-toggle\"\n      kind=\"ghost\"\n      talenra-button\n      size=\"m\"></button>\n    <button\n      (click)=\"onCompressClick($event)\"\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar\n      \"\n      [disabled]=\"refreshing\"\n      [icon]=\"(dataItemsService.compressedDataItem$ | async) ? 'unfold-more' : 'unfold-less'\"\n      [talenraTooltip]=\"(dataItemsService.compressedDataItem$ | async) ? 'Hinweise ein' : 'Hinweise aus'\"\n      class=\"btn\"\n      data-testid=\"inbox-icon-notes-button\"\n      kind=\"ghost\"\n      talenra-button\n      size=\"m\"></button>\n    <button\n      (click)=\"onShowAttributesSettingsClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n      class=\"btn\"\n      data-testid=\"inbox-attributes-button\"\n      icon=\"edit-square\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzeige Fall-Informationen \u00E4ndern\"\n      size=\"m\"></button>\n\n    <div\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH &&\n        !(\n          inboxState.inboxConfiguration$.value.disableExpertFilterToolbar &&\n          (inboxState.inboxConfiguration$.value.disablePresetMenuToolbar || presetGroups === undefined) &&\n          inboxState.inboxConfiguration$.value.disableCSVExportToolbar\n        )\n      \"\n      [class.collapsed]=\"width$.value > LINEBREAKWIDTH\"\n      class=\"vertical-divider\"></div>\n    <button\n      (click)=\"onFilterListClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableExpertFilterToolbar\"\n      class=\"btn\"\n      data-testid=\"inbox-expert-filter-button\"\n      icon=\"filter-list\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Filtern\"\n      size=\"m\"></button>\n\n    <talenra-presets\n      (presetInteractions)=\"onPresetInteractions($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disablePresetMenuToolbar && presetGroups !== undefined\"\n      [presetGroups]=\"presetGroups\"></talenra-presets>\n\n    <button\n      (click)=\"onDownloadClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableCSVExportToolbar\"\n      [disabled]=\"refreshing\"\n      class=\"btn\"\n      data-testid=\"inbox-csv-button\"\n      icon=\"file-download\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"CSV herunterladen\"\n      size=\"m\"></button>\n\n    <div\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar\"\n      [class.collapsed]=\"true\"\n      class=\"vertical-divider\"></div>\n\n    <div\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableCheckboxInteractionsToolbar\n      \"\n      [formGroup]=\"checkedForm\"\n      class=\"checkbox-wrapper\"\n      data-testid=\"inbox-checkbox-select-all\">\n      <talenra-checkbox\n        [(indeterminate)]=\"checkboxIndeterminate\"\n        [talenraTooltip]=\"checkboxState === 'checked' ? 'Alle abw\u00E4hlen' : 'Alle ausw\u00E4hlen'\"\n        class=\"ui-checkbox\"\n        formControlName=\"check\">\n      </talenra-checkbox>\n      <talenra-badge\n        [counter]=\"\n          inboxToolbarService.selectedItemsCount$.value > -1\n            ? inboxToolbarService.selectedItemsCount$.value\n            : this.numberMarkedDataItems\n        \"\n        [maxVal]=\"inboxState.inboxConfiguration$.value.maxBadgeCounterToolbar\"\n        class=\"badge\"\n        data-testid=\"inbox-toolbar-checkbox-badge\"></talenra-badge>\n    </div>\n    <button\n      #talenraInboxToolbarMenuTrigger=\"matMenuTrigger\"\n      (click)=\"onGetActionsClick('mouse')\"\n      (menuClosed)=\"onActionsMenuClosed()\"\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableBulkFurtherInteractionsToolbar\n      \"\n      [disabled]=\"\n        (disableBulkInteractionButtons && -1 === inboxToolbarService.selectedItemsCount$.value) ||\n        (inboxToolbarService.selectedItemsCount$.value > -1 && inboxToolbarService.selectedItemsCount$.value <= 1) ||\n        refreshing\n      \"\n      [matMenuTriggerFor]=\"furtherActions\"\n      class=\"btn bulk-more-btn\"\n      icon=\"more-vert\"\n      id=\"talenraInboxToolbarMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Sammelaktionen\"\n      size=\"m\"></button>\n    <button\n      (click)=\"onStartProcessClick()\"\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableBulkContinueButtonToolbar\n      \"\n      [class.hide-further-actions]=\"inboxState.inboxConfiguration$.value.disableBulkFurtherInteractionsToolbar\"\n      [disabled]=\"\n        (disableBulkInteractionButtons && -1 === inboxToolbarService.selectedItemsCount$.value) ||\n        (inboxToolbarService.selectedItemsCount$.value > -1 && inboxToolbarService.selectedItemsCount$.value <= 1) ||\n        refreshing\n      \"\n      class=\"btn bulk-process-btn\"\n      data-testid=\"inbox-process-toolbar-button\"\n      icon=\"arrow-forward\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Mehrere F\u00E4lle ausf\u00FChren\"\n      size=\"m\"></button>\n  </div>\n</div>\n\n<mat-menu #condensedMenu class=\"talenra-inbox-toolbar-condensed-icons-menu\">\n  <div class=\"condensed-icons-menu\">\n    <div class=\"condensed-icons-menu-title medium-font\">Menu</div>\n    <div class=\"condensed-icons-menu-body\">\n      <div class=\"horizontal-divider\"></div>\n      <div\n        (click)=\"onDetailsClick($event)\"\n        *ngIf=\"\n          !inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n          !inboxState.inboxConfiguration$.value.disableDetailView\n        \"\n        [class.disabled]=\"fixDisableDetailViewToggle\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon\n            *ngIf=\"(inboxDetailViewService.detailViewExpanded$ | async) === false && !fixDisableDetailViewToggle\"\n            class=\"icon-mini\"\n            name=\"vertical-split\"></talenra-icon>\n          <talenra-icon\n            *ngIf=\"(inboxDetailViewService.detailViewExpanded$ | async) === true && !fixDisableDetailViewToggle\"\n            class=\"icon-mini\"\n            name=\"reorder\"></talenra-icon>\n          <talenra-icon *ngIf=\"fixDisableDetailViewToggle\" class=\"icon-mini icon-deactivated\" name=\"reorder\"></talenra-icon>\n          Detailansicht ein/aus\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">Y</div>\n      </div>\n      <div\n        (click)=\"onCompressClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon\n            *ngIf=\"(dataItemsService.compressedDataItem$ | async) === false\"\n            class=\"icon-mini\"\n            name=\"unfold-less\"></talenra-icon>\n          <talenra-icon\n            *ngIf=\"(dataItemsService.compressedDataItem$ | async) === true\"\n            class=\"icon-mini\"\n            name=\"unfold-more\"></talenra-icon>\n          Hinweise ein/aus\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">C</div>\n      </div>\n      <div\n        (click)=\"onShowAttributesSettingsClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon class=\"icon-mini\" name=\"edit-square\"></talenra-icon>\n          Anzeige Fall-Informationen \u00E4ndern\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">X</div>\n      </div>\n      <div class=\"horizontal-divider\"></div>\n      <!--       TODO: add as soon as expert filter is implemented-->\n      <!--      <div-->\n      <!--        (click)=\"onFilterListClick($event)\"-->\n      <!--        *ngIf=\"!inboxState.inboxConfiguration$.value.disableExpertFilterToolbar\"-->\n      <!--        class=\"condensed-icons-menu-body-item disabled\">-->\n      <!--        <div class=\"condensed-icons-menu-body-item-icon-text\">-->\n      <!--          <talenra-icon class=\"icon-mini icon-mini-disabled\" name=\"filter-list\"></talenra-icon>-->\n      <!--          Experten Filter-->\n      <!--        </div>-->\n      <!--        <div class=\"condensed-icons-menu-body-item-shortcut\">E</div>-->\n      <!--      </div>-->\n      <div\n        (click)=\"onDownloadClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableCSVExportToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon class=\"icon-mini\" name=\"file-download\"></talenra-icon>\n          CSV herunterladen\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\"></div>\n      </div>\n      <div class=\"horizontal-divider\"></div>\n    </div>\n  </div>\n</mat-menu>\n\n<mat-menu #furtherActions hasBackdrop=\"true\" xPosition=\"before\">\n  <ng-content select=\"[further-actions-menu]\"></ng-content>\n</mat-menu>\n", styles: [":host{--color-background: #ffffff;--color-vertical-divider: #e6e6e6}div[matExpansionPanelBody].test{padding:0}.main-container{height:3.125rem;background:var(--color-background);padding-left:1.5rem;border-radius:.1875rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between}.action-buttons{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-right:1rem}.vertical-divider{border-left:.0625rem solid var(--color-vertical-divider);border-radius:.0625rem;opacity:0;height:0;margin:0;transition:opacity .3s,height .3s,margin .3s}.vertical-divider.collapsed{opacity:1;height:32px;margin:9px 16px}.checkbox-wrapper{position:relative}.badge{position:absolute;top:0;right:0;transform:translateY(-.375rem) translate(.625rem)}.condensed-icons-menu{margin:12px 30px;font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}.condensed-icons-menu-title{margin-bottom:8px}.condensed-icons-menu-body-item{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between;padding:3px;cursor:pointer}.condensed-icons-menu-body-item:hover{background:#e6e6e6;border-radius:4px}.condensed-icons-menu-body-item.disabled{cursor:default;color:#b3b3b3}.condensed-icons-menu-body-item-shortcut{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em}.horizontal-divider{border-bottom:1px solid #e6e6e6;display:block;margin:14px 0}.icon-mini{font-size:18px;color:#4d4d4d;margin-right:8px}.icon-mini.icon-mini-disabled{color:#b3b3b3}.bulk-more-btn:focus{outline:none}.btn{padding:0;margin:0 .5rem}.talenra-btn{margin:0 6px}.ui-checkbox{margin:0 0 0 .5rem}.bulk-more-btn{margin:0 .5rem}.bulk-process-btn{margin:0}.hide-further-actions{margin:0 0 0 8px}.icon-deactivated{color:#b3b3b3}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.mat-badge-small.mat-badge-overlap.mat-badge-after .mat-badge-content{background:#0099a8}::ng-deep .mat-mdc-menu-panel.mat-mdc-menu-panel.talenra-inbox-toolbar-condensed-icons-menu{overflow:hidden;min-width:380px!important;max-width:380px!important}.appearance--dark :host{--color-background: #333333;--color-vertical-divider: #4d4d4d}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$3.CheckboxComponent, selector: "talenra-checkbox", inputs: ["size", "labelPosition", "indeterminate", "pointerDisabled"], outputs: ["indeterminateChange", "checkedChange"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i4$2.SearchInputComponent, selector: "input[talenra-search]", inputs: ["kind", "disabled"] }, { kind: "component", type: i4$2.SearchFieldComponent, selector: "talenra-search-field", inputs: ["showIcon", "showButton"], outputs: ["search"] }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i9.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "directive", type: i9.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "component", type: i9$1.BadgeComponent, selector: "talenra-badge", inputs: ["counter", "maxVal"] }, { kind: "component", type: PresetsComponent, selector: "talenra-presets", inputs: ["presetGroups"], outputs: ["presetInteractions"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxToolbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-toolbar', template: "<div class=\"main-container\">\n  <talenra-search-field\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableSearchToolbar\"\n    [formGroup]=\"searchForm\"\n    showIcon>\n    <input [attr.maxlength]=\"maxLength\" [formControlName]=\"fcn\" kind=\"no-indent\" talenra-search />\n  </talenra-search-field>\n\n  <div class=\"action-buttons\">\n    <div #inboxToolbarCustomSpace>\n      <ng-content select=\"[custom-toolbar-space]\"></ng-content>\n    </div>\n\n    <div *ngIf=\"inboxToolbarCustomSpace.children.length\" [class.collapsed]=\"true\" class=\"vertical-divider\"></div>\n\n    <button\n      (click)=\"onRefreshClick()\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableRefreshToolbar\"\n      [kind]=\"'ghost'\"\n      [size]=\"'m'\"\n      [waiting]=\"refreshing\"\n      class=\"btn talenra-btn\"\n      data-testid=\"inbox-refresh-button\"\n      icon=\"refresh\"\n      talenra-button\n      talenraTooltip=\"Aktualisieren\"></button>\n\n    <div\n      *ngIf=\"\n        !(\n          inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n          inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar &&\n          inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\n        ) && !inboxState.inboxConfiguration$.value.disableRefreshToolbar\n      \"\n      [class.collapsed]=\"true\"\n      class=\"vertical-divider\"></div>\n\n    <button\n      #condensedMenuTrigger=\"matMenuTrigger\"\n      *ngIf=\"width$.value <= LINEBREAKWIDTH\"\n      [disabled]=\"refreshing\"\n      [matMenuTriggerFor]=\"condensedMenu\"\n      class=\"btn\"\n      data-testid=\"inbox-advanced-menu-button\"\n      icon=\"more-horiz\"\n      id=\"condensedMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Erweitertes Menu\"\n      size=\"m\"></button>\n\n    <button\n      (click)=\"onDetailsClick($event)\"\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH &&\n        !inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n        !inboxState.inboxConfiguration$.value.disableDetailView\n      \"\n      [disabled]=\"refreshing || fixDisableDetailViewToggle\"\n      [icon]=\"\n        (inboxDetailViewService.detailViewExpanded$ | async) || fixDisableDetailViewToggle\n          ? 'reorder'\n          : 'vertical-split'\n      \"\n      [talenraTooltip]=\"\n        (inboxDetailViewService.detailViewExpanded$ | async) || fixDisableDetailViewToggle\n          ? 'Detaileinsicht aus'\n          : 'Detaileinsicht ein'\n      \"\n      class=\"btn\"\n      data-testid=\"inbox-detail-view-toggle\"\n      kind=\"ghost\"\n      talenra-button\n      size=\"m\"></button>\n    <button\n      (click)=\"onCompressClick($event)\"\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar\n      \"\n      [disabled]=\"refreshing\"\n      [icon]=\"(dataItemsService.compressedDataItem$ | async) ? 'unfold-more' : 'unfold-less'\"\n      [talenraTooltip]=\"(dataItemsService.compressedDataItem$ | async) ? 'Hinweise ein' : 'Hinweise aus'\"\n      class=\"btn\"\n      data-testid=\"inbox-icon-notes-button\"\n      kind=\"ghost\"\n      talenra-button\n      size=\"m\"></button>\n    <button\n      (click)=\"onShowAttributesSettingsClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n      class=\"btn\"\n      data-testid=\"inbox-attributes-button\"\n      icon=\"edit-square\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzeige Fall-Informationen \u00E4ndern\"\n      size=\"m\"></button>\n\n    <div\n      *ngIf=\"\n        width$.value > LINEBREAKWIDTH &&\n        !(\n          inboxState.inboxConfiguration$.value.disableExpertFilterToolbar &&\n          (inboxState.inboxConfiguration$.value.disablePresetMenuToolbar || presetGroups === undefined) &&\n          inboxState.inboxConfiguration$.value.disableCSVExportToolbar\n        )\n      \"\n      [class.collapsed]=\"width$.value > LINEBREAKWIDTH\"\n      class=\"vertical-divider\"></div>\n    <button\n      (click)=\"onFilterListClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableExpertFilterToolbar\"\n      class=\"btn\"\n      data-testid=\"inbox-expert-filter-button\"\n      icon=\"filter-list\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Filtern\"\n      size=\"m\"></button>\n\n    <talenra-presets\n      (presetInteractions)=\"onPresetInteractions($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disablePresetMenuToolbar && presetGroups !== undefined\"\n      [presetGroups]=\"presetGroups\"></talenra-presets>\n\n    <button\n      (click)=\"onDownloadClick($event)\"\n      *ngIf=\"width$.value > LINEBREAKWIDTH && !inboxState.inboxConfiguration$.value.disableCSVExportToolbar\"\n      [disabled]=\"refreshing\"\n      class=\"btn\"\n      data-testid=\"inbox-csv-button\"\n      icon=\"file-download\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"CSV herunterladen\"\n      size=\"m\"></button>\n\n    <div\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar\"\n      [class.collapsed]=\"true\"\n      class=\"vertical-divider\"></div>\n\n    <div\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableCheckboxInteractionsToolbar\n      \"\n      [formGroup]=\"checkedForm\"\n      class=\"checkbox-wrapper\"\n      data-testid=\"inbox-checkbox-select-all\">\n      <talenra-checkbox\n        [(indeterminate)]=\"checkboxIndeterminate\"\n        [talenraTooltip]=\"checkboxState === 'checked' ? 'Alle abw\u00E4hlen' : 'Alle ausw\u00E4hlen'\"\n        class=\"ui-checkbox\"\n        formControlName=\"check\">\n      </talenra-checkbox>\n      <talenra-badge\n        [counter]=\"\n          inboxToolbarService.selectedItemsCount$.value > -1\n            ? inboxToolbarService.selectedItemsCount$.value\n            : this.numberMarkedDataItems\n        \"\n        [maxVal]=\"inboxState.inboxConfiguration$.value.maxBadgeCounterToolbar\"\n        class=\"badge\"\n        data-testid=\"inbox-toolbar-checkbox-badge\"></talenra-badge>\n    </div>\n    <button\n      #talenraInboxToolbarMenuTrigger=\"matMenuTrigger\"\n      (click)=\"onGetActionsClick('mouse')\"\n      (menuClosed)=\"onActionsMenuClosed()\"\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableBulkFurtherInteractionsToolbar\n      \"\n      [disabled]=\"\n        (disableBulkInteractionButtons && -1 === inboxToolbarService.selectedItemsCount$.value) ||\n        (inboxToolbarService.selectedItemsCount$.value > -1 && inboxToolbarService.selectedItemsCount$.value <= 1) ||\n        refreshing\n      \"\n      [matMenuTriggerFor]=\"furtherActions\"\n      class=\"btn bulk-more-btn\"\n      icon=\"more-vert\"\n      id=\"talenraInboxToolbarMenuTrigger\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Sammelaktionen\"\n      size=\"m\"></button>\n    <button\n      (click)=\"onStartProcessClick()\"\n      *ngIf=\"\n        !inboxState.inboxConfiguration$.value.disableBulkInteractionsToolbar &&\n        !inboxState.inboxConfiguration$.value.disableBulkContinueButtonToolbar\n      \"\n      [class.hide-further-actions]=\"inboxState.inboxConfiguration$.value.disableBulkFurtherInteractionsToolbar\"\n      [disabled]=\"\n        (disableBulkInteractionButtons && -1 === inboxToolbarService.selectedItemsCount$.value) ||\n        (inboxToolbarService.selectedItemsCount$.value > -1 && inboxToolbarService.selectedItemsCount$.value <= 1) ||\n        refreshing\n      \"\n      class=\"btn bulk-process-btn\"\n      data-testid=\"inbox-process-toolbar-button\"\n      icon=\"arrow-forward\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Mehrere F\u00E4lle ausf\u00FChren\"\n      size=\"m\"></button>\n  </div>\n</div>\n\n<mat-menu #condensedMenu class=\"talenra-inbox-toolbar-condensed-icons-menu\">\n  <div class=\"condensed-icons-menu\">\n    <div class=\"condensed-icons-menu-title medium-font\">Menu</div>\n    <div class=\"condensed-icons-menu-body\">\n      <div class=\"horizontal-divider\"></div>\n      <div\n        (click)=\"onDetailsClick($event)\"\n        *ngIf=\"\n          !inboxState.inboxConfiguration$.value.disableDetailViewToggleToolbar &&\n          !inboxState.inboxConfiguration$.value.disableDetailView\n        \"\n        [class.disabled]=\"fixDisableDetailViewToggle\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon\n            *ngIf=\"(inboxDetailViewService.detailViewExpanded$ | async) === false && !fixDisableDetailViewToggle\"\n            class=\"icon-mini\"\n            name=\"vertical-split\"></talenra-icon>\n          <talenra-icon\n            *ngIf=\"(inboxDetailViewService.detailViewExpanded$ | async) === true && !fixDisableDetailViewToggle\"\n            class=\"icon-mini\"\n            name=\"reorder\"></talenra-icon>\n          <talenra-icon *ngIf=\"fixDisableDetailViewToggle\" class=\"icon-mini icon-deactivated\" name=\"reorder\"></talenra-icon>\n          Detailansicht ein/aus\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">Y</div>\n      </div>\n      <div\n        (click)=\"onCompressClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableCompressedDataListItemsToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon\n            *ngIf=\"(dataItemsService.compressedDataItem$ | async) === false\"\n            class=\"icon-mini\"\n            name=\"unfold-less\"></talenra-icon>\n          <talenra-icon\n            *ngIf=\"(dataItemsService.compressedDataItem$ | async) === true\"\n            class=\"icon-mini\"\n            name=\"unfold-more\"></talenra-icon>\n          Hinweise ein/aus\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">C</div>\n      </div>\n      <div\n        (click)=\"onShowAttributesSettingsClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon class=\"icon-mini\" name=\"edit-square\"></talenra-icon>\n          Anzeige Fall-Informationen \u00E4ndern\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\">X</div>\n      </div>\n      <div class=\"horizontal-divider\"></div>\n      <!--       TODO: add as soon as expert filter is implemented-->\n      <!--      <div-->\n      <!--        (click)=\"onFilterListClick($event)\"-->\n      <!--        *ngIf=\"!inboxState.inboxConfiguration$.value.disableExpertFilterToolbar\"-->\n      <!--        class=\"condensed-icons-menu-body-item disabled\">-->\n      <!--        <div class=\"condensed-icons-menu-body-item-icon-text\">-->\n      <!--          <talenra-icon class=\"icon-mini icon-mini-disabled\" name=\"filter-list\"></talenra-icon>-->\n      <!--          Experten Filter-->\n      <!--        </div>-->\n      <!--        <div class=\"condensed-icons-menu-body-item-shortcut\">E</div>-->\n      <!--      </div>-->\n      <div\n        (click)=\"onDownloadClick($event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableCSVExportToolbar\"\n        class=\"condensed-icons-menu-body-item\">\n        <div class=\"condensed-icons-menu-body-item-icon-text\">\n          <talenra-icon class=\"icon-mini\" name=\"file-download\"></talenra-icon>\n          CSV herunterladen\n        </div>\n        <div class=\"condensed-icons-menu-body-item-shortcut\"></div>\n      </div>\n      <div class=\"horizontal-divider\"></div>\n    </div>\n  </div>\n</mat-menu>\n\n<mat-menu #furtherActions hasBackdrop=\"true\" xPosition=\"before\">\n  <ng-content select=\"[further-actions-menu]\"></ng-content>\n</mat-menu>\n", styles: [":host{--color-background: #ffffff;--color-vertical-divider: #e6e6e6}div[matExpansionPanelBody].test{padding:0}.main-container{height:3.125rem;background:var(--color-background);padding-left:1.5rem;border-radius:.1875rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between}.action-buttons{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-right:1rem}.vertical-divider{border-left:.0625rem solid var(--color-vertical-divider);border-radius:.0625rem;opacity:0;height:0;margin:0;transition:opacity .3s,height .3s,margin .3s}.vertical-divider.collapsed{opacity:1;height:32px;margin:9px 16px}.checkbox-wrapper{position:relative}.badge{position:absolute;top:0;right:0;transform:translateY(-.375rem) translate(.625rem)}.condensed-icons-menu{margin:12px 30px;font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}.condensed-icons-menu-title{margin-bottom:8px}.condensed-icons-menu-body-item{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between;padding:3px;cursor:pointer}.condensed-icons-menu-body-item:hover{background:#e6e6e6;border-radius:4px}.condensed-icons-menu-body-item.disabled{cursor:default;color:#b3b3b3}.condensed-icons-menu-body-item-shortcut{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em}.horizontal-divider{border-bottom:1px solid #e6e6e6;display:block;margin:14px 0}.icon-mini{font-size:18px;color:#4d4d4d;margin-right:8px}.icon-mini.icon-mini-disabled{color:#b3b3b3}.bulk-more-btn:focus{outline:none}.btn{padding:0;margin:0 .5rem}.talenra-btn{margin:0 6px}.ui-checkbox{margin:0 0 0 .5rem}.bulk-more-btn{margin:0 .5rem}.bulk-process-btn{margin:0}.hide-further-actions{margin:0 0 0 8px}.icon-deactivated{color:#b3b3b3}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.mat-badge-small.mat-badge-overlap.mat-badge-after .mat-badge-content{background:#0099a8}::ng-deep .mat-mdc-menu-panel.mat-mdc-menu-panel.talenra-inbox-toolbar-condensed-icons-menu{overflow:hidden;min-width:380px!important;max-width:380px!important}.appearance--dark :host{--color-background: #333333;--color-vertical-divider: #4d4d4d}\n"] }]
        }], propDecorators: { presetGroups: [{
                type: Input
            }], fcn: [{
                type: Input
            }], maxLength: [{
                type: Input
            }], searchForm: [{
                type: Input
            }], disableBulkInteractionButtons: [{
                type: Input
            }], fixDisableDetailViewToggle: [{
                type: Input
            }], numberMarkedDataItems: [{
                type: Input
            }], refreshing: [{
                type: Input
            }], checkboxState: [{
                type: Input
            }], iconBtn: [{
                type: Output
            }], presetInteractions: [{
                type: Output
            }], deletePreset: [{
                type: Output
            }], changePresetName: [{
                type: Output
            }], checkboxStateChange: [{
                type: Output
            }], condensedMenuTrigger: [{
                type: ViewChild,
                args: ['condensedMenuTrigger']
            }], talenraInboxToolbarMenuTrigger: [{
                type: ViewChild,
                args: ['talenraInboxToolbarMenuTrigger']
            }] } });

/**
 * The subcategory of the data item list. Here a single pair of data is considered.  When selecting an element, various
 * actions are possible, e.g. displaying further information.
 *
 * ```html
 * <talenra-data-item
 *   [dataItem]="item"
 *   [furtherActionsMenu]="furtherActionsMenu"
 *   (dataItemsInteractions)="onDataItemsInteractions($event)"
 *   (clickedDataItem)="onSelectClick(item)"
 *   (shiftDataItem)="onShiftDataItemClick(item)"
 * ></talenra-data-item>
 * ```
 */
class DataItemComponent {
    constructor() {
        /**
         * Input for the selected main attributes
         */
        this.selectedMainAttributes = [];
        /**
         * Input for pairing attributes
         */
        this.pairingAttributes = [];
        /**
         * Input attribute to disable the icon buttons.
         */
        this.disableButtons = false;
        /**
         * Input attribute for the checkbox value.
         */
        this.checkboxValueChange = false;
        /**
         * Input attribute to check if the data item is locked.
         */
        this.lockedDataItem = false;
        /**
         * Transfer the clicked data item from the data items list item to the data item sidebar information.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.clickedDataItem = new EventEmitter();
        /**
         * Transfer the clicked data item from the data items list item to the data item sidebar information.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.shiftDataItem = new EventEmitter();
        /**
         * EventEmitter to send data items interactions.
         */
        this.dataItemsInteractions = new EventEmitter();
        /**
         * EventEmitter to send checkbox interactions.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.checkBoxInteraction = new EventEmitter();
        /**
         * Formgroup for the checkbox.
         */
        this.checkedForm = new FormGroup({
            check: new FormControl({ value: false, disabled: false }),
        });
        /**
         * Class to interact with data-item
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * The number of displayed attributes.
         */
        this.numberShownAttributes = 0;
        /**
         * Observable which contains the width of the component.
         */
        this.width$ = new BehaviorSubject(0);
        /**
         * The width of the line break setting.
         */
        this.LINEBREAKWIDTH = 550;
        /**
         * The min width of the condensed attribute blocks.
         */
        this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS = 223;
        /**
         * The min width of the component.
         */
        this.MINWIDTH = 270;
        /**
         * The width of the right item.
         */
        this.DATAITEMLISTRIGHTWIDTH = 90;
        /**
         * The width of the right item.
         */
        this.DATAITEMLISTRIGHTWIDTHCONDENSED = 42;
        /**
         * The padding between the items.
         */
        this.PADDINGBETWEENITEMS = 24;
        /**
         * The changed main attributes. Changed to incorporate the pairing of attributes.
         */
        this.changedMainAttributes = [];
        /**
         * The inbox service.
         */
        this.inboxState = inject(InboxState);
        /**
         * The data items service.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The inbox toolbar service.
         */
        this.inboxToolbarService = inject(InboxToolbarService);
        /**
         * The Math object to use for calculations.
         * @protected
         */
        this.Math = Math;
        /**
         * The subscriptions of the data item list component.
         * @internal
         */
        this.subscriptions = new Subscription();
        /**
         * The observable for the resize event.
         * @private
         */
        this.resizeObservable$ = new Observable();
        /**
         * The subscription for the resize event.
         * @private
         */
        this.resizeSubscription$ = new Subscription();
        /**
         * The element reference.
         * @private
         */
        this.elementRef = inject(ElementRef);
        /**
         * The changeDetectorRef reference.
         * @private
         */
        this.changeDetectorRef = inject(ChangeDetectorRef);
        /**
         * The keyboard service.
         * @private
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * The zone to run the resize observer.
         * @private
         */
        this.zone = inject(NgZone);
        /**
         * Initializes the resize observer of the data item list to get the width of the component.
         * @internal
         */
        this.observer = new ResizeObserver((entries) => {
            this.zone.run(() => {
                this.width$.next(entries[0].contentRect.width);
            });
        });
    }
    /**
     * Initializes the data item list component.
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Detects changes in the input values.
     * @param changes The changes.
     * @internal
     **/
    ngOnChanges(changes) {
        // Handle changes to 'dataItem'
        const dataItemChanges = changes['dataItem'];
        if (dataItemChanges && !dataItemChanges.firstChange) {
            this.resetOnChange();
        }
        const checkboxChanges = changes['checkboxValueChange'];
        if (checkboxChanges && !checkboxChanges.firstChange) {
            this.checkedForm.get('check')?.setValue(checkboxChanges.currentValue);
        }
        const lockedDataItemChanges = changes['lockedDataItem'];
        if (lockedDataItemChanges && !lockedDataItemChanges.firstChange) {
            // disable checkbox if data item is locked
            if (lockedDataItemChanges.currentValue) {
                this.checkedForm.get('check')?.disable();
            }
            else {
                this.checkedForm.get('check')?.enable();
            }
        }
        const selectedDataItemChanges = changes['selectedDataItem'];
        if (selectedDataItemChanges && !selectedDataItemChanges.firstChange) {
            this.resetOnChange();
        }
        const mainAttributesChanges = changes['selectedMainAttributes'];
        if (mainAttributesChanges && !mainAttributesChanges.firstChange) {
            this.resetOnChange();
        }
        const pairingAttributesChanges = changes['pairingAttributes'];
        if (pairingAttributesChanges && !pairingAttributesChanges.firstChange) {
            this.resetOnChange();
        }
    }
    /**
     * Unsubscribes from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.observer.unobserve(this.elementRef.nativeElement.firstElementChild);
        this.subscriptions.unsubscribe();
    }
    /**
     * To transfer data item list to data item sidebar information.
     */
    onDataItemListItemTransferClick() {
        if (!this.lockedDataItem) {
            if (this.keyboardService.metaKeyPressed.value) {
                const value = this.checkedForm.get('check')?.value;
                if (value) {
                    this.checkedForm.get('check')?.setValue(false);
                    this.checkBoxInteraction.emit({ checkedValue: false, dataItem: this.dataItem });
                }
                else {
                    this.checkedForm.get('check')?.setValue(true);
                    this.checkBoxInteraction.emit({ checkedValue: true, dataItem: this.dataItem });
                }
            }
            else if (this.keyboardService.shiftKeyPressed.value) {
                this.shiftDataItem.emit(this.dataItem);
            }
            else {
                this.clickedDataItem.emit(this.dataItem);
            }
        }
    }
    /**
     * After the checkbox is clicked, mouseEvent is propagated to stop further propagation on the whole item click.
     * @param {MouseEvent} event MouseEvent on the checkbox click.
     */
    onCheckboxClick(event) {
        event.stopPropagation();
    }
    /**
     * After the icon is clicked, action possibilities will be shown.
     * IconBtnFunction in inbox component handles the process.
     * @param source The source of the click.
     */
    onGetActionsClick(source) {
        if (source === 'mouse') {
            // set action menu expanded to true
            this.inboxState.setActionsMenuClickFlag(true);
            this.inboxState.setActionMenuExpanded(true);
            this.dataItemsInteractions.emit({
                dataItems: [this.dataItem],
                message: InteractedDataItemsMessageTypes.More,
            });
            this.inboxState.setActionsMenuClickFlag(false);
        }
        else {
            this.dataItemsInteractions.emit({
                dataItems: [this.dataItem],
                message: InteractedDataItemsMessageTypes.More,
            });
        }
        // subscribe to window resizing event to close when window is resized
        this.resizeObservable$ = fromEvent(window, 'resize');
        this.resizeSubscription$ = this.resizeObservable$.subscribe(() => {
            // close menu when window is resized and unsubscribe from window resizing event, for performance reasons
            this.inboxState.setActionMenuExpanded(false);
            this.talenraInboxDataItemsListItemMenuTrigger.closeMenu();
            this.resizeSubscription$.unsubscribe();
        });
    }
    /**
     * After the icon is clicked, the new process step (open new page, etc.) will start.
     * IconBtnFunction in inbox component handles the process.
     * @param {MouseEvent} event MouseEvent on the icon click.
     */
    onStartProcessClick(event) {
        event.stopPropagation();
        if (!this.lockedDataItem) {
            if (!this.inboxState.inboxConfiguration$.value.disableInteractionsDataItemsList &&
                !this.inboxState.inboxConfiguration$.value.disableContinueButtonDataItemsList) {
                this.dataItemsInteractions.emit({
                    dataItems: [this.dataItem],
                    message: InteractedDataItemsMessageTypes.Process,
                });
            }
        }
    }
    /**
     * Checks if the width of the item is smaller than the minimum width to enable two columns.
     * @internal
     */
    adjustItemWidth() {
        // check if interaction buttons are condensed to one column
        if (this.width$.value <= this.MINWIDTH) {
            return this.width$.value - this.DATAITEMLISTRIGHTWIDTHCONDENSED + 'px';
        }
        else {
            return this.width$.value - this.DATAITEMLISTRIGHTWIDTH + 'px';
        }
    }
    /**
     * Returns half the width of the first column.
     * @internal
     */
    adjustFirstItemWidth() {
        if (this.width$.value / 2 - this.DATAITEMLISTRIGHTWIDTH < this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS) {
            const newValue = this.width$.value / 2 -
                this.PADDINGBETWEENITEMS +
                (this.width$.value / 2 - this.DATAITEMLISTRIGHTWIDTH - this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS);
            if (newValue < this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS) {
                return this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS + 'px';
            }
            return newValue + 'px';
        }
        return this.width$.value / 2 - this.PADDINGBETWEENITEMS + 'px';
    }
    /**
     * Returns half the width of the second column.
     * @internal
     */
    adjustSecondItemWidth() {
        if (this.width$.value / 2 - this.DATAITEMLISTRIGHTWIDTH < this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS) {
            return this.MINWIDTHCONDENSEDATTRIBUTEBLOCKS + 'px';
        }
        return this.width$.value / 2 - this.DATAITEMLISTRIGHTWIDTH + 'px';
    }
    /**
     * Handles the changes of the checkbox.
     * @param event
     */
    onCheckedChange(event) {
        this.checkBoxInteraction.emit({ checkedValue: event.checked, dataItem: this.dataItem });
    }
    /**
     * The subscription, which handles the action menu interaction (open/close).
     * @param value The value given by the subscription.
     */
    interactionActionMenuSubscription(value) {
        if (value &&
            !this.disableButtons &&
            this.inboxToolbarService.selectedItemsCount$.value <= 1 &&
            this.selectedDataItem === this.dataItem &&
            this.talenraInboxDataItemsListItemMenuTrigger &&
            this.talenraInboxDataItemsListItemMenuTrigger.menuClosed) {
            // set action menu expanded to true
            this.inboxState.setActionsMenuClickFlag(true);
            this.inboxState.setActionMenuExpanded(true);
            this.inboxState.setActionsMenuClickFlag(false);
            this.talenraInboxDataItemsListItemMenuTrigger.openMenu();
            this.talenraInboxDataItemsListItemMenuTrigger.focus();
        }
        else if (this.selectedDataItem &&
            this.selectedDataItem !== this.dataItem &&
            this.talenraInboxDataItemsListItemMenuTrigger) {
            // unsubscribe from window resizing event, for performance reasons
            if (this.resizeSubscription$) {
                this.resizeSubscription$.unsubscribe();
            }
            this.talenraInboxDataItemsListItemMenuTrigger.closeMenu();
        }
        else if (!value) {
            this.talenraInboxDataItemsListItemMenuTrigger &&
                this.talenraInboxDataItemsListItemMenuTrigger.menuOpen &&
                this.talenraInboxDataItemsListItemMenuTrigger.closeMenu();
        }
    }
    /**
     * Handles the closing of the action menu.
     * Sets the value for the public api.
     */
    onActionsMenuClosed() {
        this.inboxState.setActionMenuExpanded(false);
    }
    /**
     * Initializes the component.
     * @internal
     */
    initializeComponent() {
        // subscription for the changes in the item UI by the attributes-settings-service
        const copiedArray = [];
        this.selectedMainAttributes.forEach((val) => copiedArray.push(Object.assign({}, val)));
        this.changedMainAttributes = copiedArray;
        // sets up the pairing of specific attributes
        if (this.pairingAttributes) {
            this.pairingAttributes.forEach((pair) => {
                this.attributePairingHandler(pair);
            });
        }
        // change number of shown attributes
        if (this.changedMainAttributes) {
            this.numberShownAttributes = this.changedMainAttributes.length;
        }
        this.subscriptions.add(this.keyboardService.escapeKeyPressed.subscribe((value) => {
            // unsubscribe from window resizing event, for performance reasons
            if (value && this.resizeSubscription$) {
                this.resizeSubscription$.unsubscribe();
            }
            value && this.talenraInboxDataItemsListItemMenuTrigger && this.talenraInboxDataItemsListItemMenuTrigger.closeMenu();
        }));
        // subscription if the public api is used to open/close the actions menu
        this.subscriptions.add(this.inboxState.actionMenuExpanded$.subscribe((value) => {
            if (!this.inboxState.actionsMenuClickFlag.value) {
                this.interactionActionMenuSubscription(value);
            }
        }));
        // subscription to change in the inbox configuration
        this.subscriptions.add(this.inboxState.inboxConfiguration$.subscribe(() => {
            this.changeDetectorRef.detectChanges();
        }));
        // set checkbox value
        if (this.checkboxValueChange) {
            this.checkedForm.get('check')?.setValue(this.checkboxValueChange);
        }
        // disable locked data items
        if (this.lockedDataItem) {
            this.checkedForm.get('check')?.disable();
        }
        else {
            this.checkedForm.get('check')?.enable();
        }
        // add first element of component (component itself) to resize observer
        this.observer.observe(this.elementRef.nativeElement.firstElementChild);
    }
    /**
     * Resets the component on changes
     * @private
     */
    resetOnChange() {
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        this.initializeComponent();
    }
    /**
     * Handles the pairing of specific attributes.
     * @private
     */
    attributePairingHandler(pair) {
        // checks if the attributes are not empty
        if (this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute) !== '–' &&
            this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute) !== '–') {
            if (!pair.commaSeparation) {
                this.dataItemsClass.setElemFromDataItemValue(this.dataItem, pair.identifier, this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute) +
                    ' ' +
                    this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute));
            }
            else if (pair.commaSeparation) {
                this.dataItemsClass.setElemFromDataItemValue(this.dataItem, pair.identifier, this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute) +
                    ', ' +
                    this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute));
            }
        }
        else if (
        // checks if the first attribute is empty and the second attribute is not empty
        this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute) === '–' &&
            this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute) !== '–') {
            this.dataItemsClass.setElemFromDataItemValue(this.dataItem, pair.identifier, this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute));
        }
        else if (
        // checks if the first attribute is not empty and the second attribute is empty
        this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute) !== '–' &&
            this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.secondAttribute) === '–') {
            this.dataItemsClass.setElemFromDataItemValue(this.dataItem, pair.identifier, this.dataItemsClass.getElemFromDataItemDisplayed(this.dataItem, pair.firstAttribute));
        }
        else {
            // checks if the first attribute is empty and the second attribute is empty
            this.dataItemsClass.setElemFromDataItemValue(this.dataItem, pair.identifier, '–');
        }
        if (pair.firstAttribute && pair.secondAttribute) {
            // get the index of the attributes in the this.selectedAttributes$
            const indexFirstAttribute = this.changedMainAttributes.findIndex((e) => e.identifier === pair.firstAttribute);
            const indexSecondAttribute = this.changedMainAttributes.findIndex((e) => e.identifier === pair.secondAttribute);
            if (indexFirstAttribute === -1 || indexSecondAttribute === -1) {
                return;
            }
            if (indexSecondAttribute > indexFirstAttribute) {
                // deletes the firstAttribute of the list of items and set the this.selectedAttributes$
                this.changedMainAttributes[indexFirstAttribute].identifier = pair.identifier;
                this.changedMainAttributes[indexFirstAttribute].label = pair.label;
                this.changedMainAttributes.splice(indexSecondAttribute, 1);
            }
            else {
                // deletes the secondAttribute of the list of items and set the this.selectedAttributes$
                this.changedMainAttributes[indexSecondAttribute].identifier = pair.identifier;
                this.changedMainAttributes[indexSecondAttribute].label = pair.label;
                this.changedMainAttributes.splice(indexFirstAttribute, 1);
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: DataItemComponent, selector: "talenra-data-item", inputs: { dataItem: "dataItem", selectedDataItem: "selectedDataItem", selectedMainAttributes: "selectedMainAttributes", pairingAttributes: "pairingAttributes", disableButtons: "disableButtons", checkboxValueChange: "checkboxValueChange", lockedDataItem: "lockedDataItem" }, outputs: { clickedDataItem: "clickedDataItem", shiftDataItem: "shiftDataItem", dataItemsInteractions: "dataItemsInteractions", checkBoxInteraction: "checkBoxInteraction" }, viewQueries: [{ propertyName: "talenraInboxDataItemsListItemMenuTrigger", first: true, predicate: MatMenuTrigger, descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div\n  (click)=\"onDataItemListItemTransferClick()\"\n  (dblclick)=\"onStartProcessClick($event)\"\n  [class.bulk-selected]=\"checkedForm.get('check')?.value\"\n  [class.locked]=\"lockedDataItem\"\n  [class.scroll-bar-margin]=\"\n    dataItemsService.virtualScrollerScrollableContentHeight$.value === dataItemsService.virtualScrollerHeight$.value\n  \"\n  [class.selected]=\"dataItem === selectedDataItem\"\n  class=\"data-item\"\n  data-testid=\"inbox-data-item-box\">\n  <div class=\"data-item-info\">\n    <div\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableNotesDataItemsList\"\n      [class.hide-icons]=\"dataItemsService.compressedDataItem$.value\"\n      class=\"data-item-icons\">\n      <talenra-icon\n        *ngFor=\"let note of dataItem['notes']\"\n        [class.locked]=\"lockedDataItem\"\n        [name]=\"note.icon\"\n        [ngClass]=\"'color--' + note.activeIconColor\"\n        class=\"icon-font\"></talenra-icon>\n    </div>\n    <div class=\"data-item-text-info\">\n      <div class=\"data-item-attributes\">\n        <div\n          [style.padding-right]=\"width$.value > LINEBREAKWIDTH ? '26px' : ''\"\n          [style.width]=\"width$.value > LINEBREAKWIDTH ? adjustFirstItemWidth() : adjustItemWidth()\">\n          <div\n            *ngFor=\"let item of changedMainAttributes; let index = index\"\n            class=\"data-item-attributes-condensed-first\">\n            <div\n              #inboxDataItemContainer\n              *ngIf=\"index < Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n              class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n            <div #inboxDataItemContainer *ngIf=\"width$.value <= LINEBREAKWIDTH\" class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n        <div [style.width]=\"width$.value > LINEBREAKWIDTH ? adjustSecondItemWidth() : ''\">\n          <div\n            *ngFor=\"let item of changedMainAttributes; let index = index\"\n            [class.condensed]=\"index >= Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n            class=\"data-item-attributes-condensed-second\">\n            <div\n              #inboxDataItemContainer\n              *ngIf=\"index >= Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n              class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableInteractionsDataItemsList\"\n    [formGroup]=\"checkedForm\"\n    [style.flex-direction]=\"width$.value > MINWIDTH ? 'row' : 'column'\"\n    class=\"data-item-interactions\">\n    <talenra-checkbox\n      (checkedChange)=\"onCheckedChange($event)\"\n      (click)=\"onCheckboxClick($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableCheckboxDataItemsList && !lockedDataItem\"\n      class=\"checkbox\"\n      data-testid=\"inbox-data-item-checkbox\"\n      formControlName=\"check\"\n      talenraTooltip=\"Markieren\"></talenra-checkbox>\n    <button\n      (click)=\"onGetActionsClick('mouse')\"\n      (menuClosed)=\"onActionsMenuClosed()\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableFurtherInteractionsDataItemsList && !lockedDataItem\"\n      [disabled]=\"disableButtons || lockedDataItem\"\n      [matMenuTriggerFor]=\"furtherActions\"\n      data-testid=\"inbox-data-item-more-actions\"\n      icon=\"more-vert\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Aktionen\"\n      tabindex=\"-1\"></button>\n    <button\n      (click)=\"onStartProcessClick($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableContinueButtonDataItemsList && !lockedDataItem\"\n      [disabled]=\"disableButtons || lockedDataItem\"\n      data-testid=\"inbox-data-item-process\"\n      icon=\"arrow-forward\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Fall ausf\u00FChren\"></button>\n    <talenra-icon *ngIf=\"lockedDataItem\" [class.locked]=\"lockedDataItem\" class=\"locked-icon\" name=\"lock\"></talenra-icon>\n  </div>\n</div>\n\n<mat-menu #furtherActions hasBackdrop=\"true\" xPosition=\"before\">\n  <ng-content select=\"[further-actions-menu]\"></ng-content>\n</mat-menu>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-locked-text: #b3b3b3;--color-label: #666666;--color-locked-label: #b3b3b3;--color-primary: #0099a8}.data-item{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;max-height:max-content;background-color:var(--color-background);padding:.5rem .0625rem .5rem 1.5rem;margin-bottom:.125rem;margin-right:.125rem;border-radius:.1875rem;border:.0625rem solid var(--color-background);-webkit-user-select:none;user-select:none}.data-item:before{content:\"\";position:absolute;top:50%;left:0;width:.25rem;height:0;background-color:transparent;transform:translateY(-50%);transition-property:height,background-color;transition-duration:.3s}.data-item.selected:before{height:100%;background-color:var(--color-primary)}.data-item.bulk-selected{border-color:var(--color-primary)}.data-item:hover{cursor:pointer}.data-item.locked{color:var(--color-locked-text)}.data-item.scroll-bar-margin{margin-right:0}.data-item-info{font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}.data-item-info .data-item-icons>*{padding-right:.375rem}.data-item-icons{opacity:1;margin-top:.3125rem;height:1.4375rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:flex-start;transition:opacity .3s,height .3s}.data-item-icons.hide-icons{opacity:0;height:0}.data-item-text-info .data-item-attributes{display:flex;flex-direction:row;flex-wrap:nowrap}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-first:first-child{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-second{opacity:0}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-second.condensed{opacity:1}.item-container{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;width:100%;min-width:.0625rem}.attribute-pairing{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;display:block;min-width:.0625rem}.label-value-pairing{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.label{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-label)}.label.locked{color:var(--color-locked-label)}.attribute-text{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;display:block;min-width:.0625rem;color:var(--color-text)}.attribute-text.locked{color:var(--color-locked-text)}.data-item-interactions{margin-left:auto;margin-bottom:auto;margin-right:0;display:flex;flex-direction:column;flex-wrap:nowrap;align-items:center}.checkbox{margin-right:.25rem}.icon-font{font-size:1.125rem}.icon-font.locked{opacity:.3}.locked-icon{margin-right:.25rem}.locked-icon.locked{color:var(--color-locked-text)}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--petrol{color:#0099a8}.color--petrol-dark{color:#005f71}.color--denim{color:#0069a3}.color--denim-dark{color:#04466a}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc;--color-locked-text: #4d4d4d;--color-label: #cccccc;--color-locked-label: #4d4d4d}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$3.CheckboxComponent, selector: "talenra-checkbox", inputs: ["size", "labelPosition", "indeterminate", "pointerDisabled"], outputs: ["indeterminateChange", "checkedChange"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i9.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "directive", type: i9.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "directive", type: i8$1.CopyContentDirective, selector: "[textToCopy]", inputs: ["textToCopy", "copyContentPosition", "copyContentNegativeColor", "copyContentTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-data-item', template: "<div\n  (click)=\"onDataItemListItemTransferClick()\"\n  (dblclick)=\"onStartProcessClick($event)\"\n  [class.bulk-selected]=\"checkedForm.get('check')?.value\"\n  [class.locked]=\"lockedDataItem\"\n  [class.scroll-bar-margin]=\"\n    dataItemsService.virtualScrollerScrollableContentHeight$.value === dataItemsService.virtualScrollerHeight$.value\n  \"\n  [class.selected]=\"dataItem === selectedDataItem\"\n  class=\"data-item\"\n  data-testid=\"inbox-data-item-box\">\n  <div class=\"data-item-info\">\n    <div\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableNotesDataItemsList\"\n      [class.hide-icons]=\"dataItemsService.compressedDataItem$.value\"\n      class=\"data-item-icons\">\n      <talenra-icon\n        *ngFor=\"let note of dataItem['notes']\"\n        [class.locked]=\"lockedDataItem\"\n        [name]=\"note.icon\"\n        [ngClass]=\"'color--' + note.activeIconColor\"\n        class=\"icon-font\"></talenra-icon>\n    </div>\n    <div class=\"data-item-text-info\">\n      <div class=\"data-item-attributes\">\n        <div\n          [style.padding-right]=\"width$.value > LINEBREAKWIDTH ? '26px' : ''\"\n          [style.width]=\"width$.value > LINEBREAKWIDTH ? adjustFirstItemWidth() : adjustItemWidth()\">\n          <div\n            *ngFor=\"let item of changedMainAttributes; let index = index\"\n            class=\"data-item-attributes-condensed-first\">\n            <div\n              #inboxDataItemContainer\n              *ngIf=\"index < Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n              class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n            <div #inboxDataItemContainer *ngIf=\"width$.value <= LINEBREAKWIDTH\" class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n        <div [style.width]=\"width$.value > LINEBREAKWIDTH ? adjustSecondItemWidth() : ''\">\n          <div\n            *ngFor=\"let item of changedMainAttributes; let index = index\"\n            [class.condensed]=\"index >= Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n            class=\"data-item-attributes-condensed-second\">\n            <div\n              #inboxDataItemContainer\n              *ngIf=\"index >= Math.ceil(numberShownAttributes / 2) && !(width$.value <= LINEBREAKWIDTH)\"\n              class=\"item-container\">\n              <div\n                #inboxDataItemContainerContent\n                [talenraTooltipDisabled]=\"\n                  inboxDataItemContainerContent.offsetWidth + 16 < inboxDataItemContainer.scrollWidth\n                \"\n                [talenraTooltip]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                [textToCopy]=\"dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier)\"\n                class=\"attribute-pairing\">\n                <span\n                  *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  class=\"label-value-pairing\">\n                  <span [class.locked]=\"lockedDataItem\" class=\"label\">\n                    {{ item.label + ': ' }}\n                  </span>\n                  <span [class.locked]=\"lockedDataItem\" class=\"attribute-text\"\n                    >&nbsp;{{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}</span\n                  >\n                </span>\n                <div\n                  *ngIf=\"!inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList\"\n                  [class.locked]=\"lockedDataItem\"\n                  class=\"attribute-text\">\n                  {{ dataItemsClass.getElemFromDataItemDisplayed(dataItem, item.identifier) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableInteractionsDataItemsList\"\n    [formGroup]=\"checkedForm\"\n    [style.flex-direction]=\"width$.value > MINWIDTH ? 'row' : 'column'\"\n    class=\"data-item-interactions\">\n    <talenra-checkbox\n      (checkedChange)=\"onCheckedChange($event)\"\n      (click)=\"onCheckboxClick($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableCheckboxDataItemsList && !lockedDataItem\"\n      class=\"checkbox\"\n      data-testid=\"inbox-data-item-checkbox\"\n      formControlName=\"check\"\n      talenraTooltip=\"Markieren\"></talenra-checkbox>\n    <button\n      (click)=\"onGetActionsClick('mouse')\"\n      (menuClosed)=\"onActionsMenuClosed()\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableFurtherInteractionsDataItemsList && !lockedDataItem\"\n      [disabled]=\"disableButtons || lockedDataItem\"\n      [matMenuTriggerFor]=\"furtherActions\"\n      data-testid=\"inbox-data-item-more-actions\"\n      icon=\"more-vert\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Aktionen\"\n      tabindex=\"-1\"></button>\n    <button\n      (click)=\"onStartProcessClick($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableContinueButtonDataItemsList && !lockedDataItem\"\n      [disabled]=\"disableButtons || lockedDataItem\"\n      data-testid=\"inbox-data-item-process\"\n      icon=\"arrow-forward\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Fall ausf\u00FChren\"></button>\n    <talenra-icon *ngIf=\"lockedDataItem\" [class.locked]=\"lockedDataItem\" class=\"locked-icon\" name=\"lock\"></talenra-icon>\n  </div>\n</div>\n\n<mat-menu #furtherActions hasBackdrop=\"true\" xPosition=\"before\">\n  <ng-content select=\"[further-actions-menu]\"></ng-content>\n</mat-menu>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-locked-text: #b3b3b3;--color-label: #666666;--color-locked-label: #b3b3b3;--color-primary: #0099a8}.data-item{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;max-height:max-content;background-color:var(--color-background);padding:.5rem .0625rem .5rem 1.5rem;margin-bottom:.125rem;margin-right:.125rem;border-radius:.1875rem;border:.0625rem solid var(--color-background);-webkit-user-select:none;user-select:none}.data-item:before{content:\"\";position:absolute;top:50%;left:0;width:.25rem;height:0;background-color:transparent;transform:translateY(-50%);transition-property:height,background-color;transition-duration:.3s}.data-item.selected:before{height:100%;background-color:var(--color-primary)}.data-item.bulk-selected{border-color:var(--color-primary)}.data-item:hover{cursor:pointer}.data-item.locked{color:var(--color-locked-text)}.data-item.scroll-bar-margin{margin-right:0}.data-item-info{font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}.data-item-info .data-item-icons>*{padding-right:.375rem}.data-item-icons{opacity:1;margin-top:.3125rem;height:1.4375rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:flex-start;transition:opacity .3s,height .3s}.data-item-icons.hide-icons{opacity:0;height:0}.data-item-text-info .data-item-attributes{display:flex;flex-direction:row;flex-wrap:nowrap}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-first:first-child{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-second{opacity:0}.data-item-text-info .data-item-attributes .data-item-attributes-condensed-second.condensed{opacity:1}.item-container{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;width:100%;min-width:.0625rem}.attribute-pairing{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;display:block;min-width:.0625rem}.label-value-pairing{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.label{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-label)}.label.locked{color:var(--color-locked-label)}.attribute-text{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;display:block;min-width:.0625rem;color:var(--color-text)}.attribute-text.locked{color:var(--color-locked-text)}.data-item-interactions{margin-left:auto;margin-bottom:auto;margin-right:0;display:flex;flex-direction:column;flex-wrap:nowrap;align-items:center}.checkbox{margin-right:.25rem}.icon-font{font-size:1.125rem}.icon-font.locked{opacity:.3}.locked-icon{margin-right:.25rem}.locked-icon.locked{color:var(--color-locked-text)}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--petrol{color:#0099a8}.color--petrol-dark{color:#005f71}.color--denim{color:#0069a3}.color--denim-dark{color:#04466a}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc;--color-locked-text: #4d4d4d;--color-label: #cccccc;--color-locked-label: #4d4d4d}\n"] }]
        }], propDecorators: { dataItem: [{
                type: Input
            }], selectedDataItem: [{
                type: Input
            }], selectedMainAttributes: [{
                type: Input
            }], pairingAttributes: [{
                type: Input
            }], disableButtons: [{
                type: Input
            }], checkboxValueChange: [{
                type: Input
            }], lockedDataItem: [{
                type: Input
            }], clickedDataItem: [{
                type: Output
            }], shiftDataItem: [{
                type: Output
            }], dataItemsInteractions: [{
                type: Output
            }], checkBoxInteraction: [{
                type: Output
            }], talenraInboxDataItemsListItemMenuTrigger: [{
                type: ViewChild,
                args: [MatMenuTrigger]
            }] } });

/**
 * One of the main components of the application. Responsible for ensuring that the transmitted data is properly structured to the user.
 *
 * ```html
 * <talenra-data-items-list
 *   [dataItemsChange]="filteredDataItems"
 *   [scrollToIndex]="keyboardService.scrollToIndex"
 *   [furtherActionsMenu]="furtherActionsMenu"
 *   (dataItemsInteractions)="onDataItemsInteractions($event)"
 *   (clickedDataItems)="selectedDataItem($event)"
 *   (scrollChange)="onScrollChange($event)"
 * ></talenra-data-items-list>
 * ```
 */
class DataItemsListComponent {
    constructor() {
        /**
         * Input attribute for the data items list to be displayed in the UI.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.dataItems = [];
        /**
         * Input attribute for the selected main attributes to be displayed in attributes settings and data items list.
         */
        this.selectedMainAttributes = [];
        /**
         * Input attribute to scroll to specific index
         */
        this.scrollToIndex = 0;
        /**
         * Checkbox state of the toolbar checkbox.
         * The state changes all the checkboxes in the data items list.
         * Outline: No checkbox is checked.
         * Indeterminate: Does not change the state of the checkboxes.
         * Checked: All checkboxes are checked.
         */
        this.mainCheckboxState = CheckboxState.Outline;
        /**
         * Transfer the clicked data item from the data item list to the data item sidebar information.
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.clickedDataItem = new EventEmitter();
        /**
         * EventEmitter to send data items interactions.
         */
        this.dataItemsInteractions = new EventEmitter();
        /**
         * EventEmitter to send change in Scroll Position.
         */
        this.virtualScrollChange = new EventEmitter();
        /**
         * EventEmitter to send change number of marked data items.
         */
        this.numberMarkedDataItemsChange = new EventEmitter();
        /**
         * Emitter for the change in the checkbox state of the toolbar checkbox.
         */
        this.mainCheckboxStateChange = new EventEmitter();
        /**
         * Class to interact with data-items-list-data.
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * List of all marked data items names
         */
        this.markedDataItems = [];
        /**
         * List of all locked data items inbox id's.
         */
        this.lockedDataItemsInboxId = [];
        /**
         * List of all data items names which have been marked through click on the checkbox
         */
        this.markedDataItemsFormGroupCheckboxes = [];
        /**
         * The data items service.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * Semaphore to stop accessing checkbox value a second time.
         * @internal
         */
        this.checkboxSemaphore = new BehaviorSubject(false);
        /**
         * Checks if content is initialized
         * @internal
         */
        this.initialized = false;
        /**
         * Subscriptions
         * @internal
         */
        this.subscriptions = new Subscription();
        /**
         * The element reference.
         * @private
         */
        this.elementRef = inject(ElementRef);
        /**
         * The zone to run the resize observer.
         * @private
         */
        this.zone = inject(NgZone);
        /**
         * Observers the size of the data items list to handle the scrollbar and set the width of the data items list.
         * @internal
         */
        this.observer = new ResizeObserver(() => {
            this.zone.run(() => {
                if (this.elementRef.nativeElement.children[0] !== undefined) {
                    this.dataItemsService.setVirtualScrollerHeight(this.elementRef.nativeElement.children[0].offsetHeight);
                }
                if (this.elementRef.nativeElement.children[0].children[0] !== undefined) {
                    this.dataItemsService.setVirtualScrollerScrollableContentHeight(this.elementRef.nativeElement.children[0].children[0].offsetHeight);
                }
                else {
                    this.dataItemsService.setVirtualScrollerScrollableContentHeight(this.elementRef.nativeElement.children[0].offsetHeight);
                }
            });
        });
    }
    /**
     * Initializes the data items list component.
     * @internal
     */
    ngOnInit() {
        // initialize checked list
        this.dataItems.forEach((value) => {
            const formGroup = {
                id: value['inboxId'],
                checked: new FormGroup({
                    check: new FormControl({ value: false, disabled: false }),
                }),
            };
            this.markedDataItemsFormGroupCheckboxes.push(formGroup);
            this.subscriptions.add(formGroup.checked.valueChanges.subscribe(() => {
                if (!this.checkboxSemaphore.value) {
                    this.handleMarkedDataItems(value);
                }
            }));
        });
    }
    /**
     * Detects changes of the input values.
     * @internal
     * @param {SimpleChanges} changes The changed input values.
     */
    ngOnChanges(changes) {
        const dataItemsChange = changes['dataItems'];
        if (dataItemsChange) {
            // reset internal list to the filtered items
            this.markedDataItems = [];
            // adjust the marked data items form group checkboxes to add/remove the new items
            if (!dataItemsChange.firstChange) {
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                dataItemsChange.currentValue.forEach((value) => {
                    if (this.markedDataItemsFormGroupCheckboxes.find((x) => x.id === value['inboxId']) === undefined) {
                        const formGroup = {
                            id: value['inboxId'],
                            checked: new FormGroup({
                                check: new FormControl({ value: false, disabled: false }),
                            }),
                        };
                        this.markedDataItemsFormGroupCheckboxes.push(formGroup);
                    }
                });
            }
            // check if the data items are marked
            this.markedDataItemsFormGroupCheckboxes.forEach((elem) => {
                if (this.containsDataItem(elem.id) && elem.checked.get('check')?.value) {
                    this.markDataItem(elem.id);
                }
                else if (!this.containsDataItem(elem.id) && elem.checked.get('check')?.value) {
                    elem.checked.get('check')?.setValue(false);
                    this.unmarkDataItem(elem.id);
                }
            });
            this.setToolbarCheckboxState();
            // re observe to resize-observer after no data items message is shown
            if (this.dataItems.length !== 0 && this.initialized) {
                setTimeout(() => {
                    this.observer.observe(this.elementRef.nativeElement.firstElementChild);
                }, 0);
            }
        }
        const scrollToIndexChange = changes['scrollToIndex'];
        if (scrollToIndexChange && this.virtualScroller !== undefined) {
            this.virtualScroller.scrollToIndex(scrollToIndexChange.currentValue);
        }
        const lockedDataItemsChange = changes['lockedDataItems'];
        if (lockedDataItemsChange && this.virtualScroller !== undefined) {
            // set the locked data items inbox id list
            this.setLockedDataItem(lockedDataItemsChange.currentValue);
        }
        const mainCheckboxStateChange = changes['mainCheckboxState'];
        if (mainCheckboxStateChange && this.virtualScroller !== undefined) {
            // reset marked data items
            switch (mainCheckboxStateChange.currentValue) {
                case CheckboxState.Outline:
                    this.markedDataItems = [];
                    this.checkboxSemaphore.next(true);
                    this.markedDataItemsFormGroupCheckboxes.forEach((elem) => {
                        if (this.containsDataItem(elem.id)) {
                            elem.checked.get('check')?.setValue(false);
                        }
                    });
                    this.numberMarkedDataItemsChange.emit(this.numberMarkedDataItems());
                    this.dataItemsService.setSelectedIdDataItemsList(this.markedDataItems);
                    this.checkboxSemaphore.next(false);
                    break;
                case CheckboxState.Checked:
                    this.checkboxSemaphore.next(true);
                    this.markedDataItemsFormGroupCheckboxes.forEach((elem) => {
                        if (this.containsDataItem(elem.id) && !this.getLockedDataItem(elem.id)) {
                            elem.checked.get('check')?.setValue(true);
                        }
                    });
                    this.checkboxSemaphore.next(false);
                    this.markedDataItems = [];
                    this.dataItems.forEach((elem) => {
                        if (!this.getLockedDataItem(elem['inboxId'])) {
                            this.markDataItem(elem['inboxId']);
                        }
                    });
                    this.numberMarkedDataItemsChange.emit(this.numberMarkedDataItems());
                    this.dataItemsService.setSelectedIdDataItemsList(this.markedDataItems);
                    break;
                default:
                    break;
            }
        }
    }
    /**
     * Sets the visual state of the data items list.
     * Specifically for the compressed view and scrollbar design of the data items list.
     * @internal
     */
    ngAfterViewInit() {
        this.subscriptions.add(this.dataItemsService.compressedDataItem$.subscribe(() => {
            if (this.virtualScroller !== undefined) {
                const startIndex = this.virtualScroller.viewPortInfo.startIndex;
                // refresh the view
                if (startIndex === 0) {
                    this.virtualScroller.scrollToIndex(this.virtualScroller.viewPortInfo.startIndex - 1);
                }
            }
        }));
        // Listen to scroll events
        // - throttled for performance
        // - debounced to ensure we still catch the final scroll position
        const virtualScroller = document.getElementById('virtualScroller');
        virtualScroller &&
            this.subscriptions.add(fromEvent(virtualScroller, 'scroll')
                .pipe(throttleTime(150), tap(() => this.onScroll()))
                .subscribe());
        this.observer.observe(this.elementRef.nativeElement.firstElementChild);
        this.initialized = true;
    }
    /**
     * Unsubscribes from all subscriptions and unobserved from the resize observer.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
        this.observer.unobserve(this.elementRef.nativeElement.firstElementChild);
    }
    /**
     * Depending on the clicked data items button the corresponding event actions will be shown.
     * @param {InteractedDataItemsModel} event The InterDataItemsModel with the clicked data item and information about the clicked button.
     */
    onDataItemsInteractions(event) {
        this.dataItemsInteractions.emit(event);
    }
    /**
     * Handler to mark data items, used by the emitter of a single data item.
     * @param {any} item Clicked data item.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    handleMarkedDataItems(item) {
        if (this.getMarkedDataItem(item['inboxId']) === item['inboxId']) {
            this.unmarkDataItem(item['inboxId']);
        }
        else {
            this.markDataItem(item['inboxId']);
        }
        this.setToolbarCheckboxState();
    }
    /**
     * Method to set the state of the toolbar checkbox.
     */
    setToolbarCheckboxState() {
        // get length of locked data items
        const lockedDataItemsLength = this.getLockedDataItemInboxIdList(this.lockedDataItems).length;
        // check if length of list to disable control of single items
        if (this.markedDataItems.length === 0) {
            this.mainCheckboxStateChange.emit(CheckboxState.Outline);
        }
        if (this.markedDataItems.length > 0) {
            this.mainCheckboxStateChange.emit(CheckboxState.Indeterminate);
        }
        if (this.markedDataItems.length >= this.dataItems.length - lockedDataItemsLength && this.dataItems.length != 0) {
            this.mainCheckboxStateChange.emit(CheckboxState.Checked);
        }
        // set number of checked data items
        this.numberMarkedDataItemsChange.emit(this.numberMarkedDataItems());
        this.dataItemsService.setSelectedIdDataItemsList(this.markedDataItems);
    }
    /**
     * Method to handle selected / clicked data items.
     * @param {any} item Clicked data items.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    onSelectClick(item) {
        this.selectedDataItem = item;
        this.clickedDataItem.emit(item);
        const index = this.dataItems.findIndex((x) => x['inboxId'] === this.selectedDataItem['inboxId']);
        index > this.dataItems.length && this.virtualScroller.scrollToIndex(index);
    }
    /**
     * Method to handle selected / clicked data items.
     * @param {any} item Clicked data item.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    onShiftDataItemClick(item) {
        const selectedItemIndex = this.dataItems.findIndex((dataItemList) => dataItemList['inboxId'] === this.selectedDataItem['inboxId']);
        const shiftItemIndex = this.dataItems.findIndex((dataItemList) => dataItemList['inboxId'] === item['inboxId']);
        const greater = selectedItemIndex <= shiftItemIndex;
        this.dataItems.forEach((value, index) => {
            if ((selectedItemIndex <= index && shiftItemIndex >= index && greater) ||
                (selectedItemIndex >= index && shiftItemIndex <= index && !greater)) {
                const formGroupItem = this.getFormGroupDataItemByID(value['inboxId'])?.get('check');
                // check if data item is locked
                // the form have to be got by inboxId because the caseItems are filtered and the markedCasesFormGroupCheckboxes are not
                if (!formGroupItem?.value && !this.getLockedDataItem(value['inboxId'])) {
                    formGroupItem?.setValue(true);
                }
            }
        });
    }
    /**
     * Method to handle scroll change.
     */
    onScroll() {
        setTimeout(() => {
            this.virtualScrollChange.emit(this.virtualScroller.viewPortInfo.scrollStartPosition);
        }, 50);
    }
    /**
     * Method to get data item by name.
     * @param {string} item Item name from the data item.
     */
    getFormGroupDataItemByID(item) {
        const value = this.markedDataItemsFormGroupCheckboxes.find((x) => x.id === item);
        if (value) {
            return value.checked;
        }
        return null;
    }
    /**
     * Auxiliary method to check if the data item is marked.
     * @param inboxId Data item id of the chosen data item.
     */
    checkIfDataItemMarked(inboxId) {
        return this.markedDataItems.includes(inboxId);
    }
    /**
     * Handles the interaction of one checkbox in the data items list.
     * @param event
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    onCheckboxInteraction(event) {
        this.getFormGroupDataItemByID(event.dataItem['inboxId'])?.get('check')?.setValue(event.checkedValue);
    }
    /**
     * Sets the locked data items for the data item list.
     * @param lockedDataItems The locked data items.
     */
    setLockedDataItem(lockedDataItems) {
        this.lockedDataItemsInboxId = this.getLockedDataItemInboxIdList(lockedDataItems);
    }
    /**
     * Gets the locked data items for the data item list.
     * @param lockedDataItems The locked data items.
     */
    getLockedDataItemInboxIdList(lockedDataItems) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        const lockedDataItemsInboxId = [];
        if (lockedDataItems !== undefined) {
            lockedDataItems.forEach((dataItem) => {
                const index = this.dataItems.findIndex((value) => this.dataItemsClass.getElemFromDataItemDisplayed(value, dataItem.identifier) === dataItem.value);
                if (index !== -1) {
                    lockedDataItemsInboxId.push(this.dataItems[index]['inboxId']);
                }
            });
        }
        return lockedDataItemsInboxId;
    }
    /**
     * Gets the locked data item for the given item element.
     * @param itemInboxId The inbox id of the item.
     */
    getLockedDataItem(itemInboxId) {
        return this.lockedDataItemsInboxId.includes(itemInboxId);
    }
    /**
     * Auxiliary method to mark chosen data item.
     * @param {string} id Data item name of the marked data item.
     * @private
     * @internal
     */
    markDataItem(id) {
        this.markedDataItems.push(id);
    }
    /**
     * Auxiliary method to unmark chosen data item.
     * @param {string} id Data item name of the unmarked data item.
     * @private
     * @internal
     */
    unmarkDataItem(id) {
        this.markedDataItems.forEach((value, index) => {
            if (value == id)
                this.markedDataItems.splice(index, 1);
        });
    }
    /**
     * Auxiliary method to get the chosen data item.
     * @param {string} id Data item name of the chosen data item.
     * @private
     * @internal
     */
    getMarkedDataItem(id) {
        let value = '';
        this.markedDataItems.filter((elem) => {
            if (elem === id) {
                value = elem;
            }
        });
        return value;
    }
    /**
     * Auxiliary method to check if data item is contained in data items.
     * @param {string} id Data item name of the chosen data item.
     * @private
     * @internal
     */
    containsDataItem(id) {
        let bool = false;
        this.dataItems.forEach((elem) => {
            if (elem['inboxId'] === id) {
                bool = true;
                return;
            }
        });
        return bool;
    }
    /**
     * Auxiliary method to get the number of marked data items.
     * @private
     * @internal
     */
    numberMarkedDataItems() {
        let num = 0;
        this.markedDataItemsFormGroupCheckboxes.forEach((elem) => {
            if (elem.checked.get('check')?.value) {
                num++;
            }
        });
        return num;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemsListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: DataItemsListComponent, selector: "talenra-data-items-list", inputs: { dataItems: "dataItems", selectedDataItem: "selectedDataItem", selectedMainAttributes: "selectedMainAttributes", pairingAttributes: "pairingAttributes", scrollToIndex: "scrollToIndex", lockedDataItems: "lockedDataItems", mainCheckboxState: "mainCheckboxState" }, outputs: { clickedDataItem: "clickedDataItem", dataItemsInteractions: "dataItemsInteractions", virtualScrollChange: "virtualScrollChange", numberMarkedDataItemsChange: "numberMarkedDataItemsChange", mainCheckboxStateChange: "mainCheckboxStateChange" }, viewQueries: [{ propertyName: "virtualScroller", first: true, predicate: ["virtualScroller"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<ng-container *ngIf=\"this.dataItems.length !== 0; else noDataItemsFoundMessage\">\n  <virtual-scroller #virtualScroller [items]=\"dataItems\" class=\"virtual-scroller\" id=\"virtualScroller\">\n    <talenra-data-item\n      (checkBoxInteraction)=\"onCheckboxInteraction($event)\"\n      (clickedDataItem)=\"onSelectClick(item)\"\n      (dataItemsInteractions)=\"onDataItemsInteractions($event)\"\n      (shiftDataItem)=\"onShiftDataItemClick(item)\"\n      *ngFor=\"let item of virtualScroller.viewPortItems\"\n      [checkboxValueChange]=\"checkIfDataItemMarked(item['inboxId'])\"\n      [class.locked-data-item]=\"getLockedDataItem(item['inboxId'])\"\n      [dataItem]=\"item\"\n      [disableButtons]=\"markedDataItems.length > 1\"\n      [lockedDataItem]=\"getLockedDataItem(item['inboxId'])\"\n      [pairingAttributes]=\"pairingAttributes\"\n      [selectedDataItem]=\"selectedDataItem\"\n      [selectedMainAttributes]=\"selectedMainAttributes\"\n      id=\"talenraInboxDataItemsListItem\">\n      <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-menu]\"></ng-content>\n    </talenra-data-item>\n    <div *ngIf=\"dataItems.length > 0\" class=\"last-data-item-buffer\"></div>\n  </virtual-scroller>\n</ng-container>\n\n<ng-template #noDataItemsFoundMessage>\n  <div class=\"no-data-item-found-message-container\">\n    <talenra-message immutable kind=\"ghost\" text=\"Keine Ergebnisse gefunden.\"></talenra-message>\n  </div>\n</ng-template>\n", styles: [":host{--color-no-data-item-background: #ffffff;--color-text: #000000}.virtual-scroller{width:100%;height:100%;position:absolute;scrollbar-color:rgba(0,0,0,.5) transparent}.last-data-item-buffer{height:1.5rem}.no-data-item-found-message-container{background:var(--color-no-data-item-background);color:var(--color-text);padding:.125rem 1.5rem}.appearance--dark :host{--color-no-data-item-background: #333333;--color-text: #cccccc}.appearance--dark :host .virtual-scroller{scrollbar-color:rgba(255,255,255,.5) transparent}\n"], dependencies: [{ kind: "component", type: i1$1.MessageComponent, selector: "talenra-message", inputs: ["identifier", "type", "level", "size", "kind", "text", "description", "immutable"], outputs: ["removeMessage"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3$2.VirtualScrollerComponent, selector: "virtual-scroller,[virtualScroller]", inputs: ["executeRefreshOutsideAngularZone", "enableUnequalChildrenSizes", "RTL", "useMarginInsteadOfTranslate", "modifyOverflowStyleOfParentScroll", "stripedTable", "scrollbarWidth", "scrollbarHeight", "childWidth", "childHeight", "ssrChildWidth", "ssrChildHeight", "ssrViewportWidth", "ssrViewportHeight", "bufferAmount", "scrollAnimationTime", "resizeBypassRefreshThreshold", "scrollThrottlingTime", "scrollDebounceTime", "checkResizeInterval", "items", "compareItems", "horizontal", "parentScroll"], outputs: ["vsUpdate", "vsChange", "vsStart", "vsEnd"], exportAs: ["virtualScroller"] }, { kind: "component", type: DataItemComponent, selector: "talenra-data-item", inputs: ["dataItem", "selectedDataItem", "selectedMainAttributes", "pairingAttributes", "disableButtons", "checkboxValueChange", "lockedDataItem"], outputs: ["clickedDataItem", "shiftDataItem", "dataItemsInteractions", "checkBoxInteraction"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DataItemsListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-data-items-list', template: "<ng-container *ngIf=\"this.dataItems.length !== 0; else noDataItemsFoundMessage\">\n  <virtual-scroller #virtualScroller [items]=\"dataItems\" class=\"virtual-scroller\" id=\"virtualScroller\">\n    <talenra-data-item\n      (checkBoxInteraction)=\"onCheckboxInteraction($event)\"\n      (clickedDataItem)=\"onSelectClick(item)\"\n      (dataItemsInteractions)=\"onDataItemsInteractions($event)\"\n      (shiftDataItem)=\"onShiftDataItemClick(item)\"\n      *ngFor=\"let item of virtualScroller.viewPortItems\"\n      [checkboxValueChange]=\"checkIfDataItemMarked(item['inboxId'])\"\n      [class.locked-data-item]=\"getLockedDataItem(item['inboxId'])\"\n      [dataItem]=\"item\"\n      [disableButtons]=\"markedDataItems.length > 1\"\n      [lockedDataItem]=\"getLockedDataItem(item['inboxId'])\"\n      [pairingAttributes]=\"pairingAttributes\"\n      [selectedDataItem]=\"selectedDataItem\"\n      [selectedMainAttributes]=\"selectedMainAttributes\"\n      id=\"talenraInboxDataItemsListItem\">\n      <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-menu]\"></ng-content>\n    </talenra-data-item>\n    <div *ngIf=\"dataItems.length > 0\" class=\"last-data-item-buffer\"></div>\n  </virtual-scroller>\n</ng-container>\n\n<ng-template #noDataItemsFoundMessage>\n  <div class=\"no-data-item-found-message-container\">\n    <talenra-message immutable kind=\"ghost\" text=\"Keine Ergebnisse gefunden.\"></talenra-message>\n  </div>\n</ng-template>\n", styles: [":host{--color-no-data-item-background: #ffffff;--color-text: #000000}.virtual-scroller{width:100%;height:100%;position:absolute;scrollbar-color:rgba(0,0,0,.5) transparent}.last-data-item-buffer{height:1.5rem}.no-data-item-found-message-container{background:var(--color-no-data-item-background);color:var(--color-text);padding:.125rem 1.5rem}.appearance--dark :host{--color-no-data-item-background: #333333;--color-text: #cccccc}.appearance--dark :host .virtual-scroller{scrollbar-color:rgba(255,255,255,.5) transparent}\n"] }]
        }], propDecorators: { dataItems: [{
                type: Input
            }], selectedDataItem: [{
                type: Input
            }], selectedMainAttributes: [{
                type: Input
            }], pairingAttributes: [{
                type: Input
            }], scrollToIndex: [{
                type: Input
            }], lockedDataItems: [{
                type: Input
            }], mainCheckboxState: [{
                type: Input
            }], clickedDataItem: [{
                type: Output
            }], dataItemsInteractions: [{
                type: Output
            }], virtualScrollChange: [{
                type: Output
            }], numberMarkedDataItemsChange: [{
                type: Output
            }], mainCheckboxStateChange: [{
                type: Output
            }], virtualScroller: [{
                type: ViewChild,
                args: ['virtualScroller']
            }] } });

/**
 * The further information of a data item is divided into different tabs to get a better overview of the presented data.
 * This component represents one general tab.
 *
 * ```html
 * <talenra-detail-view-information-tab
 *   [iconType]="assignment"
 *   [counter]="10"
 * ></talenra-detail-view-information-tab>
 * ```
 */
class DetailViewInformationTabComponent {
    constructor() {
        /**
         * Input attributes to set icon and badge count of tab component.
         */
        this.iconType = input.required();
        /**
         * The counter is used to display the number of items in the tab.
         */
        this.counter = input(0, { transform: numberAttribute });
        /**
         * The maximum value to display. If the actual value is greater than the max value, the max value will be displayed
         * followed by a plus sign.
         */
        this.maxBadgeCounter = input(99, {
            transform: (value) => (value === undefined ? 99 : value),
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationTabComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.9", type: DetailViewInformationTabComponent, selector: "talenra-detail-view-information-tab", inputs: { iconType: { classPropertyName: "iconType", publicName: "iconType", isSignal: true, isRequired: true, transformFunction: null }, counter: { classPropertyName: "counter", publicName: "counter", isSignal: true, isRequired: false, transformFunction: null }, maxBadgeCounter: { classPropertyName: "maxBadgeCounter", publicName: "maxBadgeCounter", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "<button [ngClass]=\"'talenra-icon--' + iconType()\" class=\"button talenra-icon\"></button>\n<talenra-badge [counter]=\"counter()\" [maxVal]=\"maxBadgeCounter()\" class=\"badge\"></talenra-badge>\n", styles: [":host{position:relative;display:block;min-width:46px;flex-grow:.0001;border-top:4px solid #999999;transition:flex-grow .3s,border-top-color 1.2s}:host:hover,:host.selected{border-top-color:#0099a8}:host.stretched{flex-grow:1}.button{border:0;outline:none;appearance:none;background-color:transparent;width:100%;height:45px;margin-top:-4px;font-size:18px;color:#999;cursor:pointer;transition:color .3s}:host:hover .button,:host.selected .button{color:#0099a8}.badge{position:absolute;top:50%;left:50%;transform:translateY(-3px)}.appearance--dark :host{border-top-color:#666}.appearance--dark :host.selected{border-top-color:#0099a8}.theme--denim :host:hover,.theme--denim :host.selected{border-top-color:#0069a3}.theme--denim :host:hover .button,.theme--denim :host.selected .button{color:#0069a3}\n"], dependencies: [{ kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: i9$1.BadgeComponent, selector: "talenra-badge", inputs: ["counter", "maxVal"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-detail-view-information-tab', template: "<button [ngClass]=\"'talenra-icon--' + iconType()\" class=\"button talenra-icon\"></button>\n<talenra-badge [counter]=\"counter()\" [maxVal]=\"maxBadgeCounter()\" class=\"badge\"></talenra-badge>\n", styles: [":host{position:relative;display:block;min-width:46px;flex-grow:.0001;border-top:4px solid #999999;transition:flex-grow .3s,border-top-color 1.2s}:host:hover,:host.selected{border-top-color:#0099a8}:host.stretched{flex-grow:1}.button{border:0;outline:none;appearance:none;background-color:transparent;width:100%;height:45px;margin-top:-4px;font-size:18px;color:#999;cursor:pointer;transition:color .3s}:host:hover .button,:host.selected .button{color:#0099a8}.badge{position:absolute;top:50%;left:50%;transform:translateY(-3px)}.appearance--dark :host{border-top-color:#666}.appearance--dark :host.selected{border-top-color:#0099a8}.theme--denim :host:hover,.theme--denim :host.selected{border-top-color:#0069a3}.theme--denim :host:hover .button,.theme--denim :host.selected .button{color:#0069a3}\n"] }]
        }] });

/**
 * The accumulation of several tabs. This is where the basic arrangement of the tabs is set.
 *
 * ```html
 * <talenra-detail-view-information-tab-bar
 *   [dataItemInformationTabBarItems]="dataItemInformationTabBarItems"
 * ></talenra-detail-view-information-tab-bar>
 * ```
 */
class DetailViewInformationTabBarComponent {
    constructor() {
        /**
         * Information about key, label and icons that are initialized in data item information tab bar items
         */
        this.detailViewInformationTabBarItems = input.required();
        /**
         * The selected tab.
         */
        this.selectedTab = model('1');
    }
    /**
     * Selects the specific tab and expands the layout with layout service.
     * @param {string} key The name of the selected tab.
     */
    selectDataItemInformationTab(key) {
        this.selectedTab.set(key);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationTabBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: DetailViewInformationTabBarComponent, selector: "talenra-detail-view-information-tab-bar", inputs: { detailViewInformationTabBarItems: { classPropertyName: "detailViewInformationTabBarItems", publicName: "detailViewInformationTabBarItems", isSignal: true, isRequired: true, transformFunction: null }, selectedTab: { classPropertyName: "selectedTab", publicName: "selectedTab", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { selectedTab: "selectedTabChange" }, ngImport: i0, template: "@for (dataItemInformationTabBarItem of detailViewInformationTabBarItems(); track dataItemInformationTabBarItem.key) {\n  <talenra-detail-view-information-tab\n    (click)=\"selectDataItemInformationTab(dataItemInformationTabBarItem.key ? dataItemInformationTabBarItem.key : '1')\"\n    [class.selected]=\"dataItemInformationTabBarItem.key === selectedTab()\"\n    [class.stretched]=\"dataItemInformationTabBarItem.key === selectedTab()\"\n    [counter]=\"dataItemInformationTabBarItem.counter?.value\"\n    [maxBadgeCounter]=\"dataItemInformationTabBarItem.maxCounter\"\n    [iconType]=\"dataItemInformationTabBarItem.icon\"\n    data-testid=\"inbox-detail-view-tab\"></talenra-detail-view-information-tab>\n}\n", styles: [":host{display:flex;justify-content:space-between;height:46px;background-color:#fff}:host>*+*{margin-left:8px}.collapse{border:0;outline:none;appearance:none;background-color:transparent;display:flex;justify-content:center;align-items:center;width:20px;height:45px;font-size:18px;color:#999;cursor:pointer;transition:color .3s,background-color .3s}.collapse:hover{color:#0099a8}.appearance--dark :host{background-color:#333}.theme--denim :host .collapse:hover{color:#0069a3}\n"], dependencies: [{ kind: "component", type: DetailViewInformationTabComponent, selector: "talenra-detail-view-information-tab", inputs: ["iconType", "counter", "maxBadgeCounter"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationTabBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-detail-view-information-tab-bar', template: "@for (dataItemInformationTabBarItem of detailViewInformationTabBarItems(); track dataItemInformationTabBarItem.key) {\n  <talenra-detail-view-information-tab\n    (click)=\"selectDataItemInformationTab(dataItemInformationTabBarItem.key ? dataItemInformationTabBarItem.key : '1')\"\n    [class.selected]=\"dataItemInformationTabBarItem.key === selectedTab()\"\n    [class.stretched]=\"dataItemInformationTabBarItem.key === selectedTab()\"\n    [counter]=\"dataItemInformationTabBarItem.counter?.value\"\n    [maxBadgeCounter]=\"dataItemInformationTabBarItem.maxCounter\"\n    [iconType]=\"dataItemInformationTabBarItem.icon\"\n    data-testid=\"inbox-detail-view-tab\"></talenra-detail-view-information-tab>\n}\n", styles: [":host{display:flex;justify-content:space-between;height:46px;background-color:#fff}:host>*+*{margin-left:8px}.collapse{border:0;outline:none;appearance:none;background-color:transparent;display:flex;justify-content:center;align-items:center;width:20px;height:45px;font-size:18px;color:#999;cursor:pointer;transition:color .3s,background-color .3s}.collapse:hover{color:#0099a8}.appearance--dark :host{background-color:#333}.theme--denim :host .collapse:hover{color:#0069a3}\n"] }]
        }] });

/**
 * The data item information tab bar and data item information components are merged into the data item information box
 * for better handling.
 *
 * ```html
 * <talenra-detail-view-information-box
 *   [dataItemInformationTabBarItems]="dataItemInformationTabBarItems"
 * ></talenra-detail-view-information-box>
 * ```
 */
class DetailViewInformationBoxComponent {
    constructor() {
        /**
         * List of all data item information tab bar items
         */
        this.detailViewInformationTabBarItems = input.required();
        /**
         * The selected tab.
         */
        this.selectedTab = model('1');
        /**
         * The public service of the inbox detail view.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * Subscriptions of the data item information box.
         *  @internal
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Subscribe to isExpanded$ to un-select data item information tab bar item if inbox layout is collapsed.
     * @internal
     */
    ngAfterContentInit() {
        // set selected tab to chosen tab
        this.subscriptions.add(this.inboxDetailViewService.selectedDetailViewTab$.subscribe((tab) => {
            this.selectedTab.set(tab);
        }));
    }
    /**
     * Unsubscribe from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    /**
     * Selects the specific tab and expands the layout with layout service.
     * @param key The key of the selected tab.
     */
    onTabChange(key) {
        this.inboxDetailViewService.setSelectedDetailViewTab(key);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.9", type: DetailViewInformationBoxComponent, selector: "talenra-detail-view-information-box", inputs: { detailViewInformationTabBarItems: { classPropertyName: "detailViewInformationTabBarItems", publicName: "detailViewInformationTabBarItems", isSignal: true, isRequired: true, transformFunction: null }, selectedTab: { classPropertyName: "selectedTab", publicName: "selectedTab", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { selectedTab: "selectedTabChange" }, ngImport: i0, template: "<talenra-detail-view-information-tab-bar\n  (selectedTabChange)=\"onTabChange($event)\"\n  *ngIf=\"inboxDetailViewService.detailViewExpanded$ | async\"\n  [detailViewInformationTabBarItems]=\"detailViewInformationTabBarItems()\"\n  [selectedTab]=\"selectedTab()\"></talenra-detail-view-information-tab-bar>\n\n<div class=\"panels\">\n  <div class=\"panels-inner\">\n    <ng-content select=\"[data-item-information-outlet]\"></ng-content>\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000}.panels{display:block;overflow:hidden;height:calc(100% - 46px);width:100%;background-color:var(--color-background);color:var(--color-text)}.panels-inner{position:relative;width:100%;height:100%}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc}\n"], dependencies: [{ kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DetailViewInformationTabBarComponent, selector: "talenra-detail-view-information-tab-bar", inputs: ["detailViewInformationTabBarItems", "selectedTab"], outputs: ["selectedTabChange"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-detail-view-information-box', template: "<talenra-detail-view-information-tab-bar\n  (selectedTabChange)=\"onTabChange($event)\"\n  *ngIf=\"inboxDetailViewService.detailViewExpanded$ | async\"\n  [detailViewInformationTabBarItems]=\"detailViewInformationTabBarItems()\"\n  [selectedTab]=\"selectedTab()\"></talenra-detail-view-information-tab-bar>\n\n<div class=\"panels\">\n  <div class=\"panels-inner\">\n    <ng-content select=\"[data-item-information-outlet]\"></ng-content>\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000}.panels{display:block;overflow:hidden;height:calc(100% - 46px);width:100%;background-color:var(--color-background);color:var(--color-text)}.panels-inner{position:relative;width:100%;height:100%}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc}\n"] }]
        }] });

/**
 * The data item information box and inbox note-box are merged into the inbox detail view for better handling.
 *
 * ```html
 * <talenra-inbox-detail-view [dataItemInformationTabBarItems]="dataItemInformationTabBarItems">
 *   <ng-content inbox-note-box> ... </ng-content>
 *   <ng-content detail-view-information-outlet"> ... </ng-content>
 * </talenra-inbox-detail-view>
 * ```
 */
class InboxDetailViewComponent {
    constructor() {
        /**
         * Items used to initialize the tab bar with content.
         */
        this.dataItemInformationTabBarItems = input.required();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.9", type: InboxDetailViewComponent, selector: "talenra-inbox-detail-view", inputs: { dataItemInformationTabBarItems: { classPropertyName: "dataItemInformationTabBarItems", publicName: "dataItemInformationTabBarItems", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-content select=\"[inbox-note-box]\"></ng-content>\n<talenra-detail-view-information-box\n  [detailViewInformationTabBarItems]=\"dataItemInformationTabBarItems()\"\n  class=\"ui-data-item-information-box\">\n  <ng-content ngProjectAs=\"[data-item-information-outlet]\" select=\"[data-item-information-outlet]\"></ng-content>\n</talenra-detail-view-information-box>\n", styles: [":host{display:flex;flex-direction:column;flex-wrap:nowrap}.ui-data-item-information-box{flex-grow:1}\n"], dependencies: [{ kind: "component", type: DetailViewInformationBoxComponent, selector: "talenra-detail-view-information-box", inputs: ["detailViewInformationTabBarItems", "selectedTab"], outputs: ["selectedTabChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-detail-view', template: "<ng-content select=\"[inbox-note-box]\"></ng-content>\n<talenra-detail-view-information-box\n  [detailViewInformationTabBarItems]=\"dataItemInformationTabBarItems()\"\n  class=\"ui-data-item-information-box\">\n  <ng-content ngProjectAs=\"[data-item-information-outlet]\" select=\"[data-item-information-outlet]\"></ng-content>\n</talenra-detail-view-information-box>\n", styles: [":host{display:flex;flex-direction:column;flex-wrap:nowrap}.ui-data-item-information-box{flex-grow:1}\n"] }]
        }] });

/**
 * Parent component of data items list and inbox detail view for better structure and handling.
 *
 * ```html
 * <talenra-inbox-layout
 *   [detailViewInformationTabBarItems]="dataItemInformationTabBarItems"
 *   [usePagination]="usePagination">
 *   <talenra-data-items-list>
 *     <div further-actions-menu>...</div>
 *   </talenra-data-items-list>
 * </talenra-inbox-layout>
 * ```
 */
class InboxLayoutComponent {
    constructor() {
        /**
         * List of all data item information tab bar items
         */
        this.detailViewInformationTabBarItems = input.required();
        /**
         * If true, the pagination feature is enabled.
         *
         * ```html
         * <talenra-inbox [attributes]="attributes" usePagination>...</talenra-inbox>
         * ```
         */
        this.usePagination = false;
        /**
         * Vertical width of sidePanel, when opened.
         */
        this.detailViewWidth = 360;
        /**
         * Vertical width of sidePanel, when closed.
         */
        this.panelWidth = {
            width: `0px`,
        };
        /**
         Vertical default width of sidePanel.
         */
        this.defaultPanelWidth = {
            left: `0px`,
        };
        /**
         * Controls the time frame in which resizing is used.
         */
        this.isResizing$ = new BehaviorSubject(false);
        /**
         * The state of the inbox.
         */
        this.inboxState = inject(InboxState);
        /**
         * Injected inbox detail view service.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * The data items service.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The keyboard service.
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * Vertical width of sidePanel, when closed.
         */
        this.minPanelWidth = 260;
    }
    /**
     * Setter for the controls.
     * @param {boolean} isResizing True if resizing is used, false if not.
     */
    setResizing(isResizing) {
        this.isResizing$.next(isResizing);
    }
    /**
     * Closes the side panel after half of the minimum width has been reached
     * @param event Event of the resizing.
     * @internal
     */
    onResizing(event) {
        if (event.size.width < this.minPanelWidth / 2) {
            this.setResizing(false);
            this.inboxDetailViewService.setDetailViewExpanded(false);
        }
    }
    /**
     * Shuts down slow transition (lag), while resizing.
     * @internal
     */
    onResizeStart() {
        this.setResizing(true);
    }
    /**
     * Normalizes slow transition (lag), after Resizing for closing the smooth closing transition.
     * @internal
     */
    onResizeStop() {
        // set width after resizing to chosen real value
        const element = document.getElementById('talenraInboxDetailView');
        this.detailViewWidth = element ? element.offsetWidth : 360;
        // reset chosen big detail view screen (if it was chosen)x
        if (this.keyboardService.bigDetailViewScreen.value) {
            this.keyboardService.bigDetailViewScreen.next(false);
        }
        this.setResizing(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxLayoutComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: InboxLayoutComponent, selector: "talenra-inbox-layout", inputs: { detailViewInformationTabBarItems: { classPropertyName: "detailViewInformationTabBarItems", publicName: "detailViewInformationTabBarItems", isSignal: true, isRequired: true, transformFunction: null }, usePagination: { classPropertyName: "usePagination", publicName: "usePagination", isSignal: false, isRequired: false, transformFunction: booleanAttribute } }, ngImport: i0, template: "<div\n  [ngClass]=\"{\n    expanded:\n      inboxDetailViewService.detailViewExpanded$.value && !inboxState.inboxConfiguration$.value.disableDetailView,\n    'no-scroll-bar-expanded':\n      dataItemsService.virtualScrollerScrollableContentHeight$.value < dataItemsService.virtualScrollerHeight$.value &&\n      (inboxDetailViewService.detailViewExpanded$ | async) &&\n      !inboxState.inboxConfiguration$.value.disableDetailView,\n    'use-paginator': usePagination,\n  }\"\n  class=\"data-items-list-paginator-wrapper\">\n  <div\n    [ngClass]=\"{\n      'use-paginator': usePagination,\n    }\"\n    class=\"data-items-list\">\n    <div class=\"content\">\n      <div class=\"data-items-list-wrapper\">\n        <ng-content></ng-content>\n      </div>\n    </div>\n  </div>\n  @if (usePagination) {\n    <div\n      [ngClass]=\"{\n        'detail-view-collapsed': !(\n          inboxDetailViewService.detailViewExpanded$.value && !inboxState.inboxConfiguration$.value.disableDetailView\n        ),\n        'detail-view-collapsed-no-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value <\n            dataItemsService.virtualScrollerHeight$.value &&\n          !(\n            (inboxDetailViewService.detailViewExpanded$ | async) &&\n            !inboxState.inboxConfiguration$.value.disableDetailView\n          ),\n        'detail-view-expanded-no-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value <\n            dataItemsService.virtualScrollerHeight$.value &&\n          (inboxDetailViewService.detailViewExpanded$ | async) &&\n          !inboxState.inboxConfiguration$.value.disableDetailView,\n        'detail-view-expanded-has-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value >=\n            dataItemsService.virtualScrollerHeight$.value &&\n          (inboxDetailViewService.detailViewExpanded$ | async) &&\n          !inboxState.inboxConfiguration$.value.disableDetailView,\n      }\"\n      class=\"paginator\">\n      <ng-content select=\"[inbox-paginator]\"></ng-content>\n    </div>\n  }\n</div>\n\n<talenra-inbox-detail-view\n  (rzResizing)=\"onResizing($event)\"\n  (rzStart)=\"onResizeStart()\"\n  (rzStop)=\"onResizeStop()\"\n  *ngIf=\"!inboxState.inboxConfiguration$.value.disableDetailView\"\n  [dataItemInformationTabBarItems]=\"detailViewInformationTabBarItems()\"\n  [ngClass]=\"{\n    expanded: inboxDetailViewService.detailViewExpanded$ | async,\n    'stop-transition': isResizing$ | async,\n    'no-scroll-bar':\n      (inboxDetailViewService.detailViewExpanded$ | async) === false &&\n      dataItemsService.virtualScrollerScrollableContentHeight$.value < dataItemsService.virtualScrollerHeight$.value &&\n      inboxState.inboxConfiguration$.value.disableDataItemsList !== true,\n  }\"\n  [ngResizable]=\"inboxDetailViewService.detailViewExpanded$ | async\"\n  [ngStyle]=\"(inboxDetailViewService.detailViewExpanded$ | async) ? defaultPanelWidth : panelWidth\"\n  [rzHandles]=\"'w'\"\n  [style.width]=\"(keyboardService.bigDetailViewScreen | async) ? '100%' : detailViewWidth + 'px'\"\n  class=\"inbox-detail-view\"\n  id=\"talenraInboxDetailView\">\n  <ng-content ngProjectAs=\"[data-item-information-outlet]\" select=\"[data-item-information-outlet]\"></ng-content>\n  <ng-content ngProjectAs=\"[inbox-note-box]\" select=\"[inbox-note-box]\"></ng-content>\n</talenra-inbox-detail-view>\n", styles: [":host{position:relative;display:flex;justify-content:space-between;flex-grow:1;height:100%;margin-top:.5rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased}.data-items-list-paginator-wrapper{display:flex;flex-direction:column;justify-content:center;flex-grow:1;min-width:270px;margin-right:0;transition:width .3s;height:100%}.data-items-list-paginator-wrapper.expanded{margin-right:.25rem}.data-items-list-paginator-wrapper.no-scroll-bar-expanded{margin-right:.5rem}.data-items-list{display:flex;justify-content:center;flex-grow:1;height:100%}.data-items-list.no-scroll-bar-expanded{margin-right:.5rem}.data-items-list.use-paginator{height:calc(100% - 3.5rem)}.data-items-list-wrapper{width:100%;height:100%;position:absolute}.content{overflow:hidden;position:relative;width:100%;max-width:87.5rem}.paginator.detail-view-collapsed{margin-right:1rem}.paginator.detail-view-collapsed-no-scroll-bar{margin-right:0}.paginator.detail-view-expanded-no-scroll-bar{margin-right:.125rem}.paginator.detail-view-expanded-has-scroll-bar{margin-right:1rem}.inbox-detail-view{position:sticky;height:100%;width:0;min-width:0;opacity:0;padding-right:0;transition:width .3s,opacity .3s .1s,min-width .3s,padding-right .1s,margin-right .1s}.inbox-detail-view.expanded{width:360px;min-width:260px;opacity:1;margin-right:1rem}.inbox-detail-view.stop-transition{transition:width 0s}.inbox-detail-view.no-scroll-bar{margin-right:1rem}@media (max-width: 43.375em){.inbox-detail-view{position:sticky;height:100%;right:0;z-index:59;opacity:0}.inbox-detail-view:after{content:\"\";position:absolute;top:0;left:0;bottom:0;width:.0625rem;opacity:0;transition:opacity .3s}.inbox-detail-view.expanded{display:none;transition:width .3s,opacity .3s .1s}.inbox-detail-view.expanded:after{opacity:1}}@media (max-width: 43.375em){.data-items-list{margin-right:0}.data-items-list.expanded{margin-right:0;transition:margin-right .3s}}@media (min-width: 99.25em) and (max-width: 114.615em){.panels-inner,.inbox-detail-view.expanded{width:360px-0.0625rem}.data-items-list.expanded{margin-right:.25rem}}@media (min-width: 114.625em){.panels-inner,.inbox-detail-view.expanded{width:418px-0.0625rem}.data-items-list.expanded{margin-right:.25rem}}\n"], dependencies: [{ kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2$4.AngularResizableDirective, selector: "[ngResizable]", inputs: ["ngResizable", "rzHandles", "rzHandleDoms", "rzAspectRatio", "rzContainment", "rzGrid", "rzMinWidth", "rzMinHeight", "rzMaxWidth", "rzMaxHeight", "rzScale", "preventDefaultEvent"], outputs: ["rzStart", "rzResizing", "rzStop"], exportAs: ["ngResizable"] }, { kind: "component", type: InboxDetailViewComponent, selector: "talenra-inbox-detail-view", inputs: ["dataItemInformationTabBarItems"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxLayoutComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-layout', template: "<div\n  [ngClass]=\"{\n    expanded:\n      inboxDetailViewService.detailViewExpanded$.value && !inboxState.inboxConfiguration$.value.disableDetailView,\n    'no-scroll-bar-expanded':\n      dataItemsService.virtualScrollerScrollableContentHeight$.value < dataItemsService.virtualScrollerHeight$.value &&\n      (inboxDetailViewService.detailViewExpanded$ | async) &&\n      !inboxState.inboxConfiguration$.value.disableDetailView,\n    'use-paginator': usePagination,\n  }\"\n  class=\"data-items-list-paginator-wrapper\">\n  <div\n    [ngClass]=\"{\n      'use-paginator': usePagination,\n    }\"\n    class=\"data-items-list\">\n    <div class=\"content\">\n      <div class=\"data-items-list-wrapper\">\n        <ng-content></ng-content>\n      </div>\n    </div>\n  </div>\n  @if (usePagination) {\n    <div\n      [ngClass]=\"{\n        'detail-view-collapsed': !(\n          inboxDetailViewService.detailViewExpanded$.value && !inboxState.inboxConfiguration$.value.disableDetailView\n        ),\n        'detail-view-collapsed-no-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value <\n            dataItemsService.virtualScrollerHeight$.value &&\n          !(\n            (inboxDetailViewService.detailViewExpanded$ | async) &&\n            !inboxState.inboxConfiguration$.value.disableDetailView\n          ),\n        'detail-view-expanded-no-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value <\n            dataItemsService.virtualScrollerHeight$.value &&\n          (inboxDetailViewService.detailViewExpanded$ | async) &&\n          !inboxState.inboxConfiguration$.value.disableDetailView,\n        'detail-view-expanded-has-scroll-bar':\n          dataItemsService.virtualScrollerScrollableContentHeight$.value >=\n            dataItemsService.virtualScrollerHeight$.value &&\n          (inboxDetailViewService.detailViewExpanded$ | async) &&\n          !inboxState.inboxConfiguration$.value.disableDetailView,\n      }\"\n      class=\"paginator\">\n      <ng-content select=\"[inbox-paginator]\"></ng-content>\n    </div>\n  }\n</div>\n\n<talenra-inbox-detail-view\n  (rzResizing)=\"onResizing($event)\"\n  (rzStart)=\"onResizeStart()\"\n  (rzStop)=\"onResizeStop()\"\n  *ngIf=\"!inboxState.inboxConfiguration$.value.disableDetailView\"\n  [dataItemInformationTabBarItems]=\"detailViewInformationTabBarItems()\"\n  [ngClass]=\"{\n    expanded: inboxDetailViewService.detailViewExpanded$ | async,\n    'stop-transition': isResizing$ | async,\n    'no-scroll-bar':\n      (inboxDetailViewService.detailViewExpanded$ | async) === false &&\n      dataItemsService.virtualScrollerScrollableContentHeight$.value < dataItemsService.virtualScrollerHeight$.value &&\n      inboxState.inboxConfiguration$.value.disableDataItemsList !== true,\n  }\"\n  [ngResizable]=\"inboxDetailViewService.detailViewExpanded$ | async\"\n  [ngStyle]=\"(inboxDetailViewService.detailViewExpanded$ | async) ? defaultPanelWidth : panelWidth\"\n  [rzHandles]=\"'w'\"\n  [style.width]=\"(keyboardService.bigDetailViewScreen | async) ? '100%' : detailViewWidth + 'px'\"\n  class=\"inbox-detail-view\"\n  id=\"talenraInboxDetailView\">\n  <ng-content ngProjectAs=\"[data-item-information-outlet]\" select=\"[data-item-information-outlet]\"></ng-content>\n  <ng-content ngProjectAs=\"[inbox-note-box]\" select=\"[inbox-note-box]\"></ng-content>\n</talenra-inbox-detail-view>\n", styles: [":host{position:relative;display:flex;justify-content:space-between;flex-grow:1;height:100%;margin-top:.5rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased}.data-items-list-paginator-wrapper{display:flex;flex-direction:column;justify-content:center;flex-grow:1;min-width:270px;margin-right:0;transition:width .3s;height:100%}.data-items-list-paginator-wrapper.expanded{margin-right:.25rem}.data-items-list-paginator-wrapper.no-scroll-bar-expanded{margin-right:.5rem}.data-items-list{display:flex;justify-content:center;flex-grow:1;height:100%}.data-items-list.no-scroll-bar-expanded{margin-right:.5rem}.data-items-list.use-paginator{height:calc(100% - 3.5rem)}.data-items-list-wrapper{width:100%;height:100%;position:absolute}.content{overflow:hidden;position:relative;width:100%;max-width:87.5rem}.paginator.detail-view-collapsed{margin-right:1rem}.paginator.detail-view-collapsed-no-scroll-bar{margin-right:0}.paginator.detail-view-expanded-no-scroll-bar{margin-right:.125rem}.paginator.detail-view-expanded-has-scroll-bar{margin-right:1rem}.inbox-detail-view{position:sticky;height:100%;width:0;min-width:0;opacity:0;padding-right:0;transition:width .3s,opacity .3s .1s,min-width .3s,padding-right .1s,margin-right .1s}.inbox-detail-view.expanded{width:360px;min-width:260px;opacity:1;margin-right:1rem}.inbox-detail-view.stop-transition{transition:width 0s}.inbox-detail-view.no-scroll-bar{margin-right:1rem}@media (max-width: 43.375em){.inbox-detail-view{position:sticky;height:100%;right:0;z-index:59;opacity:0}.inbox-detail-view:after{content:\"\";position:absolute;top:0;left:0;bottom:0;width:.0625rem;opacity:0;transition:opacity .3s}.inbox-detail-view.expanded{display:none;transition:width .3s,opacity .3s .1s}.inbox-detail-view.expanded:after{opacity:1}}@media (max-width: 43.375em){.data-items-list{margin-right:0}.data-items-list.expanded{margin-right:0;transition:margin-right .3s}}@media (min-width: 99.25em) and (max-width: 114.615em){.panels-inner,.inbox-detail-view.expanded{width:360px-0.0625rem}.data-items-list.expanded{margin-right:.25rem}}@media (min-width: 114.625em){.panels-inner,.inbox-detail-view.expanded{width:418px-0.0625rem}.data-items-list.expanded{margin-right:.25rem}}\n"] }]
        }], propDecorators: { usePagination: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }] } });

/**
 * Values accepted by AttributeListComponent's mode input property. Determines the type of the list: Primary stands for
 * the upper attributes list that holds the attributes displayed in list-view, while Secondary stands for the lower
 * attributes list that holds the attributes displayed in detail-view.
 *
 * @internal
 */
const AttributeListRole = {
    Pirmary: 'primary',
    Secondary: 'secondary',
};
/**
 * Values accepted by AttributeListComponent's kind input property. Determines the visual style of the list.
 */
const AttributeListKind = {
    Default: 'default',
    Narrow: 'narrow',
};

const cfg = {
    /**
     * Threshold to switch list style from default to narrow (compact).
     *
     * If the instance has less attributes than this value, default style is used. Otherwise narrow style is requested.
     *
     * @internal
     */
    listStyleThreshold: 24,
};

/**
 * Drag preview for attribute item.
 *
 * Will be injected _outside_ of the origin's host context. To style it without style leaking moving the drag-preview
 * to its own component seems to be a clean solution.
 *
 * @internal
 */
class AttributeItemDragPreviewComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributeItemDragPreviewComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: AttributeItemDragPreviewComponent, isStandalone: true, selector: "inbox-attribute-item-drag-preview", ngImport: i0, template: "<ng-content></ng-content>\n", styles: [":host{--color-background: #eaf4f6;--color-text: #333333}.theme--denim :host{--color-background: #e5f0f6}.appearance--dark :host{--color-background: #333333;--color-text: #e6e6e6}:host{display:block;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;box-sizing:border-box;color:var(--color-text);background-color:var(--color-background);box-shadow:0 2px 5px #0003;width:100%}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributeItemDragPreviewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'inbox-attribute-item-drag-preview', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content></ng-content>\n", styles: [":host{--color-background: #eaf4f6;--color-text: #333333}.theme--denim :host{--color-background: #e5f0f6}.appearance--dark :host{--color-background: #333333;--color-text: #e6e6e6}:host{display:block;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;box-sizing:border-box;color:var(--color-text);background-color:var(--color-background);box-shadow:0 2px 5px #0003;width:100%}\n"] }]
        }] });

/** @internal */
class AttributesListComponent {
    constructor() {
        /** Whether drag'n'drop of items in the list is disabled */
        this.dragDisabled = false;
        /** Defines the visual style of the list (default or compact) */
        this.kind = AttributeListKind.Default;
        // Un-/check
        /** Attribute un-/checked event */
        this.checkedChange = new EventEmitter();
        /** Drop event */
        this.cdkDropListDropped = new EventEmitter();
        /** While a given attribute is used in a filter or sort, it is locked in the settings. */
        this.lockedAttributes = [];
        // Drag'n'drop
        /** Event emitted when an item is moved to the other list. Contains the index of the moved item. */
        this.moveToOtherListTriggered = new EventEmitter();
    }
    /** @internal */
    get classKind() {
        return `kind--${this.kind}`;
    }
    // Locked attributes
    /** Handle checkedChange event */
    onCheckedChange(index) {
        this.checkedChange.emit(this.attributes[index]);
    }
    /** Workaround to make fake labels clickable. */
    checkAttribute(index) {
        const currentValue = !!this.attributes[index].checked.get('check')?.value;
        this.attributes[index].checked.get('check')?.setValue(!currentValue);
        this.checkedChange.emit(this.attributes[index]);
    }
    // Move between lists
    /** Pass-through the CDK's drop event */
    onDrop(event) {
        this.cdkDropListDropped.emit(event);
    }
    // Returns whether a given attribute is required by a filter or sort
    isLocked(label) {
        return this.lockedAttributes.some((locked) => locked.identifier === label);
    }
    // Helpers
    /** Emit the "move to other list" event */
    moveToOtherList(index, event) {
        event.stopPropagation();
        this.moveToOtherListTriggered.emit(index);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: AttributesListComponent, isStandalone: true, selector: "inbox-attributes-list", inputs: { attributes: "attributes", role: "role", dragDisabled: "dragDisabled", kind: "kind", lockedAttributes: "lockedAttributes" }, outputs: { checkedChange: "checkedChange", cdkDropListDropped: "cdkDropListDropped", moveToOtherListTriggered: "moveToOtherListTriggered" }, host: { properties: { "class": "this.classKind" } }, ngImport: i0, template: "<div\n  (cdkDropListDropped)=\"onDrop($event)\"\n  [cdkDropListData]=\"attributes\"\n  [cdkDropListDisabled]=\"dragDisabled\"\n  cdkDropList>\n  @for (attribute of attributes; track attribute.identifier) {\n    <div cdkDrag>\n      <!-- Item displayed in list by default -->\n      <ng-container *ngTemplateOutlet=\"item\"></ng-container>\n\n      <!--\n        Drag preview shown while dragging\n        Note: We need an ng-template to make matchSize work.\n        (s. https://github.com/angular/components/issues/27750#issuecomment-1730784068)\n      -->\n      <ng-template cdkDragPreview matchSize>\n        <inbox-attribute-item-drag-preview>\n          <ng-container *ngTemplateOutlet=\"item\"></ng-container>\n        </inbox-attribute-item-drag-preview>\n      </ng-template>\n\n      <!-- Placeholder shows \"landing\" position while dragging -->\n      <div class=\"drag-placeholder\" *cdkDragPlaceholder></div>\n\n      <!-- Template for default item and drag-preview -->\n      <ng-template #item>\n        <div class=\"item\" [formGroup]=\"attribute.checked\">\n          <talenra-checkbox\n            class=\"checkbox\"\n            formControlName=\"check\"\n            (checkedChange)=\"onCheckedChange($index)\"></talenra-checkbox>\n          <span class=\"label\" (click)=\"checkAttribute($index)\">{{ attribute.label }}</span>\n          <div class=\"icons\">\n            <talenra-icon\n              name=\"filter-alt\"\n              talenraTooltip=\"Filter/Sortierung aktiv\"\n              *ngIf=\"isLocked(attribute.identifier)\"></talenra-icon>\n            <talenra-icon\n              [name]=\"role === 'primary' ? 'arrow-downward' : 'arrow-upward'\"\n              class=\"switch-list\"\n              data-testid=\"inbox-main-attributes-move\"\n              (click)=\"moveToOtherList($index, $event)\"></talenra-icon>\n            <talenra-icon class=\"icon\" name=\"drag-indicator\" cdkDragHandle [class.inactive]=\"dragDisabled\"></talenra-icon>\n          </div>\n        </div>\n      </ng-template>\n    </div>\n  }\n</div>\n", styles: [":host{--color-placeholder-background: #f2f2f2;--color-placeholder-border: #e6e6e6;--color-icon: #999999;--color-icon-enabled: #666666;--color-background-hover: #f2f2f2}.appearance--dark :host{--color-placeholder-background: #262626;--color-placeholder-border: #4d4d4d;--color-icon: #666666;--color-background-hover: #262626}:host{display:block}.scroll{height:100%}.drag-placeholder{min-height:1.6875rem;border-radius:.1875rem;background:var(--color-placeholder-background);border:solid .0625rem var(--color-placeholder-border);transition:transform .25s cubic-bezier(0,0,.2,1)}.item{display:flex;justify-content:space-between;align-items:center;padding-left:.25rem;border-radius:.1875rem;transition:background-color .3s}.item:hover{background-color:var(--color-background-hover)}:host.kind--default .item{margin:.5rem 0}.checkbox,.icons{flex-grow:0}.icons{display:flex;gap:.25rem;padding-right:.25rem}.label{margin-left:.5rem;flex-grow:1;cursor:pointer}.icons talenra-icon{font-size:1rem;color:var(--color-icon)}.icons talenra-icon.switch-list{color:var(--color-icon-enabled)}.icons talenra-icon[cdkdraghandle]{cursor:move}.icons talenra-icon[cdkdraghandle].inactive{visibility:hidden}.switch-list{opacity:0;transition:opacity .3s;cursor:pointer;color:var(--color-icon-enabled)}.item:hover .switch-list{opacity:1}\n"], dependencies: [{ kind: "component", type: AttributeItemDragPreviewComponent, selector: "inbox-attribute-item-drag-preview" }, { kind: "ngmodule", type: CheckboxModule }, { kind: "component", type: i2$3.CheckboxComponent, selector: "talenra-checkbox", inputs: ["size", "labelPosition", "indeterminate", "pointerDisabled"], outputs: ["indeterminateChange", "checkedChange"] }, { kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: DragDropModule }, { kind: "directive", type: i3$1.CdkDropList, selector: "[cdkDropList], cdk-drop-list", inputs: ["cdkDropListConnectedTo", "cdkDropListData", "cdkDropListOrientation", "id", "cdkDropListLockAxis", "cdkDropListDisabled", "cdkDropListSortingDisabled", "cdkDropListEnterPredicate", "cdkDropListSortPredicate", "cdkDropListAutoScrollDisabled", "cdkDropListAutoScrollStep", "cdkDropListElementContainer"], outputs: ["cdkDropListDropped", "cdkDropListEntered", "cdkDropListExited", "cdkDropListSorted"], exportAs: ["cdkDropList"] }, { kind: "directive", type: i3$1.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer", "cdkDragScale"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "directive", type: i3$1.CdkDragHandle, selector: "[cdkDragHandle]", inputs: ["cdkDragHandleDisabled"] }, { kind: "directive", type: i3$1.CdkDragPreview, selector: "ng-template[cdkDragPreview]", inputs: ["data", "matchSize"] }, { kind: "directive", type: i3$1.CdkDragPlaceholder, selector: "ng-template[cdkDragPlaceholder]", inputs: ["data"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: IconsModule }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'inbox-attributes-list', standalone: true, imports: [
                        AttributeItemDragPreviewComponent,
                        CheckboxModule,
                        CommonModule,
                        DragDropModule,
                        FormsModule,
                        IconsModule,
                        ReactiveFormsModule,
                        TooltipDirective,
                    ], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div\n  (cdkDropListDropped)=\"onDrop($event)\"\n  [cdkDropListData]=\"attributes\"\n  [cdkDropListDisabled]=\"dragDisabled\"\n  cdkDropList>\n  @for (attribute of attributes; track attribute.identifier) {\n    <div cdkDrag>\n      <!-- Item displayed in list by default -->\n      <ng-container *ngTemplateOutlet=\"item\"></ng-container>\n\n      <!--\n        Drag preview shown while dragging\n        Note: We need an ng-template to make matchSize work.\n        (s. https://github.com/angular/components/issues/27750#issuecomment-1730784068)\n      -->\n      <ng-template cdkDragPreview matchSize>\n        <inbox-attribute-item-drag-preview>\n          <ng-container *ngTemplateOutlet=\"item\"></ng-container>\n        </inbox-attribute-item-drag-preview>\n      </ng-template>\n\n      <!-- Placeholder shows \"landing\" position while dragging -->\n      <div class=\"drag-placeholder\" *cdkDragPlaceholder></div>\n\n      <!-- Template for default item and drag-preview -->\n      <ng-template #item>\n        <div class=\"item\" [formGroup]=\"attribute.checked\">\n          <talenra-checkbox\n            class=\"checkbox\"\n            formControlName=\"check\"\n            (checkedChange)=\"onCheckedChange($index)\"></talenra-checkbox>\n          <span class=\"label\" (click)=\"checkAttribute($index)\">{{ attribute.label }}</span>\n          <div class=\"icons\">\n            <talenra-icon\n              name=\"filter-alt\"\n              talenraTooltip=\"Filter/Sortierung aktiv\"\n              *ngIf=\"isLocked(attribute.identifier)\"></talenra-icon>\n            <talenra-icon\n              [name]=\"role === 'primary' ? 'arrow-downward' : 'arrow-upward'\"\n              class=\"switch-list\"\n              data-testid=\"inbox-main-attributes-move\"\n              (click)=\"moveToOtherList($index, $event)\"></talenra-icon>\n            <talenra-icon class=\"icon\" name=\"drag-indicator\" cdkDragHandle [class.inactive]=\"dragDisabled\"></talenra-icon>\n          </div>\n        </div>\n      </ng-template>\n    </div>\n  }\n</div>\n", styles: [":host{--color-placeholder-background: #f2f2f2;--color-placeholder-border: #e6e6e6;--color-icon: #999999;--color-icon-enabled: #666666;--color-background-hover: #f2f2f2}.appearance--dark :host{--color-placeholder-background: #262626;--color-placeholder-border: #4d4d4d;--color-icon: #666666;--color-background-hover: #262626}:host{display:block}.scroll{height:100%}.drag-placeholder{min-height:1.6875rem;border-radius:.1875rem;background:var(--color-placeholder-background);border:solid .0625rem var(--color-placeholder-border);transition:transform .25s cubic-bezier(0,0,.2,1)}.item{display:flex;justify-content:space-between;align-items:center;padding-left:.25rem;border-radius:.1875rem;transition:background-color .3s}.item:hover{background-color:var(--color-background-hover)}:host.kind--default .item{margin:.5rem 0}.checkbox,.icons{flex-grow:0}.icons{display:flex;gap:.25rem;padding-right:.25rem}.label{margin-left:.5rem;flex-grow:1;cursor:pointer}.icons talenra-icon{font-size:1rem;color:var(--color-icon)}.icons talenra-icon.switch-list{color:var(--color-icon-enabled)}.icons talenra-icon[cdkdraghandle]{cursor:move}.icons talenra-icon[cdkdraghandle].inactive{visibility:hidden}.switch-list{opacity:0;transition:opacity .3s;cursor:pointer;color:var(--color-icon-enabled)}.item:hover .switch-list{opacity:1}\n"] }]
        }], propDecorators: { attributes: [{
                type: Input,
                args: [{ required: true }]
            }], role: [{
                type: Input,
                args: [{ required: true }]
            }], dragDisabled: [{
                type: Input
            }], kind: [{
                type: Input
            }], checkedChange: [{
                type: Output
            }], cdkDropListDropped: [{
                type: Output
            }], lockedAttributes: [{
                type: Input
            }], moveToOtherListTriggered: [{
                type: Output
            }], classKind: [{
                type: HostBinding,
                args: ['class']
            }] } });

/**
 * Attributes settings are responsible for providing content to the selected attributes within the data items list and data item information.
 *
 * ```html
 * <talenra-attributes-settings
 *   [attributesSettingsList]="attributesSettingsList"
 *   [maxAttributesShown]="maxAttributesShown"
 *   [selectedMainAttributes]="selectedMainAttributes"
 *   [selectedDetailAttributes]="selectedDetailAttributes"
 *   [isExpanded]="isExpanded"
 *   (isExpandedChange)="expandedChangeHandler($event)"
 *   (selectedMainAttributesEmitter)="selectedMainAttributesEmitterHandler($event)"
 *   (selectedDetailAttributesEmitter)="selectedDetailAttributesEmitterHandler($event)"
 *   (selectedAllAttributesEmitter)="selectedAllAttributesEmitterHandler($event)"
 * ></talenra-attributes-settings>
 * ```
 */
class AttributesSettingsComponent {
    constructor() {
        /**
         * The maximum Attributes, which are to be shown in the data-item-list-items.
         * Further they are divided in the ui.
         * Marks the border for which values are saved to attributes and attributes-detail in attributes-settings-service.
         * Default value is 12, like chosen in the requirements.
         */
        this.maxAttributesShown = 12;
        /**
         * The maximum Attributes, which are to be shown in the data-item-list-items mutated by the user.
         */
        this.numberMainAttributesChosenByUser = 12;
        /**
         * The boolean value is used to expand the attributes settings UI.
         */
        this.isExpanded = false;
        /**
         * Sets the selected main attributes.
         */
        this.selectedMainAttributes = [];
        /**
         * Sets the selected detail attributes.
         */
        this.selectedDetailAttributes = [];
        /**
         * List of attributes key which are used to lock the attributes in the attribute settings.
         * Gets updated by the used attributes in the filter toolbar.
         */
        this.lockedAttributes = [];
        /**
         * Emits the main selected attributes.
         */
        this.selectedMainAttributesEmitter = new EventEmitter();
        /**
         * Emits the detail selected attributes.
         */
        this.selectedDetailAttributesEmitter = new EventEmitter();
        /**
         * Emits the all selected attributes.
         */
        this.selectedAllAttributesEmitter = new EventEmitter();
        /**
         * The boolean value is used to expand the attributes settings UI.
         */
        this.isExpandedChange = new EventEmitter();
        /**
         * The number value that is chosen by the user to show the main attributes.
         */
        this.numberMainAttributesChosenByUserEmitter = new EventEmitter();
        /**
         * The main attributes.
         */
        this.mainAttributes = [];
        /**
         * The detail attributes.
         */
        this.detailAttributes = [];
        /**
         * The detail attributes.
         */
        this.detailAttributesSearch = [];
        /**
         * Boolean to know if all checkboxes are checked.
         */
        this.allAttributesSettingsChecked = new FormGroup({
            check: new FormControl({ value: false, disabled: false }),
        });
        /**
         * List style for the checkbox behavior and UI.
         */
        this.indeterminateAllAttributes = false;
        /**
         * List of all marked attributes labels
         */
        this.markedAttributes = [];
        /**
         * The inbox service.
         */
        this.inboxState = inject(InboxState);
        /**
         * Boolean to set if label is shown.
         */
        this.showAttributeLabelsDataItemsList = this.inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList;
        /**
         * The form-group which defines the overall form consisting most of the time
         * of multiple inputs, gets passed into the component.
         * Get Value HTML:
         *     {{searchField.get(searchFieldFcn)!.value}}
         */
        this.searchForm = new FormGroup({
            query: new FormControl(''),
        });
        /**
         * Semaphore to stop accessing checkbox value a second time.
         * @internal
         */
        this.checkboxSemaphore = new BehaviorSubject(false);
        /**
         * Semaphore to stop multiple change save.
         * @internal
         */
        this.multipleChangeSemaphore = new BehaviorSubject(false);
        /**
         * The subscriptions of the component.
         *  @internal
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Returns whether list-style "narrow" (a more compact layout) is preferred. The compact layout is used for extensive
     * numbers of attributes.
     *
     * @internal
     */
    get preferNarrowList() {
        return !!(this.attributesSettingsList && this.attributesSettingsList?.length > cfg.listStyleThreshold);
    }
    /** @internal */
    get classNames() {
        return this.preferNarrowList ? 'kind--narrow' : 'kind--default';
    }
    /**
     * The initialization of the component.
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Detects changes in the component.
     * @internal
     **/
    ngOnChanges(changes) {
        const preSetOptionsGroupChanges = changes['preSetOptionsGroup'];
        if (preSetOptionsGroupChanges && !preSetOptionsGroupChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const attributesSettingsListChanges = changes['attributesSettingsList'];
        if (attributesSettingsListChanges && !attributesSettingsListChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const selectedMainAttributesChanges = changes['selectedMainAttributes'];
        if (selectedMainAttributesChanges && !selectedMainAttributesChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const selectedDetailAttributesChanges = changes['selectedDetailAttributes'];
        if (selectedDetailAttributesChanges && !selectedDetailAttributesChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const numberMainAttributesChosenByUserChanges = changes['numberMainAttributesChosenByUser'];
        if (numberMainAttributesChosenByUserChanges && !numberMainAttributesChosenByUserChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const lockedAttributesChanges = changes['lockedAttributes'];
        if (lockedAttributesChanges && !lockedAttributesChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            this.initializeComponent();
        }
        const isExpandedChanges = changes['isExpanded'];
        if (isExpandedChanges && !isExpandedChanges.firstChange) {
            if (isExpandedChanges.currentValue) {
                this.orderAttributes();
            }
        }
    }
    /**
     * Unsubscribes from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    /**
     * Auxiliary method to create a list for the checked items.
     * @param list The list that contains the attributes.
     * @internal
     */
    createList(list) {
        const value = [];
        list.filter((elem) => {
            if (elem.checked.get('check')?.value)
                value.push({
                    identifier: elem.identifier,
                    checked: elem.checked,
                    label: elem.label,
                    filterMode: elem.filterMode,
                });
        });
        return value;
    }
    /**
     * Called if attributes are changed and have to be emitted.
     */
    onAttributesSettingsChanges() {
        if (!this.multipleChangeSemaphore.value) {
            const mainAttributesPrepared = this.createList(this.mainAttributes);
            this.selectedMainAttributesEmitter.emit(mainAttributesPrepared);
            this.selectedMainAttributes = mainAttributesPrepared;
            const detailAttributesPrepared = this.createList(this.detailAttributes);
            this.selectedDetailAttributesEmitter.emit(detailAttributesPrepared);
            this.selectedDetailAttributes = detailAttributesPrepared;
            const allAttributesPrepared = this.createList([...this.mainAttributes, ...this.detailAttributes]);
            this.selectedAllAttributesEmitter.emit(allAttributesPrepared);
        }
    }
    /**
     * Handler to mark attributes.
     * @param {AttributeItem} item Clicked attribute.
     */
    handleMarkedAttribute(item) {
        if (this.getMarkedAttribute(item.identifier) === item.identifier && !item.checked.get('check')?.value) {
            this.unmarkAttribute(item.identifier);
        }
        else if (item.checked.get('check')?.value) {
            this.markAttribute(item.identifier);
        }
        // check if length of list to disable control of single items
        if (this.markedAttributes.length === this.attributesSettingsList?.length) {
            this.indeterminateAllAttributes = false;
            this.checkboxSemaphore.next(true);
            this.allAttributesSettingsChecked.get('check')?.setValue(true);
        }
        else if (this.markedAttributes.length <= 1) {
            this.indeterminateAllAttributes = false;
            this.checkboxSemaphore.next(true);
            this.allAttributesSettingsChecked.get('check')?.setValue(false);
        }
        else if (this.markedAttributes.length > 1) {
            this.indeterminateAllAttributes = true;
            this.checkboxSemaphore.next(true);
            this.allAttributesSettingsChecked.get('check')?.setValue(false);
        }
    }
    /**
     * Auxiliary method to mark chosen attributes.
     * @param {string} id Attributes name of the marked attributes.
     * @internal
     */
    markAttribute(id) {
        if (this.getMarkedAttribute(id) === '') {
            this.markedAttributes.push(id);
        }
    }
    /**
     * Auxiliary method to unmark chosen attributes.
     * @param {string} id Attributes name of the unmarked attributes.
     * @internal
     */
    unmarkAttribute(id) {
        this.markedAttributes.forEach((value, index) => {
            if (value == id && this.mainAttributes[0].identifier !== id)
                this.markedAttributes.splice(index, 1);
        });
    }
    /**
     * Auxiliary method to get the chosen attribute.
     * @param {string} id Attribute name of the chosen attribute.
     * @internal
     */
    getMarkedAttribute(id) {
        let value = '';
        this.markedAttributes.filter((elem) => {
            if (elem === id) {
                value = elem;
            }
        });
        return value;
    }
    /**
     * To change the array place of dragged item.
     * @param event The dragged item.
     * @param list The list to move the item to. True for main list, false for detail list.
     * @internal
     */
    onDrop(list, event) {
        // enable the first element of the main list
        const firstElement = this.mainAttributes[0];
        firstElement.checked.get('check')?.enable();
        // change the position in arrays
        // move in same list
        if (event.previousContainer === event.container) {
            moveItemInArray(event.container.data, event.previousIndex, event.currentIndex);
        }
        // move to other list
        else {
            if (list === AttributeListRole.Secondary) {
                transferArrayItem(this.mainAttributes, this.detailAttributes, event.previousIndex, event.currentIndex);
                if (event.currentIndex === 0) {
                    transferArrayItem(this.detailAttributes, this.mainAttributes, 1, this.mainAttributes.length);
                }
                else {
                    transferArrayItem(this.detailAttributes, this.mainAttributes, 0, this.mainAttributes.length);
                }
            }
            else {
                transferArrayItem(this.mainAttributes, this.detailAttributes, this.mainAttributes.length, 0);
                transferArrayItem(this.detailAttributes, this.mainAttributes, event.previousIndex + 1, event.currentIndex);
            }
        }
        this.checkLockedAttributesDisableFirstElement();
    }
    /**
     * Method to emit the close button and close the inbox detail view
     */
    onCloseClick() {
        this.isExpanded = false;
        this.isExpandedChange.emit(this.isExpanded);
    }
    /**
     * Update Attributes of the view to the current state.
     */
    updateAttributes() {
        this.orderAttributes();
        // set selected elements
        this.attributesSettingsList?.forEach((item, index) => {
            // enable all checkboxes, specific ones will be disabled later
            item.checked.get('check')?.enable();
            // set selected elements
            const selectedAttributes = this.selectedMainAttributes?.find((e) => e.identifier === item.identifier);
            const selectedAttributesDetails = this.selectedDetailAttributes?.find((e) => e.identifier === item.identifier);
            const combinedAttribute = selectedAttributes || selectedAttributesDetails;
            combinedAttribute && item.checked.get('check')?.setValue(true);
            !combinedAttribute && item.checked.get('check')?.setValue(false);
            combinedAttribute && this.handleMarkedAttribute(item);
            // add to specific list
            if (index < this.numberMainAttributesChosenByUser) {
                this.mainAttributes.push(item);
            }
            else if (index >= this.numberMainAttributesChosenByUser) {
                this.detailAttributes.push(item);
            }
            // set list to unchanged
            this.detailAttributesSearch = this.detailAttributes;
            // reset search field
            this.searchForm.get('query')?.setValue('');
        });
        // lock all attributes which are used in the filters and sortFilter (not iconFilter)
        this.lockAttributes();
        // the first element is always selected and disabled
        const firstElement = this.mainAttributes[0];
        firstElement && firstElement.checked.get('check')?.setValue(true);
        firstElement && firstElement.checked.get('check')?.disable();
    }
    /**
     * Method to get if the search field is active.
     */
    isSearchActive() {
        return this.searchForm.get('query')?.value !== '';
    }
    /**
     * Method to reset the attributes.
     */
    resetAttributes() {
        this.markedAttributes = [];
        this.mainAttributes = [];
        this.detailAttributes = [];
        this.detailAttributesSearch = [];
    }
    /**
     * Method to set the checkbox value of all attributes checkbox.
     * @param value The value of the checkbox.
     */
    allAttributesSettingsCheckedChange(value) {
        if (!this.checkboxSemaphore.value) {
            // stop change save execution, for multiple change save
            this.multipleChangeSemaphore.next(true);
            if (value) {
                // set selected elements
                this.attributesSettingsList?.forEach((item) => {
                    item.checked.get('check')?.setValue(true);
                    if (!this.getMarkedAttribute(item.identifier)) {
                        if (item.checked.get('check')?.value) {
                            this.markAttribute(item.identifier);
                        }
                    }
                });
            }
            else {
                // set selected elements
                this.attributesSettingsList?.forEach((item) => {
                    item.checked.get('check')?.setValue(false);
                    if (item.checked.get('check')?.value) {
                        this.markAttribute(item.identifier);
                    }
                });
                // set marked attributes to empty
                this.markedAttributes = [];
                // lock all attributes which are used in the filters and sortFilter (not iconFilter)
                this.lockAttributes();
                // set first element as active
                const firstAttribute = this.attributesSettingsList?.[0];
                firstAttribute && firstAttribute.checked.get('check')?.setValue(true);
                firstAttribute && this.markAttribute(firstAttribute.identifier);
            }
            // enable change save execution
            this.multipleChangeSemaphore.next(false);
        }
        else {
            this.checkboxSemaphore.next(false);
        }
        // immediate change in display
        this.onAttributesSettingsChanges();
    }
    /**
     * Method to set the toggle to show or not show labels in data items.
     * @param $event The event that is triggered by the click.
     */
    changeShowAttributeLabelsDataItemsList($event) {
        const inboxConfiguration = this.inboxState.inboxConfiguration$.value;
        inboxConfiguration.showAttributeLabelsDataItemsList = $event;
        this.inboxState.setInboxConfiguration(inboxConfiguration);
    }
    /**
     * Checks if the filter is active.
     * @param attributeLabel The label of the filter.
     */
    isFilterActive(attributeLabel) {
        return this.lockedAttributes.some((attribute) => attribute.identifier === attributeLabel && attribute.origin === 'filter');
    }
    /**
     * Checks if the sort is active.
     * @param attributeLabel The label of the filter.
     */
    isSortActive(attributeLabel) {
        return this.lockedAttributes.some((attribute) => attribute.identifier === attributeLabel && attribute.origin === 'sort');
    }
    /**
     * Method to move the attribute to the other part of the list.
     * @param list The list to move the item to ('primary' or 'secondary')
     * @param index The index of the item.
     * @param event The event that is triggered by the click.
     */
    moveToOtherList(list, index, event = undefined) {
        // Prevent the panel from closing.
        event && event.stopPropagation();
        // enable the first element of the main list
        const firstElement = this.mainAttributes[0];
        firstElement.checked.get('check')?.enable();
        // change the position in arrays
        if (list === AttributeListRole.Pirmary) {
            // move selected item to top of secondary list
            transferArrayItem(this.mainAttributes, this.detailAttributes, index, 0);
            // move the first item of the secondary list to the end of the primary list
            transferArrayItem(this.detailAttributes, this.mainAttributes, 1, this.mainAttributes.length);
        }
        else {
            // move last item of primary list to top of secondary list
            transferArrayItem(this.mainAttributes, this.detailAttributes, this.mainAttributes.length - 1, 0);
            if (this.isSearchActive()) {
                const detailIndexSearch = this.detailAttributes.findIndex((x) => x.identifier === this.detailAttributesSearch[index].identifier);
                transferArrayItem(this.detailAttributes, this.mainAttributes, detailIndexSearch, this.mainAttributes.length);
            }
            else {
                transferArrayItem(this.detailAttributes, this.mainAttributes, index + 1, this.mainAttributes.length);
            }
        }
        this.checkLockedAttributesDisableFirstElement();
    }
    /**
     * Decrease/increase the maximum attributes shown
     */
    updateAttributesMax(deviation) {
        // Normalize argument
        deviation = parseInt(deviation.toString(), 10);
        // Abort if changing the value is not permitted in configuration
        if (this.inboxState.inboxConfiguration$.value.disableFlexibleMainAttributes || deviation === 0)
            return;
        this.numberMainAttributesChosenByUser += deviation;
        if (deviation > 0) {
            transferArrayItem(this.detailAttributes, this.mainAttributes, 0, this.mainAttributes.length);
        }
        else {
            transferArrayItem(this.mainAttributes, this.detailAttributes, this.mainAttributes.length, 0);
        }
        // emit changes in number
        this.numberMainAttributesChosenByUserEmitter.emit(this.numberMainAttributesChosenByUser);
        // set list to unchanged
        this.detailAttributesSearch = this.detailAttributes;
        // reset search field
        this.searchForm.get('query')?.setValue('');
        this.onAttributesSettingsChanges();
    }
    /**
     * The initialization of the component.
     * @private
     */
    initializeComponent() {
        this.resetAttributes();
        // move first item of attributes as selected
        this.updateAttributes();
        this.subscriptions.add(this.allAttributesSettingsChecked.get('check')?.valueChanges.subscribe((value) => {
            this.allAttributesSettingsCheckedChange(value);
        }));
        // search field interaction
        this.subscriptions.add(this.searchForm.get('query')?.valueChanges.subscribe((value) => {
            // set searched value to '' if null, to avoid logic failure
            if (value === null) {
                this.searchForm.get('query')?.setValue('');
            }
            else {
                this.detailAttributesSearch = this.detailAttributes.filter((item) => {
                    return item.label.toLowerCase().includes(value.toLowerCase());
                });
            }
        }));
        // initialize semaphores
        this.checkboxSemaphore.next(false);
        this.multipleChangeSemaphore.next(false);
    }
    /**
     * Method to order the selected attributes.
     */
    orderAttributes() {
        // move first item of attributes as selected
        this.selectedMainAttributes?.reverse().forEach((elem) => {
            const index = this.attributesSettingsList?.findIndex((x) => x.identifier === elem.identifier);
            if (this.attributesSettingsList && index) {
                moveItemInArray(this.attributesSettingsList, index, 0);
            }
        });
        this.selectedMainAttributes?.reverse();
        // move first item of details attributes to end to get the element between main and detail attributes
        this.selectedDetailAttributes?.reverse().forEach((elem) => {
            const index = this.attributesSettingsList?.findIndex((x) => x.identifier === elem.identifier);
            if (this.attributesSettingsList && index) {
                moveItemInArray(this.attributesSettingsList, index, this.attributesSettingsList.length);
            }
        });
        // move first item of details attributes as selected
        this.selectedDetailAttributes?.forEach((elem) => {
            const index = this.attributesSettingsList?.findIndex((x) => x.identifier === elem.identifier);
            if (this.attributesSettingsList && index) {
                moveItemInArray(this.attributesSettingsList, index, this.numberMainAttributesChosenByUser);
            }
        });
        this.selectedDetailAttributes?.reverse();
    }
    /**
     * Method to lock the attributes.
     */
    lockAttributes() {
        // lock all attributes which are used in the filters and sortFilter (not iconFilter)
        this.lockedAttributes.forEach((item) => {
            const index = this.attributesSettingsList?.findIndex((x) => x.identifier === item.identifier);
            if (this.attributesSettingsList && index) {
                this.attributesSettingsList[index].checked.get('check')?.setValue(true);
                this.attributesSettingsList[index].checked.get('check')?.disable();
            }
        });
    }
    /**
     * Auxiliary method to check for locked attributes and disable the first element.
     * Furthermore, reset search of attributes detail list and call onAttributesSettingsChanges.
     * @private
     */
    checkLockedAttributesDisableFirstElement() {
        // lock all attributes which are used in the filters and sortFilter (not iconFilter)
        this.lockAttributes();
        // the first element is always selected
        const firstElement = this.mainAttributes[0];
        firstElement && firstElement.checked.get('check')?.setValue(true);
        firstElement.checked.get('check')?.disable();
        // set list to unchanged
        this.detailAttributesSearch = this.detailAttributes;
        // reset search fieldx
        this.searchForm.get('query')?.setValue('');
        // immediate change in display
        this.onAttributesSettingsChanges();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesSettingsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: AttributesSettingsComponent, selector: "talenra-attributes-settings", inputs: { attributesSettingsList: "attributesSettingsList", maxAttributesShown: "maxAttributesShown", numberMainAttributesChosenByUser: "numberMainAttributesChosenByUser", isExpanded: "isExpanded", selectedMainAttributes: "selectedMainAttributes", selectedDetailAttributes: "selectedDetailAttributes", lockedAttributes: "lockedAttributes" }, outputs: { selectedMainAttributesEmitter: "selectedMainAttributesEmitter", selectedDetailAttributesEmitter: "selectedDetailAttributesEmitter", selectedAllAttributesEmitter: "selectedAllAttributesEmitter", isExpandedChange: "isExpandedChange", numberMainAttributesChosenByUserEmitter: "numberMainAttributesChosenByUserEmitter" }, host: { properties: { "class": "this.classNames" } }, usesOnChanges: true, ngImport: i0, template: "<header class=\"header\">\n  <span class=\"title\">{{\n    inboxState.inboxConfiguration$.value.attributeSettingsTitle\n      ? inboxState.inboxConfiguration$.value.attributeSettingsTitle\n      : 'Anzeige Fall-Informationen'\n  }}</span>\n  <button (click)=\"onCloseClick()\" data-testid=\"close panel\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n</header>\n\n<div class=\"all-attributes\">\n  <div [formGroup]=\"allAttributesSettingsChecked\" class=\"control-pair\">\n    <talenra-checkbox\n      [(indeterminate)]=\"indeterminateAllAttributes\"\n      [talenraTooltip]=\"allAttributesSettingsChecked.get('check')?.value === true ? 'Alle abw\u00E4hlen' : 'Alle ausw\u00E4hlen'\"\n      data-testid=\"check/uncheck all\"\n      formControlName=\"check\"></talenra-checkbox>\n    <span>Alle</span>\n  </div>\n  <div *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList !== undefined\" class=\"control-pair\">\n    <talenra-toggle\n      (ngModelChange)=\"changeShowAttributeLabelsDataItemsList($event)\"\n      [ngModel]=\"showAttributeLabelsDataItemsList\"></talenra-toggle>\n    <span>Label</span>\n  </div>\n</div>\n\n<div class=\"stepper\">\n  <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableFlexibleMainAttributes\" class=\"stepper-inner\">\n    <button\n      (click)=\"updateAttributesMax(-1)\"\n      [disabled]=\"numberMainAttributesChosenByUser <= 1\"\n      data-testid=\"Maximale Anzahl an Hauptattributen verringern\"\n      icon=\"remove\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzahl Hauptattribute verringern\"\n      size=\"s\"></button>\n    <div class=\"stepper-value\">\n      {{ numberMainAttributesChosenByUser }}\n    </div>\n    <button\n      (click)=\"updateAttributesMax(1)\"\n      [disabled]=\"numberMainAttributesChosenByUser >= maxAttributesShown\"\n      data-testid=\"Maximale Anzahl an Hauptattributen erh\u00F6hen\"\n      icon=\"add\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzahl Hauptattribute erh\u00F6hen\"\n      size=\"s\"></button>\n  </div>\n</div>\n\n<div cdkDropListGroup class=\"flexible-height\">\n  <div class=\"lists\">\n    <div class=\"list-container primary\">\n      <inbox-attributes-list\n        (cdkDropListDropped)=\"onDrop('primary', $event)\"\n        (checkedChange)=\"handleMarkedAttribute($event)\"\n        (moveToOtherListTriggered)=\"moveToOtherList('primary', $event)\"\n        [attributes]=\"mainAttributes\"\n        [dragDisabled]=\"isSearchActive()\"\n        [kind]=\"preferNarrowList ? 'narrow' : 'default'\"\n        [lockedAttributes]=\"lockedAttributes\"\n        role=\"primary\"></inbox-attributes-list>\n    </div>\n\n    <hr class=\"separator\" />\n\n    <talenra-search-field [formGroup]=\"searchForm\" class=\"filter\" showIcon>\n      <input formControlName=\"query\" kind=\"no-indent\" talenra-search />\n    </talenra-search-field>\n    <div class=\"list-container secondary\">\n      <talenra-scroll-container class=\"scroll\" useOverlay>\n        <inbox-attributes-list\n          (cdkDropListDropped)=\"onDrop('secondary', $event)\"\n          (checkedChange)=\"handleMarkedAttribute($event)\"\n          (moveToOtherListTriggered)=\"moveToOtherList('secondary', $event)\"\n          [attributes]=\"detailAttributesSearch\"\n          [dragDisabled]=\"isSearchActive()\"\n          [kind]=\"preferNarrowList ? 'narrow' : 'default'\"\n          [lockedAttributes]=\"lockedAttributes\"\n          class=\"list\"\n          role=\"secondary\"></inbox-attributes-list>\n      </talenra-scroll-container>\n    </div>\n  </div>\n</div>\n", styles: [":host{--color-primary: #0099a8;--color-background: #ffffff;--color-border: #f2f2f2;--color-text: #000000;--color-icons: #999999;--color-lines: #cccccc;--color-attribute-item-background-hover: #f2f2f2;--color-attribute-item-background-drag: #eaf4f6}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-border: #262626;--color-text: #ffffff;--color-icons: #666666;--color-lines: #666666;--color-attribute-item-background-hover: #262626}:host{display:flex;flex-direction:column;height:100%;background:var(--color-background);padding:0 1.5rem 0 .9375rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text);border-top:.0625rem solid var(--color-border);border-left:.0625rem solid var(--color-border);-webkit-user-select:none;user-select:none}.header{display:flex;justify-content:space-between;align-items:center;margin:1.9375rem 0 .1875rem}.title{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-left:.25rem}.all-attributes{display:flex;justify-content:space-between;gap:1rem;margin-top:1.125rem;padding-left:.25rem;padding-right:.375rem}.control-pair{display:flex;flex-wrap:nowrap;align-items:center}.control-pair span{margin-left:.5rem}.separator{width:100%;height:.0625rem;background-color:var(--color-lines);border:0;flex-shrink:0;margin:.4375rem -.25rem .4375rem 0}.flexible-height{flex-grow:1;flex-shrink:1;overflow-y:hidden;margin-right:-1.5rem;padding-right:1.5rem}.lists{display:flex;flex-direction:column;flex-wrap:nowrap;height:100%}.list-container.primary{flex-shrink:0;margin-bottom:.25rem}:host.kind--narrow .list-container.primary{margin-bottom:.5rem}.list-container.secondary{flex-shrink:1;overflow-y:hidden;margin-right:-1.5rem}.list-container.secondary .list{margin-right:1.5rem}.list-container.secondary .scroll{height:100%;overflow-y:auto}.filter{margin-bottom:.75rem}:host.kind--default .filter{margin-top:.625rem}:host.kind--narrow .filter{margin-bottom:1rem}.stepper{position:relative;display:flex;justify-content:center;align-items:center;margin-top:-.0625rem;margin-bottom:-.25rem}:host.kind--narrow .stepper{margin-top:-.5rem;margin-bottom:-.1875rem}.stepper:before{content:\"\";position:absolute;inset:50% 0 0;height:.0625rem;background-color:var(--color-lines)}.stepper-inner{display:flex;z-index:1;align-items:center;gap:.6875rem;background-color:var(--color-background);padding:.25rem .75rem}.stepper-value{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}\n"], dependencies: [{ kind: "component", type: AttributesListComponent, selector: "inbox-attributes-list", inputs: ["attributes", "role", "dragDisabled", "kind", "lockedAttributes"], outputs: ["checkedChange", "cdkDropListDropped", "moveToOtherListTriggered"] }, { kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$3.CheckboxComponent, selector: "talenra-checkbox", inputs: ["size", "labelPosition", "indeterminate", "pointerDisabled"], outputs: ["indeterminateChange", "checkedChange"] }, { kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "component", type: i5.ToggleComponent, selector: "talenra-toggle", outputs: ["checkedChange"] }, { kind: "component", type: i4$2.SearchInputComponent, selector: "input[talenra-search]", inputs: ["kind", "disabled"] }, { kind: "component", type: i4$2.SearchFieldComponent, selector: "talenra-search-field", inputs: ["showIcon", "showButton"], outputs: ["search"] }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3$1.CdkDropListGroup, selector: "[cdkDropListGroup]", inputs: ["cdkDropListGroupDisabled"], exportAs: ["cdkDropListGroup"] }, { kind: "directive", type: i4$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesSettingsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-attributes-settings', template: "<header class=\"header\">\n  <span class=\"title\">{{\n    inboxState.inboxConfiguration$.value.attributeSettingsTitle\n      ? inboxState.inboxConfiguration$.value.attributeSettingsTitle\n      : 'Anzeige Fall-Informationen'\n  }}</span>\n  <button (click)=\"onCloseClick()\" data-testid=\"close panel\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n</header>\n\n<div class=\"all-attributes\">\n  <div [formGroup]=\"allAttributesSettingsChecked\" class=\"control-pair\">\n    <talenra-checkbox\n      [(indeterminate)]=\"indeterminateAllAttributes\"\n      [talenraTooltip]=\"allAttributesSettingsChecked.get('check')?.value === true ? 'Alle abw\u00E4hlen' : 'Alle ausw\u00E4hlen'\"\n      data-testid=\"check/uncheck all\"\n      formControlName=\"check\"></talenra-checkbox>\n    <span>Alle</span>\n  </div>\n  <div *ngIf=\"inboxState.inboxConfiguration$.value.showAttributeLabelsDataItemsList !== undefined\" class=\"control-pair\">\n    <talenra-toggle\n      (ngModelChange)=\"changeShowAttributeLabelsDataItemsList($event)\"\n      [ngModel]=\"showAttributeLabelsDataItemsList\"></talenra-toggle>\n    <span>Label</span>\n  </div>\n</div>\n\n<div class=\"stepper\">\n  <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableFlexibleMainAttributes\" class=\"stepper-inner\">\n    <button\n      (click)=\"updateAttributesMax(-1)\"\n      [disabled]=\"numberMainAttributesChosenByUser <= 1\"\n      data-testid=\"Maximale Anzahl an Hauptattributen verringern\"\n      icon=\"remove\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzahl Hauptattribute verringern\"\n      size=\"s\"></button>\n    <div class=\"stepper-value\">\n      {{ numberMainAttributesChosenByUser }}\n    </div>\n    <button\n      (click)=\"updateAttributesMax(1)\"\n      [disabled]=\"numberMainAttributesChosenByUser >= maxAttributesShown\"\n      data-testid=\"Maximale Anzahl an Hauptattributen erh\u00F6hen\"\n      icon=\"add\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Anzahl Hauptattribute erh\u00F6hen\"\n      size=\"s\"></button>\n  </div>\n</div>\n\n<div cdkDropListGroup class=\"flexible-height\">\n  <div class=\"lists\">\n    <div class=\"list-container primary\">\n      <inbox-attributes-list\n        (cdkDropListDropped)=\"onDrop('primary', $event)\"\n        (checkedChange)=\"handleMarkedAttribute($event)\"\n        (moveToOtherListTriggered)=\"moveToOtherList('primary', $event)\"\n        [attributes]=\"mainAttributes\"\n        [dragDisabled]=\"isSearchActive()\"\n        [kind]=\"preferNarrowList ? 'narrow' : 'default'\"\n        [lockedAttributes]=\"lockedAttributes\"\n        role=\"primary\"></inbox-attributes-list>\n    </div>\n\n    <hr class=\"separator\" />\n\n    <talenra-search-field [formGroup]=\"searchForm\" class=\"filter\" showIcon>\n      <input formControlName=\"query\" kind=\"no-indent\" talenra-search />\n    </talenra-search-field>\n    <div class=\"list-container secondary\">\n      <talenra-scroll-container class=\"scroll\" useOverlay>\n        <inbox-attributes-list\n          (cdkDropListDropped)=\"onDrop('secondary', $event)\"\n          (checkedChange)=\"handleMarkedAttribute($event)\"\n          (moveToOtherListTriggered)=\"moveToOtherList('secondary', $event)\"\n          [attributes]=\"detailAttributesSearch\"\n          [dragDisabled]=\"isSearchActive()\"\n          [kind]=\"preferNarrowList ? 'narrow' : 'default'\"\n          [lockedAttributes]=\"lockedAttributes\"\n          class=\"list\"\n          role=\"secondary\"></inbox-attributes-list>\n      </talenra-scroll-container>\n    </div>\n  </div>\n</div>\n", styles: [":host{--color-primary: #0099a8;--color-background: #ffffff;--color-border: #f2f2f2;--color-text: #000000;--color-icons: #999999;--color-lines: #cccccc;--color-attribute-item-background-hover: #f2f2f2;--color-attribute-item-background-drag: #eaf4f6}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-border: #262626;--color-text: #ffffff;--color-icons: #666666;--color-lines: #666666;--color-attribute-item-background-hover: #262626}:host{display:flex;flex-direction:column;height:100%;background:var(--color-background);padding:0 1.5rem 0 .9375rem;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text);border-top:.0625rem solid var(--color-border);border-left:.0625rem solid var(--color-border);-webkit-user-select:none;user-select:none}.header{display:flex;justify-content:space-between;align-items:center;margin:1.9375rem 0 .1875rem}.title{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;padding-left:.25rem}.all-attributes{display:flex;justify-content:space-between;gap:1rem;margin-top:1.125rem;padding-left:.25rem;padding-right:.375rem}.control-pair{display:flex;flex-wrap:nowrap;align-items:center}.control-pair span{margin-left:.5rem}.separator{width:100%;height:.0625rem;background-color:var(--color-lines);border:0;flex-shrink:0;margin:.4375rem -.25rem .4375rem 0}.flexible-height{flex-grow:1;flex-shrink:1;overflow-y:hidden;margin-right:-1.5rem;padding-right:1.5rem}.lists{display:flex;flex-direction:column;flex-wrap:nowrap;height:100%}.list-container.primary{flex-shrink:0;margin-bottom:.25rem}:host.kind--narrow .list-container.primary{margin-bottom:.5rem}.list-container.secondary{flex-shrink:1;overflow-y:hidden;margin-right:-1.5rem}.list-container.secondary .list{margin-right:1.5rem}.list-container.secondary .scroll{height:100%;overflow-y:auto}.filter{margin-bottom:.75rem}:host.kind--default .filter{margin-top:.625rem}:host.kind--narrow .filter{margin-bottom:1rem}.stepper{position:relative;display:flex;justify-content:center;align-items:center;margin-top:-.0625rem;margin-bottom:-.25rem}:host.kind--narrow .stepper{margin-top:-.5rem;margin-bottom:-.1875rem}.stepper:before{content:\"\";position:absolute;inset:50% 0 0;height:.0625rem;background-color:var(--color-lines)}.stepper-inner{display:flex;z-index:1;align-items:center;gap:.6875rem;background-color:var(--color-background);padding:.25rem .75rem}.stepper-value{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:300;font-style:normal;letter-spacing:.02em}\n"] }]
        }], propDecorators: { attributesSettingsList: [{
                type: Input
            }], maxAttributesShown: [{
                type: Input
            }], numberMainAttributesChosenByUser: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }], selectedMainAttributes: [{
                type: Input
            }], selectedDetailAttributes: [{
                type: Input
            }], lockedAttributes: [{
                type: Input
            }], selectedMainAttributesEmitter: [{
                type: Output
            }], selectedDetailAttributesEmitter: [{
                type: Output
            }], selectedAllAttributesEmitter: [{
                type: Output
            }], isExpandedChange: [{
                type: Output
            }], numberMainAttributesChosenByUserEmitter: [{
                type: Output
            }], classNames: [{
                type: HostBinding,
                args: ['class']
            }] } });

class AttributeSelectorComponent {
    constructor() {
        /**
         * The list of available attributes to be selected and deselected.
         */
        this.allAttributes = [];
        /**
         * The list of selected attributes.
         */
        this.selectedAttributes = [];
        /**
         * The maximum number of selected attributes.
         * Default value is 30.
         */
        this.maxSelectedAttributes = 30;
        /**
         * The title of the attribute selector, displayed above the lists.
         */
        this.title = 'Attributselector';
        /**
         * The icon in the title of the attribute selector, displayed above the lists.
         * Has to be one of the available icons from the talenra icon library.
         */
        this.titleIcon = '';
        /**
         * The reset attribute selection.
         * If true, the attribute selection will be reset.
         * Will be set to false after the reset.
         */
        this.resetAttributeSelection = false;
        /**
         * The reset attribute selection emitter.
         * If true, the attribute selection will be reset.
         * Will be set to false after the reset.
         */
        this.resetAttributeSelectionChange = new EventEmitter();
        /**
         * The event emitter for the selected attributes.
         */
        this.selectedAttributesChange = new EventEmitter();
        /**
         * The event emitter for which specific custom space is clicked correlating with the attribute.
         */
        this.selectedAttributeIconClickEmitter = new EventEmitter();
        /**
         * The event emitter for the click of the close button.
         */
        this.closeClick = output();
        /**
         * List of searched attributes, not selected.
         */
        this.searchedAttributesList = [];
        /**
         * Form group for the search field
         */
        this.searchField = new FormGroup({
            searchField: new FormControl(''),
        });
        /**
         * Value if placeholder in selected sort list is shown.
         * If nothing selected yet, then placeholder is shown.
         */
        this.placeholderSelectionAttributesListShown = false;
        /**
         * Subscriptions for the filter toolbar component.
         * @internal
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Standard initializer for the component.
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Detects changes in the attribute selector component.
     * @param changes The changes in the attribute selector component.
     * @internal
     */
    ngOnChanges(changes) {
        const resetAttributeSelectionChanges = changes['resetAttributeSelection'];
        if (resetAttributeSelectionChanges && !resetAttributeSelectionChanges.firstChange) {
            if (resetAttributeSelectionChanges.currentValue) {
                this.resetAttributes();
                this.resetAttributeSelectionChange.emit(false);
            }
        }
        // last position in change detection to reset the component
        const selectedAttributesChanges = changes['selectedAttributes'];
        if (selectedAttributesChanges && !selectedAttributesChanges.firstChange) {
            this.searchedAttributesList = this.allAttributes.filter((elem) => {
                // check if already selected
                return !selectedAttributesChanges.currentValue.some((e) => e.attribute.identifier === elem.attribute.identifier);
            });
        }
        // last position in change detection to reset the component
        const allAttributesChanges = changes['allAttributes'];
        if (allAttributesChanges && !allAttributesChanges.firstChange) {
            this.initializeComponent();
        }
    }
    /**
     * Unsubscribe from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    /**
     * To change the array place of dragged item.
     * Changes the order for the (selected) filters in the list of all filters (selected and not selected).
     * Updates the shown order in the dropdown list.
     * @param event The dragged item.
     * @internal
     */
    drop(event) {
        if (event.previousContainer === event.container) {
            moveItemInArray(event.container.data, event.previousIndex, event.currentIndex);
        }
        else {
            transferArrayItem(event.previousContainer.data, event.container.data, event.previousIndex, event.currentIndex);
        }
        // reset placeholder
        this.placeholderSelectionAttributesListShown = false;
        // emit the selected attributes, if the selected attributes list is changed (not emit if previous and current container are the searched attributes list)
        if (!(event.container.data === this.searchedAttributesList && event.previousContainer.data === event.container.data)) {
            this.selectedAttributesChange.emit(this.selectedAttributes);
        }
    }
    /**
     * Remove the chosen filter from the used attributes.
     * @param attribute The chosen attribute.
     * @param index The index of the chosen attribute.
     */
    removeAttribute(attribute, index) {
        // find index of attribute in the selected attributes settings order to place it back at right position
        const indexInSelectedAttributesSettingsList = this.allAttributes
            .filter((element) => element.attribute.filterMode !== undefined)
            .findIndex((e) => e.attribute.identifier === attribute.attribute.identifier);
        // move attribute to the bottom of the list
        transferArrayItem(this.selectedAttributes, this.searchedAttributesList, index, indexInSelectedAttributesSettingsList);
        // emit the selected attributes
        this.selectedAttributesChange.emit(this.selectedAttributes);
    }
    /**
     * Add the chosen attribute to the used attributes.
     * Moves chosen attribute to the top of the list.
     * @param index The index of the chosen attribute.
     */
    addAttribute(index) {
        // selects the filter
        transferArrayItem(this.searchedAttributesList, this.selectedAttributes, index, this.selectedAttributes.length);
        this.resetSearchText();
        // emit the selected attributes
        this.selectedAttributesChange.emit(this.selectedAttributes);
    }
    /**
     * Function to delete all attributes from the selected attributes.
     */
    resetAttributes() {
        this.selectedAttributes = [];
        this.searchedAttributesList = this.allAttributes;
        // emit the selected attributes
        this.selectedAttributesChange.emit(this.selectedAttributes);
    }
    /**
     * Sets that the placeholder in the start sort list shown.
     */
    dropListEntered() {
        this.placeholderSelectionAttributesListShown = true;
    }
    /**
     * Sets that the placeholder in the start sort list is not shown.
     */
    dropListExited() {
        this.placeholderSelectionAttributesListShown = false;
    }
    /**
     * Attributes icon click emitter to enable the tracking which attribute icon is clicked.
     */
    selectedAttributesIconClicked(attribute) {
        this.selectedAttributeIconClickEmitter.emit(attribute);
    }
    /**
     * Method to emit the close button and close the inbox detail view
     */
    onCloseClick() {
        this.closeClick.emit();
    }
    /**
     * Function to reset the search field.
     * @private
     */
    resetSearchText() {
        this.searchField.get('searchField')?.setValue('');
    }
    /**
     * Function to initialize the component.
     * @private
     */
    initializeComponent() {
        // reset subscriptions
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        // reset lists
        if (this.selectedAttributes.length === 0) {
            this.selectedAttributes = [];
            this.searchedAttributesList = [...this.allAttributes];
        }
        else if (this.selectedAttributes.length > 0) {
            this.searchedAttributesList = this.allAttributes.filter((elem) => {
                // check if already selected
                return !this.selectedAttributes.some((e) => e.attribute.identifier === elem.attribute.identifier);
            });
        }
        // reset search field
        this.subscriptions.add(this.searchField.get('searchField')?.valueChanges.subscribe((value) => {
            // set searched value to '' if null, to avoid logic failure
            if (value === null) {
                this.searchField.get('searchField')?.setValue('');
            }
            else {
                this.searchedAttributesList = this.allAttributes.filter((elem) => {
                    // check if already selected
                    if (this.selectedAttributes.some((e) => e.attribute.identifier === elem.attribute.identifier)) {
                        return false;
                    }
                    else {
                        return elem.attribute.label.toLowerCase().startsWith(value.toLowerCase());
                    }
                });
            }
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributeSelectorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: AttributeSelectorComponent, selector: "talenra-attribute-selector", inputs: { allAttributes: "allAttributes", selectedAttributes: "selectedAttributes", maxSelectedAttributes: "maxSelectedAttributes", title: "title", titleIcon: "titleIcon", resetAttributeSelection: "resetAttributeSelection" }, outputs: { resetAttributeSelectionChange: "resetAttributeSelectionChange", selectedAttributesChange: "selectedAttributesChange", selectedAttributeIconClickEmitter: "selectedAttributeIconClickEmitter", closeClick: "closeClick" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"attributes-selector-menu\">\n  <div class=\"attribute-selector-selection-title medium-font\" data-testid=\"inbox-attribute-selector-menu-title\">\n    <div class=\"placeholder-title\"></div>\n    <div>\n      {{ title }}\n      <talenra-icon [name]=\"titleIcon\" class=\"attribute-selector-icon\"></talenra-icon>\n    </div>\n    <button (click)=\"onCloseClick()\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n  </div>\n  <div (click)=\"$event.stopPropagation()\" cdkDropListGroup class=\"attribute-selector-box light-font\">\n    <talenra-scroll-container class=\"selected-scroll-container\">\n      <div\n        (cdkDropListDropped)=\"drop($event)\"\n        (cdkDropListEntered)=\"dropListEntered()\"\n        (cdkDropListExited)=\"dropListExited()\"\n        [cdkDropListData]=\"selectedAttributes\"\n        cdkDropList\n        class=\"attribute-selector-list\"\n        data-testid=\"inbox-attribute-selector-selected-attributes-list\">\n        <div\n          *ngIf=\"selectedAttributes.length === 0 && !placeholderSelectionAttributesListShown\"\n          class=\"no-attributes-text\">\n          Attribut hier rein ziehen\n        </div>\n        <div\n          *ngFor=\"let listItem of selectedAttributes; let index = index\"\n          [cdkDragData]=\"listItem\"\n          cdkDrag\n          class=\"light-font\">\n          <div class=\"attribute-selector-items-main\">\n            <div class=\"attribute-selector-items-tag\">\n              <div class=\"attribute-selector-items-text move-cursor\">{{ listItem.attribute.label }}</div>\n\n              <div class=\"attribute-selector-items-buttons\">\n                <button\n                  (click)=\"removeAttribute(listItem, index)\"\n                  class=\"attributes-selector-items-tag-interaction-button\"\n                  data-testid=\"inbox-attribute-selector-remove-button\"\n                  icon=\"close\"\n                  kind=\"ghost\"\n                  talenra-button\n                  talenraTooltip=\"Entfernen\"\n                  size=\"s\"></button>\n\n                <ng-container *ngIf=\"listItem.showIcon\">\n                  <button\n                    (click)=\"selectedAttributesIconClicked(listItem)\"\n                    [disabled]=\"listItem.iconDisabled\"\n                    [icon]=\"listItem.icon\"\n                    [talenraTooltip]=\"listItem.iconTooltip\"\n                    class=\"attributes-selector-items-tag-interaction-button\"\n                    kind=\"ghost\"\n                    talenra-button\n                    size=\"s\"></button>\n                </ng-container>\n              </div>\n            </div>\n\n            <div class=\"attribute-selector-items-grab\">\n              <button class=\"drag-icon\" icon=\"drag-indicator\" kind=\"ghost\" talenra-button size=\"s\"></button>\n            </div>\n          </div>\n        </div>\n      </div>\n    </talenra-scroll-container>\n\n    <div class=\"attribute-selector-selection-title\">\n      <span *ngIf=\"selectedAttributes.length >= maxSelectedAttributes\" class=\"light-font\">\n        Maximale Attributanzahl erreicht\n      </span>\n    </div>\n\n    <div class=\"line-with-icon\">\n      <div class=\"line-left\"></div>\n      <button\n        (click)=\"resetAttributes()\"\n        [disabled]=\"selectedAttributes.length === 0\"\n        class=\"attribute-selector-undo-button\"\n        data-testid=\"inbox-attribute-selector-undo-button\"\n        icon=\"undo\"\n        kind=\"ghost\"\n        talenra-button\n        talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n      <div class=\"line-right\"></div>\n    </div>\n\n    <div class=\"search-bar\">\n      <talenra-search-field [formGroup]=\"searchField\" showIcon>\n        <input\n          [formControlName]=\"'searchField'\"\n          data-testid=\"inbox-attribute-selector-search-button\"\n          kind=\"no-indent\"\n          talenra-search />\n      </talenra-search-field>\n    </div>\n    <talenra-scroll-container class=\"start-scroll-container\">\n      <div\n        (cdkDropListDropped)=\"drop($event)\"\n        [cdkDropListData]=\"searchedAttributesList\"\n        cdkDropList\n        class=\"attribute-selector-list move-cursor\"\n        data-testid=\"inbox-attribute-selector-searched-attributes-list\">\n        <div *ngFor=\"let item of searchedAttributesList; let index = index\">\n          <div\n            [cdkDragDisabled]=\"selectedAttributes.length >= maxSelectedAttributes\"\n            cdkDrag\n            class=\"attribute-selector-items-main light-font\">\n            <div\n              [class.not-draggable]=\"selectedAttributes.length === maxSelectedAttributes\"\n              class=\"attribute-selector-items-tag not-selected-items\">\n              <div\n                [class.not-draggable]=\"selectedAttributes.length === maxSelectedAttributes\"\n                class=\"attribute-selector-items-text move-cursor\">\n                {{ item.attribute.label }}\n              </div>\n              <div class=\"attribute-selector-items-buttons move-cursor\">\n                <button\n                  (click)=\"addAttribute(index)\"\n                  *ngIf=\"selectedAttributes.length < maxSelectedAttributes\"\n                  class=\"attributes-selector-items-tag-interaction-button\"\n                  data-testid=\"inbox-attribute-selector-attribute-move\"\n                  icon=\"arrow-upward\"\n                  kind=\"ghost\"\n                  talenra-button\n                  talenraTooltip=\"Hinzuf\u00FCgen\"\n                  size=\"s\"></button>\n              </div>\n            </div>\n            <div class=\"attribute-selector-items-grab\">\n              <button\n                *ngIf=\"selectedAttributes.length < maxSelectedAttributes\"\n                class=\"drag-icon\"\n                icon=\"drag-indicator\"\n                kind=\"ghost\"\n                talenra-button\n                size=\"s\"></button>\n            </div>\n          </div>\n        </div>\n      </div>\n    </talenra-scroll-container>\n  </div>\n</div>\n", styles: [":host{height:100%;width:100%;--color-background: #ffffff;--color-hover-background: #f2f2f2;--color-border: #b3b3b3;--color-text: #000000;--color-icon: #999999;--color-primary: #0099a8}.attributes-selector-menu{display:flex;flex-direction:column;height:100%}.attribute-selector-selection-title{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:.125rem}.attribute-selector-icon{color:var(--color-icon);font-size:1rem}.placeholder-title{width:1.5rem;height:1.5rem}.attribute-selector-box{display:flex;flex-direction:column;flex-wrap:nowrap;overflow-y:clip;height:calc(100% - 1.25rem)}.attribute-selector-box :active{cursor:grabbing}.selected-scroll-container{width:100%;margin-bottom:.25rem;max-height:calc(80% - 5rem)}.no-attributes-text{padding:.8125rem 0 .1875rem;text-align:center}.attribute-selector-items-main{position:relative;background:none;padding:.25rem;display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center;transition:background-color .3s ease}.attribute-selector-items-main:hover{background:var(--color-hover-background);overflow:hidden}.attribute-selector-items-tag{display:flex;align-items:center;margin-right:auto;height:1.5rem;border:.0625rem solid var(--color-primary);width:100%;border-radius:.75rem;transition:background-color .3s ease}.attribute-selector-items-tag:hover{background:var(--color-hover-background);overflow:hidden}.attribute-selector-items-tag.not-draggable{cursor:default}.attribute-selector-items-tag .attribute-selector-items-text{padding-left:.5rem;display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center;margin-bottom:.0625rem}.attribute-selector-items-tag .attribute-selector-items-buttons{cursor:move;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.attributes-selector-items-tag-interaction-button{height:1.25rem;margin:0 .25rem 0 0}.attribute-selector-items-grab{cursor:default;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.start-scroll-container{width:100%;min-height:calc(20% - 5rem);margin:0 1.25rem 0 0}.attribute-selector-list{display:flex;flex-direction:column;flex-wrap:nowrap;height:100%;background:none}.line-with-icon{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.line-left{border-bottom:.1875rem dotted var(--color-primary);flex-grow:1;display:block}.attribute-selector-undo-button{margin:0 .25rem}.line-right{border-bottom:.1875rem dotted var(--color-primary);flex-grow:1;display:block}.not-selected-items{border-color:var(--color-border);cursor:pointer}.not-selected-items.not-draggable{cursor:default}.search-bar{margin:0 0 .25rem}.move-cursor{cursor:move}.move-cursor.not-draggable{cursor:default}.drag-icon{margin:0 0 0 .25rem;cursor:move}.light-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}.theme--denim :host .color--primary{color:#0069a3}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-hover-background: #262626;--color-text: #cccccc}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "component", type: i4$2.SearchInputComponent, selector: "input[talenra-search]", inputs: ["kind", "disabled"] }, { kind: "component", type: i4$2.SearchFieldComponent, selector: "talenra-search-field", inputs: ["showIcon", "showButton"], outputs: ["search"] }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3$1.CdkDropList, selector: "[cdkDropList], cdk-drop-list", inputs: ["cdkDropListConnectedTo", "cdkDropListData", "cdkDropListOrientation", "id", "cdkDropListLockAxis", "cdkDropListDisabled", "cdkDropListSortingDisabled", "cdkDropListEnterPredicate", "cdkDropListSortPredicate", "cdkDropListAutoScrollDisabled", "cdkDropListAutoScrollStep", "cdkDropListElementContainer"], outputs: ["cdkDropListDropped", "cdkDropListEntered", "cdkDropListExited", "cdkDropListSorted"], exportAs: ["cdkDropList"] }, { kind: "directive", type: i3$1.CdkDropListGroup, selector: "[cdkDropListGroup]", inputs: ["cdkDropListGroupDisabled"], exportAs: ["cdkDropListGroup"] }, { kind: "directive", type: i3$1.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer", "cdkDragScale"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributeSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-attribute-selector', template: "<div class=\"attributes-selector-menu\">\n  <div class=\"attribute-selector-selection-title medium-font\" data-testid=\"inbox-attribute-selector-menu-title\">\n    <div class=\"placeholder-title\"></div>\n    <div>\n      {{ title }}\n      <talenra-icon [name]=\"titleIcon\" class=\"attribute-selector-icon\"></talenra-icon>\n    </div>\n    <button (click)=\"onCloseClick()\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n  </div>\n  <div (click)=\"$event.stopPropagation()\" cdkDropListGroup class=\"attribute-selector-box light-font\">\n    <talenra-scroll-container class=\"selected-scroll-container\">\n      <div\n        (cdkDropListDropped)=\"drop($event)\"\n        (cdkDropListEntered)=\"dropListEntered()\"\n        (cdkDropListExited)=\"dropListExited()\"\n        [cdkDropListData]=\"selectedAttributes\"\n        cdkDropList\n        class=\"attribute-selector-list\"\n        data-testid=\"inbox-attribute-selector-selected-attributes-list\">\n        <div\n          *ngIf=\"selectedAttributes.length === 0 && !placeholderSelectionAttributesListShown\"\n          class=\"no-attributes-text\">\n          Attribut hier rein ziehen\n        </div>\n        <div\n          *ngFor=\"let listItem of selectedAttributes; let index = index\"\n          [cdkDragData]=\"listItem\"\n          cdkDrag\n          class=\"light-font\">\n          <div class=\"attribute-selector-items-main\">\n            <div class=\"attribute-selector-items-tag\">\n              <div class=\"attribute-selector-items-text move-cursor\">{{ listItem.attribute.label }}</div>\n\n              <div class=\"attribute-selector-items-buttons\">\n                <button\n                  (click)=\"removeAttribute(listItem, index)\"\n                  class=\"attributes-selector-items-tag-interaction-button\"\n                  data-testid=\"inbox-attribute-selector-remove-button\"\n                  icon=\"close\"\n                  kind=\"ghost\"\n                  talenra-button\n                  talenraTooltip=\"Entfernen\"\n                  size=\"s\"></button>\n\n                <ng-container *ngIf=\"listItem.showIcon\">\n                  <button\n                    (click)=\"selectedAttributesIconClicked(listItem)\"\n                    [disabled]=\"listItem.iconDisabled\"\n                    [icon]=\"listItem.icon\"\n                    [talenraTooltip]=\"listItem.iconTooltip\"\n                    class=\"attributes-selector-items-tag-interaction-button\"\n                    kind=\"ghost\"\n                    talenra-button\n                    size=\"s\"></button>\n                </ng-container>\n              </div>\n            </div>\n\n            <div class=\"attribute-selector-items-grab\">\n              <button class=\"drag-icon\" icon=\"drag-indicator\" kind=\"ghost\" talenra-button size=\"s\"></button>\n            </div>\n          </div>\n        </div>\n      </div>\n    </talenra-scroll-container>\n\n    <div class=\"attribute-selector-selection-title\">\n      <span *ngIf=\"selectedAttributes.length >= maxSelectedAttributes\" class=\"light-font\">\n        Maximale Attributanzahl erreicht\n      </span>\n    </div>\n\n    <div class=\"line-with-icon\">\n      <div class=\"line-left\"></div>\n      <button\n        (click)=\"resetAttributes()\"\n        [disabled]=\"selectedAttributes.length === 0\"\n        class=\"attribute-selector-undo-button\"\n        data-testid=\"inbox-attribute-selector-undo-button\"\n        icon=\"undo\"\n        kind=\"ghost\"\n        talenra-button\n        talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n      <div class=\"line-right\"></div>\n    </div>\n\n    <div class=\"search-bar\">\n      <talenra-search-field [formGroup]=\"searchField\" showIcon>\n        <input\n          [formControlName]=\"'searchField'\"\n          data-testid=\"inbox-attribute-selector-search-button\"\n          kind=\"no-indent\"\n          talenra-search />\n      </talenra-search-field>\n    </div>\n    <talenra-scroll-container class=\"start-scroll-container\">\n      <div\n        (cdkDropListDropped)=\"drop($event)\"\n        [cdkDropListData]=\"searchedAttributesList\"\n        cdkDropList\n        class=\"attribute-selector-list move-cursor\"\n        data-testid=\"inbox-attribute-selector-searched-attributes-list\">\n        <div *ngFor=\"let item of searchedAttributesList; let index = index\">\n          <div\n            [cdkDragDisabled]=\"selectedAttributes.length >= maxSelectedAttributes\"\n            cdkDrag\n            class=\"attribute-selector-items-main light-font\">\n            <div\n              [class.not-draggable]=\"selectedAttributes.length === maxSelectedAttributes\"\n              class=\"attribute-selector-items-tag not-selected-items\">\n              <div\n                [class.not-draggable]=\"selectedAttributes.length === maxSelectedAttributes\"\n                class=\"attribute-selector-items-text move-cursor\">\n                {{ item.attribute.label }}\n              </div>\n              <div class=\"attribute-selector-items-buttons move-cursor\">\n                <button\n                  (click)=\"addAttribute(index)\"\n                  *ngIf=\"selectedAttributes.length < maxSelectedAttributes\"\n                  class=\"attributes-selector-items-tag-interaction-button\"\n                  data-testid=\"inbox-attribute-selector-attribute-move\"\n                  icon=\"arrow-upward\"\n                  kind=\"ghost\"\n                  talenra-button\n                  talenraTooltip=\"Hinzuf\u00FCgen\"\n                  size=\"s\"></button>\n              </div>\n            </div>\n            <div class=\"attribute-selector-items-grab\">\n              <button\n                *ngIf=\"selectedAttributes.length < maxSelectedAttributes\"\n                class=\"drag-icon\"\n                icon=\"drag-indicator\"\n                kind=\"ghost\"\n                talenra-button\n                size=\"s\"></button>\n            </div>\n          </div>\n        </div>\n      </div>\n    </talenra-scroll-container>\n  </div>\n</div>\n", styles: [":host{height:100%;width:100%;--color-background: #ffffff;--color-hover-background: #f2f2f2;--color-border: #b3b3b3;--color-text: #000000;--color-icon: #999999;--color-primary: #0099a8}.attributes-selector-menu{display:flex;flex-direction:column;height:100%}.attribute-selector-selection-title{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:.125rem}.attribute-selector-icon{color:var(--color-icon);font-size:1rem}.placeholder-title{width:1.5rem;height:1.5rem}.attribute-selector-box{display:flex;flex-direction:column;flex-wrap:nowrap;overflow-y:clip;height:calc(100% - 1.25rem)}.attribute-selector-box :active{cursor:grabbing}.selected-scroll-container{width:100%;margin-bottom:.25rem;max-height:calc(80% - 5rem)}.no-attributes-text{padding:.8125rem 0 .1875rem;text-align:center}.attribute-selector-items-main{position:relative;background:none;padding:.25rem;display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center;transition:background-color .3s ease}.attribute-selector-items-main:hover{background:var(--color-hover-background);overflow:hidden}.attribute-selector-items-tag{display:flex;align-items:center;margin-right:auto;height:1.5rem;border:.0625rem solid var(--color-primary);width:100%;border-radius:.75rem;transition:background-color .3s ease}.attribute-selector-items-tag:hover{background:var(--color-hover-background);overflow:hidden}.attribute-selector-items-tag.not-draggable{cursor:default}.attribute-selector-items-tag .attribute-selector-items-text{padding-left:.5rem;display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center;margin-bottom:.0625rem}.attribute-selector-items-tag .attribute-selector-items-buttons{cursor:move;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.attributes-selector-items-tag-interaction-button{height:1.25rem;margin:0 .25rem 0 0}.attribute-selector-items-grab{cursor:default;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.start-scroll-container{width:100%;min-height:calc(20% - 5rem);margin:0 1.25rem 0 0}.attribute-selector-list{display:flex;flex-direction:column;flex-wrap:nowrap;height:100%;background:none}.line-with-icon{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.line-left{border-bottom:.1875rem dotted var(--color-primary);flex-grow:1;display:block}.attribute-selector-undo-button{margin:0 .25rem}.line-right{border-bottom:.1875rem dotted var(--color-primary);flex-grow:1;display:block}.not-selected-items{border-color:var(--color-border);cursor:pointer}.not-selected-items.not-draggable{cursor:default}.search-bar{margin:0 0 .25rem}.move-cursor{cursor:move}.move-cursor.not-draggable{cursor:default}.drag-icon{margin:0 0 0 .25rem;cursor:move}.light-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}.theme--denim :host .color--primary{color:#0069a3}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-hover-background: #262626;--color-text: #cccccc}\n"] }]
        }], propDecorators: { allAttributes: [{
                type: Input
            }], selectedAttributes: [{
                type: Input
            }], maxSelectedAttributes: [{
                type: Input
            }], title: [{
                type: Input
            }], titleIcon: [{
                type: Input
            }], resetAttributeSelection: [{
                type: Input
            }], resetAttributeSelectionChange: [{
                type: Output
            }], selectedAttributesChange: [{
                type: Output
            }], selectedAttributeIconClickEmitter: [{
                type: Output
            }] } });

/**
 * SortFilterComponent is used to display the sort filter in the filter toolbar.
 * @example
 * <talenra-sort-filter *ngIf="!inboxLayoutService.inboxConfiguration$.value.hideSortSelection" [presetGroups]="presetGroups"></talenra-sort-filter>
 */
class SortFilterComponent {
    constructor() {
        /**
         * The presetGroups for the sort filter.
         */
        this.presetGroups = [];
        /**
         * The event emitter for the click of the close button.
         */
        this.closeClick = output();
        /**
         * Maximal number of sort attributes that can be selected.
         */
        this.maxSortSelected = 80;
        /**
         * List of available attributes for the sort selection.
         */
        this.allSortSelectionAttributes = [];
        /**
         * List of selected attributes for the sort selection.
         */
        this.selectedSortSelectionAttributes = [];
        /**
         * If true, the sort selection attribute will be reset.
         */
        this.resetSortSelectionAttribute = false;
        /**
         * Maps of attributeItems with desc / arc sorting information. DisplayedName's & identifiers with arc / desc are used in map.
         * Needed to sort the selected data items (sort logic).
         * @private
         */
        this.activateSortingFlags = new Map();
        /**
         * List of identifiers of the selected sort attributes.
         * Needed to sort the selected data items (sort logic).
         * @private
         */
        this.pickedSortListIdentifiers = [];
        /**
         * Cache for the sorting order of the selected sort attributes.
         * Needed to sort the selected data items (sort logic).
         * @private
         */
        this.sortCache = [];
        /**
         * Maps of identifiers with desc / arc sorting information. DisplayedName's & identifiers with arc / desc are used in map.
         * Needed to sort the selected data items (sort logic).
         * @private
         */
        this.activateSortingFlagsIdentifiers = new Map();
        /**
         * Class to interact with data-items-list-item
         * @private
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * The filter toolbar service.
         * @private
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * The inbox state service.
         * @private
         */
        this.inboxState = inject(InboxState);
        /**
         * The update presets service.
         * @private
         */
        this.updatePresetsService = inject(UpdatePresetsService);
        /**
         * The changed values service.
         * @private
         */
        this.changedValuesService = inject(ChangedPresetValuesService);
        /**
         * The subscriptions of the sort filter component.
         * @internal
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Initializes the sort filter component.
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Detects changes in the sort filter component.
     * @param changes The changes in the sort filter component.
     * @internal
     */
    ngOnChanges(changes) {
        const presetGroupsChanges = changes['presetGroups'];
        if (presetGroupsChanges && !presetGroupsChanges.firstChange) {
            this.resetOnInit();
            if (this.updatePresetsService.currentPresetAction$.value.operation === 'attribute-update') {
                this.selectedSortSelectionAttributes = [];
                // selection of active sorting flags
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                this.inboxState.bufferFilterSort.value.sortAttributes.forEach((sortAttributeElem) => {
                    this.inboxState.selectedAllAttributesSubject$.value.forEach((attributeElem) => {
                        if (sortAttributeElem.identifier === attributeElem.identifier) {
                            this.selectedSortSelectionAttributes.push({
                                attribute: attributeElem,
                                icon: sortAttributeElem.sort === 'asc' ? 'sort-ascending-duplex' : 'sort-descending-duplex',
                                iconTooltip: sortAttributeElem.sort === 'asc' ? 'Aufsteigend' : 'Absteigend',
                                showIcon: true,
                            });
                            this.filterToolbarService.setSelectedSortSelectionAttributesAmount(this.selectedSortSelectionAttributes.length);
                            this.applySorting();
                        }
                    });
                });
                // sets the comparison value for the sort filter when the preset is changed
                this.filterToolbarService.setSortSelection(this.inboxState.bufferFilterSort.value.sortAttributes);
                this.recognizeIfSortFilterChanged();
                // reset recognition of attribute update after it is used
                this.updatePresetsService.resetCurrentPresetAction();
            }
        }
    }
    /**
     * Unsubscribes all subscriptions of the sort filter component.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    /**
     * Method to emit the close button and close the inbox detail view
     */
    onCloseClick() {
        this.closeClick.emit();
    }
    /**
     *  Auxiliary method for sorting algorithm. Asc and desc sorting order for each active attribute is saved in hashmap.
     *  If undefined displayedName sort should start with default sorting order.
     *  @param displayedName The displayed name of the attribute.
     *  @param sortCategory The sort category.
     */
    startSorting(displayedName, sortCategory) {
        this.pickedSortListIdentifiers = [];
        this.checkIfSortingPossible();
        // adds sorting flag to hashmap
        switch (sortCategory) {
            case 'asc':
                this.activateSortingFlags?.set(displayedName, 'asc');
                break;
            case 'desc':
                this.activateSortingFlags?.set(displayedName, 'desc');
                break;
        }
        //set the sort filter for presetGroups
        this.setSortFilterForPresetGroups();
        // recognize if sort filter changed before it is saved to new preset
        this.recognizeIfSortFilterChanged();
    }
    /**
     * Resets all the chosen sorting attributes and searched text.
     */
    resetSort() {
        // compares the old length of pickedSortList with the new one
        const pickedSortFlag = this.selectedSortSelectionAttributes.length;
        // reset the all available attributes for the sort selection
        this.resetSortSelectionAttribute = true;
        this.filterToolbarService.setSelectedSortSelectionAttributesAmount(0);
        // if pickedSortList is empty, then start default sort
        if (this.selectedSortSelectionAttributes.length === 0) {
            this.defaultSort();
        }
        // if attributes from pickedSortList are dragged back to starting list, the sorting should change
        if (pickedSortFlag > this.selectedSortSelectionAttributes.length) {
            this.startSorting('', '');
        }
    }
    /**
     * Handles the change of the selected sort attributes selector.
     * @param $event The selected sort attributes selector change event.
     */
    selectedSortAttributesSelectorChange($event) {
        this.selectedSortSelectionAttributes = $event;
        this.filterToolbarService.setSelectedSortSelectionAttributesAmount(this.selectedSortSelectionAttributes.length);
        // TODO: add logic for removed attributes
        // set default sorting, if no attributes are selected, or start sorting with selected attributes
        if ($event.length === 0) {
            this.defaultSort();
            // set the sort filter for preset groups
            this.filterToolbarService.setSortSelection(this.inboxState.bufferFilterSort.value.sortAttributes);
            // recognize if sort filter changed before it is saved to new preset
            this.recognizeIfSortFilterChanged();
        }
        else {
            // get last selected attribute and start sorting
            const lastSelectedAttribute = this.selectedSortSelectionAttributes[this.filterToolbarService.selectedSortSelectionAttributesAmount$() - 1];
            if (lastSelectedAttribute) {
                this.startSorting(lastSelectedAttribute.attribute.identifier, lastSelectedAttribute.icon === 'sort-ascending-duplex' ? 'desc' : 'asc');
            }
            else {
                this.startSorting('', '');
            }
        }
    }
    /**
     * Handles the click on the selected sort attribute icon.
     * @param $event The selected sort attribute icon click event.
     */
    selectedAttributeIconClickEmitter($event) {
        // reverse the sorting direction
        $event.icon = $event.icon === 'sort-ascending-duplex' ? 'sort-descending-duplex' : 'sort-ascending-duplex';
        $event.iconTooltip = $event.icon === 'sort-ascending-duplex' ? 'Aufsteigend' : 'Absteigend';
        // start sorting with the selected attribute, and the new sorting direction (has to be reversed for ui and logic)
        this.startSorting($event.attribute.identifier, $event.icon === 'sort-ascending-duplex' ? 'desc' : 'asc');
    }
    /**
     * Checks if the sort attribute.
     * @private
     */
    applySorting() {
        // set default sorting, if no attributes are selected, or start sorting with selected attributes
        if (this.selectedSortSelectionAttributes.length === 0) {
            this.defaultSort();
        }
        else {
            // get last selected attribute and start sorting
            const lastSelectedAttribute = this.selectedSortSelectionAttributes[this.filterToolbarService.selectedSortSelectionAttributesAmount$() - 1];
            // apply sorting
            if (lastSelectedAttribute) {
                this.startSorting(lastSelectedAttribute.attribute.identifier, lastSelectedAttribute.icon === 'sort-ascending-duplex' ? 'asc' : 'desc');
            }
            else {
                this.startSorting('', '');
            }
        }
    }
    /**
     * Set all start and picked sorting attributes when changes in attributes settings are made.
     * @private
     */
    setStartAndPickedSortingList() {
        return this.inboxState.selectedAllAttributesSubject$.subscribe((result) => {
            // reset the all available attributes for the sort selection
            this.allSortSelectionAttributes = [];
            // set the available filters for the sort selection
            result.forEach((attributeElem) => {
                this.allSortSelectionAttributes.push({
                    attribute: attributeElem,
                    icon: 'sort-descending-duplex',
                    iconTooltip: 'Absteigend',
                    showIcon: true,
                });
            });
            this.filterToolbarService.setSelectedSortSelectionAttributesAmount(this.selectedSortSelectionAttributes.length);
        });
    }
    /**
     * Sets all sort preset groups for the active preset.
     */
    setSortFilterFromPresetGroups() {
        return this.inboxState.activePresetName$.subscribe((result) => {
            this.resetSort();
            this.filterToolbarService.setSortSelection([]);
            this.selectedSortSelectionAttributes = [];
            this.filterToolbarService.setSelectedSortSelectionAttributesAmount(0);
            // set matching group as undefined to catch undefined preset groups
            let matchingGroup = undefined;
            if (this.presetGroups) {
                matchingGroup = this.presetGroups.find((presetGroup) => presetGroup.groupName === result[0]);
            }
            if (matchingGroup) {
                const filteredPreset = matchingGroup.presets.find((preset) => preset.name === result[1]);
                filteredPreset?.sortAttributes?.forEach((sortAttributeElem) => {
                    this.inboxState.selectedAllAttributesSubject$.value.forEach((attributeElem) => {
                        if (attributeElem.identifier === sortAttributeElem.identifier) {
                            this.selectedSortSelectionAttributes.push({
                                attribute: attributeElem,
                                icon: sortAttributeElem.sort === 'asc' ? 'sort-ascending-duplex' : 'sort-descending-duplex',
                                iconTooltip: sortAttributeElem.sort === 'asc' ? 'Aufsteigend' : 'Absteigend',
                                showIcon: true,
                            });
                            this.filterToolbarService.setSelectedSortSelectionAttributesAmount(this.selectedSortSelectionAttributes.length);
                            this.applySorting();
                        }
                    });
                });
            }
        });
    }
    /**
     * Save the sort filter for specific preset.
     * @private
     */
    setSortFilterForPresetGroups() {
        //set the sort filter for presetGroups
        //IMPORTANT
        const sortArray = [];
        this.selectedSortSelectionAttributes.forEach((pickedSortList) => {
            const sortBy = this.activateSortingFlags.get(pickedSortList.attribute.identifier);
            if (sortBy !== undefined) {
                const existingIdentifierIndex = sortArray.findIndex((sortAttributeElem) => sortAttributeElem.identifier === pickedSortList.attribute.identifier);
                if (existingIdentifierIndex !== -1) {
                    sortArray.forEach((sortAttributeElem) => {
                        sortAttributeElem.sort = pickedSortList.icon === 'sort-ascending-duplex' ? 'asc' : 'desc';
                    });
                }
                else {
                    const elem = this.inboxState.selectedAllAttributesSubject$.value.find((elem) => elem.identifier === pickedSortList.attribute.identifier);
                    if (elem) {
                        sortArray.push({ identifier: elem.identifier, sort: sortBy });
                    }
                }
            }
        });
        //necessary to handle the presetGroups structure for sorting
        this.filterToolbarService.setSortSelection(sortArray);
        // sort the selected data items
        this.sort(this.filterToolbarService.filteredSortedDataItems$.value);
    }
    /**
     * If sortArray has changed compared to the presetGroups then the attributeSortOrFilterUsedSubject$ is set to true.
     * Check presetGroups are available.
     * @private
     */
    recognizeIfSortFilterChanged() {
        if (this.presetGroups && this.presetGroups.length > 0) {
            // get the presetGroups of the active preset
            const activeGroup = this.presetGroups.find((group) => group.groupName === this.inboxState.activePresetName$.value[0]);
            if (activeGroup) {
                const activePreset = activeGroup.presets.find((option) => option.name === this.inboxState.activePresetName$.value[1]);
                if (JSON.stringify(activePreset?.sortAttributes) !==
                    JSON.stringify(this.filterToolbarService.sortSelection$.value)) {
                    this.changedValuesService.setSortChangedSubject({
                        identifier: 'sort',
                        changed: true,
                    });
                }
                else {
                    this.changedValuesService.setSortChangedSubject({
                        identifier: 'sort',
                        changed: false,
                    });
                }
            }
        }
    }
    /**
     * Sorts the data items by the selected attributes and selected order.
     * @param dataItems The data items to sort.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    sort(dataItems) {
        // iterates through all available attributes and checks if sort is active
        this.inboxState.selectedAllAttributesSubject$.value.forEach((e) => {
            if (this.activateSortingFlags.has(e.identifier)) {
                this.activateSortingFlagsIdentifiers.set(e.identifier, this.activateSortingFlags.get(e.identifier));
            }
        });
        // selection of active sorting flags
        this.pickedSortListIdentifiers.forEach((e) => {
            if (this.activateSortingFlagsIdentifiers.has(e)) {
                this.sortCache.push(this.activateSortingFlagsIdentifiers.get(e));
            }
        });
        // check if sorting is disabled
        if (!this.inboxState.inboxConfiguration$.value.disableInboxSorting) {
            // set data items by concatenating sorted data items
            this.filterToolbarService.setFilteredSortedDataItems(dataItems.concat().sort(this.orderBy(this.pickedSortListIdentifiers, this.sortCache)));
        }
        // set the sort for the active inbox state
        this.setActiveFilterSortSearchServiceState();
        this.sortCache = [];
        this.pickedSortListIdentifiers = [];
    }
    /**
     * Sorts the selected data items by the given attribute.
     * @param key The identifier of the attribute to sort by.
     * @param cb The sorting direction.
     * @internal
     * @private
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    sortBy(key, cb) {
        if (!cb)
            cb = () => 0;
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return (a, b) => this.dataItemsClass.getElemFromDataItemValue(a, key) > this.dataItemsClass.getElemFromDataItemValue(b, key)
            ? 1
            : this.dataItemsClass.getElemFromDataItemValue(b, key) > this.dataItemsClass.getElemFromDataItemValue(a, key)
                ? -1
                : cb(a, b);
    }
    /**
     * Sorts the selected data items by the given attribute in descending order.
     * @param key The identifier of the attribute to sort by.
     * @param cb The sorting direction.
     * @internal
     * @private
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    sortByDesc(key, cb) {
        if (!cb)
            cb = () => 0;
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return (b, a) => this.dataItemsClass.getElemFromDataItemValue(a, key) > this.dataItemsClass.getElemFromDataItemValue(b, key)
            ? 1
            : this.dataItemsClass.getElemFromDataItemValue(b, key) > this.dataItemsClass.getElemFromDataItemValue(a, key)
                ? -1
                : cb(b, a);
    }
    /**
     * Sorts the selected data items by their id.
     * @private
     */
    defaultSort() {
        this.filterToolbarService.setFilteredSortedDataItems(this.filterToolbarService.filteredSortedDataItems$.value.concat().sort(this.orderBy(['inboxId'], ['asc'])));
        // set the sort for the active inbox state
        this.setActiveFilterSortSearchServiceState();
    }
    /**
     * Sorts the selected data items by the given attributes.
     * @param keys The identifiers of the attributes to sort by.
     * @param orders The sorting directions.
     * @internal
     * @private
     */
    orderBy(keys, orders) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        let cb = () => 0;
        keys.reverse();
        orders.reverse();
        for (const [i, key] of keys.entries()) {
            const order = orders[i];
            if (order == 'asc')
                cb = this.sortBy(key, cb);
            else if (order == 'desc')
                cb = this.sortByDesc(key, cb);
        }
        return cb;
    }
    /**
     * Checks if sorting is possible. If yes, the identifier of the attribute will be saved in pickedSortListIdentifiers.
     * @private
     */
    checkIfSortingPossible() {
        this.selectedSortSelectionAttributes.forEach((e) => {
            this.inboxState.selectedAllAttributesSubject$.value.forEach((a) => {
                if (a.identifier === e.attribute.identifier) {
                    this.pickedSortListIdentifiers.push(a.identifier);
                }
            });
        });
    }
    /**
     * Resets the sort filter component on initialization.
     * @private
     */
    resetOnInit() {
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        this.initializeComponent();
    }
    /**
     * Sets the active filter, sort and search service state.
     * @private
     */
    setActiveFilterSortSearchServiceState() {
        const sortArray = [];
        let sortCacheUndefined = false;
        for (let i = this.selectedSortSelectionAttributes.length - 1; i > -1; i--) {
            if (this.sortCache[i] === undefined) {
                sortCacheUndefined = true;
                break;
            }
            sortArray.push({ identifier: this.pickedSortListIdentifiers[i], sort: this.sortCache[i] });
        }
        // push changes just one time to active filter,sort and search inbox state
        if (!sortCacheUndefined) {
            const activeInboxFilterSortSearchState = this.inboxState.activeFilterSortSearch.value;
            if (JSON.stringify(sortArray) !== JSON.stringify(activeInboxFilterSortSearchState.sortAttributes)) {
                activeInboxFilterSortSearchState.sortAttributes = sortArray;
                this.inboxState.setActiveFilterSortSearch(activeInboxFilterSortSearchState);
            }
        }
    }
    /**
     * Initializes the component.
     * @private
     */
    initializeComponent() {
        this.subscriptions.add(
        // set all sort preset groups for the active preset
        this.setSortFilterFromPresetGroups());
        this.subscriptions.add(
        // update all picked and start sorting attributes when changes in attributes settings are made
        this.setStartAndPickedSortingList());
        // if inbox initialized run sort
        this.subscriptions.add(
        // reset picked sort items when inbox is initialized
        this.filterToolbarService.inboxInitialized$.subscribe((result) => {
            if (result) {
                this.resetSort();
                this.filterToolbarService.setSortSelection([]);
                this.selectedSortSelectionAttributes = [];
                this.filterToolbarService.setSelectedSortSelectionAttributesAmount(0);
                // set matching group as undefined to catch undefined preset groups
                let matchingGroup = undefined;
                if (this.presetGroups) {
                    matchingGroup = this.presetGroups.find((presetGroup) => presetGroup.groupName === this.inboxState.activePresetName$.value[0]);
                }
                if (matchingGroup) {
                    const filteredPreset = matchingGroup.presets.find((preset) => preset.name === this.inboxState.activePresetName$.value[1]);
                    //set all picked sorting attributes
                    const selectedAttributes = new Set(this.inboxState.selectedAllAttributesSubject$.value.map((elem4) => elem4.identifier));
                    filteredPreset?.sortAttributes?.forEach((elem3) => {
                        if (selectedAttributes.has(elem3.identifier)) {
                            const selectedAttribute = this.inboxState.selectedAllAttributesSubject$.value.find((elem4) => elem4.identifier === elem3.identifier);
                            if (selectedAttribute) {
                                this.selectedSortSelectionAttributes.push({
                                    attribute: selectedAttribute,
                                    icon: elem3.sort === 'asc' ? 'sort-ascending-duplex' : 'sort-descending-duplex',
                                    iconTooltip: elem3.sort === 'asc' ? 'Aufsteigend' : 'Absteigend',
                                    showIcon: true,
                                });
                                this.filterToolbarService.setSelectedSortSelectionAttributesAmount(this.selectedSortSelectionAttributes.length);
                            }
                        }
                    });
                    // get last selected attribute and start sorting
                    const lastSelectedAttribute = this.selectedSortSelectionAttributes[this.filterToolbarService.selectedSortSelectionAttributesAmount$() - 1];
                    if (lastSelectedAttribute) {
                        this.startSorting(lastSelectedAttribute.attribute.identifier, lastSelectedAttribute.icon === 'sort-ascending-duplex' ? 'asc' : 'desc');
                    }
                    else {
                        this.startSorting('', '');
                    }
                }
                this.filterToolbarService.setInboxInitialized(false);
            }
        }));
        // start sorting after filter is applied
        this.subscriptions.add(
        // reset picked sort items when inbox is initialized
        this.filterToolbarService.startSorting$.subscribe((result) => {
            if (result) {
                this.startSorting('', '');
                this.filterToolbarService.setStartSorting(false);
            }
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SortFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: SortFilterComponent, selector: "talenra-sort-filter", inputs: { presetGroups: "presetGroups" }, outputs: { closeClick: "closeClick" }, usesOnChanges: true, ngImport: i0, template: "<talenra-attribute-selector\n  (closeClick)=\"onCloseClick()\"\n  (selectedAttributeIconClickEmitter)=\"selectedAttributeIconClickEmitter($event)\"\n  (selectedAttributesChange)=\"selectedSortAttributesSelectorChange($event)\"\n  [(resetAttributeSelection)]=\"resetSortSelectionAttribute\"\n  [allAttributes]=\"allSortSelectionAttributes\"\n  [maxSelectedAttributes]=\"maxSortSelected\"\n  [selectedAttributes]=\"selectedSortSelectionAttributes\"\n  [titleIcon]=\"'sort'\"\n  [title]=\"'Sort'\">\n</talenra-attribute-selector>\n", styles: [":host{height:100%;display:flex;flex-direction:row;flex-wrap:nowrap}\n"], dependencies: [{ kind: "component", type: AttributeSelectorComponent, selector: "talenra-attribute-selector", inputs: ["allAttributes", "selectedAttributes", "maxSelectedAttributes", "title", "titleIcon", "resetAttributeSelection"], outputs: ["resetAttributeSelectionChange", "selectedAttributesChange", "selectedAttributeIconClickEmitter", "closeClick"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SortFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-sort-filter', template: "<talenra-attribute-selector\n  (closeClick)=\"onCloseClick()\"\n  (selectedAttributeIconClickEmitter)=\"selectedAttributeIconClickEmitter($event)\"\n  (selectedAttributesChange)=\"selectedSortAttributesSelectorChange($event)\"\n  [(resetAttributeSelection)]=\"resetSortSelectionAttribute\"\n  [allAttributes]=\"allSortSelectionAttributes\"\n  [maxSelectedAttributes]=\"maxSortSelected\"\n  [selectedAttributes]=\"selectedSortSelectionAttributes\"\n  [titleIcon]=\"'sort'\"\n  [title]=\"'Sort'\">\n</talenra-attribute-selector>\n", styles: [":host{height:100%;display:flex;flex-direction:row;flex-wrap:nowrap}\n"] }]
        }], propDecorators: { presetGroups: [{
                type: Input
            }] } });

/**
 * Possible selection is used to define the values of the dropdowns in the selection filter (multi & single select).
 */
class PossibleSelection {
    /**
     * Constructor for the possible selection.
     * @param filterToolbarService Service to get the data items.
     * @param setInboxConfigurationService Service to get the attributes.
     * @internal
     */
    constructor(filterToolbarService, setInboxConfigurationService) {
        this.filterToolbarService = filterToolbarService;
        this.setInboxConfigurationService = setInboxConfigurationService;
        /**
         * Map to save the label of the attribute and the possible selections.
         */
        this.identifierWithPossibleSelection = new Map();
        /**
         * Map to save the label of the attribute and the flag for the possible selections.
         */
        this.flagForPossibleSelection = new Map();
        /**
         * Auxiliary class to get the values of the data items.
         */
        this.dataItemsClass = new DataItemsClass();
        if (this.filterToolbarService) {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            this.filterToolbarService.originalDataItems$.subscribe((result) => {
                // get only the attributes that are filterable (multi-select or single-select)
                const availableAttributesUndefinedOptions = this.setInboxConfigurationService.allAttributes$.value.filter((value) => (value.filterMode === 'multi-select' || value.filterMode === 'single-select') &&
                    value.filterSelectionOptions === undefined);
                const availableAttributesDefinedOptions = this.setInboxConfigurationService.allAttributes$.value.filter((value) => (value.filterMode === 'multi-select' || value.filterMode === 'single-select') &&
                    value.filterSelectionOptions !== undefined);
                // set for undefined options the possible selections
                availableAttributesUndefinedOptions.forEach((attribute) => {
                    // eslint-disable-next-line @typescript-eslint/no-explicit-any
                    result.forEach((e) => {
                        if (!this.identifierWithPossibleSelection.has(attribute.identifier)) {
                            // check if the attribute should not contain the '–' option
                            if (!(attribute.allowEmptyDataItemFilter === false &&
                                this.dataItemsClass.getElemFromDataItemDisplayed(e, attribute.identifier) === '–')) {
                                this.flagForPossibleSelection.set(attribute.identifier, 0);
                                this.identifierWithPossibleSelection.set(attribute.identifier, [
                                    {
                                        id: String(this.flagForPossibleSelection.get(attribute.identifier)),
                                        displayedName: this.dataItemsClass.getElemFromDataItemDisplayed(e, attribute.identifier),
                                    },
                                ]);
                            }
                        }
                        else {
                            const displayedNames = [];
                            Object.values(this.identifierWithPossibleSelection.get(attribute.identifier)).forEach((e) => displayedNames.push(e.displayedName));
                            // check if the attribute should not contain the '–' option
                            if (!(attribute.allowEmptyDataItemFilter === false &&
                                this.dataItemsClass.getElemFromDataItemDisplayed(e, attribute.identifier) === '–')) {
                                if (!displayedNames.includes(this.dataItemsClass.getElemFromDataItemDisplayed(e, attribute.identifier))) {
                                    this.flagForPossibleSelection.set(attribute.identifier, this.flagForPossibleSelection.get(attribute.identifier) + 1);
                                    this.identifierWithPossibleSelection.get(attribute.identifier)?.push({
                                        id: String(this.flagForPossibleSelection.get(attribute.identifier)),
                                        displayedName: this.dataItemsClass.getElemFromDataItemDisplayed(e, attribute.identifier),
                                    });
                                }
                            }
                        }
                    });
                });
                // set for defined options the possible selections
                availableAttributesDefinedOptions.forEach((attribute) => {
                    const optionsArray = [];
                    attribute.filterSelectionOptions?.forEach((option) => {
                        optionsArray.push({
                            id: option.key,
                            displayedName: option.label,
                        });
                    });
                    this.identifierWithPossibleSelection.set(attribute.identifier, optionsArray);
                });
            });
        }
    }
}

/**
 * The selection filter component is a component to show a selected item from a pool of items.
 * There is a multiple selection possible.
 *
 * @example single selection
 *   <talenra-selection-filter
 *     [filterIdentifier]="filterIdentifier"
 *     [filterLabel]="label"
 *     [multiple]="false"
 *     [filterType]="filterType"
 *     [valuesOfCategory]="possibleSelection"
 *     (deleteOrCleanFilterFromToolbar)="deleteOrCleanFilterFromToolbar($event.filterIdentifier, $event.deleteOrClean)"
 *     (valuesSelected)="valuesSelected(filterType, $event.filterIdentifier, $event.value)">
 *   </talenra-selection-filter>
 *
 * @example multiple selection
 *   <talenra-selection-filter
 *     [filterIdentifier]="filterIdentifier"
 *     [filterLabel]="label"
 *     [multiple]="true"
 *     [filterType]="filterType"
 *     [valuesOfCategory]="possibleSelection"
 *     (deleteOrCleanFilterFromToolbar)="deleteOrCleanFilterFromToolbar($event.filterIdentifier, $event.deleteOrClean)"
 *     (valuesSelected)="valuesSelected(filterType, $event.filterIdentifier, $event.value)">
 *   </talenra-selection-filter>
 */
class SelectionFilterComponent {
    constructor() {
        /**
         * The displayed name of the filter in the filter toolbar.
         */
        this.filterLabel = '';
        /**
         * The identifier of the filter.
         */
        this.filterIdentifier = '';
        /**
         * The type of the filter.
         */
        this.filterType = '';
        /**
         * Event emitter to send the selected values to the parent component.
         */
        this.valuesSelected = new EventEmitter();
        /**
         * Event emitter to send the filter to the parent component to delete it from the filter toolbar.
         */
        this.deleteOrCleanFilterFromToolbar = new EventEmitter();
        /**
         * The select component.
         */
        this.select = null;
        /**
         * The selected values.
         */
        this.selectionForm = new FormGroup({
            singleSelect: new FormControl(''),
            multiSelect: new FormControl([]),
        });
        /**
         * The inboxState is used to get the active view name.
         * @private
         */
        this.inboxState = inject(InboxState);
        /**
         * The inboxToolbarService is used to get if the attribute settings are closed
         */
        this.inboxToolbarService = inject(InboxToolbarService);
        /**
         * The filterState is used to get the filter values from the filter toolbar.
         * @private
         */
        this.filterState = inject(FilterStateService);
        /**
         * The destroyRef is used to destroy the component.
         * @private
         */
        this.destroyRef = inject(DestroyRef);
        /**
         * Boolean if the component is initialized.
         * @private
         */
        this.initialized = false;
        // the effect is necessary to get the selected side panel tab change to close the option list
        effect(() => {
            this.inboxState.selectedSidePanelTab() && this.select && this.select.hidePanel();
        });
        // close the option list if the attribute settings are closed
        this.inboxToolbarService.attributesSettingsExpanded$
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe((expanded) => {
            if (!expanded && this.select) {
                this.select.hidePanel();
                // un focus the select component
                if (document.activeElement === this.select['elementRef'].nativeElement) {
                    // blur the select component
                    // TODO: check if the select component is still focused
                    this.select['elementRef'].nativeElement.blur();
                }
            }
        });
    }
    /**
     * Function is called when the component is initialized.
     */
    ngOnInit() {
        this.initialized = false;
        // react on value changes
        this.selectionForm.get('singleSelect')?.valueChanges.subscribe((value) => {
            if (value === '') {
                if (this.initialized) {
                    this.onDeleteOrCleanFilterFromToolbar(false, true);
                }
            }
            else {
                this.onValuesSelected(this.filterIdentifier, value);
            }
        });
        // react on value changes
        this.selectionForm.get('multiSelect')?.valueChanges.subscribe((value) => {
            if (value.length === 0) {
                if (this.initialized) {
                    this.onDeleteOrCleanFilterFromToolbar(false, true);
                }
            }
            else {
                this.onValuesSelected(this.filterIdentifier, value);
            }
        });
        // set selected values from preset
        this.filterState.selectionFilterSubject$.subscribe((selectionFilter) => {
            // reset the selected values
            if (!this.multiple) {
                this.selectionForm.get('singleSelect')?.setValue('');
            }
            if (this.multiple) {
                this.selectionForm.get('multiSelect')?.setValue([]);
            }
            selectionFilter.forEach((filterList) => {
                // get the selected values from the active preset
                if (JSON.stringify(filterList.presetName) === JSON.stringify(this.inboxState.activePresetName$.value) &&
                    filterList.identifier === this.filterIdentifier) {
                    this.possibleValues?.forEach((possibleValue) => {
                        if (Array.isArray(filterList.value)) {
                            Array.from(filterList.value).forEach((value) => {
                                if (value === possibleValue.displayedName) {
                                    this.selectionForm
                                        .get('multiSelect')
                                        ?.setValue([...this.selectionForm.get('multiSelect')?.value, ...[possibleValue.displayedName]]);
                                }
                            });
                        }
                        else {
                            if (possibleValue.displayedName === filterList.value) {
                                this.selectionForm.get('singleSelect')?.setValue(possibleValue.displayedName);
                            }
                        }
                    });
                }
            });
        });
        this.initialized = false;
    }
    ngOnChanges(changes) {
        const valuesOfCategoryChanges = changes['valuesOfCategory'];
        // handle the changes of the values of the category
        if (valuesOfCategoryChanges && !valuesOfCategoryChanges.firstChange) {
            // if changes are detected, remove the selected values that are not available anymore
            // single select
            if (!this.multiple) {
                if (!this.possibleValues?.some((e) => e.displayedName === this.selectionForm.get('singleSelect')?.value) &&
                    this.selectionForm.get('singleSelect')?.value !== '') {
                    this.selectionForm.get('singleSelect')?.setValue('');
                }
            }
            // multi select
            else if (this.multiple) {
                const selectedValues = this.selectionForm.get('multiSelect')?.value;
                selectedValues.forEach((selectedValue) => {
                    if (!this.possibleValues?.some((e) => e.displayedName === selectedValue)) {
                        this.selectionForm.get('multiSelect')?.setValue(selectedValues.filter((value) => value !== selectedValue));
                    }
                });
            }
        }
    }
    /**
     * Function is necessary to delete the filter from the filter toolbar.
     * Furthermore, the previous filterings with the deleted filter will be ignored.
     * @param deleteOrClean Boolean if the filter should be deleted or cleaned.
     * @param alreadyReset Boolean if the filter was already reset.
     * @param mouseEvent The mouse event.
     */
    onDeleteOrCleanFilterFromToolbar(deleteOrClean, alreadyReset, mouseEvent) {
        mouseEvent?.stopPropagation();
        // reset the selected values
        if (!alreadyReset) {
            this.selectionForm.get('singleSelect')?.setValue('');
            this.selectionForm.get('multiSelect')?.setValue([]);
        }
        this.deleteOrCleanFilterFromToolbar.emit({
            filterLabel: this.filterLabel,
            filterIdentifier: this.filterIdentifier,
            deleteOrClean: deleteOrClean,
        });
    }
    /**
     * Function is necessary to send the selected values to the parent component.
     * @param filterIdentifier The identifier of the filter.
     * @param event The selected value(s).
     */
    onValuesSelected(filterIdentifier, event) {
        this.valuesSelected.emit({
            filterMode: this.filterType,
            identifier: filterIdentifier,
            value: event,
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SelectionFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: SelectionFilterComponent, selector: "talenra-selection-filter", inputs: { filterLabel: "filterLabel", filterIdentifier: "filterIdentifier", possibleValues: "possibleValues", multiple: "multiple", filterType: "filterType" }, outputs: { valuesSelected: "valuesSelected", deleteOrCleanFilterFromToolbar: "deleteOrCleanFilterFromToolbar" }, viewQueries: [{ propertyName: "select", first: true, predicate: ["talenraFilterSelect"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"drop-down-layout\">\n  <form [formGroup]=\"selectionForm\" class=\"drop-down-input\">\n    <talenra-form-field [label]=\"filterLabel\">\n      <talenra-select\n        #talenraFilterSelect\n        [allowMultiple]=\"multiple\"\n        [formControlName]=\"multiple ? 'multiSelect' : 'singleSelect'\"\n        data-testid=\"talenra-inbox-selection-filter\">\n        @for (attribute of possibleValues; track attribute.displayedName) {\n          <talenra-option data-testid=\"talenra-inbox-selection-filter-option\" [value]=\"attribute.displayedName\"\n            >{{ attribute.displayedName }}\n          </talenra-option>\n        }\n      </talenra-select>\n    </talenra-form-field>\n  </form>\n  <button\n    (click)=\"onDeleteOrCleanFilterFromToolbar(false, false, $event)\"\n    [disabled]=\"\n      (!multiple && selectionForm.get('singleSelect')?.value === '') ||\n      (multiple && selectionForm.get('multiSelect')?.value.length === 0)\n    \"\n    class=\"interaction-button\"\n    data-testid=\"inbox-filter-deselection-undo\"\n    icon=\"undo\"\n    kind=\"ghost\"\n    talenra-button\n    talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n  <button\n    (click)=\"onDeleteOrCleanFilterFromToolbar(true, false, $event)\"\n    class=\"interaction-button\"\n    data-testid=\"inbox-filter-deselection-button\"\n    icon=\"delete\"\n    kind=\"ghost\"\n    talenra-button\n    talenraTooltip=\"L\u00F6schen\"></button>\n</div>\n", styles: [".drop-down-layout{min-height:2.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.drop-down-input{width:100%}.interaction-button{margin-left:.25rem}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2.FormFieldComponent, selector: "talenra-form-field", inputs: ["hint", "label"] }, { kind: "component", type: i3$3.OptionComponent, selector: "talenra-option", inputs: ["value", "icon", "isHidden"] }, { kind: "component", type: i3$3.SelectComponent, selector: "talenra-select", inputs: ["useFilter", "allowMultiple", "noMatchMessage", "disabled", "value", "readonly", "kind", "placeholder"], outputs: ["selectionChange"] }, { kind: "directive", type: i4$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SelectionFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-selection-filter', template: "<div class=\"drop-down-layout\">\n  <form [formGroup]=\"selectionForm\" class=\"drop-down-input\">\n    <talenra-form-field [label]=\"filterLabel\">\n      <talenra-select\n        #talenraFilterSelect\n        [allowMultiple]=\"multiple\"\n        [formControlName]=\"multiple ? 'multiSelect' : 'singleSelect'\"\n        data-testid=\"talenra-inbox-selection-filter\">\n        @for (attribute of possibleValues; track attribute.displayedName) {\n          <talenra-option data-testid=\"talenra-inbox-selection-filter-option\" [value]=\"attribute.displayedName\"\n            >{{ attribute.displayedName }}\n          </talenra-option>\n        }\n      </talenra-select>\n    </talenra-form-field>\n  </form>\n  <button\n    (click)=\"onDeleteOrCleanFilterFromToolbar(false, false, $event)\"\n    [disabled]=\"\n      (!multiple && selectionForm.get('singleSelect')?.value === '') ||\n      (multiple && selectionForm.get('multiSelect')?.value.length === 0)\n    \"\n    class=\"interaction-button\"\n    data-testid=\"inbox-filter-deselection-undo\"\n    icon=\"undo\"\n    kind=\"ghost\"\n    talenra-button\n    talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n  <button\n    (click)=\"onDeleteOrCleanFilterFromToolbar(true, false, $event)\"\n    class=\"interaction-button\"\n    data-testid=\"inbox-filter-deselection-button\"\n    icon=\"delete\"\n    kind=\"ghost\"\n    talenra-button\n    talenraTooltip=\"L\u00F6schen\"></button>\n</div>\n", styles: [".drop-down-layout{min-height:2.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.drop-down-input{width:100%}.interaction-button{margin-left:.25rem}\n"] }]
        }], ctorParameters: () => [], propDecorators: { filterLabel: [{
                type: Input
            }], filterIdentifier: [{
                type: Input
            }], possibleValues: [{
                type: Input
            }], multiple: [{
                type: Input
            }], filterType: [{
                type: Input
            }], valuesSelected: [{
                type: Output
            }], deleteOrCleanFilterFromToolbar: [{
                type: Output
            }], select: [{
                type: ViewChild,
                args: ['talenraFilterSelect']
            }] } });

/**
 * Range filter component, which enables three possible filter types:
 * 1. date-range
 * 2. char-range
 * 3. number-range
 * All three filter types are used to filter the data items by a range of values.
 * The filter displays two input fields, one for the start value and one for the end value.
 * An error message for the start and end input field is displayed if the input is syntactically false.
 *
 * ```html
 * <talenra-range-filter
 *   [filterLabel]="filterLabel"
 *   [filterIdentifier]="filterIdentifier"
 *   [filterType]="filterType"
 *   (deleteOrCleanFilterFromToolbar)="deleteOrCleanFilterFromToolbar($event.filterIdentifier, $event.deleteOrClean)"
 *   (valuesSelected)="valuesSelected(filterType, $event.filterIdentifier, $event.value)"
 * ></talenra-range-filter>
 * ```
 */
class RangeFilterComponent {
    constructor() {
        /**
         * The filterDisplayedName is the name that is displayed in the filter toolbar.
         */
        this.filterLabel = '';
        /**
         * The filterIdentifier is the name that is used to identify the filter.
         */
        this.filterIdentifier = '';
        /**
         * The filterType is the type of the filter.
         */
        this.filterType = '';
        /**
         * The valuesSelected event is emitted when the user selects a value in the filter.
         */
        this.valuesSelected = new EventEmitter();
        /**
         * The deleteOrCleanFilterFromToolbar event is emitted when the user deletes or cleans the filter from the filter toolbar.
         */
        this.deleteOrCleanFilterFromToolbar = new EventEmitter();
        /**
         * The filterValues are the values that are used to filter the data items.
         */
        this.reactiveForm = new UntypedFormGroup({
            start: new FormControl(),
            end: new FormControl(),
        });
        /**
         *  The date range values.
         */
        this.dateRange = new FormGroup({
            date_1: new FormControl(null),
            date_2: new FormControl(null),
        }, { validators: [CustomValidators.startDateBeforeEndDate('date_1', 'date_2', true)] });
        /**
         * The falseEndInput is used to check if the end input is syntactically false.
         */
        this.falseEndInput = false;
        /**
         * The inboxState is used to get the active view name.
         * @private
         */
        this.inboxState = inject(InboxState);
        /**
         * The filterState is used to get the filter values from the filter toolbar.
         * @private
         */
        this.filterState = inject(FilterStateService);
        /**
         * The filterToolbarService is used to sort the values to check if the end input is syntactically false.
         * @private
         */
        this.filterToolbarService = inject(FilterToolbarService);
    }
    /**
     * This method is called when the component is initialized.
     * @internal
     */
    ngOnInit() {
        this.filterState.rangeFilterSubject$.subscribe((rangeFilter) => {
            rangeFilter.forEach((filterList) => {
                if (JSON.stringify(filterList.presetName) === JSON.stringify(this.inboxState.activePresetName$.value) &&
                    filterList.identifier === this.filterIdentifier) {
                    if (filterList.filterType === 'date-range') {
                        this.dateRange.get('date_1')?.setValue(filterList.value[0]);
                        this.dateRange.get('date_2')?.setValue(filterList.value[1]);
                    }
                    else if (filterList.filterType === 'char-range' || filterList.filterType === 'number-range') {
                        this.reactiveForm.get('start')?.setValue(filterList.value[0]);
                        this.reactiveForm.get('end')?.setValue(filterList.value[1]);
                    }
                }
            });
        });
        if (this.filterType === 'date-range') {
            this.dateRange.valueChanges.subscribe((selectedValue) => {
                if (selectedValue.date_1 !== null || selectedValue.date_2 !== null) {
                    // check for any error in input values
                    if (this.dateRange.valid) {
                        this.onValuesSelected(this.filterIdentifier, [selectedValue.date_1, selectedValue.date_2]);
                    }
                    else {
                        this.deleteOrCleanFilterFromToolbar.emit({
                            filterLabel: this.filterLabel,
                            filterIdentifier: this.filterIdentifier,
                            deleteOrClean: false,
                        });
                    }
                }
            });
        }
        if (this.filterType === 'char-range' || this.filterType === 'number-range') {
            this.reactiveForm.valueChanges.subscribe((selectedValue) => {
                if ((selectedValue.start === null || selectedValue.start === '') &&
                    (selectedValue.end === null || selectedValue.end === '')) {
                    this.deleteOrCleanFilterFromToolbar.emit({
                        filterLabel: this.filterLabel,
                        filterIdentifier: this.filterIdentifier,
                        deleteOrClean: false,
                    });
                }
                else if (selectedValue.start !== null || selectedValue.end !== null) {
                    // check if the end input is syntactically false
                    if (selectedValue.end !== null && selectedValue.start !== null && selectedValue.start !== '') {
                        this.checkEndInputFalse(selectedValue.start, selectedValue.end);
                    }
                    // check for any error in input values
                    if (!this.falseEndInput) {
                        this.onValuesSelected(this.filterIdentifier, [selectedValue.start, selectedValue.end]);
                    }
                    else {
                        this.deleteOrCleanFilterFromToolbar.emit({
                            filterLabel: this.filterLabel,
                            filterIdentifier: this.filterIdentifier,
                            deleteOrClean: false,
                        });
                    }
                }
            });
        }
    }
    /**
     * Function is necessary to delete the filter from the filter toolbar.
     * Furthermore, the previous filterings with the deleted filter will be ignored.
     * @param deleteOrClean The boolean value if the filter is to be removed or reset.
     * @param mouseEvent The mouse event.
     */
    onDeleteOrCleanFilterFromToolbar(deleteOrClean, mouseEvent) {
        mouseEvent.stopPropagation();
        this.deleteOrCleanFilterFromToolbar.emit({
            filterLabel: this.filterLabel,
            filterIdentifier: this.filterIdentifier,
            deleteOrClean: deleteOrClean,
        });
        this.resetValues();
    }
    /**
     * Auxiliary method to check if start string is before the end string of the given alphabet.
     * @param start The start string.
     * @param end The end string.
     */
    checkEndInputFalse(start, end) {
        if (start === '' || end === '') {
            this.falseEndInput = false;
        }
        else if (this.filterType === 'number-range') {
            this.falseEndInput = Number(start) > Number(end);
        }
        else if (this.filterType === 'char-range') {
            this.falseEndInput = this.filterToolbarService.sortString(start, end) !== 1;
        }
    }
    /**
     * Function is necessary to prevent the enter key from being pressed.
     * @param event The event if the enter key is pressed.
     */
    onEnterKey(event) {
        event.preventDefault();
    }
    /**
     * All selected filters will be saved in the map with there defintion and values
     * @param filterIdentifier The filterIdentifier is the name that is used to identify the filter.
     * @param event The event is the selected value of the filter.
     * @private
     */
    onValuesSelected(filterIdentifier, event) {
        this.valuesSelected.emit({
            filterIdentifier: filterIdentifier,
            value: event,
        });
    }
    /**
     * Function is necessary to reset the values of the filter.
     * @private
     */
    resetValues() {
        this.reactiveForm.reset();
        this.dateRange.reset();
        this.falseEndInput = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: RangeFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: RangeFilterComponent, selector: "talenra-range-filter", inputs: { filterLabel: "filterLabel", filterIdentifier: "filterIdentifier", filterType: "filterType" }, outputs: { valuesSelected: "valuesSelected", deleteOrCleanFilterFromToolbar: "deleteOrCleanFilterFromToolbar" }, ngImport: i0, template: "<div *ngIf=\"filterType === 'char-range' || filterType === 'number-range'\">\n  <form [formGroup]=\"reactiveForm\" class=\"form-group\" novalidate>\n    <div class=\"field-wrap\">\n      <talenra-form-field [label]=\"filterLabel + ' von'\" class=\"char-range-start\">\n        <input formControlName=\"start\" talenra-input />\n      </talenra-form-field>\n      <div class=\"input-divider\">\u2013</div>\n      <talenra-form-field class=\"char-range-end\" label=\"bis\">\n        <input (keydown.enter)=\"onEnterKey($event)\" formControlName=\"end\" talenra-input />\n        <talenra-form-error [isVisible]=\"falseEndInput\">Keine g\u00FCltige Auswahl.</talenra-form-error>\n      </talenra-form-field>\n    </div>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(false, $event)\"\n      [disabled]=\"!reactiveForm.value.start && !reactiveForm.value.end\"\n      class=\"interaction-button\"\n      data-testid=\"inbox-filter-deselection-undo\"\n      icon=\"undo\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(true, $event)\"\n      class=\"interaction-button\"\n      data-testid=\"inbox-filter-deselection-button\"\n      icon=\"delete\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"L\u00F6schen\"></button>\n  </form>\n</div>\n\n<div *ngIf=\"filterType === 'date-range'\">\n  <div class=\"form-group\">\n    <form [formGroup]=\"dateRange\" class=\"date-range-input\">\n      <talenra-form-field class=\"date-input\" label=\"{{ filterLabel }} von\">\n        <talenra-date formControlName=\"date_1\"></talenra-date>\n      </talenra-form-field>\n      <div class=\"input-divider\">\u2013</div>\n      <talenra-form-field class=\"date-input\" label=\"bis\">\n        <talenra-date formControlName=\"date_2\"></talenra-date>\n        <talenra-form-error\n          [isVisible]=\"dateRange.get('date_2')?.touched && dateRange.get('date_2')?.hasError('invalidDateOrder')\"\n          >Kein g\u00FCltiger Zeitraum.\n        </talenra-form-error>\n      </talenra-form-field>\n    </form>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(false, $event)\"\n      [disabled]=\"!dateRange.controls['date_1'].value && !dateRange.controls['date_2'].value\"\n      data-testid=\"inbox-filter-deselection-undo\"\n      icon=\"undo\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(true, $event)\"\n      class=\"interaction-button-close\"\n      data-testid=\"inbox-filter-deselection-button\"\n      icon=\"delete\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"L\u00F6schen\"></button>\n  </div>\n</div>\n", styles: [".form-group{min-height:2.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.field-wrap{width:100%;display:flex}.char-range-start,.char-range-end{flex-grow:1}.field-wrap input{width:100%;flex-grow:1}.input-divider{margin:.25rem .5rem;padding-top:1rem;color:#999}.interaction-button{margin-left:.25rem}.interaction-button-close{margin-left:.125rem}.date-range-input{flex-grow:1;display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between}.date-range-input .date-input{flex-grow:1}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2.FormErrorComponent, selector: "talenra-form-error", inputs: ["isVisible"] }, { kind: "component", type: i2.FormFieldComponent, selector: "talenra-form-field", inputs: ["hint", "label"] }, { kind: "component", type: i4.InputComponent, selector: "input[talenra-input], textarea[talenra-input]", inputs: ["type", "disabled", "readonly"] }, { kind: "directive", type: i4$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i4$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i6.DateComponent, selector: "talenra-date", inputs: ["dateFilterFn", "showTime", "timeLabel", "dynamicLocale", "isBirthDate", "disabled", "readonly"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: RangeFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-range-filter', template: "<div *ngIf=\"filterType === 'char-range' || filterType === 'number-range'\">\n  <form [formGroup]=\"reactiveForm\" class=\"form-group\" novalidate>\n    <div class=\"field-wrap\">\n      <talenra-form-field [label]=\"filterLabel + ' von'\" class=\"char-range-start\">\n        <input formControlName=\"start\" talenra-input />\n      </talenra-form-field>\n      <div class=\"input-divider\">\u2013</div>\n      <talenra-form-field class=\"char-range-end\" label=\"bis\">\n        <input (keydown.enter)=\"onEnterKey($event)\" formControlName=\"end\" talenra-input />\n        <talenra-form-error [isVisible]=\"falseEndInput\">Keine g\u00FCltige Auswahl.</talenra-form-error>\n      </talenra-form-field>\n    </div>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(false, $event)\"\n      [disabled]=\"!reactiveForm.value.start && !reactiveForm.value.end\"\n      class=\"interaction-button\"\n      data-testid=\"inbox-filter-deselection-undo\"\n      icon=\"undo\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(true, $event)\"\n      class=\"interaction-button\"\n      data-testid=\"inbox-filter-deselection-button\"\n      icon=\"delete\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"L\u00F6schen\"></button>\n  </form>\n</div>\n\n<div *ngIf=\"filterType === 'date-range'\">\n  <div class=\"form-group\">\n    <form [formGroup]=\"dateRange\" class=\"date-range-input\">\n      <talenra-form-field class=\"date-input\" label=\"{{ filterLabel }} von\">\n        <talenra-date formControlName=\"date_1\"></talenra-date>\n      </talenra-form-field>\n      <div class=\"input-divider\">\u2013</div>\n      <talenra-form-field class=\"date-input\" label=\"bis\">\n        <talenra-date formControlName=\"date_2\"></talenra-date>\n        <talenra-form-error\n          [isVisible]=\"dateRange.get('date_2')?.touched && dateRange.get('date_2')?.hasError('invalidDateOrder')\"\n          >Kein g\u00FCltiger Zeitraum.\n        </talenra-form-error>\n      </talenra-form-field>\n    </form>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(false, $event)\"\n      [disabled]=\"!dateRange.controls['date_1'].value && !dateRange.controls['date_2'].value\"\n      data-testid=\"inbox-filter-deselection-undo\"\n      icon=\"undo\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"Zur\u00FCcksetzen\"></button>\n    <button\n      (click)=\"onDeleteOrCleanFilterFromToolbar(true, $event)\"\n      class=\"interaction-button-close\"\n      data-testid=\"inbox-filter-deselection-button\"\n      icon=\"delete\"\n      kind=\"ghost\"\n      talenra-button\n      talenraTooltip=\"L\u00F6schen\"></button>\n  </div>\n</div>\n", styles: [".form-group{min-height:2.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.field-wrap{width:100%;display:flex}.char-range-start,.char-range-end{flex-grow:1}.field-wrap input{width:100%;flex-grow:1}.input-divider{margin:.25rem .5rem;padding-top:1rem;color:#999}.interaction-button{margin-left:.25rem}.interaction-button-close{margin-left:.125rem}.date-range-input{flex-grow:1;display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between}.date-range-input .date-input{flex-grow:1}\n"] }]
        }], propDecorators: { filterLabel: [{
                type: Input
            }], filterIdentifier: [{
                type: Input
            }], filterType: [{
                type: Input
            }], valuesSelected: [{
                type: Output
            }], deleteOrCleanFilterFromToolbar: [{
                type: Output
            }] } });

class AdvancedFilterSelectionComponent {
    constructor() {
        /**
         * The selectedFilterSelectionAttributes input is an array of AttributeItemSelector that contains the selected filters.
         * Used to display the filter inputs.
         */
        this.selectedFilterSelectionAttributes = [];
        /**
         * The deleteOrCleanFilterFromToolbar event is emitted when the user deletes or cleans the filter from the filter toolbar.
         */
        this.deleteOrCleanFilterFromToolbar = new EventEmitter();
        /**
         * Event emitter to send the selected values to the parent component.
         */
        this.valuesSelected = new EventEmitter();
        /**
         * The inbox service and references.
         */
        this.inboxState = inject(InboxState);
        this.filterToolbarService = inject(FilterToolbarService);
        this.setInboxConfigurationService = inject(MainFacadeSetterService);
        this.destroyRef = inject(DestroyRef);
    }
    /**
     * Initializes the filter toolbar component.
     * @internal
     */
    ngOnInit() {
        // when changes in the data items occurred reset the possible selection
        this.filterToolbarService.originalDataItems$.pipe(takeUntilDestroyed(this.destroyRef)).subscribe(() => {
            this.possibleSelection = new PossibleSelection(this.filterToolbarService, this.setInboxConfigurationService);
            this.filterToolbarService.identifierWithPossibleSelection =
                this.possibleSelection.identifierWithPossibleSelection;
        });
    }
    /**
     * The filterSelected event is emitted when the user selects a filter.
     */
    deleteOrCleanFilterFromToolbarChange(filterIdentifier, deleteOrClean) {
        this.deleteOrCleanFilterFromToolbar.emit({ filterIdentifier: filterIdentifier, deleteOrClean });
    }
    /**
     * The valueSelected event is emitted when the user selects a value.
     */
    valueSelectedChange(filterType, filterIdentifier, value) {
        this.valuesSelected.emit({ filterType, filterIdentifier: filterIdentifier, value });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AdvancedFilterSelectionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: AdvancedFilterSelectionComponent, selector: "talenra-advanced-filter-selection", inputs: { selectedFilterSelectionAttributes: "selectedFilterSelectionAttributes" }, outputs: { deleteOrCleanFilterFromToolbar: "deleteOrCleanFilterFromToolbar", valuesSelected: "valuesSelected" }, ngImport: i0, template: "<talenra-scroll-container class=\"advanced-filter\">\n  <div class=\"layout-advanced-filter-drop-down\">\n    <!-- Filter: choose filter-->\n    <div [class.margin-last-item]=\"selectedFilterSelectionAttributes.length > 0\" class=\"grid-chosen-filter-elements\">\n      <ng-container\n        *ngFor=\"let selectedFilter of selectedFilterSelectionAttributes\"\n        [ngSwitch]=\"selectedFilter.attribute.filterMode\">\n        <div *ngSwitchCase=\"'single-select'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              singleSelect;\n              context: {\n                filterType: 'single-select',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n                possibleSelection: filterToolbarService.identifierWithPossibleSelection?.get(\n                  selectedFilter.attribute.identifier\n                ),\n              }\n            \"></ng-container>\n        </div>\n\n        <div *ngSwitchCase=\"'multi-select'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              multiSelect;\n              context: {\n                filterType: 'multi-select',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n                possibleSelection: filterToolbarService.identifierWithPossibleSelection?.get(\n                  selectedFilter.attribute.identifier\n                ),\n              }\n            \"></ng-container>\n        </div>\n\n        <div *ngSwitchCase=\"'date-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'date-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n        <div *ngSwitchCase=\"'char-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'char-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n        <div *ngSwitchCase=\"'number-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'number-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n      </ng-container>\n    </div>\n  </div>\n</talenra-scroll-container>\n<!-- Filter: DropDown Filter-->\n<ng-template\n  #singleSelect\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-selection-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.identifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\"\n    [multiple]=\"false\"\n    [possibleValues]=\"possibleSelection\">\n  </talenra-selection-filter>\n</ng-template>\n\n<ng-template\n  #multiSelect\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-selection-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.identifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\"\n    [multiple]=\"true\"\n    [possibleValues]=\"possibleSelection\">\n  </talenra-selection-filter>\n</ng-template>\n\n<!-- Filter: Range Filter-->\n<ng-template\n  #rangeFilter\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-range-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.filterIdentifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\">\n  </talenra-range-filter>\n</ng-template>\n", styles: [".advanced-filter{height:100%}.layout-advanced-filter-drop-down{position:relative;padding:0 1rem 0 1.5rem;min-width:fit-content;display:flex;flex-direction:column;flex-wrap:nowrap}.grid-chosen-filter-elements{position:relative;min-width:fit-content;display:grid;grid-template-columns:100%;grid-template-rows:1fr;grid-auto-flow:row;max-height:28.125rem;max-width:100%}.grid-chosen-filter-elements.margin-last-item{margin-bottom:1rem}@media (max-width: 43.375em){.hits-text{display:flex;align-items:center;margin-right:5px}}\n"], dependencies: [{ kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$2.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i2$2.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: SelectionFilterComponent, selector: "talenra-selection-filter", inputs: ["filterLabel", "filterIdentifier", "possibleValues", "multiple", "filterType"], outputs: ["valuesSelected", "deleteOrCleanFilterFromToolbar"] }, { kind: "component", type: RangeFilterComponent, selector: "talenra-range-filter", inputs: ["filterLabel", "filterIdentifier", "filterType"], outputs: ["valuesSelected", "deleteOrCleanFilterFromToolbar"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AdvancedFilterSelectionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-advanced-filter-selection', template: "<talenra-scroll-container class=\"advanced-filter\">\n  <div class=\"layout-advanced-filter-drop-down\">\n    <!-- Filter: choose filter-->\n    <div [class.margin-last-item]=\"selectedFilterSelectionAttributes.length > 0\" class=\"grid-chosen-filter-elements\">\n      <ng-container\n        *ngFor=\"let selectedFilter of selectedFilterSelectionAttributes\"\n        [ngSwitch]=\"selectedFilter.attribute.filterMode\">\n        <div *ngSwitchCase=\"'single-select'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              singleSelect;\n              context: {\n                filterType: 'single-select',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n                possibleSelection: filterToolbarService.identifierWithPossibleSelection?.get(\n                  selectedFilter.attribute.identifier\n                ),\n              }\n            \"></ng-container>\n        </div>\n\n        <div *ngSwitchCase=\"'multi-select'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              multiSelect;\n              context: {\n                filterType: 'multi-select',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n                possibleSelection: filterToolbarService.identifierWithPossibleSelection?.get(\n                  selectedFilter.attribute.identifier\n                ),\n              }\n            \"></ng-container>\n        </div>\n\n        <div *ngSwitchCase=\"'date-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'date-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n        <div *ngSwitchCase=\"'char-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'char-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n        <div *ngSwitchCase=\"'number-range'\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              rangeFilter;\n              context: {\n                filterType: 'number-range',\n                label: selectedFilter.attribute.identifier,\n                displayedName: selectedFilter.attribute.label,\n              }\n            \"></ng-container>\n        </div>\n      </ng-container>\n    </div>\n  </div>\n</talenra-scroll-container>\n<!-- Filter: DropDown Filter-->\n<ng-template\n  #singleSelect\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-selection-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.identifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\"\n    [multiple]=\"false\"\n    [possibleValues]=\"possibleSelection\">\n  </talenra-selection-filter>\n</ng-template>\n\n<ng-template\n  #multiSelect\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-selection-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.identifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\"\n    [multiple]=\"true\"\n    [possibleValues]=\"possibleSelection\">\n  </talenra-selection-filter>\n</ng-template>\n\n<!-- Filter: Range Filter-->\n<ng-template\n  #rangeFilter\n  let-displayedName=\"displayedName\"\n  let-filterType=\"filterType\"\n  let-label=\"label\"\n  let-possibleSelection=\"possibleSelection\">\n  <talenra-range-filter\n    (deleteOrCleanFilterFromToolbar)=\"\n      deleteOrCleanFilterFromToolbarChange($event.filterIdentifier, $event.deleteOrClean)\n    \"\n    (valuesSelected)=\"valueSelectedChange(filterType, $event.filterIdentifier, $event.value)\"\n    [filterIdentifier]=\"label\"\n    [filterLabel]=\"displayedName\"\n    [filterType]=\"filterType\">\n  </talenra-range-filter>\n</ng-template>\n", styles: [".advanced-filter{height:100%}.layout-advanced-filter-drop-down{position:relative;padding:0 1rem 0 1.5rem;min-width:fit-content;display:flex;flex-direction:column;flex-wrap:nowrap}.grid-chosen-filter-elements{position:relative;min-width:fit-content;display:grid;grid-template-columns:100%;grid-template-rows:1fr;grid-auto-flow:row;max-height:28.125rem;max-width:100%}.grid-chosen-filter-elements.margin-last-item{margin-bottom:1rem}@media (max-width: 43.375em){.hits-text{display:flex;align-items:center;margin-right:5px}}\n"] }]
        }], propDecorators: { selectedFilterSelectionAttributes: [{
                type: Input
            }], deleteOrCleanFilterFromToolbar: [{
                type: Output
            }], valuesSelected: [{
                type: Output
            }] } });

/**
 * Responsible for customizing the layout of the data item settings component.
 *
 * ```html
 * <talenra-attributes-settings-layout
 *   *ngIf="!loading; else skeletonLoading"
 *   [attributesSettingsList]="attributeList"
 *   [maxAttributesShown]="maxAttributesShown"
 *   [selectedMainAttributes]="selectedMainAttributes"
 *   [selectedDetailAttributes]="selectedDetailAttributes"
 *   [(isExpanded)]="keyboardService.attributesSettingsExpanded"
 *   (selectedMainAttributesEmitter)="selectedMainAttributesEmitterHandler($event)"
 *   (selectedDetailAttributesEmitter)="selectedDetailAttributesEmitterHandler($event)"
 *   (selectedAllAttributesEmitter)="selectedAllAttributesEmitterHandler($event)"
 * ></talenra-attributes-settings-layout>
 * ```
 */
class AttributesSettingsLayoutComponent {
    constructor() {
        /**
         * The maximum Attributes which are to be shown in the data-items-list-items.
         * Further they are divided in the ui.
         * Marks the border for which values are saved to attributes and attributes-detail in attributes-settings-service.
         * Default value is 12, like chosen in the requirements.
         */
        this.maxAttributesShown = 12;
        /**
         * The maximum Attributes, which are to be shown in the data-items-list-items mutated by the user.
         */
        this.numberMainAttributesChosenByUser = 12;
        /**
         * The boolean value is used to expand the attributes settings UI.
         */
        this.isExpanded = false;
        /**
         * Sets the selected main attributes.
         */
        this.selectedMainAttributes = [];
        /**
         * Sets the selected detail attributes.
         */
        this.selectedDetailAttributes = [];
        /**
         * List of attributes key which are used to lock the attributes in the attribute settings.
         * Gets updated by the used attributes in the filter toolbar.
         */
        this.lockedAttributes = [];
        /**
         * The selected tab.
         */
        this.selectedTab = model('1');
        /**
         * The query that is currently selected.
         */
        this.query = model({
            identifier: 'head',
            rules: [],
            condition: QueryBuilderCondition.And,
            hierarchyLevel: 1,
        });
        /**
         * The possible rules that can be selected.
         */
        this.possibleRules = input([]);
        /**
         * The values that can be selected in connection to each rule identifier.
         */
        this.possibleOptions = input([]);
        /**
         * Emits the main selected attributes.
         */
        this.selectedMainAttributesEmitter = new EventEmitter();
        /**
         * Emits the detail selected attributes.
         */
        this.selectedDetailAttributesEmitter = new EventEmitter();
        /**
         * Emits the all selected attributes.
         */
        this.selectedAllAttributesEmitter = new EventEmitter();
        /**
         * The boolean value is used to expand the attributes settings UI.
         */
        this.isExpandedChange = new EventEmitter();
        /**
         * The number value that is chosen by the user to show the main attributes.
         */
        this.numberMainAttributesChosenByUserEmitter = new EventEmitter();
        /**
         * The tab bar items.
         */
        this.tabBarItems = [
            {
                key: '1',
                label: 'Attribute',
                icon: 'edit-square',
                useScroll: false,
            },
            {
                key: '2',
                label: 'Filter',
                icon: 'filter-alt',
                useScroll: false,
            },
            { key: '3', label: 'Expert Filter', icon: 'filter-list', useScroll: false },
            { key: '4', label: 'Sort', icon: 'sort', useScroll: false },
        ];
        /**
         * List of available attributes for the filter selection.
         */
        this.allFilterSelectionAttributes = [];
        /**
         * Maximal number of filters that can be selected.
         */
        this.maxFilterSelected = 100;
        /**
         * The used services and references.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        this.inboxState = inject(InboxState);
        this.keyboardService = inject(KeyboardService);
        this.destroyRef = inject(DestroyRef);
    }
    /**
     * Emits the selected main attributes.
     * @param selectedMainAttributes The selected main attributes.
     */
    selectedMainAttributesEmitterHandler(selectedMainAttributes) {
        this.selectedMainAttributesEmitter.emit(selectedMainAttributes);
    }
    /**
     * Emits the selected detail attributes.
     * @param selectedDetailAttributes The selected detail attributes.
     */
    selectedDetailAttributesEmitterHandler(selectedDetailAttributes) {
        this.selectedDetailAttributesEmitter.emit(selectedDetailAttributes);
    }
    /**
     * Emits the selected all attributes.
     * @param selectedAllAttributes All selected attributes.
     */
    selectedAllAttributesEmitterHandler(selectedAllAttributes) {
        // set the all available attributes for the filter selection
        this.setAllFilterSelectionAttributes(selectedAllAttributes);
        // emit the selected all attributes
        this.selectedAllAttributesEmitter.emit(selectedAllAttributes);
    }
    /**
     * Emits the expanded change.
     * @param $event The boolean value is used to expand the attributes settings UI.
     */
    expandedChangeHandler($event) {
        this.isExpandedChange.emit($event);
    }
    /**
     * Emits the number main attributes chosen by user change.
     * @param $event The number value that is chosen by the user to show the main attributes.
     */
    numberMainAttributesChosenByUserHandler($event) {
        this.numberMainAttributesChosenByUserEmitter.emit($event);
    }
    /**
     * @internal
     */
    ngOnInit() {
        this.initializeComponent();
    }
    /**
     * Detects changes in the component.
     * @internal
     **/
    ngOnChanges(changes) {
        const selectedMainAttributesChanges = changes['selectedMainAttributes'];
        const selectedDetailAttributesChanges = changes['selectedDetailAttributes'];
        if ((selectedMainAttributesChanges && !selectedMainAttributesChanges.firstChange) ||
            (selectedDetailAttributesChanges && !selectedDetailAttributesChanges.firstChange)) {
            this.setAllFilterSelectionAttributes([
                ...selectedMainAttributesChanges.currentValue,
                ...selectedDetailAttributesChanges.currentValue,
            ]);
        }
    }
    /**
     * Change in the selected filter attributes.
     * @param attributes The selected filter attributes.
     */
    selectedFilterAttributesSelectorChange(attributes) {
        this.filterToolbarService.setSelectedFilterSelectionAttributes(attributes);
        // check if active filters are in the selected filter attributes
        this.filterToolbarService.filterSelections$.value.forEach((attributeItem, key) => {
            if (this.filterToolbarService.selectedFilterSelectionAttributes$.value.filter((e) => e.attribute.identifier === key)
                .length === 0 &&
                !key.startsWith('icon')) {
                this.filterToolbarService.deleteOrCleanFilterFromToolbar(key, true);
            }
        });
    }
    /**
     * Change the selected tab.
     * @param $event The selected tab.
     */
    selectedTabChange($event) {
        this.selectedTab.set($event);
    }
    /**
     * Method to emit the close button and close the inbox detail view
     */
    onCloseClick() {
        this.isExpanded = false;
        this.isExpandedChange.emit(this.isExpanded);
    }
    /**
     * Method to reset the advanced filter.
     * @protected
     */
    resetAdvancedFilter() {
        this.query.set({
            identifier: this.query().identifier,
            rules: [],
            condition: QueryBuilderCondition.And,
            hierarchyLevel: 1,
        });
    }
    onClickOutside(event) {
        /**
         * Workaround for Firefox:
         * Firefox we receive a click event when the drag'n'drop is finished which closes the panel.
         * This faulty click event has target 'body'. For now we just ignore outside-clicks with target 'body'.
         * Better solutions very welcome!
         */
        if (event.target === document.getElementsByTagName('body').item(0))
            return;
        /**
         * Workaround for if the click is on the backdrop of the cdk-overlay.
         */
        if (event.target === document.getElementsByClassName('cdk-overlay-backdrop').item(0))
            return;
        this.isExpandedChange.emit(false);
    }
    /**
     * Changes the tab.
     * @param tab The tab.
     * @protected
     */
    changeTab(tab) {
        const selectedTab = this.tabBarItems.find((item) => item.key === tab);
        selectedTab?.key && this.selectedTab.set(selectedTab.key);
    }
    /**
     * Initializes the component.
     * @protected
     */
    initializeComponent() {
        this.keyboardService.escapeKeyPressed.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((value) => {
            if (value) {
                this.isExpanded = false;
                this.isExpandedChange.emit(false);
            }
        });
        // set the all available attributes for the filter selection
        this.setAllFilterSelectionAttributes([...this.selectedMainAttributes, ...this.selectedDetailAttributes]);
    }
    /**
     * Confirms the advanced filter.
     * @protected
     */
    confirmAdvancedFilter() {
        // TODO: implement confirmAdvancedFilter
    }
    /**
     * Sets the all available attributes for the filter selection.
     * @param selectedAllAttributes The selected all attributes.
     * @private
     */
    setAllFilterSelectionAttributes(selectedAllAttributes) {
        // reset the all available attributes for the filter selection
        this.allFilterSelectionAttributes = [];
        // set the available filters for the filter selection
        selectedAllAttributes.forEach((elem) => {
            if (elem.filterMode !== undefined) {
                this.allFilterSelectionAttributes.push({
                    attribute: elem,
                    icon: 'filter-alt',
                    iconTooltip: 'Filter aktiv',
                    showIcon: this.filterToolbarService.filterSelections$.value.has(elem.identifier),
                    iconDisabled: true,
                });
            }
        });
        // set or reset the selected values in the attribute selector if the preset is changed or preset has initial values
        const attributes = [];
        this.filterToolbarService.filterSelections$.value.forEach((value, key) => {
            // just add the attributes to the selected attributes if the key is not an icon
            if (!key.startsWith('icon')) {
                const attribute = this.inboxState.selectedAllAttributesSubject$.value.find((e) => e.identifier === key);
                attribute && attributes.push(attribute);
            }
        });
        // set the selected attributes in the filter selection side panel
        this.filterToolbarService.setSelectedFilterSelectionAttributes(attributes.map((attribute) => ({
            attribute: attribute,
            showIcon: true,
            icon: 'filter-alt',
            iconTooltip: 'Filter aktiv',
            iconDisabled: true,
        })));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesSettingsLayoutComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.9", type: AttributesSettingsLayoutComponent, selector: "talenra-attributes-settings-layout", inputs: { attributesSettingsList: { classPropertyName: "attributesSettingsList", publicName: "attributesSettingsList", isSignal: false, isRequired: false, transformFunction: null }, maxAttributesShown: { classPropertyName: "maxAttributesShown", publicName: "maxAttributesShown", isSignal: false, isRequired: false, transformFunction: null }, numberMainAttributesChosenByUser: { classPropertyName: "numberMainAttributesChosenByUser", publicName: "numberMainAttributesChosenByUser", isSignal: false, isRequired: false, transformFunction: null }, isExpanded: { classPropertyName: "isExpanded", publicName: "isExpanded", isSignal: false, isRequired: false, transformFunction: null }, selectedMainAttributes: { classPropertyName: "selectedMainAttributes", publicName: "selectedMainAttributes", isSignal: false, isRequired: false, transformFunction: null }, selectedDetailAttributes: { classPropertyName: "selectedDetailAttributes", publicName: "selectedDetailAttributes", isSignal: false, isRequired: false, transformFunction: null }, lockedAttributes: { classPropertyName: "lockedAttributes", publicName: "lockedAttributes", isSignal: false, isRequired: false, transformFunction: null }, selectedTab: { classPropertyName: "selectedTab", publicName: "selectedTab", isSignal: true, isRequired: false, transformFunction: null }, query: { classPropertyName: "query", publicName: "query", isSignal: true, isRequired: false, transformFunction: null }, possibleRules: { classPropertyName: "possibleRules", publicName: "possibleRules", isSignal: true, isRequired: false, transformFunction: null }, possibleOptions: { classPropertyName: "possibleOptions", publicName: "possibleOptions", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { selectedTab: "selectedTabChange", query: "queryChange", selectedMainAttributesEmitter: "selectedMainAttributesEmitter", selectedDetailAttributesEmitter: "selectedDetailAttributesEmitter", selectedAllAttributesEmitter: "selectedAllAttributesEmitter", isExpandedChange: "isExpandedChange", numberMainAttributesChosenByUserEmitter: "numberMainAttributesChosenByUserEmitter" }, usesOnChanges: true, ngImport: i0, template: "<div [class.panel-expanded]=\"isExpanded\" class=\"attributes-settings-main\">\n  <ng-content></ng-content>\n</div>\n\n<div\n  *ngIf=\"!inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n  [ngClass]=\"{ expanded: isExpanded, 'expanded-large': isExpanded && selectedTab() === '3' }\"\n  class=\"attributes-settings-panel\"\n  data-testid=\"inbox-attributes-settings-panel\">\n  <talenra-detail-view-information-tab-bar\n    (selectedTabChange)=\"selectedTabChange($event)\"\n    [detailViewInformationTabBarItems]=\"tabBarItems\"\n    [selectedTab]=\"selectedTab()\"></talenra-detail-view-information-tab-bar>\n  <talenra-attributes-settings\n    (isExpandedChange)=\"expandedChangeHandler($event)\"\n    (numberMainAttributesChosenByUserEmitter)=\"numberMainAttributesChosenByUserHandler($event)\"\n    (selectedAllAttributesEmitter)=\"selectedAllAttributesEmitterHandler($event)\"\n    (selectedDetailAttributesEmitter)=\"selectedDetailAttributesEmitterHandler($event)\"\n    (selectedMainAttributesEmitter)=\"selectedMainAttributesEmitterHandler($event)\"\n    [attributesSettingsList]=\"attributesSettingsList\"\n    [class.not-displayed]=\"selectedTab() !== '1'\"\n    [isExpanded]=\"isExpanded\"\n    [lockedAttributes]=\"lockedAttributes\"\n    [maxAttributesShown]=\"maxAttributesShown\"\n    [numberMainAttributesChosenByUser]=\"numberMainAttributesChosenByUser\"\n    [selectedDetailAttributes]=\"selectedDetailAttributes\"\n    [selectedMainAttributes]=\"selectedMainAttributes\"\n    class=\"tab-content\"></talenra-attributes-settings>\n  <div [class.not-displayed]=\"selectedTab() !== '2'\" class=\"filter-container tab-content\">\n    <!--  FILTER SELECTION -->\n    <talenra-attribute-selector\n      (closeClick)=\"onCloseClick()\"\n      (resetAttributeSelectionChange)=\"filterToolbarService.setResetFilterSelectionAttribute($event)\"\n      (selectedAttributesChange)=\"selectedFilterAttributesSelectorChange($event)\"\n      [allAttributes]=\"allFilterSelectionAttributes\"\n      [maxSelectedAttributes]=\"maxFilterSelected\"\n      [resetAttributeSelection]=\"filterToolbarService.resetFilterSelectionAttribute$()\"\n      [rzHandles]=\"'s'\"\n      [selectedAttributes]=\"filterToolbarService.selectedFilterSelectionAttributes$.value\"\n      [titleIcon]=\"'filter-alt'\"\n      [title]=\"'Filter'\"\n      class=\"filter-selection\"\n      id=\"talenraInboxFilterAttributeSelector\"\n      ngResizable>\n    </talenra-attribute-selector>\n    <!--  ADVANCED FILTER -->\n    <div\n      *ngIf=\"filterToolbarService.selectedFilterSelectionAttributes$.value.length !== 0\"\n      class=\"filter-selection-input\">\n      <div class=\"filter-selection-input-title medium-font\">Filter Input</div>\n      <talenra-advanced-filter-selection\n        (deleteOrCleanFilterFromToolbar)=\"\n          filterToolbarService.deleteOrCleanFilterFromToolbar($event.filterIdentifier, $event.deleteOrClean)\n        \"\n        (valuesSelected)=\"filterToolbarService.valuesSelected($event.filterType, $event.filterIdentifier, $event.value)\"\n        [selectedFilterSelectionAttributes]=\"filterToolbarService.selectedFilterSelectionAttributes$.value\"\n        class=\"filter-selection-input-fields\"></talenra-advanced-filter-selection>\n    </div>\n  </div>\n  <!--  EXPERT FILTER SELECTION -->\n  <div [class.not-displayed]=\"selectedTab() !== '3'\" class=\"expert-filter-container tab-content\">\n    <div class=\"expert-filter-header medium-font\">\n      <div class=\"placeholder-title\"></div>\n      <div class=\"expert-filter-title\">\n        <span class=\"expert-filter-title-text\">Erweiterter Filter </span>\n        <talenra-icon [name]=\"'filter-list'\" class=\"expert-filter-header-icon\"></talenra-icon>\n      </div>\n      <button (click)=\"onCloseClick()\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n    </div>\n    <talenra-scroll-container class=\"expert-filter-scroll-container\">\n      <talenra-query-builder\n        [(query)]=\"query\"\n        [possibleRules]=\"possibleRules()!\"\n        [values]=\"possibleOptions()!\"\n        class=\"expert-filter-query-selector\"></talenra-query-builder>\n    </talenra-scroll-container>\n    <div class=\"expert-filter-button-interaction\">\n      <button (click)=\"onCloseClick()\" kind=\"secondary\" label=\"Abbrechen\" talenra-button size=\"s\"></button>\n      <div class=\"expert-filter-button-interaction-confirm\">\n        <button (click)=\"resetAdvancedFilter()\" kind=\"secondary\" label=\"Zur\u00FCcksetzen\" talenra-button size=\"s\"></button>\n        <button (click)=\"confirmAdvancedFilter()\" kind=\"primary\" label=\"Filter anwenden\" talenra-button size=\"s\"></button>\n      </div>\n    </div>\n  </div>\n  <talenra-sort-filter\n    (closeClick)=\"onCloseClick()\"\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableSortSelection\"\n    [class.not-displayed]=\"selectedTab() !== '4'\"\n    [presetGroups]=\"inboxState.presetGroups$.value\"\n    class=\"sort-container tab-content\"></talenra-sort-filter>\n</div>\n", styles: [":host{position:relative;display:flex;height:100%;width:100%;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;--color-background: #ffffff;--color-primary: #0099a8;--color-text: #000000;--color-separator: #f2f2f2;--color-icon: #999999;--color-inactive: #cccccc;--color-border: #f2f2f2}.attributes-settings-main{display:flex;flex-direction:column;flex-wrap:nowrap;flex-grow:1;height:calc(100% - 2px);width:calc(100% - 48px);max-width:1400px}.attributes-settings-main.panel-expanded{pointer-events:none}.attributes-settings-panel{overflow:hidden;position:fixed;height:calc(100% - 85px);top:64px;width:0;right:0;opacity:0;transition:width .3s,opacity .3s}.attributes-settings-panel.expanded{width:800px;opacity:1;z-index:3}.attributes-settings-panel.expanded-large{width:1200px;opacity:1;z-index:3}.tab-content{height:calc(100% - 48px);border-top:.0625rem solid var(--color-border);border-left:.0625rem solid var(--color-border);padding:1.9375rem 1.5rem 0}.sort-container{background-color:var(--color-background)}.filter-container{display:flex;flex-direction:column;flex-wrap:nowrap;background-color:var(--color-background)}.filter-selection{position:sticky;height:calc(100% - .5rem);min-height:15rem;padding-bottom:.5rem;border-bottom:.0625rem solid var(--color-separator)}.filter-selection-input{display:flex;flex-direction:column;flex-grow:1;min-height:22.5rem;padding-right:1.5rem;margin-top:1.5rem}.filter-selection-input-title{text-align:center;margin-bottom:.125rem}.filter-selection-input-fields{height:calc(100% - 1.25rem)}.expert-filter-container{display:flex;flex-direction:column;flex-wrap:nowrap;background-color:var(--color-background)}.expert-filter-header{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:.125rem}.expert-filter-header-icon{color:var(--color-icon);font-size:1rem}.placeholder-title{width:1.5rem;height:1.5rem}.expert-filter-title-text{color:var(--color-text)}.expert-filter-query-selector{display:flex;flex-direction:column;flex-wrap:nowrap;margin-top:1.5rem;color:var(--color-text)}.expert-filter-scroll-container{max-height:calc(100% - 5.75rem)}.expert-filter-button-interaction{margin:1.5rem 0 .75rem;display:flex;flex-direction:row;align-items:center;justify-content:space-between;flex-wrap:nowrap}.expert-filter-button-interaction-confirm{display:flex;flex-direction:row;align-items:center;gap:1rem;flex-wrap:nowrap}.not-displayed{display:none}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}@media (max-width: 1246px){.attributes-settings-panel.expanded-large{width:calc(100% - 2.875rem)}}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-inactive: #cccccc;--color-text: #cccccc;--color-separator: #4d4d4d;--color-border: #4d4d4d}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$4.AngularResizableDirective, selector: "[ngResizable]", inputs: ["ngResizable", "rzHandles", "rzHandleDoms", "rzAspectRatio", "rzContainment", "rzGrid", "rzMinWidth", "rzMinHeight", "rzMaxWidth", "rzMaxHeight", "rzScale", "preventDefaultEvent"], outputs: ["rzStart", "rzResizing", "rzStop"], exportAs: ["ngResizable"] }, { kind: "component", type: DetailViewInformationTabBarComponent, selector: "talenra-detail-view-information-tab-bar", inputs: ["detailViewInformationTabBarItems", "selectedTab"], outputs: ["selectedTabChange"] }, { kind: "component", type: i7.QueryBuilderComponent, selector: "talenra-query-builder", inputs: ["query", "possibleRules", "values", "maxHierarchyLevel", "dynamicLocale"], outputs: ["queryChange"] }, { kind: "component", type: AttributesSettingsComponent, selector: "talenra-attributes-settings", inputs: ["attributesSettingsList", "maxAttributesShown", "numberMainAttributesChosenByUser", "isExpanded", "selectedMainAttributes", "selectedDetailAttributes", "lockedAttributes"], outputs: ["selectedMainAttributesEmitter", "selectedDetailAttributesEmitter", "selectedAllAttributesEmitter", "isExpandedChange", "numberMainAttributesChosenByUserEmitter"] }, { kind: "component", type: SortFilterComponent, selector: "talenra-sort-filter", inputs: ["presetGroups"], outputs: ["closeClick"] }, { kind: "component", type: AttributeSelectorComponent, selector: "talenra-attribute-selector", inputs: ["allAttributes", "selectedAttributes", "maxSelectedAttributes", "title", "titleIcon", "resetAttributeSelection"], outputs: ["resetAttributeSelectionChange", "selectedAttributesChange", "selectedAttributeIconClickEmitter", "closeClick"] }, { kind: "component", type: AdvancedFilterSelectionComponent, selector: "talenra-advanced-filter-selection", inputs: ["selectedFilterSelectionAttributes"], outputs: ["deleteOrCleanFilterFromToolbar", "valuesSelected"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: AttributesSettingsLayoutComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-attributes-settings-layout', template: "<div [class.panel-expanded]=\"isExpanded\" class=\"attributes-settings-main\">\n  <ng-content></ng-content>\n</div>\n\n<div\n  *ngIf=\"!inboxState.inboxConfiguration$.value.disableAttributeSettingsToolbar\"\n  [ngClass]=\"{ expanded: isExpanded, 'expanded-large': isExpanded && selectedTab() === '3' }\"\n  class=\"attributes-settings-panel\"\n  data-testid=\"inbox-attributes-settings-panel\">\n  <talenra-detail-view-information-tab-bar\n    (selectedTabChange)=\"selectedTabChange($event)\"\n    [detailViewInformationTabBarItems]=\"tabBarItems\"\n    [selectedTab]=\"selectedTab()\"></talenra-detail-view-information-tab-bar>\n  <talenra-attributes-settings\n    (isExpandedChange)=\"expandedChangeHandler($event)\"\n    (numberMainAttributesChosenByUserEmitter)=\"numberMainAttributesChosenByUserHandler($event)\"\n    (selectedAllAttributesEmitter)=\"selectedAllAttributesEmitterHandler($event)\"\n    (selectedDetailAttributesEmitter)=\"selectedDetailAttributesEmitterHandler($event)\"\n    (selectedMainAttributesEmitter)=\"selectedMainAttributesEmitterHandler($event)\"\n    [attributesSettingsList]=\"attributesSettingsList\"\n    [class.not-displayed]=\"selectedTab() !== '1'\"\n    [isExpanded]=\"isExpanded\"\n    [lockedAttributes]=\"lockedAttributes\"\n    [maxAttributesShown]=\"maxAttributesShown\"\n    [numberMainAttributesChosenByUser]=\"numberMainAttributesChosenByUser\"\n    [selectedDetailAttributes]=\"selectedDetailAttributes\"\n    [selectedMainAttributes]=\"selectedMainAttributes\"\n    class=\"tab-content\"></talenra-attributes-settings>\n  <div [class.not-displayed]=\"selectedTab() !== '2'\" class=\"filter-container tab-content\">\n    <!--  FILTER SELECTION -->\n    <talenra-attribute-selector\n      (closeClick)=\"onCloseClick()\"\n      (resetAttributeSelectionChange)=\"filterToolbarService.setResetFilterSelectionAttribute($event)\"\n      (selectedAttributesChange)=\"selectedFilterAttributesSelectorChange($event)\"\n      [allAttributes]=\"allFilterSelectionAttributes\"\n      [maxSelectedAttributes]=\"maxFilterSelected\"\n      [resetAttributeSelection]=\"filterToolbarService.resetFilterSelectionAttribute$()\"\n      [rzHandles]=\"'s'\"\n      [selectedAttributes]=\"filterToolbarService.selectedFilterSelectionAttributes$.value\"\n      [titleIcon]=\"'filter-alt'\"\n      [title]=\"'Filter'\"\n      class=\"filter-selection\"\n      id=\"talenraInboxFilterAttributeSelector\"\n      ngResizable>\n    </talenra-attribute-selector>\n    <!--  ADVANCED FILTER -->\n    <div\n      *ngIf=\"filterToolbarService.selectedFilterSelectionAttributes$.value.length !== 0\"\n      class=\"filter-selection-input\">\n      <div class=\"filter-selection-input-title medium-font\">Filter Input</div>\n      <talenra-advanced-filter-selection\n        (deleteOrCleanFilterFromToolbar)=\"\n          filterToolbarService.deleteOrCleanFilterFromToolbar($event.filterIdentifier, $event.deleteOrClean)\n        \"\n        (valuesSelected)=\"filterToolbarService.valuesSelected($event.filterType, $event.filterIdentifier, $event.value)\"\n        [selectedFilterSelectionAttributes]=\"filterToolbarService.selectedFilterSelectionAttributes$.value\"\n        class=\"filter-selection-input-fields\"></talenra-advanced-filter-selection>\n    </div>\n  </div>\n  <!--  EXPERT FILTER SELECTION -->\n  <div [class.not-displayed]=\"selectedTab() !== '3'\" class=\"expert-filter-container tab-content\">\n    <div class=\"expert-filter-header medium-font\">\n      <div class=\"placeholder-title\"></div>\n      <div class=\"expert-filter-title\">\n        <span class=\"expert-filter-title-text\">Erweiterter Filter </span>\n        <talenra-icon [name]=\"'filter-list'\" class=\"expert-filter-header-icon\"></talenra-icon>\n      </div>\n      <button (click)=\"onCloseClick()\" icon=\"close\" kind=\"ghost\" talenra-button size=\"s\"></button>\n    </div>\n    <talenra-scroll-container class=\"expert-filter-scroll-container\">\n      <talenra-query-builder\n        [(query)]=\"query\"\n        [possibleRules]=\"possibleRules()!\"\n        [values]=\"possibleOptions()!\"\n        class=\"expert-filter-query-selector\"></talenra-query-builder>\n    </talenra-scroll-container>\n    <div class=\"expert-filter-button-interaction\">\n      <button (click)=\"onCloseClick()\" kind=\"secondary\" label=\"Abbrechen\" talenra-button size=\"s\"></button>\n      <div class=\"expert-filter-button-interaction-confirm\">\n        <button (click)=\"resetAdvancedFilter()\" kind=\"secondary\" label=\"Zur\u00FCcksetzen\" talenra-button size=\"s\"></button>\n        <button (click)=\"confirmAdvancedFilter()\" kind=\"primary\" label=\"Filter anwenden\" talenra-button size=\"s\"></button>\n      </div>\n    </div>\n  </div>\n  <talenra-sort-filter\n    (closeClick)=\"onCloseClick()\"\n    *ngIf=\"!inboxState.inboxConfiguration$.value.disableSortSelection\"\n    [class.not-displayed]=\"selectedTab() !== '4'\"\n    [presetGroups]=\"inboxState.presetGroups$.value\"\n    class=\"sort-container tab-content\"></talenra-sort-filter>\n</div>\n", styles: [":host{position:relative;display:flex;height:100%;width:100%;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;--color-background: #ffffff;--color-primary: #0099a8;--color-text: #000000;--color-separator: #f2f2f2;--color-icon: #999999;--color-inactive: #cccccc;--color-border: #f2f2f2}.attributes-settings-main{display:flex;flex-direction:column;flex-wrap:nowrap;flex-grow:1;height:calc(100% - 2px);width:calc(100% - 48px);max-width:1400px}.attributes-settings-main.panel-expanded{pointer-events:none}.attributes-settings-panel{overflow:hidden;position:fixed;height:calc(100% - 85px);top:64px;width:0;right:0;opacity:0;transition:width .3s,opacity .3s}.attributes-settings-panel.expanded{width:800px;opacity:1;z-index:3}.attributes-settings-panel.expanded-large{width:1200px;opacity:1;z-index:3}.tab-content{height:calc(100% - 48px);border-top:.0625rem solid var(--color-border);border-left:.0625rem solid var(--color-border);padding:1.9375rem 1.5rem 0}.sort-container{background-color:var(--color-background)}.filter-container{display:flex;flex-direction:column;flex-wrap:nowrap;background-color:var(--color-background)}.filter-selection{position:sticky;height:calc(100% - .5rem);min-height:15rem;padding-bottom:.5rem;border-bottom:.0625rem solid var(--color-separator)}.filter-selection-input{display:flex;flex-direction:column;flex-grow:1;min-height:22.5rem;padding-right:1.5rem;margin-top:1.5rem}.filter-selection-input-title{text-align:center;margin-bottom:.125rem}.filter-selection-input-fields{height:calc(100% - 1.25rem)}.expert-filter-container{display:flex;flex-direction:column;flex-wrap:nowrap;background-color:var(--color-background)}.expert-filter-header{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:.125rem}.expert-filter-header-icon{color:var(--color-icon);font-size:1rem}.placeholder-title{width:1.5rem;height:1.5rem}.expert-filter-title-text{color:var(--color-text)}.expert-filter-query-selector{display:flex;flex-direction:column;flex-wrap:nowrap;margin-top:1.5rem;color:var(--color-text)}.expert-filter-scroll-container{max-height:calc(100% - 5.75rem)}.expert-filter-button-interaction{margin:1.5rem 0 .75rem;display:flex;flex-direction:row;align-items:center;justify-content:space-between;flex-wrap:nowrap}.expert-filter-button-interaction-confirm{display:flex;flex-direction:row;align-items:center;gap:1rem;flex-wrap:nowrap}.not-displayed{display:none}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}@media (max-width: 1246px){.attributes-settings-panel.expanded-large{width:calc(100% - 2.875rem)}}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-inactive: #cccccc;--color-text: #cccccc;--color-separator: #4d4d4d;--color-border: #4d4d4d}\n"] }]
        }], propDecorators: { attributesSettingsList: [{
                type: Input
            }], maxAttributesShown: [{
                type: Input
            }], numberMainAttributesChosenByUser: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }], selectedMainAttributes: [{
                type: Input
            }], selectedDetailAttributes: [{
                type: Input
            }], lockedAttributes: [{
                type: Input
            }], selectedMainAttributesEmitter: [{
                type: Output
            }], selectedDetailAttributesEmitter: [{
                type: Output
            }], selectedAllAttributesEmitter: [{
                type: Output
            }], isExpandedChange: [{
                type: Output
            }], numberMainAttributesChosenByUserEmitter: [{
                type: Output
            }] } });

/**
 * Service for downloading data items as a csv file.
 */
class CsvService {
    constructor() {
        /**
         * The state of the inbox.
         */
        this.inboxState = inject(InboxState);
    }
    /**
     * Download the data items as a csv file.
     */
    downloadCSV() {
        // convert data to a csv string
        const csv = this.convertToCSV(this.inboxState.filteredDataItemsSubject$.value);
        // create a blob from the csv string
        const blob = new Blob([csv], { type: 'text/csv' });
        // trigger a download of the blob
        const link = document.createElement('a');
        link.href = URL.createObjectURL(blob);
        link.download = 'dataItems.csv';
        link.click();
        link.remove();
    }
    /**
     * Convert an array of objects to a csv string.
     * @param {any[]} objArray The array of objects to convert.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    convertToCSV(objArray) {
        // get the keys (headers) of the first object in the array
        const keys = Object.keys(objArray[0]);
        // create an array of header strings
        const headers = keys.join(',');
        // create an array of rows and replace any commas with a space
        const rows = objArray.map((item) => keys.map((key) => String(item[key]).replace(/,/g, '')).join(','));
        //join the headers and rows together
        return headers + '\n' + rows.join('\n');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: CsvService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: CsvService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: CsvService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Service containing helper methods for the inbox main facade usage.
 */
class InboxHelperService {
    constructor() {
        /**
         * First Index of data-items-list.
         */
        this.startIndexDataItemsListSubject$ = new BehaviorSubject(0);
        /**
         * Service to handle the data items.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * Service to handle the keyboard.
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * Service to handle the inbox configuration.
         */
        this.setInboxConfigurationService = inject(MainFacadeSetterService);
        /**
         * Boolean to check if the current header is in an edge case loop (e.g. when the user scrolls down header is hidden and the available space is enough to show the header again (no scrolling needed)).
         */
        this.headerEdgeCase = false;
        /**
         * Boolean to check the virtual scroll has no scroll bar.
         */
        this.noScroll = false;
    }
    /**
     * Setter for the first index of the data items list.
     * @param {number} value The value to set.
     * @internal
     */
    setStartIndexDataItemsListSubject(value) {
        this.startIndexDataItemsListSubject$.next(value);
    }
    /**
     * Getter for the list of data items which are chosen in the data items list.
     * @param {any[]} dataItems The list of dataItems.
     * @param {string[]} dataItemsListId The list of data items ids.
     * @internal
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    getBulkDataItemsList(dataItems, dataItemsListId) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return dataItems.filter((elem) => {
            let included = false;
            dataItemsListId.forEach((value) => {
                if (elem['inboxId'] === value) {
                    included = true;
                }
            });
            return included;
        });
    }
    /**
     * Handler to get the notes from the selected data item.
     * @param noteInput The note input.
     */
    getSelectedDataItemNotes(noteInput) {
        if (noteInput !== undefined) {
            return noteInput;
        }
        else if (this.dataItemsService.activeDataItem$.value) {
            return this.dataItemsService.activeDataItem$.value.notes;
        }
        return [];
    }
    /**
     * Method to handle scroll change.
     * @param {number} scrollPosition Clicked data item.
     */
    onScrollChange(scrollPosition) {
        // check if the header is in a loop, if so emit -2, reset is not possible
        if (!this.headerEdgeCase) {
            this.headerEdgeCase = this.startIndexDataItemsListSubject$.value > 0 && this.noScroll && scrollPosition === 0;
        }
        if (this.headerEdgeCase) {
            this.setInboxConfigurationService.setVirtualScrollerPosition(-2);
        }
        // check if the scroller has no scroll
        if (this.dataItemsService.virtualScrollerHeight$.value >
            this.dataItemsService.virtualScrollerScrollableContentHeight$.value) {
            this.noScroll = true;
            this.setInboxConfigurationService.setVirtualScrollerPosition(-1);
        }
        else {
            this.noScroll = false;
            this.setStartIndexDataItemsListSubject(scrollPosition);
            this.setInboxConfigurationService.setVirtualScrollerPosition(scrollPosition);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxHelperService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxHelperService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxHelperService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Responsible to deal with further information of a data item.
 *
 * ```html
 * <talenra-detail-view-information
 *   [key]="detailViewItem.key"
 *   [label]="detailViewItem.label"
 *   [icon]="detailViewItem.icon"
 *   [useScroll]="true"
 * ></talenra-detail-view-information>
 * ```
 */
class DetailViewInformationComponent {
    constructor() {
        /**
         * The data item information tab bar item.
         */
        this.detailViewTab = input.required();
        /**
         * The public service of the inbox detail view.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * The binding for the class attribute of the host element.
         * @internal
         */
        this.className = '';
        /**
         * The subscriptions of this component.
         * @internal
         **/
        this.subscriptions = new Subscription();
    }
    /**
     * Initializes the component.
     * @internal
     */
    ngOnInit() {
        this.subscriptions.add(this.inboxDetailViewService.selectedDetailViewTab$.subscribe((key) => {
            this.className = key === this.detailViewTab().key ? 'selected' : '';
        }));
    }
    /**
     * Unsubscribes from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.9", type: DetailViewInformationComponent, selector: "talenra-detail-view-information", inputs: { detailViewTab: { classPropertyName: "detailViewTab", publicName: "detailViewTab", isSignal: true, isRequired: true, transformFunction: null } }, host: { properties: { "class": "this.className" } }, ngImport: i0, template: "<talenra-scroll-container *ngIf=\"detailViewTab().useScroll; else noScroll\" class=\"scroll-container\">\n  <ng-container *ngTemplateOutlet=\"content\"></ng-container>\n</talenra-scroll-container>\n<ng-template #noScroll>\n  <div class=\"no-scroll-container\">\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #content>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:block;position:absolute;inset:0;padding:0 1rem;pointer-events:none;opacity:0;transform:translate(10%);transition:opacity .5s,transform .5s}:host.selected{z-index:1;pointer-events:all;opacity:1;transform:translate(0);transition-delay:.25s}.scroll-container{height:calc(100% - .5rem);width:100%}.no-scroll-container{position:relative;height:100%}\n"], dependencies: [{ kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: DetailViewInformationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-detail-view-information', template: "<talenra-scroll-container *ngIf=\"detailViewTab().useScroll; else noScroll\" class=\"scroll-container\">\n  <ng-container *ngTemplateOutlet=\"content\"></ng-container>\n</talenra-scroll-container>\n<ng-template #noScroll>\n  <div class=\"no-scroll-container\">\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #content>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:block;position:absolute;inset:0;padding:0 1rem;pointer-events:none;opacity:0;transform:translate(10%);transition:opacity .5s,transform .5s}:host.selected{z-index:1;pointer-events:all;opacity:1;transform:translate(0);transition-delay:.25s}.scroll-container{height:calc(100% - .5rem);width:100%}.no-scroll-container{position:relative;height:100%}\n"] }]
        }], propDecorators: { className: [{
                type: HostBinding,
                args: ['class']
            }] } });

/**
 * Displays a note box which contains info icons correlating note.
 *
 * ```html
 * <talenra-inbox-note-box [noteBoxItems]="noteBoxItems"></talenra-inbox-note-box>
 * ```
 */
class InboxNoteBoxComponent {
    constructor() {
        /**
         * Input data to create a dynamic component.
         */
        this.noteBoxItems = [];
        /**
         * The inbox detail view service.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
    }
    /**
     * Method to emit the expanding and condensing of the note box.
     */
    onExpandClick() {
        this.inboxDetailViewService.setNoteBoxExpanded(!this.inboxDetailViewService.noteBoxExpanded$.value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxNoteBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: InboxNoteBoxComponent, selector: "talenra-inbox-note-box", inputs: { noteBoxItems: "noteBoxItems" }, ngImport: i0, template: "<div class=\"note-box\">\n  <div class=\"shutter-box\">\n    @if ((inboxDetailViewService.detailViewExpanded$ | async) && noteBoxItems.length > 0) {\n      <button\n        (click)=\"onExpandClick()\"\n        [icon]=\"inboxDetailViewService.noteBoxExpanded$.value ? 'expand-less' : 'expand-more'\"\n        class=\"shutter-box-button\"\n        data-testid=\"inbox-note-box-collapse\"\n        kind=\"ghost\"\n        talenra-button\n        size=\"m\"></button>\n    }\n  </div>\n  <div\n    [class.expanded]=\"!inboxDetailViewService.noteBoxExpanded$.value\"\n    [class.no-items]=\"noteBoxItems.length === 0\"\n    class=\"note-box-content\">\n    @if (inboxDetailViewService.detailViewExpanded$ | async) {\n      <div class=\"note-box-info\">\n        @for (note of noteBoxItems; let index = $index; track note.identifier) {\n          <div class=\"item\">\n            <talenra-icon\n              [ngClass]=\"'color--' + note.activeIconColor\"\n              class=\"icon-font\"\n              name=\"{{ note.icon }}\"></talenra-icon>\n            <span\n              #noteText\n              [talenraTooltip]=\"note.note\"\n              [talenraTooltipDisabled]=\"noteText.clientWidth === noteText.scrollWidth\"\n              class=\"item-text\"\n              >{{ note.note }}</span\n            >\n          </div>\n        }\n      </div>\n    }\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-primary: #0099a8}.note-box{width:100%;border-radius:.1875rem;background:var(--color-background)}.shutter-box{height:1.75rem;display:flex;flex-wrap:nowrap;flex-direction:row-reverse}.shutter-box-button{margin-right:1rem}.note-box-content{padding:0 1rem .5rem;height:max-content;width:100%;max-height:15.625rem;margin-bottom:.25rem;opacity:1;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;transition:max-height .3s,opacity .3s,padding-bottom .3s,width .3s}.note-box-content.expanded{overflow:hidden;max-height:0;padding-bottom:0;opacity:0;width:0}.note-box-content.no-items{padding:0 .5rem 0rem 1rem}.note-box-info{vertical-align:middle}.item{height:22px;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.item-icon{padding-top:1px}.item-text{margin-left:.75rem;color:var(--color-text);overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.material-icons{vertical-align:middle}.icon-font{font-size:18px}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--petrol{color:#0099a8}.color--petrol-dark{color:#005f71}.color--denim{color:#0069a3}.color--denim-dark{color:#04466a}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc}\n"], dependencies: [{ kind: "component", type: i1.ButtonComponent, selector: "button[talenra-button]", inputs: ["disabled", "kind", "size", "label", "waiting", "icon"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxNoteBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-note-box', template: "<div class=\"note-box\">\n  <div class=\"shutter-box\">\n    @if ((inboxDetailViewService.detailViewExpanded$ | async) && noteBoxItems.length > 0) {\n      <button\n        (click)=\"onExpandClick()\"\n        [icon]=\"inboxDetailViewService.noteBoxExpanded$.value ? 'expand-less' : 'expand-more'\"\n        class=\"shutter-box-button\"\n        data-testid=\"inbox-note-box-collapse\"\n        kind=\"ghost\"\n        talenra-button\n        size=\"m\"></button>\n    }\n  </div>\n  <div\n    [class.expanded]=\"!inboxDetailViewService.noteBoxExpanded$.value\"\n    [class.no-items]=\"noteBoxItems.length === 0\"\n    class=\"note-box-content\">\n    @if (inboxDetailViewService.detailViewExpanded$ | async) {\n      <div class=\"note-box-info\">\n        @for (note of noteBoxItems; let index = $index; track note.identifier) {\n          <div class=\"item\">\n            <talenra-icon\n              [ngClass]=\"'color--' + note.activeIconColor\"\n              class=\"icon-font\"\n              name=\"{{ note.icon }}\"></talenra-icon>\n            <span\n              #noteText\n              [talenraTooltip]=\"note.note\"\n              [talenraTooltipDisabled]=\"noteText.clientWidth === noteText.scrollWidth\"\n              class=\"item-text\"\n              >{{ note.note }}</span\n            >\n          </div>\n        }\n      </div>\n    }\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-primary: #0099a8}.note-box{width:100%;border-radius:.1875rem;background:var(--color-background)}.shutter-box{height:1.75rem;display:flex;flex-wrap:nowrap;flex-direction:row-reverse}.shutter-box-button{margin-right:1rem}.note-box-content{padding:0 1rem .5rem;height:max-content;width:100%;max-height:15.625rem;margin-bottom:.25rem;opacity:1;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;transition:max-height .3s,opacity .3s,padding-bottom .3s,width .3s}.note-box-content.expanded{overflow:hidden;max-height:0;padding-bottom:0;opacity:0;width:0}.note-box-content.no-items{padding:0 .5rem 0rem 1rem}.note-box-info{vertical-align:middle}.item{height:22px;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center}.item-icon{padding-top:1px}.item-text{margin-left:.75rem;color:var(--color-text);overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.material-icons{vertical-align:middle}.icon-font{font-size:18px}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--petrol{color:#0099a8}.color--petrol-dark{color:#005f71}.color--denim{color:#0069a3}.color--denim-dark{color:#04466a}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-text: #cccccc}\n"] }]
        }], propDecorators: { noteBoxItems: [{
                type: Input
            }] } });

/**
 * Component to display the four icon filters and handle the click of them.
 *
 * ```html
 * <talenra-icon-filters
 *   (valuesSelected)="valuesSelected($event.filterType, $event.filterIdentifier, $event.value)"
 *   [activeFilters]="activeFilters"
 *   [iconFilters]="iconFilters"
 * ></talenra-icon-filters>
 * ```
 */
class IconFiltersComponent {
    constructor() {
        /**
         * The list of filters to be displayed.
         */
        this.activeIcons = new Map();
        /**
         * List of given IconFilters.
         */
        this.availableIcons = [];
        /**
         * The output event when a filter is selected.
         */
        this.valuesSelected = new EventEmitter();
        /**
         * The type of filter to be used.
         */
        this.filterType = 'icon';
    }
    /**
     * Method to save and emit changes.
     * @param iconInput The icon that changed and is to be emitted.
     * @param event The value if the filter is selected or not.
     */
    onValuesSelected(iconInput, event) {
        // emit the selected value
        this.valuesSelected.emit({
            filterMode: this.filterType,
            identifier: this.getCombinedFilterLabel(iconInput),
            value: event,
        });
        // set the active filters
        if (event) {
            this.activeIcons.set(this.getCombinedFilterLabel(iconInput), ['icon', true]);
        }
        else {
            this.activeIcons.delete(this.getCombinedFilterLabel(iconInput));
        }
    }
    /**
     * Method to get the combined filter object.
     * @param filterObject The filter object to be combined.
     */
    getCombinedFilterLabel(filterObject) {
        return this.filterType + '_' + filterObject.icon + '_' + filterObject.identifier;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: IconFiltersComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: IconFiltersComponent, selector: "talenra-icon-filter", inputs: { activeIcons: "activeIcons", availableIcons: "availableIcons" }, outputs: { valuesSelected: "valuesSelected" }, ngImport: i0, template: "<button\n  *ngFor=\"let iconFilter of availableIcons\"\n  [class]=\"activeIcons.has(getCombinedFilterLabel(iconFilter)) ? 'icons-active-border' : 'icons-border'\"\n  class=\"icon-btn\"\n  talenraTooltip=\"{{ iconFilter.iconTooltip }}\">\n  <ng-container *ngIf=\"activeIcons?.has(getCombinedFilterLabel(iconFilter)); else iconsColorChange\">\n    <talenra-icon\n      (click)=\"onValuesSelected(iconFilter, false)\"\n      [ngClass]=\"'color--' + iconFilter.activeIconColor\"\n      aria-label=\"Icon Filter Button Activated\"\n      class=\"icon-font\"\n      name=\"{{ iconFilter.icon }}\"></talenra-icon>\n  </ng-container>\n  <ng-template #iconsColorChange>\n    <talenra-icon\n      (click)=\"onValuesSelected(iconFilter, true)\"\n      aria-label=\"Icon Filter Button Deactivated\"\n      class=\"icon-font icon-deactivated\"\n      name=\"{{ iconFilter.icon }}\"></talenra-icon>\n  </ng-template>\n</button>\n", styles: [":host{--color-primary: #0099a8;--color-deactivated-icon: #666666}.icon-btn{padding:0;margin:1px 6px;height:32px;border:none;background:none;vertical-align:middle}.icons-border{border-top:2px solid transparent}.icons-border:hover:not([disabled]){cursor:pointer}.icons-active-border{border-top:2px solid var(--color-primary)}.icon-font{font-size:18px}.icon-deactivated{color:var(--color-deactivated-icon)}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}\n"], dependencies: [{ kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "directive", type: i2$2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: IconFiltersComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-icon-filter', template: "<button\n  *ngFor=\"let iconFilter of availableIcons\"\n  [class]=\"activeIcons.has(getCombinedFilterLabel(iconFilter)) ? 'icons-active-border' : 'icons-border'\"\n  class=\"icon-btn\"\n  talenraTooltip=\"{{ iconFilter.iconTooltip }}\">\n  <ng-container *ngIf=\"activeIcons?.has(getCombinedFilterLabel(iconFilter)); else iconsColorChange\">\n    <talenra-icon\n      (click)=\"onValuesSelected(iconFilter, false)\"\n      [ngClass]=\"'color--' + iconFilter.activeIconColor\"\n      aria-label=\"Icon Filter Button Activated\"\n      class=\"icon-font\"\n      name=\"{{ iconFilter.icon }}\"></talenra-icon>\n  </ng-container>\n  <ng-template #iconsColorChange>\n    <talenra-icon\n      (click)=\"onValuesSelected(iconFilter, true)\"\n      aria-label=\"Icon Filter Button Deactivated\"\n      class=\"icon-font icon-deactivated\"\n      name=\"{{ iconFilter.icon }}\"></talenra-icon>\n  </ng-template>\n</button>\n", styles: [":host{--color-primary: #0099a8;--color-deactivated-icon: #666666}.icon-btn{padding:0;margin:1px 6px;height:32px;border:none;background:none;vertical-align:middle}.icons-border{border-top:2px solid transparent}.icons-border:hover:not([disabled]){cursor:pointer}.icons-active-border{border-top:2px solid var(--color-primary)}.icon-font{font-size:18px}.icon-deactivated{color:var(--color-deactivated-icon)}.color--status-red{color:#e20057}.color--status-green{color:#00d000}.color--status-orange{color:#e26000}.color--status-violet{color:#b103c7}.color--black{color:#000}.color--primary{color:var(--color-primary)}.theme--denim :host{--color-primary: #0069a3}\n"] }]
        }], propDecorators: { activeIcons: [{
                type: Input
            }], availableIcons: [{
                type: Input
            }], valuesSelected: [{
                type: Output
            }] } });

/**
 * FilterToolbar is used to display the filter toolbar in the inbox toolbar.
 *
 * ```html
 * <talenra-filter-toolbar
 *   [scrollBarShadow]="headerHidden()"
 *   [searchedAndFilteredDataItems]="filteredDataItems"
 * ></talenra-filter-toolbar>
 * ```
 */
class FilterToolbarComponent {
    constructor() {
        /**
         * The presetGroup for the filter toolbar.
         * Used to get the active preset and the filter/sort values.
         */
        this.presetGroups = [];
        /**
         * The data items inputted by the consuming application.
         * Used to check the amount of results. Compared with the amount of searched and filtered data items.
         */
        this.dataItemsLength = 0;
        /**
         * Length of list of all data items that are displayed in the inbox after the search and filter process.
         * Used to check the amount of results. Set to this value if not in sync with data items lenght.
         */
        this.searchedAndFilteredDataItemsLength = 0;
        /**
         * List of given IconFilters.
         */
        this.iconFilters = [];
        /**
         * Emitter to reset the preset to the default preset.
         */
        this.resetPresetEmitter = new EventEmitter();
        /**
         * The number of results that are displayed in the inbox.
         * Is given by the actual filtering or via the inbox configuration.
         */
        this.hitsNumber = 0;
        /**
         * The used service.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        this.inboxToolbarService = inject(InboxToolbarService);
        this.inboxState = inject(InboxState);
        this.setInboxConfigurationService = inject(MainFacadeSetterService);
        this.filterState = inject(FilterStateService);
        this.updatePresetsService = inject(UpdatePresetsService);
        this.changedValuesService = inject(ChangedPresetValuesService);
        this.keyboardService = inject(KeyboardService);
        /**
         * Subscriptions for the filter toolbar component.
         * @internal
         */
        this.initialSubscriptions = new Subscription();
        /**
         * Subscriptions for the filter toolbar component.
         * @internal
         */
        this.subscriptions = new Subscription();
    }
    /**
     * Initializes the filter toolbar component.
     * @internal
     */
    ngOnInit() {
        // delete all buffer filters and sort filters if the preset is changed and
        // handle the new selected attributes to corresponding filter type
        this.initialSubscriptions.add(this.inboxState.activePresetName$.subscribe((element) => {
            if (JSON.stringify(element) !== JSON.stringify(this.currentPresetName)) {
                // reset the selection in the filter selection
                this.deleteFilters();
                // reset the buffer filter and sort (to preset standard)
                this.inboxState.resetBufferFilterSort();
            }
            // apply the presets filter in next cycle to avoid the error: ExpressionChangedAfterItHasBeenCheckedError
            // because the filter toolbar is not initialized yet
            setTimeout(() => {
                this.handlePresetGroupsForFilterToolbar(element[0], element[1]);
            }, 0);
        }));
        // subscribe to changes in the inbox configuration
        // used to get the number of results
        this.initialSubscriptions.add(this.inboxState.inboxConfiguration$.subscribe(() => {
            this.amountOfResults();
        }));
        this.filterToolbarService.setActiveFilterAndIconFilterState();
    }
    /**
     * Function to handle the changes in the filter toolbar component.
     * @param changes The changes.
     * @internal
     */
    ngOnChanges(changes) {
        // handles the searchedAndFilteredDataItems changes, mainly used for the amount of results
        const searchedAndFilteredDataItemsLengthChanges = changes['searchedAndFilteredDataItemsLength'];
        if (searchedAndFilteredDataItemsLengthChanges && !searchedAndFilteredDataItemsLengthChanges.firstChange) {
            this.amountOfResults();
        }
        // handles the presetGroups changes
        const presetGroupsChanges = changes['presetGroups'];
        if (presetGroupsChanges && !presetGroupsChanges.firstChange) {
            this.subscriptions.unsubscribe();
            this.subscriptions.closed = false;
            // update the filter toolbar with all changes which are saved in the buffer
            if (this.updatePresetsService.currentPresetAction$.value.operation === 'attribute-update') {
                setTimeout(() => {
                    //delete all filters from the filter toolbar
                    this.filterToolbarService.filterSelections$.value.forEach((value, key) => {
                        this.filterToolbarService.deleteOrCleanFilterFromToolbar(key, true);
                    });
                    // set the new filters
                    this.setInboxConfigurationService.allAttributes$.value.forEach((allSelectedAttribute) => {
                        // check if the attribute is selected in the filter buffer
                        if (this.inboxState.bufferFilterSort.value.filterAttributes.has(allSelectedAttribute.identifier) ||
                            this.inboxState.bufferFilterSort.value.filterAttributes.size !== 0) {
                            //handle filter selection
                            if (allSelectedAttribute.filterMode === 'multi-select' ||
                                allSelectedAttribute.filterMode === 'single-select') {
                                this.setFilterValues('selection-filter', [this.inboxState.activePresetName$.value[0], this.inboxState.activePresetName$.value[1]], allSelectedAttribute, {
                                    identifier: allSelectedAttribute.identifier,
                                    value: this.inboxState.bufferFilterSort.value.filterAttributes.get(allSelectedAttribute.identifier),
                                });
                            }
                            else if (allSelectedAttribute.filterMode === 'char-range' ||
                                allSelectedAttribute.filterMode === 'number-range' ||
                                allSelectedAttribute.filterMode === 'date-range') {
                                this.setFilterValues('range-filter', [this.inboxState.activePresetName$.value[0], this.inboxState.activePresetName$.value[1]], allSelectedAttribute, {
                                    identifier: allSelectedAttribute.identifier,
                                    value: this.inboxState.bufferFilterSort.value.filterAttributes.get(allSelectedAttribute.identifier),
                                });
                            }
                        }
                        // check if the attribute is selected in the icon filter buffer
                        if (this.inboxState.bufferFilterSort.value.iconFilterAttributes.has(allSelectedAttribute.identifier)) {
                            const foundValue = this.inboxState.bufferFilterSort.value.iconFilterAttributes.get(allSelectedAttribute.identifier);
                            this.filterToolbarService.filterSelections$.value.set(foundValue.identifier, ['icon', true]);
                            // check and set change in comparison to the preset values
                            this.filterToolbarService.checkFilterValuesChangedComparedToValuesInPreset(this.presetGroups);
                        }
                    });
                    // check and set the selected attributes in the filter selection side panel
                    this.setSelectedAttributeInFilterSelectionSidePanel();
                    // set the amount of selected filters
                    this.filterToolbarService.setActiveAdvancedFiltersAmount();
                }, 0);
            }
        }
    }
    /**
     * Unsubscribe from all subscriptions.
     * @internal
     */
    ngOnDestroy() {
        this.initialSubscriptions.unsubscribe();
        this.subscriptions.unsubscribe();
    }
    /**
     * Function to reset the preset to the default preset.
     */
    resetPresetToDefault() {
        // reset the selection in the filter selection
        this.filterToolbarService.setResetFilterSelectionAttribute(true);
        // reset the active filters
        this.deleteFilters();
        // reset the active advanced filters amount
        this.filterToolbarService.setActiveAdvancedFiltersAmount();
        // reset the buffer filter and sort (to preset standard)
        this.inboxState.resetBufferFilterSort();
        this.resetPresetEmitter.emit(true);
        this.resetPresetEmitter.emit(false);
    }
    /**
     * Function to delete all filters from the filter selection and toolbar.
     */
    deleteFilters() {
        this.filterToolbarService.filterSelections$.value.forEach((value, key) => {
            this.filterToolbarService.deleteOrCleanFilterFromToolbar(key, true);
        });
    }
    /**
     * Function to handle the preset groups for the filter toolbar.
     * @param groupName The name of the group.
     * @param presetName The name of the preset.
     */
    handlePresetGroupsForFilterToolbar(groupName, presetName) {
        // guard to check if the groupName and presetName are not empty
        if (groupName !== '' && presetName !== '') {
            // set the current preset name, to check if the preset is changed
            this.currentPresetName = [groupName, presetName];
            // find the matching group
            const matchingGroup = this.presetGroups?.find((presetGroup) => presetGroup.groupName === this.inboxState.activePresetName$.value[0]);
            if (matchingGroup) {
                // find the matching preset
                const filteredPreset = matchingGroup.presets.find((preset) => preset.name === this.inboxState.activePresetName$.value[1]);
                // delete all filters and reset the changed value
                this.filterToolbarService.filterSelections$.value.clear();
                this.filterToolbarService.setSelectedFilterSelectionAttributes([]);
                this.changedValuesService.setFilterChangedSubject({ identifier: 'filter', changed: false });
                // iterate over all selected attributes
                this.inboxState.selectedAllAttributesSubject$.value.forEach((allSelectedAttribute) => {
                    // if the preset has filterAttributes, then set the filter values
                    filteredPreset?.filterAttributes?.forEach((filterAttribute) => {
                        // check if the identifier is the same as the filterAttribute identifier
                        if (allSelectedAttribute.identifier === filterAttribute.identifier) {
                            // handle selection filter
                            if (allSelectedAttribute.filterMode === 'multi-select' ||
                                allSelectedAttribute.filterMode === 'single-select') {
                                this.setFilterValues('selection-filter', [groupName, presetName], allSelectedAttribute, filterAttribute);
                            }
                            else if (
                            //handle range filter
                            allSelectedAttribute.filterMode === 'char-range' ||
                                allSelectedAttribute.filterMode === 'number-range' ||
                                allSelectedAttribute.filterMode === 'date-range') {
                                this.setFilterValues('range-filter', [groupName, presetName], allSelectedAttribute, filterAttribute);
                            }
                        }
                    });
                    // if the preset has iconAttributes, then set the icon filter values
                    filteredPreset?.iconAttributes?.forEach((iconAttribute) => {
                        if (allSelectedAttribute.iconFilter?.icon === iconAttribute.icon) {
                            // set the icon filter in the filter selection
                            this.filterToolbarService.filterSelections$.value.set(iconAttribute.identifier, ['icon', true]);
                        }
                        // handle icon filter
                        this.setFilterValues('icon', [groupName, presetName], 'icon', iconAttribute);
                    });
                });
                // check and set the selected attributes in the filter selection side panel
                this.setSelectedAttributeInFilterSelectionSidePanel();
                // set the amount of active filters
                this.filterToolbarService.setActiveAdvancedFiltersAmount();
            }
        }
    }
    /**
     * Function to calculate the filter results.
     * @param filterType The filter type.
     * @param activePresetName The active preset.
     * @param allSelectedAttribute The all selected attribute.
     * @param filterAttribute The filter attribute.
     */
    setFilterValues(filterType, activePresetName, allSelectedAttribute, filterAttribute) {
        // reset working array
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        let filterDataFromSubject = [];
        // get the current filter values
        if (filterType === 'range-filter') {
            filterDataFromSubject = this.filterState.rangeFilterSubject$.value;
        }
        else if (filterType === 'selection-filter') {
            filterDataFromSubject = this.filterState.selectionFilterSubject$.value;
        }
        else if (filterType === 'icon') {
            filterDataFromSubject = this.filterState.iconFilterSubject$.value;
        }
        //if new values are saved in filter, then delete the old values and add the new values
        filterDataFromSubject.forEach((filterElement) => {
            if (filterElement.identifier === filterAttribute.identifier) {
                filterDataFromSubject.splice(filterDataFromSubject.indexOf(filterElement), 1);
            }
        });
        // add the filter value to the multiFilterData array
        if (filterType === 'icon') {
            // add the new values
            filterDataFromSubject.push({
                presetName: activePresetName,
                filterType: 'icon',
                identifier: filterAttribute.identifier,
                value: true,
            });
        }
        else if (allSelectedAttribute !== 'icon' && 'value' in filterAttribute && filterAttribute.value) {
            // add the new values
            filterDataFromSubject.push({
                presetName: activePresetName,
                filterType: allSelectedAttribute.filterMode,
                identifier: filterAttribute.identifier,
                value: filterAttribute.value,
            });
        }
        // remove empty values
        filterDataFromSubject = filterDataFromSubject.filter((elem) => elem.preset !== '');
        // set the new filter values
        if (filterType === 'range-filter') {
            this.filterState.setRangeFilterSubject(filterDataFromSubject);
        }
        else if (filterType === 'selection-filter') {
            this.filterState.setSelectionFilterSubject(filterDataFromSubject);
        }
        else if (filterType === 'icon') {
            this.filterState.setIconFilterSubject(filterDataFromSubject);
        }
        // set the new filter values in the filter selection side panel
        filterDataFromSubject.forEach((elem) => {
            if (JSON.stringify(elem.presetName) === JSON.stringify(activePresetName)) {
                this.filterToolbarService.valuesSelected(elem.filterType, elem.identifier, elem.value);
            }
        });
    }
    /**
     * Function to get the amount of results.
     */
    amountOfResults() {
        if (this.inboxState.inboxConfiguration$.value.numberResultsFilter !== undefined &&
            this.inboxState.inboxConfiguration$.value.numberResultsFilter > -1) {
            this.hitsNumber = this.inboxState.inboxConfiguration$.value.numberResultsFilter;
        }
        else {
            this.hitsNumber = this.searchedAndFilteredDataItemsLength;
        }
    }
    /**
     * Function to open the sort menu.
     * @param menu The menu.
     * @param mouseEvent The mouse event.
     */
    openSidePanelMenu(menu, mouseEvent) {
        mouseEvent.stopPropagation();
        // set active tab in side panel
        this.inboxState.setSelectedSidePanelTab(menu);
        // open side panel
        this.inboxToolbarService.setAttributeSettingsState(true);
    }
    /**
     * Set the selected attribute in the filter selection side panel.
     */
    setSelectedAttributeInFilterSelectionSidePanel() {
        // set or reset the selected values in the attribute selector if the preset is changed or preset has initial values
        const attributes = [];
        this.filterToolbarService.filterSelections$.value.forEach((value, key) => {
            // just add the attributes to the selected attributes if the key is not an icon
            if (!key.startsWith('icon')) {
                const attribute = this.inboxState.selectedAllAttributesSubject$.value.find((e) => e.identifier === key);
                attribute && attributes.push(attribute);
            }
        });
        // set the selected attributes in the filter selection side panel
        this.filterToolbarService.setSelectedFilterSelectionAttributes(attributes.map((attribute) => ({
            attribute: attribute,
            showIcon: true,
            icon: 'filter-alt',
            iconTooltip: 'Filter aktiv',
            iconDisabled: true,
        })));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterToolbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: FilterToolbarComponent, selector: "talenra-filter-toolbar", inputs: { presetGroups: "presetGroups", dataItemsLength: "dataItemsLength", searchedAndFilteredDataItemsLength: "searchedAndFilteredDataItemsLength", iconFilters: "iconFilters" }, outputs: { resetPresetEmitter: "resetPresetEmitter" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"filter-toolbar\">\n  <div class=\"condensed-filter-bar\">\n    <div class=\"filter-information\">\n      <!-- CHOOSING FILTERS -->\n      <button\n        (click)=\"openSidePanelMenu('2', $event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableFilterSelection\"\n        class=\"filter-selection-button\"\n        data-testid=\"inbox-filter-selection-button\">\n        <div class=\"filter-selection-button-composition\">\n          <div class=\"filter-text medium-font\">Filter</div>\n          <talenra-icon class=\"icon--filter-alt filter-selection-icon\" name=\"filter-alt\"></talenra-icon>\n        </div>\n      </button>\n\n      <talenra-badge\n        *ngIf=\"filterToolbarService.activeAdvancedFiltersAmount$() >= 1\"\n        [counter]=\"filterToolbarService.activeAdvancedFiltersAmount$()\"\n        [maxVal]=\"99\"\n        class=\"filter-badge\"></talenra-badge>\n\n      <!-- CHOOSING SORT FILTERS -->\n      <button\n        (click)=\"openSidePanelMenu('4', $event)\"\n        class=\"sort-selection-button\"\n        data-testid=\"inbox-sort-selection-button\">\n        <div class=\"filter-selection-button-composition\">\n          <div class=\"filter-text medium-font\">Sort</div>\n          <talenra-icon class=\"icon--filter-alt filter-selection-icon\" name=\"sort\"></talenra-icon>\n        </div>\n      </button>\n      <!-- Calculate Badge -->\n      <talenra-badge\n        *ngIf=\"filterToolbarService.selectedSortSelectionAttributesAmount$() >= 1\"\n        [counter]=\"filterToolbarService.selectedSortSelectionAttributesAmount$()\"\n        [maxVal]=\"99\"\n        class=\"filter-badge\"></talenra-badge>\n\n      <!-- Icon: clear filters-->\n      <ng-container *ngIf=\"changedValuesService.filterSortChangedSubject$ | async\">\n        <button (click)=\"resetPresetToDefault()\" class=\"btn undo-btn\" data-testid=\"inbox-filter-sort-undo-button\">\n          <talenra-icon name=\"undo\" talenraTooltip=\"Alle zur\u00FCcksetzen\"></talenra-icon>\n        </button>\n      </ng-container>\n    </div>\n\n    <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableQuickFilters\" class=\"icon-handler\">\n      <talenra-icon-filter\n        (valuesSelected)=\"filterToolbarService.valuesSelected($event.filterMode, $event.identifier, $event.value)\"\n        [activeIcons]=\"filterToolbarService.filterSelections$.value\"\n        [availableIcons]=\"iconFilters\">\n      </talenra-icon-filter>\n    </div>\n\n    <div class=\"condensed-filter-bar-collapse\"><!-- Placeholder for alignment --></div>\n  </div>\n\n  <!--  ADVANCED FILTER SELECTION INFORMATION-->\n  <div class=\"advanced-filter-header\">\n    <!-- Amount of results -->\n    <ng-container\n      *ngIf=\"\n        (dataItemsLength !== undefined &&\n          dataItemsLength !== null &&\n          dataItemsLength !== searchedAndFilteredDataItemsLength) ||\n        (inboxState.inboxConfiguration$.value.numberResultsFilter !== undefined &&\n          inboxState.inboxConfiguration$.value.numberResultsFilter > -1)\n      \">\n      <div class=\"hits-text light-font\" data-testid=\"inbox-filter-hits\">Treffer {{ hitsNumber }}</div>\n    </ng-container>\n    <!-- Filter tags -->\n    @for (\n      filterAttribute of filterToolbarService.selectedFilterSelectionAttributes$.value;\n      let index = $index;\n      track filterAttribute.attribute.identifier\n    ) {\n      @if (filterToolbarService.filterSelections$.value.has(filterAttribute.attribute.identifier)) {\n        <talenra-chip\n          (closeClicked)=\"\n            filterToolbarService.deleteOrCleanFilterFromToolbar(filterAttribute.attribute.identifier, true)\n          \"\n          [label]=\"filterAttribute.attribute.label\"\n          [value]=\"filterAttribute.attribute.identifier\"\n          class=\"filter-tag\"></talenra-chip>\n      }\n    }\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-hover-button: #f2f2f2;--color-icon: #666666;--color-primary: #0099a8}.filter-toolbar{position:relative;margin-top:.0625rem;border-radius:.1875rem;background:var(--color-background)}.condensed-filter-bar{padding-left:1.5rem;height:2.125rem;display:flex;flex-direction:row;flex-wrap:nowrap}.filter-information{display:flex;flex-wrap:nowrap;flex-direction:row;flex:1;margin-right:auto}.filter-text{display:flex;align-items:center;cursor:pointer}.sort-selection-button{padding:0;margin:.0625rem .375rem .0625rem 1.5rem;border:none;background:none;vertical-align:middle}.sort-selection-button :hover{border-radius:.1875rem;background:var(--color-hover-button)}.sort-selection-button:hover:not([disabled]){cursor:pointer}.filter-selection-button-composition{display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center}.filter-badge{margin:.5625rem 0 0 .375rem}.icon-handler{text-align:center;justify-content:center;flex:1}.condensed-filter-bar-collapse{cursor:default;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;align-items:center;flex:1;margin-left:auto;width:.0625rem}.advanced-filter-header{display:flex;align-items:baseline;margin-left:1.5rem;gap:1rem}.hits-text{align-items:center;margin:0 0 .625rem;display:inline-block;-webkit-user-select:none;user-select:none}.filter-tag{width:fit-content;color:var(--color-text)}@media (max-width: 43.375em){.filter-badge{margin:.5625rem 0 0}}.btn{padding:0;margin:1px 6px;border:none;background:none;vertical-align:middle}.btn:hover:not([disabled]){cursor:pointer}.btn :hover{border-radius:.1875rem;background:var(--color-hover-button)}.filter-selection-button{padding:0;margin:.0625rem 0;border:none;background:none;vertical-align:middle}.filter-selection-button :hover{border-radius:.1875rem;background:var(--color-hover-button)}.filter-selection-button:hover:not([disabled]){cursor:pointer}.btn.btn-hover :hover{background:var(--color-hover-button)}.filter-selection-icon{margin:1px 5px}.icon--filter-alt{color:var(--color-icon);font-size:16px}.undo-btn{margin-left:1.5rem;color:var(--color-primary)}.condensed-filter-bar-collapse-icon{margin-right:1rem}.light-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-hover-button: #4d4d4d;--color-icon: #b3b3b3;--color-text: #cccccc}\n"], dependencies: [{ kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i3$3.ChipComponent, selector: "talenra-chip", inputs: ["value", "label", "disabled"], outputs: ["closeClicked"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "component", type: i9$1.BadgeComponent, selector: "talenra-badge", inputs: ["counter", "maxVal"] }, { kind: "component", type: IconFiltersComponent, selector: "talenra-icon-filter", inputs: ["activeIcons", "availableIcons"], outputs: ["valuesSelected"] }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: FilterToolbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-filter-toolbar', template: "<div class=\"filter-toolbar\">\n  <div class=\"condensed-filter-bar\">\n    <div class=\"filter-information\">\n      <!-- CHOOSING FILTERS -->\n      <button\n        (click)=\"openSidePanelMenu('2', $event)\"\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableFilterSelection\"\n        class=\"filter-selection-button\"\n        data-testid=\"inbox-filter-selection-button\">\n        <div class=\"filter-selection-button-composition\">\n          <div class=\"filter-text medium-font\">Filter</div>\n          <talenra-icon class=\"icon--filter-alt filter-selection-icon\" name=\"filter-alt\"></talenra-icon>\n        </div>\n      </button>\n\n      <talenra-badge\n        *ngIf=\"filterToolbarService.activeAdvancedFiltersAmount$() >= 1\"\n        [counter]=\"filterToolbarService.activeAdvancedFiltersAmount$()\"\n        [maxVal]=\"99\"\n        class=\"filter-badge\"></talenra-badge>\n\n      <!-- CHOOSING SORT FILTERS -->\n      <button\n        (click)=\"openSidePanelMenu('4', $event)\"\n        class=\"sort-selection-button\"\n        data-testid=\"inbox-sort-selection-button\">\n        <div class=\"filter-selection-button-composition\">\n          <div class=\"filter-text medium-font\">Sort</div>\n          <talenra-icon class=\"icon--filter-alt filter-selection-icon\" name=\"sort\"></talenra-icon>\n        </div>\n      </button>\n      <!-- Calculate Badge -->\n      <talenra-badge\n        *ngIf=\"filterToolbarService.selectedSortSelectionAttributesAmount$() >= 1\"\n        [counter]=\"filterToolbarService.selectedSortSelectionAttributesAmount$()\"\n        [maxVal]=\"99\"\n        class=\"filter-badge\"></talenra-badge>\n\n      <!-- Icon: clear filters-->\n      <ng-container *ngIf=\"changedValuesService.filterSortChangedSubject$ | async\">\n        <button (click)=\"resetPresetToDefault()\" class=\"btn undo-btn\" data-testid=\"inbox-filter-sort-undo-button\">\n          <talenra-icon name=\"undo\" talenraTooltip=\"Alle zur\u00FCcksetzen\"></talenra-icon>\n        </button>\n      </ng-container>\n    </div>\n\n    <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableQuickFilters\" class=\"icon-handler\">\n      <talenra-icon-filter\n        (valuesSelected)=\"filterToolbarService.valuesSelected($event.filterMode, $event.identifier, $event.value)\"\n        [activeIcons]=\"filterToolbarService.filterSelections$.value\"\n        [availableIcons]=\"iconFilters\">\n      </talenra-icon-filter>\n    </div>\n\n    <div class=\"condensed-filter-bar-collapse\"><!-- Placeholder for alignment --></div>\n  </div>\n\n  <!--  ADVANCED FILTER SELECTION INFORMATION-->\n  <div class=\"advanced-filter-header\">\n    <!-- Amount of results -->\n    <ng-container\n      *ngIf=\"\n        (dataItemsLength !== undefined &&\n          dataItemsLength !== null &&\n          dataItemsLength !== searchedAndFilteredDataItemsLength) ||\n        (inboxState.inboxConfiguration$.value.numberResultsFilter !== undefined &&\n          inboxState.inboxConfiguration$.value.numberResultsFilter > -1)\n      \">\n      <div class=\"hits-text light-font\" data-testid=\"inbox-filter-hits\">Treffer {{ hitsNumber }}</div>\n    </ng-container>\n    <!-- Filter tags -->\n    @for (\n      filterAttribute of filterToolbarService.selectedFilterSelectionAttributes$.value;\n      let index = $index;\n      track filterAttribute.attribute.identifier\n    ) {\n      @if (filterToolbarService.filterSelections$.value.has(filterAttribute.attribute.identifier)) {\n        <talenra-chip\n          (closeClicked)=\"\n            filterToolbarService.deleteOrCleanFilterFromToolbar(filterAttribute.attribute.identifier, true)\n          \"\n          [label]=\"filterAttribute.attribute.label\"\n          [value]=\"filterAttribute.attribute.identifier\"\n          class=\"filter-tag\"></talenra-chip>\n      }\n    }\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-text: #000000;--color-hover-button: #f2f2f2;--color-icon: #666666;--color-primary: #0099a8}.filter-toolbar{position:relative;margin-top:.0625rem;border-radius:.1875rem;background:var(--color-background)}.condensed-filter-bar{padding-left:1.5rem;height:2.125rem;display:flex;flex-direction:row;flex-wrap:nowrap}.filter-information{display:flex;flex-wrap:nowrap;flex-direction:row;flex:1;margin-right:auto}.filter-text{display:flex;align-items:center;cursor:pointer}.sort-selection-button{padding:0;margin:.0625rem .375rem .0625rem 1.5rem;border:none;background:none;vertical-align:middle}.sort-selection-button :hover{border-radius:.1875rem;background:var(--color-hover-button)}.sort-selection-button:hover:not([disabled]){cursor:pointer}.filter-selection-button-composition{display:flex;flex-wrap:nowrap;flex-direction:row;align-items:center}.filter-badge{margin:.5625rem 0 0 .375rem}.icon-handler{text-align:center;justify-content:center;flex:1}.condensed-filter-bar-collapse{cursor:default;display:flex;flex-wrap:nowrap;flex-direction:row-reverse;align-items:center;flex:1;margin-left:auto;width:.0625rem}.advanced-filter-header{display:flex;align-items:baseline;margin-left:1.5rem;gap:1rem}.hits-text{align-items:center;margin:0 0 .625rem;display:inline-block;-webkit-user-select:none;user-select:none}.filter-tag{width:fit-content;color:var(--color-text)}@media (max-width: 43.375em){.filter-badge{margin:.5625rem 0 0}}.btn{padding:0;margin:1px 6px;border:none;background:none;vertical-align:middle}.btn:hover:not([disabled]){cursor:pointer}.btn :hover{border-radius:.1875rem;background:var(--color-hover-button)}.filter-selection-button{padding:0;margin:.0625rem 0;border:none;background:none;vertical-align:middle}.filter-selection-button :hover{border-radius:.1875rem;background:var(--color-hover-button)}.filter-selection-button:hover:not([disabled]){cursor:pointer}.btn.btn-hover :hover{background:var(--color-hover-button)}.filter-selection-icon{margin:1px 5px}.icon--filter-alt{color:var(--color-icon);font-size:16px}.undo-btn{margin-left:1.5rem;color:var(--color-primary)}.condensed-filter-bar-collapse-icon{margin-right:1rem}.light-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-text)}.medium-font{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;color:var(--color-text)}.theme--denim :host{--color-primary: #0069a3}.appearance--dark :host{--color-background: #333333;--color-hover-button: #4d4d4d;--color-icon: #b3b3b3;--color-text: #cccccc}\n"] }]
        }], propDecorators: { presetGroups: [{
                type: Input
            }], dataItemsLength: [{
                type: Input
            }], searchedAndFilteredDataItemsLength: [{
                type: Input
            }], iconFilters: [{
                type: Input
            }], resetPresetEmitter: [{
                type: Output
            }] } });

class SkeletonLoadingDataItemsListComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SkeletonLoadingDataItemsListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: SkeletonLoadingDataItemsListComponent, selector: "talenra-skeleton-loading-data-items-list", ngImport: i0, template: "<div class=\"skeleton-data-items-list\">\n  <div *ngFor=\"let number of [0, 1, 2, 3, 4]\" class=\"skeleton-data-items-list-item\">\n    <div class=\"skeleton-data-items-list-item-left\">\n      <div class=\"skeleton-data-items-list-item-icon\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-icon-item\"></div>\n      </div>\n      <div class=\"skeleton-data-items-list-item-information\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-information-item\"></div>\n      </div>\n    </div>\n    <div class=\"skeleton-data-items-list-item-right\">\n      <div class=\"skeleton-data-items-list-item-actions\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-actions-item\"></div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-animation-background: #f2f2f2}.skeleton{animation:skeleton-loading 1s linear infinite alternate}@keyframes skeleton-loading{0%{background-color:var(--color-animation-background) 50%}to{background-color:var(--color-animation-background)}}:host{position:relative;display:flex;justify-content:center}.skeleton-data-items-list{width:100%}.skeleton-data-items-list>:nth-child(3){opacity:.8}.skeleton-data-items-list>:nth-child(4){opacity:.6}.skeleton-data-items-list>:nth-child(5){opacity:.4}.skeleton-data-items-list-item{width:100%;height:5.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;max-height:max-content;background:var(--color-background);padding-top:.5rem;padding-bottom:.375rem;margin-bottom:.125rem;margin-right:.125rem;border-radius:.125rem}.skeleton-data-items-list-item-left{width:50%;margin-left:1.5rem}.skeleton-data-items-list-item-left .skeleton-data-items-list-item-icons>*{padding-right:.375rem}.skeleton-data-items-list-item-right{width:15%;margin-left:auto;margin-bottom:auto;margin-right:0;display:flex;flex-direction:column;flex-wrap:nowrap;align-items:center}.skeleton-data-items-list-item-icon{width:100%;height:1.375rem;margin-bottom:.0625rem;display:flex;flex-direction:row;flex-wrap:nowrap}.skeleton-data-items-list-item-icon-item{margin-right:.5rem;height:1.125rem;width:1.125rem;border-radius:1.125rem}.skeleton-data-items-list-item-information{height:3.375rem;margin-bottom:.0625rem;display:flex;flex-direction:column;flex-wrap:nowrap}.skeleton-data-items-list-item-information-item{width:80%;height:.5rem;margin-top:.625rem;margin-bottom:.0625rem;border-radius:.1875rem}.skeleton-data-items-list-item-information-item:first-child{width:40%;margin-top:.375rem}.skeleton-data-items-list-item-information-item:last-child{width:60%}.skeleton-data-items-list-item-actions{width:100%;height:1.375rem;display:flex;flex-direction:row-reverse;flex-wrap:nowrap}.skeleton-data-items-list-item-actions-item{margin-left:.5rem;height:1.125rem;width:1.125rem;border-radius:1.125rem}.skeleton-data-items-list-item-actions-item:first-child{margin-right:1rem}.appearance--dark :host{--color-background: #333333;--color-animation-background: #666666}\n"], dependencies: [{ kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: SkeletonLoadingDataItemsListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-skeleton-loading-data-items-list', template: "<div class=\"skeleton-data-items-list\">\n  <div *ngFor=\"let number of [0, 1, 2, 3, 4]\" class=\"skeleton-data-items-list-item\">\n    <div class=\"skeleton-data-items-list-item-left\">\n      <div class=\"skeleton-data-items-list-item-icon\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-icon-item\"></div>\n      </div>\n      <div class=\"skeleton-data-items-list-item-information\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-information-item\"></div>\n      </div>\n    </div>\n    <div class=\"skeleton-data-items-list-item-right\">\n      <div class=\"skeleton-data-items-list-item-actions\">\n        <div *ngFor=\"let number of [0, 1, 2]\" class=\"skeleton skeleton-data-items-list-item-actions-item\"></div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-animation-background: #f2f2f2}.skeleton{animation:skeleton-loading 1s linear infinite alternate}@keyframes skeleton-loading{0%{background-color:var(--color-animation-background) 50%}to{background-color:var(--color-animation-background)}}:host{position:relative;display:flex;justify-content:center}.skeleton-data-items-list{width:100%}.skeleton-data-items-list>:nth-child(3){opacity:.8}.skeleton-data-items-list>:nth-child(4){opacity:.6}.skeleton-data-items-list>:nth-child(5){opacity:.4}.skeleton-data-items-list-item{width:100%;height:5.75rem;display:flex;flex-direction:row;flex-wrap:nowrap;max-height:max-content;background:var(--color-background);padding-top:.5rem;padding-bottom:.375rem;margin-bottom:.125rem;margin-right:.125rem;border-radius:.125rem}.skeleton-data-items-list-item-left{width:50%;margin-left:1.5rem}.skeleton-data-items-list-item-left .skeleton-data-items-list-item-icons>*{padding-right:.375rem}.skeleton-data-items-list-item-right{width:15%;margin-left:auto;margin-bottom:auto;margin-right:0;display:flex;flex-direction:column;flex-wrap:nowrap;align-items:center}.skeleton-data-items-list-item-icon{width:100%;height:1.375rem;margin-bottom:.0625rem;display:flex;flex-direction:row;flex-wrap:nowrap}.skeleton-data-items-list-item-icon-item{margin-right:.5rem;height:1.125rem;width:1.125rem;border-radius:1.125rem}.skeleton-data-items-list-item-information{height:3.375rem;margin-bottom:.0625rem;display:flex;flex-direction:column;flex-wrap:nowrap}.skeleton-data-items-list-item-information-item{width:80%;height:.5rem;margin-top:.625rem;margin-bottom:.0625rem;border-radius:.1875rem}.skeleton-data-items-list-item-information-item:first-child{width:40%;margin-top:.375rem}.skeleton-data-items-list-item-information-item:last-child{width:60%}.skeleton-data-items-list-item-actions{width:100%;height:1.375rem;display:flex;flex-direction:row-reverse;flex-wrap:nowrap}.skeleton-data-items-list-item-actions-item{margin-left:.5rem;height:1.125rem;width:1.125rem;border-radius:1.125rem}.skeleton-data-items-list-item-actions-item:first-child{margin-right:1rem}.appearance--dark :host{--color-background: #333333;--color-animation-background: #666666}\n"] }]
        }] });

/**
 * InboxSkeletonLoadingComponent is used to display the skeleton loading in the inbox, if the loading input is set to true.
 */
class InboxSkeletonLoadingComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxSkeletonLoadingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: InboxSkeletonLoadingComponent, selector: "talenra-inbox-skeleton-loading", ngImport: i0, template: "<div class=\"skeleton-inbox\">\n  <div class=\"skeleton-toolbar\">\n    <div class=\"skeleton-toolbar-left\">\n      <div class=\"skeleton skeleton-toolbar-left-item\"></div>\n    </div>\n    <div class=\"skeleton-toolbar-right\">\n      <div *ngFor=\"let number of [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]\" class=\"skeleton skeleton-toolbar-right-item\"></div>\n    </div>\n  </div>\n  <div class=\"skeleton-filter-toolbar\">\n    <div class=\"skeleton-filter-toolbar-left\">\n      <div *ngFor=\"let number of [0, 1]\" class=\"skeleton skeleton-filter-toolbar-left-item\"></div>\n    </div>\n    <div class=\"skeleton-filter-toolbar-middle\">\n      <div *ngFor=\"let number of [0, 1, 2, 3]\" class=\"skeleton skeleton-filter-toolbar-middle-item\"></div>\n    </div>\n    <div class=\"skeleton-filter-toolbar-right\"></div>\n  </div>\n\n  <talenra-skeleton-loading-data-items-list></talenra-skeleton-loading-data-items-list>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-animation-background: #f2f2f2}.skeleton{animation:skeleton-loading 1s linear infinite alternate}@keyframes skeleton-loading{0%{background-color:var(--color-animation-background) 50%}to{background-color:var(--color-animation-background)}}:host{position:relative;display:flex;justify-content:center}.skeleton-inbox{width:1400px}.skeleton-toolbar{width:100%;height:50px;margin-bottom:1px;margin-top:1px;border-radius:1px;background:var(--color-background);display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between}.skeleton-toolbar-left{width:33%;position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-left:24px}.skeleton-toolbar-right{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-right:4px}.skeleton-toolbar-left-item{height:24px;width:24px;border-radius:24px}.skeleton-toolbar-right-item{height:24px;width:24px;border-radius:24px;margin-left:12px}.skeleton-toolbar-right-item:last-child{margin-right:8px}.skeleton-filter-toolbar{width:100%;height:34px;margin-bottom:8px;border-radius:1px;position:relative;margin-top:1px;background:var(--color-background);display:flex;flex-direction:row;flex-wrap:nowrap}.skeleton-filter-toolbar-left{display:flex;flex-wrap:nowrap;flex-direction:row;flex:1;margin-right:auto;margin-left:24px}.skeleton-filter-toolbar-left-item{margin-top:13px;margin-right:12px;width:50px;height:8px;border-radius:3px}.skeleton-filter-toolbar-middle{display:flex;flex-direction:row;flex-wrap:nowrap;vertical-align:middle;text-align:center;justify-content:center;flex:1}.skeleton-filter-toolbar-middle-item{margin-top:8px;margin-right:8px;width:18px;height:18px;border-radius:18px}.skeleton-filter-toolbar-right{display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.skeleton-filter-toolbar-right-item{margin-top:6px;margin-right:6px;width:22px;height:22px;border-radius:8px}.appearance--dark :host{--color-background: #333333;--color-animation-background: #666666}\n"], dependencies: [{ kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: SkeletonLoadingDataItemsListComponent, selector: "talenra-skeleton-loading-data-items-list" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxSkeletonLoadingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-skeleton-loading', template: "<div class=\"skeleton-inbox\">\n  <div class=\"skeleton-toolbar\">\n    <div class=\"skeleton-toolbar-left\">\n      <div class=\"skeleton skeleton-toolbar-left-item\"></div>\n    </div>\n    <div class=\"skeleton-toolbar-right\">\n      <div *ngFor=\"let number of [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]\" class=\"skeleton skeleton-toolbar-right-item\"></div>\n    </div>\n  </div>\n  <div class=\"skeleton-filter-toolbar\">\n    <div class=\"skeleton-filter-toolbar-left\">\n      <div *ngFor=\"let number of [0, 1]\" class=\"skeleton skeleton-filter-toolbar-left-item\"></div>\n    </div>\n    <div class=\"skeleton-filter-toolbar-middle\">\n      <div *ngFor=\"let number of [0, 1, 2, 3]\" class=\"skeleton skeleton-filter-toolbar-middle-item\"></div>\n    </div>\n    <div class=\"skeleton-filter-toolbar-right\"></div>\n  </div>\n\n  <talenra-skeleton-loading-data-items-list></talenra-skeleton-loading-data-items-list>\n</div>\n", styles: [":host{--color-background: #ffffff;--color-animation-background: #f2f2f2}.skeleton{animation:skeleton-loading 1s linear infinite alternate}@keyframes skeleton-loading{0%{background-color:var(--color-animation-background) 50%}to{background-color:var(--color-animation-background)}}:host{position:relative;display:flex;justify-content:center}.skeleton-inbox{width:1400px}.skeleton-toolbar{width:100%;height:50px;margin-bottom:1px;margin-top:1px;border-radius:1px;background:var(--color-background);display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between}.skeleton-toolbar-left{width:33%;position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-left:24px}.skeleton-toolbar-right{position:relative;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;margin-right:4px}.skeleton-toolbar-left-item{height:24px;width:24px;border-radius:24px}.skeleton-toolbar-right-item{height:24px;width:24px;border-radius:24px;margin-left:12px}.skeleton-toolbar-right-item:last-child{margin-right:8px}.skeleton-filter-toolbar{width:100%;height:34px;margin-bottom:8px;border-radius:1px;position:relative;margin-top:1px;background:var(--color-background);display:flex;flex-direction:row;flex-wrap:nowrap}.skeleton-filter-toolbar-left{display:flex;flex-wrap:nowrap;flex-direction:row;flex:1;margin-right:auto;margin-left:24px}.skeleton-filter-toolbar-left-item{margin-top:13px;margin-right:12px;width:50px;height:8px;border-radius:3px}.skeleton-filter-toolbar-middle{display:flex;flex-direction:row;flex-wrap:nowrap;vertical-align:middle;text-align:center;justify-content:center;flex:1}.skeleton-filter-toolbar-middle-item{margin-top:8px;margin-right:8px;width:18px;height:18px;border-radius:18px}.skeleton-filter-toolbar-right{display:flex;flex-wrap:nowrap;flex-direction:row-reverse;flex:1;margin-left:auto}.skeleton-filter-toolbar-right-item{margin-top:6px;margin-right:6px;width:22px;height:22px;border-radius:8px}.appearance--dark :host{--color-background: #333333;--color-animation-background: #666666}\n"] }]
        }] });

/**
 * Main Component of the Inbox Library, gives an example layout and functionality for an inbox workspace.
 *
 * ```html
 * <talenra-inbox
 *   class="talenra-inbox"
 *   [dataItems]="dataItems"
 *   [loading]="false"
 *   [attributes]="attributes"
 *   [customShortcuts]="customShortcuts"
 *   [detailViewTabs]="detailViewTabs"
 *   [presets]="presets"
 *   [activePresetName]="activePresetName"
 *   (presetAction)="onPresetAction($event)"
 *   (presetsChange)="newPresets($event)"
 *   (clickedDataItemEmitter)="onClickedDataItem($event)"
 *   (dataItemsInteractions)="onDataItemsInteractions($event)"
 *   (virtualScrollerPosition)="onVirtualScrollerPosition($event)"
 * ></talenra-inbox>
 * ```
 */
class InboxComponent {
    /**
     * Constructor of the inbox component.
     * @internal
     * */
    constructor(elementRef) {
        /**
         * Different data items which are used in data items list items and data item information.
         * The data which should be displayed in the inbox.
         *
         * **Important information:**
         *
         * 1. **The Input type is "any[]" so that the inbox can be used with any flattened data structure:**
         * The keys will be used as displayed identifiers for the attributes of the items (the displayedName is able to be customized with the `attributes` input).
         *
         * 2. **The items are not required to have the same data structure:**
         * Attributes of individual items (see example "attribute2 / attribute3") may be missing from item to item.
         * Missing attributes will be displayed as an "–" value.
         *
         * 3. **Attributes with the same key (identifier) have to be of the same type:**
         * Attributes which have the same key (identifier) have to contain the same type of data (e.g. string, number, date). For example `attribute1` are of the same type, here `string`.
         *
         * 4. **The data-items-list has a limited number of attributes for each item:**
         * The `attributes` input can be used to define which attributes should be displayed in the data-items-list or in the detail-view.
         * Default: 12, customizable in the inboxConfiguration of by the presets.
         *
         * 5. **The list items are displayed in a Virtual Scroller:**
         * That means that only the list items which are visible are rendered. This is done to improve the performance of the inbox.
         *
         * 6. **Use attributes input for the complex structure:**
         * If the data has a 'complex' structure and is not flattened, the input `attributes` has to define the identifier to the attribute (see section `attributes`).
         *
         * 7. **If new `dataItems` have to be inputted:**
         * The "refresh" input has be used (set to true) to show the skeleton loading. Otherwise, the new data will not be shown correctly. After the new data is loaded and inputed, the "refresh" input has to be set to false.
         *
         * 8. **The data items are used to fill the single- and multi-select filters:**
         *  If not otherwise specified in the `attributes` input, the data items are used to fill the single- and multi-select filters options.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [dataItems]="dataItems"></talenra-inbox>
         *
         * @example flattened structure
         * dataItems = [{
         *   attribute1: 'Direkt eingegangene Beschwerde',
         *   attribute2: 'ZH-20230510-0014648',
         *   ...,
         * },
         *   {
         *     attribute1: 'Direkt eingegangene Beschwerde',
         *     attribute3: 'Janssens Mila',
         *     ...,
         *   },
         * ];
         *
         * @example complex structure
         * dataItems = [{
         *   attribute1: 'Direkt eingegangene Beschwerde',
         *   attribute2: 'ZH-20230510-0014648',
         *   attribute3: {
         *     attribute4: 'Janssens Mila',
         *     attribute5: '756.8396.7741.70',
         *   },
         *   ...,
         * },
         *   {
         *     attribute1: 'Direkt eingegangene Beschwerde',
         *     attribute2: 'Janssens Mila',
         *     ...,
         *   },
         * ];
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.dataItems = [];
        /**
         *
         * The presets input is necessary to create and show different presets in the inbox.
         * The user has the possibility to choose between the presets.
         * If the consuming application used the app without the presets input, the inbox won't be able to save or manipulate new presets and existing presets.
         *
         * **Important information:**
         *
         * 1. **Minimum one preset has to be defined with `changeable`: false. That is the default view.**
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [presets]="presets" [activePresetName]="activePresetName"></talenra-inbox>
         *
         * @example
         * const activePresetName = ['Meine Inbox', 'View 1'];
         *
         * @example
         * // Import
         * import { Preset } from '@talenra/ngx-inbox';
         *
         * const presets: Preset[] = [{
         *   identifier: '121bd936-ce20-4ea9-9dc1-6cdaf61f9c3d',
         *   name:
         *     'Meine Inbox',
         *   changeable:
         *     false,
         *   selectedAttributes:
         *     [
         *       { identifier: 'case.caseTypeName', defaultAttribute: 'main' },
         *       { identifier: 'case.caseID', defaultAttribute: 'main' },
         *       { identifier: 'processStep', defaultAttribute: 'main' },
         *       { identifier: 'insuree.partnerFlags', defaultAttribute: 'detail' },
         *       { identifier: 'insuree.pvRoles', defaultAttribute: 'detail' },
         *       { identifier: 'case.leadingKpvPartID', defaultAttribute: 'detail' },
         *       { identifier: 'insuree.kpvPartID', defaultAttribute: 'detail' },
         *     ],
         *   children:
         *     [
         *       {
         *         name: 'View 1',
         *         numberMainAttributesChosenByUser: 4,
         *         selectedAttributes: [
         *           { identifier: 'case.caseTypeName', defaultAttribute: 'main' },
         *           { identifier: 'case.caseID', defaultAttribute: 'main' },
         *           { identifier: 'processStep', defaultAttribute: 'detail' },
         *           { identifier: 'insuree.lastNameOrgName', defaultAttribute: 'detail' },
         *           { identifier: 'case.caseStartDate', defaultAttribute: 'detail' },
         *           { identifier: 'member.lastNameOrgName', defaultAttribute: 'detail' },
         *           { identifier: 'insuree.socialSecurityNumber', defaultAttribute: 'detail' },
         *           { identifier: 'case.casePriority', defaultAttribute: 'main' },
         *         ],
         *         sortAttributes: [
         *           { identifier: 'case.caseTypeName', sort: 'asc' },
         *           { identifier: 'insuree.socialSecurityNumber', sort: 'desc' },
         *         ],
         *         filterAttributes: [
         *           {
         *             identifier: 'case.caseTypeName',
         *             value: ['Direkt eingegangene Beschwerde'],
         *           },
         *           {
         *             identifier: 'case.caseStartDate',
         *             value: [new Date('01.15.2020'), new Date('12.30.2023')],
         *           },
         *           { identifier: 'case.casePriority', value: [1, 2] },
         *         ],
         *         iconAttributes: [],
         *       },
         *       {
         *         name: 'View 2',
         *         numberMainAttributesChosenByUser: 4,
         *         selectedAttributes: [
         *           { identifier: 'case.caseTypeName', defaultAttribute: 'main' },
         *           { identifier: 'case.caseID', defaultAttribute: 'main' },
         *           { identifier: 'processStep', defaultAttribute: 'detail' },
         *           { identifier: 'insuree.lastNameOrgName', defaultAttribute: 'detail' },
         *           { identifier: 'case.caseStartDate', defaultAttribute: 'detail' },
         *           { identifier: 'member.lastNameOrgName', defaultAttribute: 'detail' },
         *         ],
         *         sortAttributes: [{ identifier: 'case.caseTypeName', sort: 'asc' }],
         *         filterAttributes: [
         *           {
         *             identifier: 'case.caseTypeName',
         *             value: ['Direkt eingegangene Beschwerde'],
         *           },
         *         ],
         *         iconAttributes: [],
         *       },
         *     ],
         * }];
         */
        this.presets = [];
        /**
         * Input `activePresetName` is used to let the inbox know which group or preset was clicked in the app.
         * As the inbox needs to know which group or preset is currently active, activePresetName is provided as an input.
         *
         * If a group is active, then only the group name is filled in the activePresetName input.
         *
         * If a preset is active, then the group name and preset name is filled in the activePresetName input.
         *
         * Most of the time, the active state of the main navigation also have to be set in the consuming app.
         *
         * **Important Information:**
         *
         * 1. **In many cases, `activePresetName` has to be updated after `presets` have been changed.**
         *  The consuming app receives information about what happened to the presets via the presetAction emitter.
         * 2. Also note that the reset button will not work properly if activePresetName is not set correctly.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [presets]="presets" [activePresetName]="activePresetName"></talenra-inbox>
         *
         * @example
         * // if group is active
         * const activePresetName = ['Meine Inbox'];
         *
         * // if preset in group is active
         * const activePresetName = ['Meine Inbox', 'View 1'];
         */
        this.activePresetName = [];
        /**
         * The detailViewTabs input is used to add tabs to the detail-view.
         *
         * **Important information:**
         *
         * 1. **The "detailViewTabs" <u>will not be displayed</u> in the inbox, if the html tag of the inbox is contained in an `*ngIf` statement.**
         *
         * 2. **The `counter` attribute has to be a behavior subject, because the counter is updated in the inbox component and the detail view component.**
         *
         * 3. **The `counter` has a maximum value of 99. If the counter is higher than 99, the badge will display "99+".**
         *
         * 4. **Because of the Angular lifecycle, the `detailViewTabs` input has a special declaration in the consuming application.**
         *  The DetailViewItemModel has a TemplateRef as a property, which is only initialized in `afterViewInit` of the consuming app
         *  The consuming application has to declare the TemplateRef as a ViewChild and pass it to the `detailViewTabs` in the ngAfterViewInit method
         *  For more information about the Angular lifecycle, please visit the [Angular documentation](https://angular.io/guide/lifecycle-hooks)
         *  The input property icon is limited by the talenra-icon library (https://gitlab.svanet.ch/talenra/talenra-workspace)
         *
         * 5. **The `useScroll` attribute is used to define if the content of the tab should be scrollable or not.**
         *  If a custom scroll container should be used, the `useScroll` attribute should be set to false.
         *  And the style of the scroll container should be set like in the example.
         *
         * 6. **The recommended number of custom tabs are 5. Otherwise, it would mess with the design.**
         *
         * ```html
         * <talenra-inbox [attributes]="attributes" [detailViewTabs]="detailViewTabs"></talenra-inbox>
         *
         * <ng-template #talenraInboxDocuments>
         *   <talenra-scroll-container class="custom-scroll">
         *     <h1 class="panel-title">Dokumente</h1>
         *     <div [formGroup]="exampleCheckboxForm" class="inline-documents">
         *       <talenra-checkbox fcn="check_1" size="s"></talenra-checkbox>
         *       <p class="pair">
         *         <span class="documents">Lohnbescheinigung</span>
         *         <span class="documents-entry">hinzugefügt am 12.03.2021</span>
         *       </p>
         *     </div>
         *   </talenra-scroll-container>
         * </ng-template>
         * <ng-template #talenraInboxComments>
         *   ...
         * </ng-template>
         * <ng-template #talenraInboxHistory>
         *   ...
         * </ng-template>
         * ```
         *
         * ```typescript
         * import { DetailViewItemModel } from '@talenra/ngx-inbox';
         *
         * @ViewChild('talenraInboxDocuments', { read: TemplateRef }) talenraInboxDocuments!: TemplateRef<any>;
         * @ViewChild('talenraInboxComments', { read: TemplateRef }) talenraInboxComments!: TemplateRef<any>;
         * @ViewChild('talenraInboxHistory', { read: TemplateRef }) talenraInboxHistory!: TemplateRef<any>;
         *
         * public detailViewTabs: DetailViewItemModel[] = [];
         *
         * ngAfterViewInit(): void {
         *     // get the template in the next lifecycle hook, because the viewChild is not available yet
         *     Promise.resolve().then(() => {
         *       // create the detail view tabs
         *       this.detailViewTabs: DetailViewItemModel[] = [
         *         {
         *           label: 'documents',
         *           icon: 'description',
         *           counter: new BehaviorSubject<number>(8),
         *           useScroll: false,
         *           detailViewTabContentTemplate: this.talenraInboxDocuments,
         *         },
         *         {
         *           label: 'comments',
         *           icon: 'chat-bubble-outline',
         *           counter: new BehaviorSubject<number>(100),
         *           useScroll: true,
         *           detailViewTabContentTemplate: this.talenraInboxComments,
         *         },
         *         {
         *           label: 'history',
         *           icon: 'history',
         *           useScroll: false,
         *           detailViewTabContentTemplate: this.talenraInboxHistory,
         *         },
         *       ];
         *     });
         *   }
         *   ```
         *
         *  ```scss
         * .custom-scroll {
         *   position: absolute;
         *   inset: 0;
         * }
         * ```
         */
        this.detailViewTabs = input([]);
        /**
         * Boolean to show if skeleton loading is to be shown.
         *
         * **Important information:**
         *
         * 1. The inbox can **not** detect the loading state of the data items, so the "refresh" input has to be used.
         */
        this.loading = false;
        /**
         * The pairing attributes which combine two attributes to one attribute.
         *
         * The pairingAttributes input is used to combine two attributes to one attribute.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [pairingAttributes]="pairingAttributes"></talenra-inbox>
         *
         * @example
         * import { PairingAttributesModel } from '@talenra/ngx-inbox';
         *
         * pairingAttributes: PairingAttributesModel[] = [
         *     {
         *       identifier: 'combinedName',
         *       displayedName: 'First/Last Name',
         *       firstAttribute: 'firstNameOrgNameAddOn',
         *       secondAttribute: 'lastNameOrgName',
         *       commaSeparation: false,
         *     },
         *     {
         *       identifier: 'member.combinedName',
         *       displayedName: 'Member First/Last Name',
         *       firstAttribute: 'member.lastNameOrgName',
         *       secondAttribute: 'member.firstNameOrgNameAddOn',
         *       commaSeparation: true,
         *     },
         *   ];
         */
        this.pairingAttributes = [];
        /**
         * The `refreshing` input boolean allows the consuming application to set the inbox into a refreshing state.
         * If the value `true` is injected and the inbox is filled with data (data items), the skeleton loading will be shown.
         * The consuming app can now load new data (dataItems) and input it to the inbox.
         * After the refreshing value can be set to `false` again.
         * Set, if necessary, the `selectedDataItem` input to the data item which was selected before the refresh.
         * The new data (dataItems) will be shown and all filter and sort will be reset to the default value.
         *
         * #### Important information
         *
         * 1. **The consuming app has to save the selected data Item (`clickedDataItemEmitter` Output) and set it again after the refresh with the `selectedDataItem` Input.**
         */
        this.refreshing = false;
        /**
         * The input is used to lock specific data items in the inbox. The input is an array of `DataItemIdModel`.
         * The items will be locked visually in the inbox and the user can not interact with them.
         * Additionally, because the data item is not selectable the detail view will not show any information of the data item.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [lockedDataItems]="lockedDataItems"></talenra-inbox>
         *
         * @example
         * import { DataItemIdModel } from '@talenra/ngx-inbox';
         *
         * lockedDataItems: DataItemIdModel[] = [
         *  {
         *    identifier: 'case.caseID',
         *    value: 'ZH-20230510-0014648',
         *  },
         *  {
         *    identifier: 'case.caseID',
         *    value: 'ZH-20230510-0014649',
         *  },
         * ];
         */
        this.lockedDataItems = [];
        /**
         * If true, the pagination feature is enabled.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" usePagination>
         *   ...
         * </talenra-inbox>
         */
        this.usePagination = false;
        /**
         * The number of items per page in the pagination.
         *
         * @example
         * <talenra-inbox [attributes]="attributes" [paginatorState]="paginatorState" usePagination></talenra-inbox>
         */
        this.paginatorState = {
            currentPage: 1,
            itemsPerPage: 10,
            totalItems: 1,
            itemsPerPageOptions: [5, 10, 20, 50],
        };
        /**
         * The query that is currently selected.
         */
        this.query = model({
            identifier: 'head',
            rules: [],
            condition: QueryBuilderCondition.And,
            hierarchyLevel: 1,
        });
        /**
         * The possible rules that can be selected.
         */
        this.possibleRules = input([]);
        /**
         * The values that can be selected in connection to each rule identifier.
         */
        this.possibleOptions = input([]);
        /**
         * Emits the active item, enables the consuming app to call appropriate api calls etc. (e.g. to change the content of the detail-view tabs).
         *
         * The clickedDataItemEmitter is used to get the clicked/active item, which is emitted as an object.
         * The intended purpose is to allow the consuming app get detail-view-data of the specific item.
         *
         * **Important information:**
         *
         * 1. **If the emitter returns the value undefined no data item is selected (no data item for selection available).**
         * 2. **The consuming application should adjust the detail view accordingly.**
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.clickedDataItemEmitter = new EventEmitter();
        /**
         * The event which is emitted when a dataItems is interacted with by the further-actions and the proceed button.
         *
         * The Messages correlate with the buttons in the toolbar and the list view.
         * Process: The process button was clicked (arrow-right icon).
         * More: The further actions button was clicked (three-dots icon).
         *
         * The More message is intended to allow the consuming app to customize the further actions menu and specify which item opened the menu.
         */
        this.dataItemsInteractions = new EventEmitter();
        /**
         * The event which is emitted when a preset is created, updated or deleted.
         *
         * The consuming application receives information about which operation is used with the preset and the modified presets.
         * The consuming app should save the presets and make the preset accessible through SidenavItems in the app.component (talenra-app-frame).
         *
         * **Important information:**
         *
         * 1. **The consuming app has to input the modified presets to the inbox.**
         * 2. **`activePresetName` input has to be updated in following cases.**
         *
         * - create --> switch to the new preset (presetName sent in the `presetAction` emitter)
         * - update --> switch to the updated preset (presetName sent in the `presetAction` emitter)
         * - update & rename --> switch to the updated preset (presetName sent in the `presetAction` emitter)
         * - delete --> switch to the first <u>unchangeable</u> preset of the `presets`. For example, activate group of the preset.
         * - visibility-off --> switch to the first <u>unchangeable</u> preset of the `presets`. For example, activate group of the preset.
         */
        this.presetAction = new EventEmitter();
        /**
         * The event which is emitted when the virtual scroller position changes.
         *
         * The virtualScrollerPosition is used to get the position of the virtual scroll.
         * The position is emitted as a number value ranging from -2 to x.
         *
         * - Values from 1 to x are the position of the virtual scroll.
         * - The value 0 indicates that the virtual scroll is at the top.
         * - The value -1 indicates that the virtual scroll has no scrollable content.
         * - The value -2 indicates that the virtual scroll has detected a buggy behaviour (loop scroll).
         * - If the value -2 the consuming app hast to stop the possible resizing of the inbox.
         *
         * @example
         * <talenra-workspace-simple>
         *   <div class="inbox-app">
         *     <talenra-workspace-header
         *       [path]="workspacePath"
         *       [title]="workspaceTitle"
         *       class="page-header"
         *       [class.header-hidden]="!headerEdgeCase && headerHidden && !noScroll"></talenra-workspace-header>
         *     <talenra-inbox [attributes]="attributes" class="talenra-inbox" (virtualScrollerPosition)="onVirtualScrollerPosition($event)"></talenra-inbox>
         *   </div>
         * </talenra-workspace-simple>
         *
         * @example
         * .inbox-app {
         *   display: flex;
         *   flex-wrap: nowrap;
         *   flex-direction: column;
         *   height: 100%;
         *   width: 100%;
         * }
         *
         * .page-header {
         *   margin-left: 20px;
         *   opacity: 1;
         *   height: 92px;
         *
         *   transition: height 0.3s, opacity 0.3s;
         *
         *   &.header-hidden {
         *     opacity: 0;
         *     height: 0;
         *   }
         * }
         *
         * .talenra-inbox {
         *   position: relative;
         *   flex-grow: 1;
         * }
         *
         * @example
         *
         * headerHidden = false;
         * noScroll = false;
         * headerEdgeCase = false;
         *
         * onVirtualScrollerPosition(event: number): void {
         *     switch (event) {
         *       case -2:
         *         // if the value -2 is emitted, the inbox has a buggy loop, the header should be fixed and not be trying to hide for the remaining usage
         *         this.headerEdgeCase = true;
         *         break;
         *       default:
         *         // if the value -1 is emitted, the inbox has a buggy loop, the header should be fixed because the inbox is not scrollable (to few items)
         *         this.noScroll = event === -1;
         *         // if the value 0 is emitted, the inbox is at the top and the header should be fixed
         *         // if the value > 0 is emitted, the inbox is not at the top and the header should be hidden
         *         this.headerHidden = event > 0;
         *         break;
         *     }
         *   }
         */
        this.virtualScrollerPosition = new EventEmitter();
        /**
         * The event which is emitted when the selected main attributes change
         *
         * The consuming application receives information about which main attributes (the ones above the line in the attribute-settings).
         * The attributes are emitted as an array of strings with the correct order as chosen by the user. The strings are the identifiers of the attributes.
         */
        this.selectedMainAttributesEmitter = new EventEmitter();
        /**
         * The event which is emitted when the selected detail attributes changes
         *
         * The consuming application receives information about which detail attributes (the ones below the line in the attribute-settings).
         * The attributes are emitted as an array of strings with the correct order as chosen by the user. The strings are the identifiers of the attributes.
         */
        this.selectedDetailAttributesEmitter = new EventEmitter();
        /**
         * The event which is emitted when the all selected attributes changes
         *
         * The consuming application receives information about which attributes have been selected.
         */
        this.selectedAllAttributesEmitter = new EventEmitter();
        /**
         * The event which is emitted when the filter, sort or the search input changes
         *
         * The consuming application receives information about which filter, sort or search input is used.
         */
        this.filterSortSearchEmitter = new EventEmitter();
        /**
         * The value that the refresh button is clicked.
         *
         * It will emit the value `true` when the refresh button is clicked.
         * The consuming application can load the data and set the value to `false` again.
         */
        this.refreshingChange = new EventEmitter();
        /**
         * The event which is emitted when the page changes in the pagination.
         * The consuming application receives information about which page is selected.
         * The consuming application can load the data for the selected page by using the `refresh`.
         */
        this.paginatorStateChange = new EventEmitter();
        /**
         * Class to interact with data items.
         */
        this.dataItemsClass = new DataItemsClass();
        /**
         * Identifies the form-control which is part of the form-group.
         */
        this.searchFieldFcn = 'searchField';
        /**
         * The max length of the search field.
         */
        this.searchFieldMaxLength = 24;
        /**
         * Number of marked data items in data items list.
         */
        this.numberMarkedDataItems = 0;
        /**
         * Number of marked data items in data items list.
         */
        this.mainCheckboxState = CheckboxState.Outline;
        /**
         * information if in attributes, attributesDetails, numberMainAttributesChosenByUser, sortFilter or filter changes are made.
         * string: attributes, attributesDetails, numberMainAttributesChosenByUser, sortFilter or filter
         * boolean: true if changes are made, false if no changes are made
         */
        this.changedValuesInPresetGroups = new Map();
        /**
         * Value of the internal refreshing, used to set the skeleton loading of the data items list end not emit to consuming applications.
         */
        this.internalRefreshing = false;
        /**
         * flag to check, if all attributes are selected or not in attributeSettings.
         * If the flag is the same as the length of the attributes, then the setBufferFilterSort is not updated.
         */
        this.allSelectedAttributesIdentifiers = [];
        /**
         * List of attributes key which are used to lock the attributes in the attribute settings.
         * Gets updated by the used attributes in the filter toolbar.
         */
        this.lockedAttributes = [];
        /**
         * Injected inbox toolbar service.
         */
        this.inboxToolbarService = inject(InboxToolbarService);
        /**
         * Injected keyboard service.
         */
        this.keyboardService = inject(KeyboardService);
        /**
         * Injected changed values service.
         */
        this.changedValuesService = inject(ChangedPresetValuesService);
        /**
         * Injected filter toolbar service.
         */
        this.filterToolbarService = inject(FilterToolbarService);
        /**
         * Injected update preset service.
         */
        this.updatePresetsService = inject(UpdatePresetsService);
        /**
         * Injected set inbox configuration service.
         */
        this.mainFacadeSetterService = inject(MainFacadeSetterService);
        /**
         * Injected csv service.
         */
        this.csvService = inject(CsvService);
        /**
         * Injected inbox helper service.
         */
        this.inboxHelperService = inject(InboxHelperService);
        /**
         * Injected presets service.
         */
        this.presetsService = inject(PresetsService);
        /**
         * Injected inbox state.
         */
        this.inboxState = inject(InboxState);
        /**
         * Injected inbox detail view service.
         */
        this.inboxDetailViewService = inject(InboxDetailViewService);
        /**
         * Injected inbox data items service.
         */
        this.dataItemsService = inject(DataItemsService);
        /**
         * The change detector reference.
         * @internal
         */
        this.changeDetectorRef = inject(ChangeDetectorRef);
        /**
         * The computed inbox detail view tabs. Resets the detail view tabs and sets the proper values.
         */
        this.inboxDetailViewTabs = computed(() => this.mainFacadeSetterService.resetDetailViewTabs(this.detailViewTabs()));
        /**
         * Filter, Sort and Search emitter buffer element.
         * Saves the previous state of the filter, sort and search.
         * Used to recognize changes in the filter, sort and search and not emit the same state again.
         * TODO: Remove after the issue is found for multiple emits of the same state.
         */
        this.filterSortSearchEmitterBuffer = {
            filterAttributes: [],
            iconAttributes: [],
            searchText: '',
            sortAttributes: [],
        };
        /**
         * The subscription for the inbox.
         * @internal
         */
        this.subscriptions = new Subscription();
        /**
         * The subscriptions for the presets.
         * @internal
         */
        this.presetSubscriptions = new Subscription();
        /**
         * The subscriptions of the detail view.
         * @internal
         */
        this.detailViewSubscriptions = new Subscription();
        /**
         * The subscriptions of the inbox to handle the change in the state of loading and the preset change by the active preset name.
         * @internal
         */
        this.initializationSubscriptions = new Subscription();
        // Deprecation warning for old selector
        elementRef.nativeElement.tagName.toLowerCase() === 'talenra-workspace-inbox' &&
            deprecationWarning({
                packageName: '@talenra/ngx-inbox',
                className: this.constructor.name,
                member: 'Selector <talenra-workspace-inbox>',
                instructions: 'Use <talenra-inbox> instead.',
            });
    }
    /**
     * Initializes the inbox component.
     * @internal
     */
    ngOnInit() {
        // check if the presets are used
        if (this.presets.length > 0) {
            this.initializeComponentForViewUsage();
        }
        // initialize the inbox for paginator usage
        this.initializeComponentForPaginatorUsage();
        // initialize the component
        this.initializeComponent();
    }
    /**
     * Initializes the component for the view usage.
     */
    initializeComponentForViewUsage() {
        // reset preset subscriptions
        this.presetSubscriptions.unsubscribe();
        this.presetSubscriptions.closed = false;
        // transfer the presets to the necessary format
        this.transformedPresetGroups = this.transformPresetsToPresetGroups(this.presets);
        // set the preset groups in the inbox state
        if (this.transformedPresetGroups) {
            this.inboxState.setPresetGroups(this.transformedPresetGroups);
            // set the active preset name in the inbox component, if no active preset name is set, the first preset is set as active
            if (this.activePresetName.length === 0 || !this.activePresetName) {
                this.activePresetName = [this.transformedPresetGroups[0].groupName, this.transformedPresetGroups[0].groupName];
            }
            // set the active preset name in the inbox component, if only the group is chosen, the first preset of the group is set as active
            if (this.activePresetName.length === 1) {
                this.activePresetName = [this.activePresetName[0], this.activePresetName[0]];
            }
            // set the active preset in the inbox state
            this.inboxState.setActivePresetName(this.activePresetName);
            // subscribe to changes in the active preset name
            // subscription is used to trigger the reset of the component via the filter toolbar undo and new preset creation
            this.presetSubscriptions.add(this.inboxState.activePresetName$.subscribe((activePresetName) => {
                // initialize the change methods for the filter, sort and attributes
                const changeMethods = {
                    attributesMain: this.changedValuesService.setAttributesMainChangedSubject,
                    attributesDetail: this.changedValuesService.setAttributesDetailChangedSubject,
                    numberMainAttributesChosenByUser: this.changedValuesService.setNumberMainAttributesChosenByUserChangedSubject,
                    sort: this.changedValuesService.setSortChangedSubject,
                    filter: this.changedValuesService.setFilterChangedSubject,
                };
                ['attributesMain', 'attributesDetail', 'numberMainAttributesChosenByUser', 'sort', 'filter'].forEach((change) => {
                    const setChangeMethod = changeMethods[change];
                    if (setChangeMethod) {
                        setChangeMethod.call(this.changedValuesService, { identifier: change, changed: false });
                    }
                });
                // search the active preset in the preset groups
                const matchingGroup = this.transformedPresetGroups?.find((presetGroup) => presetGroup.groupName === activePresetName[0]);
                if (matchingGroup) {
                    const filteredPreset = matchingGroup.presets.find((preset) => preset.name === activePresetName[1]);
                    if (filteredPreset) {
                        this.inboxState.setActivePreset(filteredPreset);
                        this.activePresetName = [matchingGroup.groupName, filteredPreset.name];
                    }
                }
            }));
        }
        // reset to the default state of the changed values to false
        ['attributesMain', 'attributesDetail', 'numberMainAttributesChosenByUser', 'sort', 'filter'].forEach((change) => this.changedValuesInPresetGroups.set(change, false));
    }
    /**
     * Functions to initialize the component.
     */
    initializeComponent() {
        // reset subscriptions
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        // resets the detail view tabs given by the consuming application
        this.mainFacadeSetterService.resetDetailViewTabs(this.detailViewTabs());
        // reset the attributes and set the default attributes
        this.mainFacadeSetterService.setAllAttributes([]);
        this.mainFacadeSetterService.setAllUntransformedAttributes(this.attributes);
        // set the picked attributes and transform the attributes for the attributes settings
        this.mainFacadeSetterService.setPickedAttributes();
        // data items are available prepare them for the inbox usage
        if (this.dataItems !== undefined && this.dataItems !== null && this.dataItems.length > 0) {
            this.mainFacadeSetterService.initializeDataItemsList(this.dataItems);
        }
        // set the keyboard service configuration, used to call functions of the inbox component via keyboard service
        const dataItemsAvailable = this.dataItems !== undefined && this.dataItems !== null;
        this.mainFacadeSetterService.setKeyboardServiceConfiguration(this.inboxDetailViewTabs(), this.iconBtnFunction, this.dataItemsInteractions, dataItemsAvailable, this.clickedDataItemFunction, this.clickedDataItemEmitter, this.lockedDataItems);
        // set the selected attribute list inside the attribute settings service
        this.mainFacadeSetterService.setSelectedAttributeListInsideAttributesSettingsService();
        // set the default state of the inbox layout
        this.mainFacadeSetterService.setDefaultStateOfInboxLayout(this.dataItems, this.clickedDataItemEmitter);
        // set the original data items and the filtered sorted data items
        if (this.dataItems !== undefined && this.dataItems !== null) {
            this.filterToolbarService.setOriginalDataItems(this.dataItems);
            this.filterToolbarService.setFilteredSortedDataItems(this.dataItems);
        }
        // set the filter and search subscriptions, to recognize changes in the filter and search and apply them to the data items
        this.mainFacadeSetterService.setFilterAndSearchSubscriptions(this.clickedDataItemEmitter);
        // check if the presets are used
        if ((this.transformedPresetGroups !== undefined || null) && this.activePresetName.length !== undefined) {
            this.subscriptions.add(this.inboxState.presetGroups$.subscribe((result) => {
                const matchingGroup = result.find((presetGroup) => presetGroup.groupName === this.activePresetName[0]);
                if (matchingGroup) {
                    const filteredPreset = matchingGroup.presets.find((preset) => preset.name === this.activePresetName[1]);
                    // set changes in filter, sort and search from preset
                    this.inboxState.setActiveFilterSortSearch({
                        filterAttributes: filteredPreset?.filterAttributes || [],
                        iconAttributes: filteredPreset?.iconAttributes || [],
                        searchText: '',
                        sortAttributes: filteredPreset?.sortAttributes || [],
                    });
                    // set the filter toolbar initialized to true, to start initializing the filter and sort
                    if (filteredPreset) {
                        this.filterToolbarService.setInboxInitialized(true);
                    }
                }
            }));
        }
        // subscribes to the changes in the inbox
        this.recognizeChangesInInbox();
        // emit changes in filter, sort and search during runtime
        this.subscriptions.add(this.inboxState.activeFilterSortSearch.subscribe((value) => {
            // sets the locked attributes in the inbox component, used to lock the attributes in the attribute settings
            this.setLockedAttributes(value);
            // check if the filter, sort and search are changed and the value is not the same as the buffer value
            if (!this.compareFilterSortSearch(value, this.filterSortSearchEmitterBuffer)) {
                // emit the changes in filter, sort and search to the consuming application
                // TODO: will change with removal of filtering in inbox
                const filterSortSearch = {
                    filterAttributes: this.filterToolbarService.transformActiveFilter(value.filterAttributes),
                    iconAttributes: value.iconAttributes,
                    searchText: value.searchText,
                    sortAttributes: value.sortAttributes,
                };
                this.filterSortSearchEmitter.emit(filterSortSearch);
                // set the buffer value to the current value
                this.filterSortSearchEmitterBuffer = {
                    filterAttributes: value.filterAttributes,
                    iconAttributes: value.iconAttributes,
                    sortAttributes: value.sortAttributes,
                    searchText: value.searchText,
                };
            }
        }));
        // subscribe to the virtual scroller position
        this.subscriptions.add(this.mainFacadeSetterService.virtualScrollerPosition$.subscribe((result) => {
            this.virtualScrollerPosition.emit(result);
        }));
        // subscribe to changes in the inbox configuration
        this.subscriptions.add(this.inboxState.inboxConfiguration$.subscribe((result) => {
            // resets the detail view tabs if the main tab is disabled or enabled
            if (result.disableDetailViewMainTab !== undefined) {
                this.mainFacadeSetterService.resetDetailViewTabs(this.detailViewTabs());
            }
        }));
    }
    /**
     * Detects changes in the input values.
     * @param changes The changes.
     * @internal
     **/
    ngOnChanges(changes) {
        // get possible changes
        const attributesChanges = changes['attributes'];
        const presetsChanges = changes['presets'];
        const activePresetNameChanges = changes['activePresetName'];
        const dataItemsChanges = changes['dataItems'];
        const refreshingChanges = changes['refreshing'];
        const lockedDataItemsChanges = changes['lockedDataItems'];
        const selectDataItemChange = changes['selectDataItem'];
        const loadingChanges = changes['loading'];
        const usePaginationChanges = changes['usePagination'];
        // Handle changes to 'presets'
        if (presetsChanges && !presetsChanges.firstChange) {
            this.transformedPresetGroups = this.transformPresetsToPresetGroups(presetsChanges.currentValue);
            this.inboxState.setPresetGroups(this.transformedPresetGroups);
            this.recognizeChangesInInbox();
        }
        // Handle changes to 'activePresetName'
        if (activePresetNameChanges && !activePresetNameChanges.firstChange) {
            if (activePresetNameChanges.currentValue.length === 1) {
                this.activePresetName = activePresetNameChanges.currentValue.concat(activePresetNameChanges.currentValue);
            }
            if (this.activePresetName) {
                this.allSelectedAttributesIdentifiers = [];
                const [group, presetName] = this.activePresetName;
                const matchingGroup = this.transformedPresetGroups?.find((presetGroup) => presetGroup.groupName === group);
                if (matchingGroup) {
                    const filteredPreset = matchingGroup.presets.find((preset) => preset.name === presetName);
                    if (filteredPreset) {
                        this.inboxState.setActivePreset(filteredPreset);
                        if (activePresetNameChanges.currentValue.toString() !== this.inboxState.activePresetName$.value.toString()) {
                            // reset subscriptions
                            this.initializationSubscriptions.unsubscribe();
                            this.initializationSubscriptions.closed = false;
                            this.initializationSubscriptions.add(this.changedValuesService.filterSortChangedSubject$.subscribe((value) => {
                                if (!value) {
                                    // set filtering state to false, if the no new filter is applied
                                    // used after change in preset, to enable data items list
                                    setTimeout(() => {
                                        this.internalRefreshing = false;
                                    }, 500);
                                    // stop subscriptions after one time usage
                                    this.initializationSubscriptions.unsubscribe();
                                    this.initializationSubscriptions.closed = false;
                                }
                            }));
                            this.internalRefreshing = true;
                            this.resetComponent();
                        }
                    }
                }
            }
        }
        // Handle changes to 'dataItems'
        if (dataItemsChanges && !dataItemsChanges.firstChange) {
            // data items are available prepare them for the inbox usage
            if (this.dataItems !== undefined && this.dataItems !== null && this.dataItems.length > 0) {
                this.mainFacadeSetterService.initializeDataItemsList(this.dataItems);
            }
            // set the keyboard service configuration, used to call functions of the inbox component via keyboard service
            const dataItemsAvailable = this.dataItems !== undefined && this.dataItems !== null;
            this.mainFacadeSetterService.setKeyboardServiceConfiguration(this.inboxDetailViewTabs(), this.iconBtnFunction, this.dataItemsInteractions, dataItemsAvailable, this.clickedDataItemFunction, this.clickedDataItemEmitter, this.lockedDataItems);
            // set the default state of the inbox layout
            this.mainFacadeSetterService.setDefaultStateOfInboxLayout(this.dataItems, this.clickedDataItemEmitter);
            // set the original data items and the filtered sorted data items
            if (this.dataItems !== undefined && this.dataItems !== null) {
                this.filterToolbarService.setOriginalDataItems(this.dataItems);
                this.filterToolbarService.setFilteredSortedDataItems(this.dataItems);
            }
            // apply filter/sort/search to the new data items
            this.filterToolbarService.mainFilterFunction();
        }
        // Handle changes to 'refreshing'
        if (refreshingChanges && !refreshingChanges.firstChange) {
            // reset the component if the refresh is set to false (dataItems active again) and no dataItems have been changed
            if (!refreshingChanges.currentValue && dataItemsChanges === undefined) {
                this.resetComponent();
            }
            // enable keyboard shortcuts after refreshing
            this.keyboardService.refreshing = refreshingChanges.currentValue;
        }
        // Handle changes to 'lockedDataItems'
        if (lockedDataItemsChanges && !lockedDataItemsChanges.firstChange) {
            this.keyboardService.lockedDataItems = lockedDataItemsChanges.currentValue;
        }
        // Handle changes to 'selectDataItem'
        if (selectDataItemChange && !selectDataItemChange.firstChange) {
            const index = this.inboxState.filteredDataItemsSubject$.value.findIndex((value) => this.dataItemsClass.getElemFromDataItemDisplayed(value, selectDataItemChange.currentValue.identifier) ===
                selectDataItemChange.currentValue.value);
            if (index !== -1) {
                // check if item is locked and if so, do not scroll to it or select it
                if (this.lockedDataItems.filter((item) => item.identifier === selectDataItemChange.currentValue.identifier &&
                    item.value === selectDataItemChange.currentValue.value).length > 0) {
                    // warning that data item is locked
                    console.warn('@talenra/ngx-inbox: The found data item with identifier: ' +
                        selectDataItemChange.currentValue.identifier +
                        ' and value: ' +
                        selectDataItemChange.currentValue.value +
                        ' is locked.');
                }
                else {
                    this.keyboardService.scrollToIndex = index;
                    this.clickedDataItemFunction(this.inboxState.filteredDataItemsSubject$.value[index]);
                }
            }
            else {
                // warning that no data item is found
                console.warn('@talenra/ngx-inbox: No filtered data item found with identifier: ' +
                    selectDataItemChange.currentValue.identifier +
                    ' and value: ' +
                    selectDataItemChange.currentValue.value +
                    '.');
            }
        }
        // Handle changes to 'usePagination'
        if (usePaginationChanges && !usePaginationChanges.firstChange) {
            // reset component
            this.resetComponent();
        }
        // Handle changes to 'attributes'
        if (attributesChanges && !attributesChanges.firstChange) {
            // reset component
            this.resetComponent();
        }
        // Handle changes to 'loading'
        if (loadingChanges && !loadingChanges.firstChange) {
            if (!loadingChanges.currentValue) {
                // reset subscriptions
                this.initializationSubscriptions.unsubscribe();
                this.initializationSubscriptions.closed = false;
                this.initializationSubscriptions.add(this.changedValuesService.filterSortChangedSubject$.subscribe((value) => {
                    if (!value) {
                        // set filtering state to false, if the no new filter is applied
                        // used after change in preset, to enable data items list
                        setTimeout(() => {
                            this.internalRefreshing = false;
                        }, 500);
                        // stop subscriptions after one time usage
                        this.initializationSubscriptions.unsubscribe();
                        this.initializationSubscriptions.closed = false;
                    }
                }));
                this.internalRefreshing = true;
                this.resetComponent();
            }
        }
    }
    /**
     * Unsubscribes from all subscriptions.
     * @internal
     **/
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
        this.detailViewSubscriptions.unsubscribe();
        this.mainFacadeSetterService.subscriptions.unsubscribe();
        this.mainFacadeSetterService.detailViewSubscriptions.unsubscribe();
    }
    /**
     * Main function to handle interactions with clicked icon buttons.
     * @param btn The clicked button.
     */
    iconBtnFunction(btn) {
        switch (btn) {
            case 'close':
                this.inboxDetailViewService.setDetailViewExpanded(false);
                break;
            case 'edit-note':
                this.inboxToolbarService.setAttributeSettingsState(true);
                break;
            case 'filter-list':
                this.inboxToolbarService.setAttributeSettingsState(true);
                this.inboxState.setSelectedSidePanelTab('3');
                break;
            case 'reorder':
            case 'vertical-split':
                this.inboxDetailViewService.setDetailViewExpanded(!this.inboxDetailViewService.detailViewExpanded$.value);
                this.inboxDetailViewService.setSelectedDetailViewTab('1');
                break;
            case 'compress':
                this.dataItemsService.setCompressedDataItem(!this.dataItemsService.compressedDataItem$.value);
                break;
            case 'more_vert-bulk':
                this.onDataItemsInteractions({
                    message: InteractedDataItemsMessageTypes.More,
                    dataItems: this.inboxHelperService.getBulkDataItemsList(this.dataItems, this.dataItemsService.selectedDataItemsIdList$.value),
                });
                break;
            case 'arrow-forward-bulk':
                this.onDataItemsInteractions({
                    message: InteractedDataItemsMessageTypes.Process,
                    dataItems: this.inboxHelperService.getBulkDataItemsList(this.dataItems, this.dataItemsService.selectedDataItemsIdList$.value),
                });
                break;
            case 'arrow-forward':
                this.dataItemsInteractions.emit({
                    dataItems: [this.dataItemsService.activeDataItem$.value],
                    message: InteractedDataItemsMessageTypes.Process,
                });
                break;
            case 'file-download':
                if (this.dataItems) {
                    this.csvService.downloadCSV();
                }
                break;
            case 'refresh':
                this.refreshing = true;
                this.keyboardService.refreshing = this.refreshing;
                this.mainFacadeSetterService.reOpenDetailViewAfterRefresh =
                    this.inboxDetailViewService.detailViewExpanded$.value;
                this.refreshingChange.emit(this.refreshing);
                break;
            default:
                break;
        }
    }
    handleChangesOnPreset(btn, attributesUsed) {
        const { updatePresetsService } = this;
        switch (btn) {
            case 'drag-drop':
                updatePresetsService.dragDropPresetInPresets(this.presetsService.dragDropGroupAndPreset$.value);
                break;
            case 'create-new-preset':
                updatePresetsService.setAllNewSettingsForPreset('create');
                break;
            case 'overwrite-preset':
                updatePresetsService.setAllNewSettingsForPreset('overwrite', attributesUsed);
                break;
            case 'visbility-off':
            case 'visbility-on':
                updatePresetsService.changeVisibilityOfPresetInPresets(updatePresetsService.newPresetName$.value, btn === 'visbility-on');
                break;
            case 'position-up':
            case 'position-down':
                const [group, preset] = updatePresetsService.newPresetName$.value;
                updatePresetsService.changePositionOfPresetInPresets(group, preset, btn === 'position-down');
                break;
            case 'delete-preset':
                updatePresetsService.deletePresetInPresets(updatePresetsService.newPresetName$.value);
                break;
            case 'rename-preset':
                updatePresetsService.renamePresetInPresets(updatePresetsService.currentRenamedPreset$.value);
                break;
            default:
                break;
        }
        this.callbackFunctionForPresetChanges();
    }
    /**
     * Event emitter for changes in the preset.
     */
    callbackFunctionForPresetChanges() {
        const presets = this.transformPresetGroupsToPresets(this.updatePresetsService.currentPresetGroup$.value);
        this.presetAction.emit({
            groupName: this.updatePresetsService.currentPresetAction$.value.groupName,
            newPresetName: this.updatePresetsService.currentPresetAction$.value.newPresetName,
            operation: this.updatePresetsService.currentPresetAction$.value.operation,
            presetName: this.updatePresetsService.currentPresetAction$.value.presetName,
            presets: presets,
        });
    }
    /**
     * Depending on the clicked data item button the corresponding event actions will be shown.
     * @param {InteractedDataItemsModel} event The interacted data items event.
     */
    onDataItemsInteractions(event) {
        this.dataItemsInteractions.emit(event);
    }
    /**
     * Auxiliary method to set the attributeSortOrFilterUsedSubject.
     */
    setAttributeSortOrFilterUsedSubjectFunction() {
        // check if there are changes in filter or sort
        const boolFilterSort = this.changedValuesInPresetGroups.get('sort') == true || this.changedValuesInPresetGroups.get('filter') == true;
        // check if there are changes in filter or sort and set the changed values
        if (this.changedValuesService.filterSortChangedSubject$.value !== boolFilterSort) {
            this.changedValuesService.setFilterSortChangedSubject$(boolFilterSort);
        }
    }
    /**
     * Handler for the selected main attributes.
     * @param selectedMainAttributes Selected main attributes.
     */
    selectedMainAttributesEmitterHandler(selectedMainAttributes) {
        this.inboxState.setSelectedMainAttributesSubject(selectedMainAttributes);
        this.selectedMainAttributesEmitter.emit(selectedMainAttributes.map((element) => element.identifier));
    }
    /**
     * Handler for the selected detail attributes.
     * @param selectedDetailAttributes Selected detail attributes.
     */
    selectedDetailAttributesEmitterHandler(selectedDetailAttributes) {
        this.inboxState.setSelectedDetailAttributesSubject(selectedDetailAttributes);
        this.selectedDetailAttributesEmitter.emit(selectedDetailAttributes.map((element) => element.identifier));
    }
    /**
     * Handler for the selected all attributes.
     * @param selectedAllAttributes Selected all attributes.
     */
    selectedAllAttributesHandler(selectedAllAttributes) {
        // create attributes array of the identifier
        const selectedAttributesStringArray = selectedAllAttributes.map((element) => element.identifier);
        // BUFFER HANDLER:
        // check if there are changes in attributes or attributesDetail,
        // necessary in click on select/deselect all attributes
        if (selectedAttributesStringArray !== this.allSelectedAttributesIdentifiers) {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            const pickedFilters = new Map();
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            const iconFilters = new Map();
            this.inboxState.activeFilterSortSearch.value.filterAttributes.forEach((element) => {
                pickedFilters.set(element.identifier, element.value);
            });
            this.inboxState.activeFilterSortSearch.value.iconAttributes.forEach((element) => {
                const inputString = element.identifier;
                const lastUnderscoreIndex = inputString.lastIndexOf('_');
                let secondPart = '';
                if (lastUnderscoreIndex !== -1) {
                    secondPart = inputString.substring(lastUnderscoreIndex + 1);
                }
                iconFilters.set(secondPart, element);
            });
            //the buffer will be created here with filter, iconFilter and sortFilter
            this.inboxState.setBufferFilterSort({
                filterAttributes: pickedFilters,
                iconFilterAttributes: iconFilters,
                sortAttributes: this.inboxState.activeFilterSortSearch.value.sortAttributes,
            });
            this.allSelectedAttributesIdentifiers = selectedAttributesStringArray;
        }
        this.inboxState.setSelectedAllAttributesSubject(selectedAllAttributes);
        this.selectedAllAttributesEmitter.emit(selectedAttributesStringArray);
        this.updatePresetsService.updateAttributeInPresets(this.activePresetName, selectedAttributesStringArray);
        // check if views are available
        if (this.presets.length > 0) {
            this.handleChangesOnPreset('overwrite-preset', true);
        }
        //check if attributes are changed compared to active preset saved in preset
        this.changedValuesService.setPresetGroupsAndCompareIfChangedAttributes(this.inboxState.selectedMainAttributesSubject$.value, this.inboxState.selectedDetailAttributesSubject$.value, this.mainFacadeSetterService.numberMainAttributesChosenByUser$.value, this.inboxState.presetGroups$.value);
    }
    /**
     * Sets the number of main attributes chosen by the user.-
     * @param $event The number value that is chosen by the user to show the main attributes.
     */
    numberMainAttributesChosenByUserHandler($event) {
        this.mainFacadeSetterService.setNumberMainAttributesChosenByUser($event);
    }
    /**
     * Handler if the inbox is to be reset.
     * @param bool
     */
    resetPresetEmitterHandler(bool) {
        if (bool) {
            // trigger subscription of presets to reset the preset
            this.inboxState.setActivePresetName(this.inboxState.activePresetName$.value);
            // reset the component
            this.initializeComponent();
        }
    }
    /**
     * Handler for the clicked data item.
     * @param dataItem The clicked data item.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    clickedDataItemFunction(dataItem) {
        if (dataItem &&
            this.dataItemsService.activeDataItem$.value &&
            dataItem['inboxId'] !== undefined &&
            this.dataItemsService.activeDataItem$.value['inboxId'] !== undefined &&
            dataItem['inboxId'] !== this.dataItemsService.activeDataItem$.value['inboxId']) {
            this.clickedDataItemEmitter.emit(dataItem);
        }
        else if (dataItem === undefined && this.dataItemsService.activeDataItem$.value !== undefined) {
            this.clickedDataItemEmitter.emit(dataItem);
        }
        else if (dataItem !== undefined && this.dataItemsService.activeDataItem$.value === undefined) {
            this.clickedDataItemEmitter.emit(dataItem);
        }
        this.dataItemsService.setActiveDataItem(dataItem);
    }
    /**
     * Handler for the change of number of marked data items.
     * @param $event
     */
    numberMarkedDataItemsChange($event) {
        this.numberMarkedDataItems = $event;
        this.changeDetectorRef.detectChanges();
    }
    /**
     * An interface to transform the delivered presets: Preset[] into the necessary PresetGroup[] format.
     * @param presets The presets which are delivered.
     * @param parentGroupName The name of the parent group.
     * @returns The transformed presets.
     */
    transformPresetsToPresetGroups(presets, parentGroupName = null) {
        return presets.map((option) => {
            const transformedOption = {
                identifier: option.identifier,
                name: option.name,
                visible: option.visible !== undefined ? option.visible : true,
                changeable: option.changeable !== undefined ? option.changeable : false,
                numberMainAttributesChosenByUser: option.numberMainAttributesChosenByUser !== undefined ? option.numberMainAttributesChosenByUser : 12,
                selectedAttributes: option.selectedAttributes || [],
                sortAttributes: option.sortAttributes || [],
                filterAttributes: option.filterAttributes || [],
                iconAttributes: option.iconAttributes || [],
            };
            const groupName = parentGroupName || option.name;
            let childOptions = [];
            if (option.children && option.children.length > 0) {
                childOptions = option.children.map((childOption) => ({
                    identifier: childOption.identifier,
                    name: childOption.name,
                    visible: childOption.visible !== undefined ? childOption.visible : true,
                    changeable: childOption.changeable !== undefined ? childOption.changeable : true,
                    numberMainAttributesChosenByUser: childOption.numberMainAttributesChosenByUser !== undefined
                        ? childOption.numberMainAttributesChosenByUser
                        : 12,
                    selectedAttributes: childOption.selectedAttributes || [],
                    sortAttributes: childOption.sortAttributes || [],
                    filterAttributes: childOption.filterAttributes || [],
                    iconAttributes: childOption.iconAttributes || [],
                }));
            }
            return {
                groupName,
                presets: [transformedOption, ...childOptions],
            };
        });
    }
    /**
     * An interface to transform the preset: PresetGroup[] into the necessary Preset[] format
     * to send it to the consuming application.
     * @param presetGroups The preset which are delivered.
     * @returns The transformed preset.
     */
    transformPresetGroupsToPresets(presetGroups) {
        if (!presetGroups || presetGroups.length === 0) {
            return [];
        }
        // the transformed presets
        const transformedPresets = [];
        // iterate over every preset group to get the presets
        presetGroups.forEach((group) => {
            // get the first preset of the group which is the parent preset
            const transformedGroupToPreset = group.presets[0];
            // add the remaining children as presets of the parent preset
            transformedGroupToPreset.children = group.presets.slice(1, group.presets.length);
            // add the parent preset to the transformed presets
            transformedPresets.push(transformedGroupToPreset);
        });
        return transformedPresets;
    }
    /**
     * Subscribes to the changes in the inbox. Values are provided by the changed values service.
     */
    recognizeChangesInInbox() {
        // all the possible subjects to subscribe to
        const subjects = [
            this.changedValuesService.attributesMainChangedSubject$,
            this.changedValuesService.attributesDetailChangedSubject$,
            this.changedValuesService.numberMainAttributesChosenByUserChangedSubject$,
            this.changedValuesService.sortChangedSubject$,
            this.changedValuesService.filterChangedSubject$,
        ];
        subjects.forEach((subject) => {
            this.subscriptions.add(subject.subscribe((result) => {
                // get if the changed values are in the preset groups
                const key = subject === this.changedValuesService.attributesMainChangedSubject$
                    ? 'attributesMain'
                    : subject === this.changedValuesService.attributesDetailChangedSubject$
                        ? 'attributesDetail'
                        : subject === this.changedValuesService.numberMainAttributesChosenByUserChangedSubject$
                            ? 'numberMainAttributesChosenByUser'
                            : subject === this.changedValuesService.sortChangedSubject$
                                ? 'sort'
                                : subject === this.changedValuesService.filterChangedSubject$
                                    ? 'filter'
                                    : '';
                // set the changed values in the preset groups
                if (key) {
                    this.changedValuesInPresetGroups.set(key, result.changed);
                    // checks if the filter or sort is used and sets special subject for filter toolbar ui
                    this.setAttributeSortOrFilterUsedSubjectFunction();
                }
            }));
        });
    }
    /**
     * Handler for the paginator state change.
     * @param paginatorState The paginator state.
     */
    onPaginatorStateChange(paginatorState) {
        this.paginatorState = paginatorState;
        // TODO: will change with removal of filtering in inbox
        const filterSortSearch = {
            filterAttributes: this.filterToolbarService.transformActiveFilter(this.inboxState.activeFilterSortSearch.value.filterAttributes),
            iconAttributes: this.inboxState.activeFilterSortSearch.value.iconAttributes,
            searchText: this.inboxState.activeFilterSortSearch.value.searchText,
            sortAttributes: this.inboxState.activeFilterSortSearch.value.sortAttributes,
        };
        this.filterSortSearchEmitter.emit(filterSortSearch);
        this.paginatorStateChange.emit(paginatorState);
    }
    /**
     * Initializes the component for paginator usage.
     * @private
     */
    initializeComponentForPaginatorUsage() {
        // check if the inbox configuration values are set else disable inbox filtering and sorting if pagination is used
        if (this.inboxState.inboxConfiguration$.value.disableInboxFiltering === undefined) {
            this.inboxState.inboxConfiguration$.value.disableInboxFiltering = this.usePagination;
        }
        if (this.inboxState.inboxConfiguration$.value.disableInboxSorting === undefined) {
            this.inboxState.inboxConfiguration$.value.disableInboxSorting = this.usePagination;
        }
    }
    /**
     * CompareElem is used to compare two elements of the filterSortSearch model.
     * @param a First element to compare.
     * @param b Second element to compare.
     */
    compareFilterSortSearch(a, b) {
        // compare null values
        if (a === b)
            return true;
        if (a == null || b == null)
            return false;
        // compare search string
        if (a.searchText !== b.searchText)
            return false;
        // compare length of arrays
        if (a.filterAttributes.length !== b.filterAttributes.length)
            return false;
        if (a.iconAttributes.length !== b.iconAttributes.length)
            return false;
        if (a.sortAttributes.length !== b.sortAttributes.length)
            return false;
        // compare filter attributes
        for (let i = 0; i < a.filterAttributes.length; ++i) {
            if (a.filterAttributes[i] !== b.filterAttributes[i])
                return false;
        }
        // compare icon attributes
        for (let i = 0; i < a.iconAttributes.length; ++i) {
            if (a.iconAttributes[i] !== b.iconAttributes[i])
                return false;
        }
        // compare sort attributes
        for (let i = 0; i < a.sortAttributes.length; ++i) {
            if (a.sortAttributes[i] !== b.sortAttributes[i])
                return false;
        }
        return true;
    }
    /**
     * Resets the inbox component.
     */
    resetComponent() {
        this.subscriptions.unsubscribe();
        this.subscriptions.closed = false;
        // check if the presets are used
        if (this.presets.length > 0) {
            this.initializeComponentForViewUsage();
        }
        // initialize the inbox for paginator usage
        this.initializeComponentForPaginatorUsage();
        // initialize the component
        this.initializeComponent();
    }
    /**
     * Set locked attributes from the filter and sort selection.
     */
    setLockedAttributes(value) {
        const lockedFilterAttributes = value.filterAttributes.map((attribute) => {
            return { origin: 'filter', identifier: attribute.identifier };
        });
        const lockedSortAttributes = value.sortAttributes.map((attribute) => {
            return { origin: 'sort', identifier: attribute.identifier };
        });
        this.lockedAttributes = lockedFilterAttributes.concat(lockedSortAttributes);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.9", type: InboxComponent, selector: "talenra-inbox, talenra-workspace-inbox", inputs: { dataItems: { classPropertyName: "dataItems", publicName: "dataItems", isSignal: false, isRequired: false, transformFunction: null }, attributes: { classPropertyName: "attributes", publicName: "attributes", isSignal: false, isRequired: true, transformFunction: null }, presets: { classPropertyName: "presets", publicName: "presets", isSignal: false, isRequired: false, transformFunction: null }, activePresetName: { classPropertyName: "activePresetName", publicName: "activePresetName", isSignal: false, isRequired: false, transformFunction: null }, detailViewTabs: { classPropertyName: "detailViewTabs", publicName: "detailViewTabs", isSignal: true, isRequired: false, transformFunction: null }, loading: { classPropertyName: "loading", publicName: "loading", isSignal: false, isRequired: false, transformFunction: null }, pairingAttributes: { classPropertyName: "pairingAttributes", publicName: "pairingAttributes", isSignal: false, isRequired: false, transformFunction: null }, noteBoxItems: { classPropertyName: "noteBoxItems", publicName: "noteBoxItems", isSignal: false, isRequired: false, transformFunction: null }, refreshing: { classPropertyName: "refreshing", publicName: "refreshing", isSignal: false, isRequired: false, transformFunction: null }, selectDataItem: { classPropertyName: "selectDataItem", publicName: "selectDataItem", isSignal: false, isRequired: false, transformFunction: null }, lockedDataItems: { classPropertyName: "lockedDataItems", publicName: "lockedDataItems", isSignal: false, isRequired: false, transformFunction: null }, usePagination: { classPropertyName: "usePagination", publicName: "usePagination", isSignal: false, isRequired: false, transformFunction: booleanAttribute }, paginatorState: { classPropertyName: "paginatorState", publicName: "paginatorState", isSignal: false, isRequired: false, transformFunction: null }, query: { classPropertyName: "query", publicName: "query", isSignal: true, isRequired: false, transformFunction: null }, possibleRules: { classPropertyName: "possibleRules", publicName: "possibleRules", isSignal: true, isRequired: false, transformFunction: null }, possibleOptions: { classPropertyName: "possibleOptions", publicName: "possibleOptions", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { query: "queryChange", clickedDataItemEmitter: "clickedDataItemEmitter", dataItemsInteractions: "dataItemsInteractions", presetAction: "presetAction", virtualScrollerPosition: "virtualScrollerPosition", selectedMainAttributesEmitter: "selectedMainAttributesEmitter", selectedDetailAttributesEmitter: "selectedDetailAttributesEmitter", selectedAllAttributesEmitter: "selectedAllAttributesEmitter", filterSortSearchEmitter: "filterSortSearchEmitter", refreshingChange: "refreshingChange", paginatorStateChange: "paginatorStateChange" }, usesOnChanges: true, ngImport: i0, template: "<talenra-attributes-settings-layout\n  (isExpandedChange)=\"inboxToolbarService.setAttributeSettingsState($event)\"\n  (numberMainAttributesChosenByUserEmitter)=\"numberMainAttributesChosenByUserHandler($event)\"\n  (selectedAllAttributesEmitter)=\"selectedAllAttributesHandler($event)\"\n  (selectedDetailAttributesEmitter)=\"selectedDetailAttributesEmitterHandler($event)\"\n  (selectedMainAttributesEmitter)=\"selectedMainAttributesEmitterHandler($event)\"\n  *ngIf=\"!loading && (mainFacadeSetterService.allAttributes$ | async) as attributeList; else skeletonLoading\"\n  [(query)]=\"query\"\n  [(selectedTab)]=\"inboxState.selectedSidePanelTab\"\n  [attributesSettingsList]=\"attributeList\"\n  [isExpanded]=\"inboxToolbarService.attributesSettingsExpanded$.value\"\n  [lockedAttributes]=\"lockedAttributes\"\n  [maxAttributesShown]=\"mainFacadeSetterService.maxMainAttributes\"\n  [numberMainAttributesChosenByUser]=\"mainFacadeSetterService.numberMainAttributesChosenByUser$.value\"\n  [possibleOptions]=\"possibleOptions()\"\n  [possibleRules]=\"possibleRules()\"\n  [selectedDetailAttributes]=\"inboxState.selectedDetailAttributesSubject$.value\"\n  [selectedMainAttributes]=\"inboxState.selectedMainAttributesSubject$.value\">\n  <div\n    [class.toolbar-scroll-shadow]=\"inboxHelperService.startIndexDataItemsListSubject$.value > 1\"\n    class=\"toolbar-group\">\n    <talenra-inbox-toolbar\n      (iconBtn)=\"iconBtnFunction($event)\"\n      (presetInteractions)=\"handleChangesOnPreset($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableToolbar\"\n      [(checkboxState)]=\"mainCheckboxState\"\n      [disableBulkInteractionButtons]=\"numberMarkedDataItems <= 1\"\n      [fcn]=\"searchFieldFcn\"\n      [fixDisableDetailViewToggle]=\"keyboardService.disabledButtonNoDataItemFound\"\n      [maxLength]=\"searchFieldMaxLength\"\n      [numberMarkedDataItems]=\"numberMarkedDataItems\"\n      [presetGroups]=\"inboxState.presetGroups$.value\"\n      [refreshing]=\"refreshing\"\n      [searchForm]=\"mainFacadeSetterService.searchField\">\n      <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-toolbar-menu]\"></ng-content>\n      <ng-content ngProjectAs=\"[custom-toolbar-space]\" select=\"[custom-toolbar-space]\"></ng-content>\n    </talenra-inbox-toolbar>\n    <talenra-filter-toolbar\n      (resetPresetEmitter)=\"resetPresetEmitterHandler($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableFilterToolbar\"\n      [dataItemsLength]=\"dataItems?.length\"\n      [iconFilters]=\"mainFacadeSetterService.iconSelection$.value\"\n      [presetGroups]=\"inboxState.presetGroups$.value\"\n      [searchedAndFilteredDataItemsLength]=\"inboxState.filteredDataItemsSubject$.value.length\"></talenra-filter-toolbar>\n  </div>\n  <talenra-inbox-layout\n    *ngIf=\"!refreshing && !internalRefreshing\"\n    [class.header-hide]=\"inboxHelperService.startIndexDataItemsListSubject$.value > 1\"\n    [detailViewInformationTabBarItems]=\"inboxDetailViewTabs()\"\n    [usePagination]=\"usePagination\">\n    <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList || dataItems === (undefined || null)\">\n      <talenra-data-items-list\n        (clickedDataItem)=\"clickedDataItemFunction($event)\"\n        (dataItemsInteractions)=\"onDataItemsInteractions($event)\"\n        (numberMarkedDataItemsChange)=\"numberMarkedDataItemsChange($event)\"\n        (virtualScrollChange)=\"inboxHelperService.onScrollChange($event)\"\n        [(mainCheckboxState)]=\"mainCheckboxState\"\n        [dataItems]=\"inboxState.filteredDataItemsSubject$.value\"\n        [lockedDataItems]=\"lockedDataItems\"\n        [pairingAttributes]=\"pairingAttributes\"\n        [scrollToIndex]=\"keyboardService.scrollToIndex\"\n        [selectedDataItem]=\"dataItemsService.activeDataItem$ | async\"\n        [selectedMainAttributes]=\"inboxState.selectedMainAttributesSubject$.value\">\n        <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-data-item-menu]\"></ng-content>\n      </talenra-data-items-list>\n    </div>\n    @if (usePagination) {\n      <div inbox-paginator>\n        <div class=\"pagination-container\">\n          <talenra-paginator\n            (stateChange)=\"onPaginatorStateChange($event)\"\n            [state]=\"paginatorState\"\n            showMoveFirstLastButtons\n            useResponsiveMode></talenra-paginator>\n        </div>\n      </div>\n    }\n    <div *ngIf=\"inboxState.inboxConfiguration$.value.disableDataItemsList\">\n      <ng-container\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList; else customDataItemsList\"></ng-container>\n    </div>\n    <div inbox-note-box>\n      <div\n        *ngIf=\"\n          inboxState.inboxConfiguration$.value.useCustomNoteBox && !inboxState.inboxConfiguration$.value.disableNoteBox;\n          else standardNoteBox\n        \">\n        <ng-content select=\"[inbox-note-box]\"></ng-content>\n      </div>\n    </div>\n    <ng-container ngProjectAs=\"[data-item-information-outlet]\">\n      @for (dataItemInformationItem of inboxDetailViewTabs(); track dataItemInformationItem.label; let index = $index) {\n        <talenra-detail-view-information [detailViewTab]=\"dataItemInformationItem\">\n          <div\n            *ngIf=\"\n              dataItemInformationItem['key'] === '1' &&\n              inboxState.inboxConfiguration$.value.disableDetailViewMainTab !== true\n            \">\n            <p class=\"panel-title\">\n              {{\n                inboxState.inboxConfiguration$.value.detailViewMainTabTitle\n                  ? inboxState.inboxConfiguration$.value.detailViewMainTabTitle\n                  : 'Informationen zum Fall'\n              }}\n            </p>\n            <p class=\"pairs\">\n              @for (\n                dataItemInformationItem of inboxState.selectedDetailAttributesSubject$ | async;\n                track dataItemInformationItem.identifier;\n                let index = $index\n              ) {\n                <div class=\"pair\">\n                  <div\n                    *ngIf=\"\n                      dataItemsService.activeDataItem$.value && index <= mainFacadeSetterService.maxAttributesDetail\n                    \"\n                    class=\"label\">\n                    {{ dataItemInformationItem.label }}\n                  </div>\n                  <div\n                    *ngIf=\"\n                      dataItemsService.activeDataItem$.value && index <= mainFacadeSetterService.maxAttributesDetail\n                    \"\n                    [textToCopy]=\"\n                      dataItemsClass.getElemFromDataItemDisplayed(\n                        dataItemsService.activeDataItem$.value,\n                        dataItemInformationItem.identifier\n                      )\n                    \"\n                    class=\"value\">\n                    {{\n                      dataItemsClass.getElemFromDataItemDisplayed(\n                        dataItemsService.activeDataItem$.value,\n                        dataItemInformationItem.identifier\n                      )\n                    }}\n                  </div>\n                </div>\n              }\n            </p>\n          </div>\n          @for (detailViewTabs of detailViewTabs(); track detailViewTabs.label; let index1 = $index) {\n            <ng-container\n              *ngIf=\"\n                (dataItemInformationItem['key'] === (index1 + 2).toString() &&\n                  !inboxState.inboxConfiguration$.value.disableDetailViewMainTab) ||\n                (inboxState.inboxConfiguration$.value.disableDetailViewMainTab &&\n                  dataItemInformationItem['key'] === (index1 + 1).toString())\n              \">\n              <ng-container\n                *ngTemplateOutlet=\"\n                  detailViewTabs.detailViewTabContentTemplate\n                    ? detailViewTabs.detailViewTabContentTemplate\n                    : detailViewTabContent\n                \"></ng-container>\n            </ng-container>\n          }\n        </talenra-detail-view-information>\n      }\n    </ng-container>\n  </talenra-inbox-layout>\n  <div *ngIf=\"refreshing || internalRefreshing\">\n    <ng-container\n      *ngIf=\"\n        inboxState.inboxConfiguration$.value.disableDataItemsList && !internalRefreshing;\n        else standardDataItemsSkeleton\n      \">\n      <ng-container\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList; else customDataItemsList\"></ng-container>\n    </ng-container>\n    <ng-template #standardDataItemsSkeleton>\n      <talenra-skeleton-loading-data-items-list\n        class=\"skeleton-loading-data-items-list\"></talenra-skeleton-loading-data-items-list>\n    </ng-template>\n  </div>\n</talenra-attributes-settings-layout>\n\n<ng-template #skeletonLoading>\n  <talenra-inbox-skeleton-loading></talenra-inbox-skeleton-loading>\n</ng-template>\n\n<ng-template #standardNoteBox>\n  <talenra-inbox-note-box\n    *ngIf=\"\n      !inboxState.inboxConfiguration$.value.disableNoteBox && !inboxState.inboxConfiguration$.value.useCustomNoteBox\n    \"\n    [noteBoxItems]=\"inboxHelperService.getSelectedDataItemNotes(noteBoxItems)\">\n  </talenra-inbox-note-box>\n</ng-template>\n\n<ng-template #customDataItemsList>\n  <ng-content select=\"[custom-data-items-list]\"></ng-content>\n</ng-template>\n\n<ng-template #detailViewTabContent></ng-template>\n", styles: [":host ::ng-deep .ng-dropdown-panel.ng-select-bottom{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;top:100%;--color-background: #ffffff;--color-label: #666666;--color-text: #000000}.toolbar-group{margin-right:1rem}.toolbar-scroll-shadow{box-shadow:0 2px 5px #0003}.pagination-container{background-color:var(--color-background);color:var(--color-text);margin:.125rem 0 0;padding:.25rem 1rem 0}.panel-title{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;margin-top:1.3125rem;margin-bottom:.8125rem;padding-bottom:.3125rem}.pairs{margin:0 0 .8125rem;cursor:pointer}.pair{display:flex;flex-direction:column;flex-wrap:nowrap;margin-bottom:.625rem}.label{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-label);width:fit-content}.value{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;width:fit-content}.skeleton-loading-data-items-list{padding:.5rem .5rem 0 0;margin-right:.5rem}.appearance--dark :host{--color-background: #cccccc;--color-label: #666666;--color-text: #cccccc}\n"], dependencies: [{ kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: DetailViewInformationComponent, selector: "talenra-detail-view-information", inputs: ["detailViewTab"] }, { kind: "component", type: InboxNoteBoxComponent, selector: "talenra-inbox-note-box", inputs: ["noteBoxItems"] }, { kind: "component", type: i4$3.PaginatorComponent, selector: "talenra-paginator", inputs: ["state", "dynamicLocale", "showFirstLastButtons", "hideItemsPerPage", "useResponsiveMode"], outputs: ["stateChange"] }, { kind: "directive", type: i8$1.CopyContentDirective, selector: "[textToCopy]", inputs: ["textToCopy", "copyContentPosition", "copyContentNegativeColor", "copyContentTooltip"] }, { kind: "component", type: InboxToolbarComponent, selector: "talenra-inbox-toolbar", inputs: ["presetGroups", "fcn", "maxLength", "searchForm", "disableBulkInteractionButtons", "fixDisableDetailViewToggle", "numberMarkedDataItems", "refreshing", "checkboxState"], outputs: ["iconBtn", "presetInteractions", "deletePreset", "changePresetName", "checkboxStateChange"] }, { kind: "component", type: DataItemsListComponent, selector: "talenra-data-items-list", inputs: ["dataItems", "selectedDataItem", "selectedMainAttributes", "pairingAttributes", "scrollToIndex", "lockedDataItems", "mainCheckboxState"], outputs: ["clickedDataItem", "dataItemsInteractions", "virtualScrollChange", "numberMarkedDataItemsChange", "mainCheckboxStateChange"] }, { kind: "component", type: InboxLayoutComponent, selector: "talenra-inbox-layout", inputs: ["detailViewInformationTabBarItems", "usePagination"] }, { kind: "component", type: AttributesSettingsLayoutComponent, selector: "talenra-attributes-settings-layout", inputs: ["attributesSettingsList", "maxAttributesShown", "numberMainAttributesChosenByUser", "isExpanded", "selectedMainAttributes", "selectedDetailAttributes", "lockedAttributes", "selectedTab", "query", "possibleRules", "possibleOptions"], outputs: ["selectedTabChange", "queryChange", "selectedMainAttributesEmitter", "selectedDetailAttributesEmitter", "selectedAllAttributesEmitter", "isExpandedChange", "numberMainAttributesChosenByUserEmitter"] }, { kind: "component", type: FilterToolbarComponent, selector: "talenra-filter-toolbar", inputs: ["presetGroups", "dataItemsLength", "searchedAndFilteredDataItemsLength", "iconFilters"], outputs: ["resetPresetEmitter"] }, { kind: "component", type: InboxSkeletonLoadingComponent, selector: "talenra-inbox-skeleton-loading" }, { kind: "component", type: SkeletonLoadingDataItemsListComponent, selector: "talenra-skeleton-loading-data-items-list" }, { kind: "pipe", type: i2$2.AsyncPipe, name: "async" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox, talenra-workspace-inbox', template: "<talenra-attributes-settings-layout\n  (isExpandedChange)=\"inboxToolbarService.setAttributeSettingsState($event)\"\n  (numberMainAttributesChosenByUserEmitter)=\"numberMainAttributesChosenByUserHandler($event)\"\n  (selectedAllAttributesEmitter)=\"selectedAllAttributesHandler($event)\"\n  (selectedDetailAttributesEmitter)=\"selectedDetailAttributesEmitterHandler($event)\"\n  (selectedMainAttributesEmitter)=\"selectedMainAttributesEmitterHandler($event)\"\n  *ngIf=\"!loading && (mainFacadeSetterService.allAttributes$ | async) as attributeList; else skeletonLoading\"\n  [(query)]=\"query\"\n  [(selectedTab)]=\"inboxState.selectedSidePanelTab\"\n  [attributesSettingsList]=\"attributeList\"\n  [isExpanded]=\"inboxToolbarService.attributesSettingsExpanded$.value\"\n  [lockedAttributes]=\"lockedAttributes\"\n  [maxAttributesShown]=\"mainFacadeSetterService.maxMainAttributes\"\n  [numberMainAttributesChosenByUser]=\"mainFacadeSetterService.numberMainAttributesChosenByUser$.value\"\n  [possibleOptions]=\"possibleOptions()\"\n  [possibleRules]=\"possibleRules()\"\n  [selectedDetailAttributes]=\"inboxState.selectedDetailAttributesSubject$.value\"\n  [selectedMainAttributes]=\"inboxState.selectedMainAttributesSubject$.value\">\n  <div\n    [class.toolbar-scroll-shadow]=\"inboxHelperService.startIndexDataItemsListSubject$.value > 1\"\n    class=\"toolbar-group\">\n    <talenra-inbox-toolbar\n      (iconBtn)=\"iconBtnFunction($event)\"\n      (presetInteractions)=\"handleChangesOnPreset($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableToolbar\"\n      [(checkboxState)]=\"mainCheckboxState\"\n      [disableBulkInteractionButtons]=\"numberMarkedDataItems <= 1\"\n      [fcn]=\"searchFieldFcn\"\n      [fixDisableDetailViewToggle]=\"keyboardService.disabledButtonNoDataItemFound\"\n      [maxLength]=\"searchFieldMaxLength\"\n      [numberMarkedDataItems]=\"numberMarkedDataItems\"\n      [presetGroups]=\"inboxState.presetGroups$.value\"\n      [refreshing]=\"refreshing\"\n      [searchForm]=\"mainFacadeSetterService.searchField\">\n      <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-toolbar-menu]\"></ng-content>\n      <ng-content ngProjectAs=\"[custom-toolbar-space]\" select=\"[custom-toolbar-space]\"></ng-content>\n    </talenra-inbox-toolbar>\n    <talenra-filter-toolbar\n      (resetPresetEmitter)=\"resetPresetEmitterHandler($event)\"\n      *ngIf=\"!inboxState.inboxConfiguration$.value.disableFilterToolbar\"\n      [dataItemsLength]=\"dataItems?.length\"\n      [iconFilters]=\"mainFacadeSetterService.iconSelection$.value\"\n      [presetGroups]=\"inboxState.presetGroups$.value\"\n      [searchedAndFilteredDataItemsLength]=\"inboxState.filteredDataItemsSubject$.value.length\"></talenra-filter-toolbar>\n  </div>\n  <talenra-inbox-layout\n    *ngIf=\"!refreshing && !internalRefreshing\"\n    [class.header-hide]=\"inboxHelperService.startIndexDataItemsListSubject$.value > 1\"\n    [detailViewInformationTabBarItems]=\"inboxDetailViewTabs()\"\n    [usePagination]=\"usePagination\">\n    <div *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList || dataItems === (undefined || null)\">\n      <talenra-data-items-list\n        (clickedDataItem)=\"clickedDataItemFunction($event)\"\n        (dataItemsInteractions)=\"onDataItemsInteractions($event)\"\n        (numberMarkedDataItemsChange)=\"numberMarkedDataItemsChange($event)\"\n        (virtualScrollChange)=\"inboxHelperService.onScrollChange($event)\"\n        [(mainCheckboxState)]=\"mainCheckboxState\"\n        [dataItems]=\"inboxState.filteredDataItemsSubject$.value\"\n        [lockedDataItems]=\"lockedDataItems\"\n        [pairingAttributes]=\"pairingAttributes\"\n        [scrollToIndex]=\"keyboardService.scrollToIndex\"\n        [selectedDataItem]=\"dataItemsService.activeDataItem$ | async\"\n        [selectedMainAttributes]=\"inboxState.selectedMainAttributesSubject$.value\">\n        <ng-content ngProjectAs=\"[further-actions-menu]\" select=\"[further-actions-data-item-menu]\"></ng-content>\n      </talenra-data-items-list>\n    </div>\n    @if (usePagination) {\n      <div inbox-paginator>\n        <div class=\"pagination-container\">\n          <talenra-paginator\n            (stateChange)=\"onPaginatorStateChange($event)\"\n            [state]=\"paginatorState\"\n            showMoveFirstLastButtons\n            useResponsiveMode></talenra-paginator>\n        </div>\n      </div>\n    }\n    <div *ngIf=\"inboxState.inboxConfiguration$.value.disableDataItemsList\">\n      <ng-container\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList; else customDataItemsList\"></ng-container>\n    </div>\n    <div inbox-note-box>\n      <div\n        *ngIf=\"\n          inboxState.inboxConfiguration$.value.useCustomNoteBox && !inboxState.inboxConfiguration$.value.disableNoteBox;\n          else standardNoteBox\n        \">\n        <ng-content select=\"[inbox-note-box]\"></ng-content>\n      </div>\n    </div>\n    <ng-container ngProjectAs=\"[data-item-information-outlet]\">\n      @for (dataItemInformationItem of inboxDetailViewTabs(); track dataItemInformationItem.label; let index = $index) {\n        <talenra-detail-view-information [detailViewTab]=\"dataItemInformationItem\">\n          <div\n            *ngIf=\"\n              dataItemInformationItem['key'] === '1' &&\n              inboxState.inboxConfiguration$.value.disableDetailViewMainTab !== true\n            \">\n            <p class=\"panel-title\">\n              {{\n                inboxState.inboxConfiguration$.value.detailViewMainTabTitle\n                  ? inboxState.inboxConfiguration$.value.detailViewMainTabTitle\n                  : 'Informationen zum Fall'\n              }}\n            </p>\n            <p class=\"pairs\">\n              @for (\n                dataItemInformationItem of inboxState.selectedDetailAttributesSubject$ | async;\n                track dataItemInformationItem.identifier;\n                let index = $index\n              ) {\n                <div class=\"pair\">\n                  <div\n                    *ngIf=\"\n                      dataItemsService.activeDataItem$.value && index <= mainFacadeSetterService.maxAttributesDetail\n                    \"\n                    class=\"label\">\n                    {{ dataItemInformationItem.label }}\n                  </div>\n                  <div\n                    *ngIf=\"\n                      dataItemsService.activeDataItem$.value && index <= mainFacadeSetterService.maxAttributesDetail\n                    \"\n                    [textToCopy]=\"\n                      dataItemsClass.getElemFromDataItemDisplayed(\n                        dataItemsService.activeDataItem$.value,\n                        dataItemInformationItem.identifier\n                      )\n                    \"\n                    class=\"value\">\n                    {{\n                      dataItemsClass.getElemFromDataItemDisplayed(\n                        dataItemsService.activeDataItem$.value,\n                        dataItemInformationItem.identifier\n                      )\n                    }}\n                  </div>\n                </div>\n              }\n            </p>\n          </div>\n          @for (detailViewTabs of detailViewTabs(); track detailViewTabs.label; let index1 = $index) {\n            <ng-container\n              *ngIf=\"\n                (dataItemInformationItem['key'] === (index1 + 2).toString() &&\n                  !inboxState.inboxConfiguration$.value.disableDetailViewMainTab) ||\n                (inboxState.inboxConfiguration$.value.disableDetailViewMainTab &&\n                  dataItemInformationItem['key'] === (index1 + 1).toString())\n              \">\n              <ng-container\n                *ngTemplateOutlet=\"\n                  detailViewTabs.detailViewTabContentTemplate\n                    ? detailViewTabs.detailViewTabContentTemplate\n                    : detailViewTabContent\n                \"></ng-container>\n            </ng-container>\n          }\n        </talenra-detail-view-information>\n      }\n    </ng-container>\n  </talenra-inbox-layout>\n  <div *ngIf=\"refreshing || internalRefreshing\">\n    <ng-container\n      *ngIf=\"\n        inboxState.inboxConfiguration$.value.disableDataItemsList && !internalRefreshing;\n        else standardDataItemsSkeleton\n      \">\n      <ng-container\n        *ngIf=\"!inboxState.inboxConfiguration$.value.disableDataItemsList; else customDataItemsList\"></ng-container>\n    </ng-container>\n    <ng-template #standardDataItemsSkeleton>\n      <talenra-skeleton-loading-data-items-list\n        class=\"skeleton-loading-data-items-list\"></talenra-skeleton-loading-data-items-list>\n    </ng-template>\n  </div>\n</talenra-attributes-settings-layout>\n\n<ng-template #skeletonLoading>\n  <talenra-inbox-skeleton-loading></talenra-inbox-skeleton-loading>\n</ng-template>\n\n<ng-template #standardNoteBox>\n  <talenra-inbox-note-box\n    *ngIf=\"\n      !inboxState.inboxConfiguration$.value.disableNoteBox && !inboxState.inboxConfiguration$.value.useCustomNoteBox\n    \"\n    [noteBoxItems]=\"inboxHelperService.getSelectedDataItemNotes(noteBoxItems)\">\n  </talenra-inbox-note-box>\n</ng-template>\n\n<ng-template #customDataItemsList>\n  <ng-content select=\"[custom-data-items-list]\"></ng-content>\n</ng-template>\n\n<ng-template #detailViewTabContent></ng-template>\n", styles: [":host ::ng-deep .ng-dropdown-panel.ng-select-bottom{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;top:100%;--color-background: #ffffff;--color-label: #666666;--color-text: #000000}.toolbar-group{margin-right:1rem}.toolbar-scroll-shadow{box-shadow:0 2px 5px #0003}.pagination-container{background-color:var(--color-background);color:var(--color-text);margin:.125rem 0 0;padding:.25rem 1rem 0}.panel-title{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;margin-top:1.3125rem;margin-bottom:.8125rem;padding-bottom:.3125rem}.pairs{margin:0 0 .8125rem;cursor:pointer}.pair{display:flex;flex-direction:column;flex-wrap:nowrap;margin-bottom:.625rem}.label{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:var(--color-label);width:fit-content}.value{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;width:fit-content}.skeleton-loading-data-items-list{padding:.5rem .5rem 0 0;margin-right:.5rem}.appearance--dark :host{--color-background: #cccccc;--color-label: #666666;--color-text: #cccccc}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { dataItems: [{
                type: Input
            }], attributes: [{
                type: Input,
                args: [{ required: true }]
            }], presets: [{
                type: Input
            }], activePresetName: [{
                type: Input
            }], loading: [{
                type: Input
            }], pairingAttributes: [{
                type: Input
            }], noteBoxItems: [{
                type: Input
            }], refreshing: [{
                type: Input
            }], selectDataItem: [{
                type: Input
            }], lockedDataItems: [{
                type: Input
            }], usePagination: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], paginatorState: [{
                type: Input
            }], clickedDataItemEmitter: [{
                type: Output
            }], dataItemsInteractions: [{
                type: Output
            }], presetAction: [{
                type: Output
            }], virtualScrollerPosition: [{
                type: Output
            }], selectedMainAttributesEmitter: [{
                type: Output
            }], selectedDetailAttributesEmitter: [{
                type: Output
            }], selectedAllAttributesEmitter: [{
                type: Output
            }], filterSortSearchEmitter: [{
                type: Output
            }], refreshingChange: [{
                type: Output
            }], paginatorStateChange: [{
                type: Output
            }] } });

/**
 *  InboxShortcutsComponent is used to display the shortcuts in the inbox toolbar.
 *  @example
 * <talenra-inbox-shortcuts [customShortcuts]="customShortcuts"></talenra-inbox-shortcuts>
 *
 */
class InboxShortcutsComponent {
    constructor() {
        /**
         * The list of shortcuts to display.
         */
        this.customShortcuts = [];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxShortcutsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: InboxShortcutsComponent, selector: "talenra-inbox-shortcuts", inputs: { customShortcuts: "customShortcuts" }, ngImport: i0, template: "<div class=\"shortcuts-main-title\">Tastaturbefehle</div>\n<talenra-scroll-container class=\"shortcuts-text\">\n  <div class=\"shortcuts-scroll-main-title\">Inbox</div>\n  <div class=\"shortcuts-scroll-sub-title\"></div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">\n      <talenra-icon class=\"arrow-icon\" name=\"expand-less\"></talenra-icon>\n      <talenra-icon class=\"arrow-icon\" name=\"expand-more\"></talenra-icon>\n    </span>\n    <span class=\"value\">Mit Pfeiltaste runter/hoch durch Fallliste navigieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">a</span>\n    <span class=\"value\">\n      Aktionen-Menu aufrufen <br />\n      Erg\u00E4nzender Buchstabe beim Link ruft Aktion auf\n    </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">x</span>\n    <span class=\"value\"> Fall-Informationen \u00F6ffnen/schliessen </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">i</span>\n    <span class=\"value\">Fall-Icons ein-/ausblenden</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing short-margin-top-item\">\n    <span class=\"label\">d</span>\n    <span class=\"value\">Detailinformationen zum Fall \u00F6ffnen/schliessen</span>\n  </div>\n  <div class=\"pairing short-margin-bottom-item\">\n    <span class=\"label\">b</span>\n    <span class=\"value\">Breite der Detailinformationen maximieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">\n      <talenra-icon class=\"arrow-icon\" name=\"chevron-left\"></talenra-icon>\n      <talenra-icon class=\"arrow-icon\" name=\"chevron-right\"></talenra-icon>\n    </span>\n    <span class=\"value\">\n      Detailinformationen ge\u00F6ffnet: mit Tastaturpfeilen links/rechts durch die Reiter navigieren\n    </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">f</span>\n    <span class=\"value\">Erweiterte Filteransicht \u00F6ffnen/schliessen (Filterung muss aktiviert sein)</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">v</span>\n    <span class=\"value\">View-Menu \u00F6ffnen/schliessen</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Enter</span>\n    <span class=\"value\">Aktiven Fall mit Enter starten (Prozess ausf\u00FChren)</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"shortcuts-scroll-title\">F\u00E4lle f\u00FCr Sammelaktion markieren</div>\n  <div class=\"shortcuts-scroll-sub-title\">(Alternative zu Checkbox anw\u00E4hlen)</div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Command + Fall-Klick</span>\n    <span class=\"value\">F\u00E4lle einzeln markieren/demarkieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Shift + Fall-Klick</span>\n    <span class=\"value\">Mehrere F\u00E4lle vom aktiven Fall bis zum geklickten Fall markieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"shortcuts-scroll-title\">Weitere Tastaturbefehle</div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"shortcuts-scroll-sub-title\"></div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"line\"></div>\n  <div *ngFor=\"let shortcut of customShortcuts\">\n    <div class=\"pairing\">\n      <span class=\"label\">{{ shortcut.key }}</span>\n      <span class=\"value\">{{ shortcut.behavior }}</span>\n    </div>\n    <div class=\"line\"></div>\n  </div>\n</talenra-scroll-container>\n", styles: [".shortcuts-main-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 24px 16px}.shortcuts-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 8px 8px 16px}.shortcuts-scroll-main-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 0 0}.shortcuts-scroll-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:24px 0 0}.shortcuts-scroll-sub-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;margin:0 0 8px}.shortcuts-text{max-width:410px;max-height:570px;margin:8px 24px;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased}.pairing{display:flex;flex-direction:row;flex-wrap:nowrap;width:100%;margin:8px 0 4px}.short-margin-top-item{margin:8px 0 0}.short-margin-bottom-item{margin:0 0 4px}.label{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;width:85px}.value{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;width:315px;margin-left:10px}.line{border-bottom:1px solid #e6e6e6;display:block}.arrow-icon{font-size:18px}\n"], dependencies: [{ kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "component", type: i3.ScrollContainerComponent, selector: "talenra-scroll-container", inputs: ["useOverlay", "useOffset", "scrollYThreshold"], outputs: ["updatedScrollYOffset"] }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxShortcutsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-inbox-shortcuts', template: "<div class=\"shortcuts-main-title\">Tastaturbefehle</div>\n<talenra-scroll-container class=\"shortcuts-text\">\n  <div class=\"shortcuts-scroll-main-title\">Inbox</div>\n  <div class=\"shortcuts-scroll-sub-title\"></div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">\n      <talenra-icon class=\"arrow-icon\" name=\"expand-less\"></talenra-icon>\n      <talenra-icon class=\"arrow-icon\" name=\"expand-more\"></talenra-icon>\n    </span>\n    <span class=\"value\">Mit Pfeiltaste runter/hoch durch Fallliste navigieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">a</span>\n    <span class=\"value\">\n      Aktionen-Menu aufrufen <br />\n      Erg\u00E4nzender Buchstabe beim Link ruft Aktion auf\n    </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">x</span>\n    <span class=\"value\"> Fall-Informationen \u00F6ffnen/schliessen </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">i</span>\n    <span class=\"value\">Fall-Icons ein-/ausblenden</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing short-margin-top-item\">\n    <span class=\"label\">d</span>\n    <span class=\"value\">Detailinformationen zum Fall \u00F6ffnen/schliessen</span>\n  </div>\n  <div class=\"pairing short-margin-bottom-item\">\n    <span class=\"label\">b</span>\n    <span class=\"value\">Breite der Detailinformationen maximieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">\n      <talenra-icon class=\"arrow-icon\" name=\"chevron-left\"></talenra-icon>\n      <talenra-icon class=\"arrow-icon\" name=\"chevron-right\"></talenra-icon>\n    </span>\n    <span class=\"value\">\n      Detailinformationen ge\u00F6ffnet: mit Tastaturpfeilen links/rechts durch die Reiter navigieren\n    </span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">f</span>\n    <span class=\"value\">Erweiterte Filteransicht \u00F6ffnen/schliessen (Filterung muss aktiviert sein)</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">v</span>\n    <span class=\"value\">View-Menu \u00F6ffnen/schliessen</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Enter</span>\n    <span class=\"value\">Aktiven Fall mit Enter starten (Prozess ausf\u00FChren)</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"shortcuts-scroll-title\">F\u00E4lle f\u00FCr Sammelaktion markieren</div>\n  <div class=\"shortcuts-scroll-sub-title\">(Alternative zu Checkbox anw\u00E4hlen)</div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Command + Fall-Klick</span>\n    <span class=\"value\">F\u00E4lle einzeln markieren/demarkieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div class=\"pairing\">\n    <span class=\"label\">Shift + Fall-Klick</span>\n    <span class=\"value\">Mehrere F\u00E4lle vom aktiven Fall bis zum geklickten Fall markieren</span>\n  </div>\n  <div class=\"line\"></div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"shortcuts-scroll-title\">Weitere Tastaturbefehle</div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"shortcuts-scroll-sub-title\"></div>\n  <div *ngIf=\"customShortcuts.length !== 0\" class=\"line\"></div>\n  <div *ngFor=\"let shortcut of customShortcuts\">\n    <div class=\"pairing\">\n      <span class=\"label\">{{ shortcut.key }}</span>\n      <span class=\"value\">{{ shortcut.behavior }}</span>\n    </div>\n    <div class=\"line\"></div>\n  </div>\n</talenra-scroll-container>\n", styles: [".shortcuts-main-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 24px 16px}.shortcuts-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 8px 8px 16px}.shortcuts-scroll-main-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:8px 0 0}.shortcuts-scroll-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;margin:24px 0 0}.shortcuts-scroll-sub-title{font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased;font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;margin:0 0 8px}.shortcuts-text{max-width:410px;max-height:570px;margin:8px 24px;font-family:Roboto,Helvetica Neue,Helvetica,Arial,\"sans-serif\";font-feature-settings:\"liga\" 1,\"kern\" 1;-webkit-font-smoothing:antialiased}.pairing{display:flex;flex-direction:row;flex-wrap:nowrap;width:100%;margin:8px 0 4px}.short-margin-top-item{margin:8px 0 0}.short-margin-bottom-item{margin:0 0 4px}.label{font-size:1rem;line-height:1.125rem;font-weight:500;font-style:normal;letter-spacing:.01em;width:85px}.value{font-size:.875rem;line-height:1rem;font-weight:400;font-style:normal;letter-spacing:.01em;width:315px;margin-left:10px}.line{border-bottom:1px solid #e6e6e6;display:block}.arrow-icon{font-size:18px}\n"] }]
        }], propDecorators: { customShortcuts: [{
                type: Input
            }] } });

/**
 * Menu for configuration of the inbox, able to show and alter any flattened object data.
 *
 * ```html
 * <talenra-configuration-menu
 *   [positionBottom]="'18'"
 *   [positionRight]="'0'"
 *   [title]="'Konfiguration'"
 *   [data]="inboxConfiguration"
 *   (dataChange)="configChange($event)">
 * </talenra-configuration-menu>
 * ```
 */
class ConfigurationMenuComponent {
    constructor() {
        /**
         * The data which is passed from the dialog
         */
        this.dataChange = new EventEmitter();
        /**
         * The boolean which controls the opening and closing of the dialog
         */
        this.open = false;
    }
    /**
     * Opens the dialog
     * @param event
     */
    openDialog(event) {
        this.open = true;
        event.stopPropagation();
    }
    /**
     * Closes the dialog
     */
    closeDialog() {
        this.open = false;
    }
    /**
     * Saves the configurations
     */
    saveConfigurations() {
        this.dataChange.emit(this.data);
        this.open = false;
    }
    /**
     * Changes the value of the data
     * @param event
     * @param key
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    changeValue(event, key) {
        this.data[key] = event;
    }
    /**
     * Returns the type of the value
     * @param value
     */
    typeof(value) {
        return typeof value;
    }
    /**
     * Closes the dialog when clicking outside of it
     */
    clickOutside() {
        if (this.open) {
            this.open = false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: ConfigurationMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.9", type: ConfigurationMenuComponent, selector: "talenra-configuration-menu", inputs: { title: "title", positionTop: "positionTop", positionLeft: "positionLeft", positionBottom: "positionBottom", positionRight: "positionRight", data: "data" }, outputs: { dataChange: "dataChange" }, ngImport: i0, template: "<div\n  (clickOutside)=\"clickOutside()\"\n  [class.open-dialog]=\"!open\"\n  [style.bottom]=\"positionBottom + 'px'\"\n  [style.left]=\"positionLeft + 'px'\"\n  [style.right]=\"positionRight + 'px'\"\n  [style.top]=\"positionTop + 'px'\"\n  class=\"configuration-dialog\">\n  <button\n    (click)=\"openDialog($event)\"\n    *ngIf=\"!open\"\n    [class.open-dialog]=\"open\"\n    class=\"btn open-dialog-btn\"\n    talenraTooltip=\"Konfiguration \u00F6ffnen\">\n    <talenra-icon name=\"settings\"></talenra-icon>\n  </button>\n  <div [class.open-dialog]=\"!open\" class=\"dialog-content\">\n    <div class=\"dialog-header\">\n      <span>\n        {{ title }}\n      </span>\n      <span>\n        <button (click)=\"closeDialog()\" *ngIf=\"open\" class=\"btn\" talenraTooltip=\"Konfiguration schlie\u00DFen\">\n          <talenra-icon name=\"close\"></talenra-icon>\n        </button>\n        <button (click)=\"saveConfigurations()\" *ngIf=\"open\" class=\"btn\" talenraTooltip=\"Konfiguration schlie\u00DFen\">\n          <talenra-icon name=\"check\"></talenra-icon>\n        </button>\n      </span>\n    </div>\n    <div class=\"dialog-main\">\n      <div *ngFor=\"let conf of data | keyvalue\" class=\"dialog-main-items\">\n        <div class=\"dialog-main-item\">\n          <div class=\"dialog-main-item-label\">\n            {{ conf.key }}\n          </div>\n          <div class=\"dialog-main-item-input\">\n            <div *ngIf=\"typeof(conf.value) === 'boolean'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [ngModel]=\"conf.value\"\n                class=\"ui-checkbox\"\n                type=\"checkbox\" />\n            </div>\n            <div *ngIf=\"typeof(conf.value) === 'number'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [ngModelOptions]=\"{ updateOn: 'blur' }\"\n                [ngModel]=\"conf.value\"\n                type=\"number\" />\n            </div>\n            <div *ngIf=\"typeof(conf.value) === 'string'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [(ngModel)]=\"conf.value\"\n                [ngModelOptions]=\"{ updateOn: 'blur' }\"\n                type=\"text\" />\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".configuration-dialog{z-index:1000;position:absolute;background:#fff;width:400px;height:max-content;max-height:750px;transition:width .3s,max-height .3s;box-shadow:0 2px 5px #0003}.configuration-dialog.open-dialog{width:34px;max-height:34px}.dialog-content{opacity:1;transition:opacity .3s}.dialog-content.open-dialog{opacity:0;pointer-events:none}.dialog-header{display:flex;justify-content:space-between;align-items:center;padding:5px 10px;border-bottom:1px solid #cccccc}.dialog-main{padding:10px;height:100%}.dialog-main-items{display:flex;flex-direction:column;flex-wrap:nowrap;justify-content:space-between;height:100%}.dialog-main-item{display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between;align-items:center;padding:5px 0}.dialog-main-item-label,.dialog-main-item-input{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:#4d4d4d}.btn:disabled{color:#ccc}.btn{border:none;color:#4d4d4d;background:#fff;padding:0;opacity:1;transition:opacity .3s}.btn:hover:not([disabled]){cursor:pointer}.btn.open-dialog{opacity:0}.open-dialog-btn{margin:5px 0 0 5px}.ui-checkbox{accent-color:#0099a8;cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$2.ClickOutsideDirective, selector: "[clickOutside]", outputs: ["clickOutside"] }, { kind: "component", type: i2$1.IconComponent, selector: "talenra-icon", inputs: ["name"] }, { kind: "directive", type: i4$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4$1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i4$1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i4$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i4$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i8.TooltipDirective, selector: "[talenraTooltip]", inputs: ["talenraTooltip", "talenraTooltipPosition", "talenraTooltipDisabled"] }, { kind: "pipe", type: i2$2.KeyValuePipe, name: "keyvalue" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: ConfigurationMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'talenra-configuration-menu', template: "<div\n  (clickOutside)=\"clickOutside()\"\n  [class.open-dialog]=\"!open\"\n  [style.bottom]=\"positionBottom + 'px'\"\n  [style.left]=\"positionLeft + 'px'\"\n  [style.right]=\"positionRight + 'px'\"\n  [style.top]=\"positionTop + 'px'\"\n  class=\"configuration-dialog\">\n  <button\n    (click)=\"openDialog($event)\"\n    *ngIf=\"!open\"\n    [class.open-dialog]=\"open\"\n    class=\"btn open-dialog-btn\"\n    talenraTooltip=\"Konfiguration \u00F6ffnen\">\n    <talenra-icon name=\"settings\"></talenra-icon>\n  </button>\n  <div [class.open-dialog]=\"!open\" class=\"dialog-content\">\n    <div class=\"dialog-header\">\n      <span>\n        {{ title }}\n      </span>\n      <span>\n        <button (click)=\"closeDialog()\" *ngIf=\"open\" class=\"btn\" talenraTooltip=\"Konfiguration schlie\u00DFen\">\n          <talenra-icon name=\"close\"></talenra-icon>\n        </button>\n        <button (click)=\"saveConfigurations()\" *ngIf=\"open\" class=\"btn\" talenraTooltip=\"Konfiguration schlie\u00DFen\">\n          <talenra-icon name=\"check\"></talenra-icon>\n        </button>\n      </span>\n    </div>\n    <div class=\"dialog-main\">\n      <div *ngFor=\"let conf of data | keyvalue\" class=\"dialog-main-items\">\n        <div class=\"dialog-main-item\">\n          <div class=\"dialog-main-item-label\">\n            {{ conf.key }}\n          </div>\n          <div class=\"dialog-main-item-input\">\n            <div *ngIf=\"typeof(conf.value) === 'boolean'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [ngModel]=\"conf.value\"\n                class=\"ui-checkbox\"\n                type=\"checkbox\" />\n            </div>\n            <div *ngIf=\"typeof(conf.value) === 'number'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [ngModelOptions]=\"{ updateOn: 'blur' }\"\n                [ngModel]=\"conf.value\"\n                type=\"number\" />\n            </div>\n            <div *ngIf=\"typeof(conf.value) === 'string'\">\n              <input\n                (ngModelChange)=\"changeValue($event, conf.key)\"\n                [(ngModel)]=\"conf.value\"\n                [ngModelOptions]=\"{ updateOn: 'blur' }\"\n                type=\"text\" />\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".configuration-dialog{z-index:1000;position:absolute;background:#fff;width:400px;height:max-content;max-height:750px;transition:width .3s,max-height .3s;box-shadow:0 2px 5px #0003}.configuration-dialog.open-dialog{width:34px;max-height:34px}.dialog-content{opacity:1;transition:opacity .3s}.dialog-content.open-dialog{opacity:0;pointer-events:none}.dialog-header{display:flex;justify-content:space-between;align-items:center;padding:5px 10px;border-bottom:1px solid #cccccc}.dialog-main{padding:10px;height:100%}.dialog-main-items{display:flex;flex-direction:column;flex-wrap:nowrap;justify-content:space-between;height:100%}.dialog-main-item{display:flex;flex-direction:row;flex-wrap:nowrap;justify-content:space-between;align-items:center;padding:5px 0}.dialog-main-item-label,.dialog-main-item-input{font-size:.875rem;line-height:1rem;font-weight:300;font-style:normal;letter-spacing:.02em;color:#4d4d4d}.btn:disabled{color:#ccc}.btn{border:none;color:#4d4d4d;background:#fff;padding:0;opacity:1;transition:opacity .3s}.btn:hover:not([disabled]){cursor:pointer}.btn.open-dialog{opacity:0}.open-dialog-btn{margin:5px 0 0 5px}.ui-checkbox{accent-color:#0099a8;cursor:pointer}\n"] }]
        }], propDecorators: { title: [{
                type: Input
            }], positionTop: [{
                type: Input
            }], positionLeft: [{
                type: Input
            }], positionBottom: [{
                type: Input
            }], positionRight: [{
                type: Input
            }], data: [{
                type: Input
            }], dataChange: [{
                type: Output
            }] } });

class InboxDetailViewModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewModule, declarations: [DetailViewInformationBoxComponent,
            DetailViewInformationComponent,
            DetailViewInformationTabComponent,
            DetailViewInformationTabBarComponent,
            InboxDetailViewComponent,
            InboxNoteBoxComponent], imports: [talenraBaseModule, CommonModule, NgTemplateOutlet, BadgeModule, TooltipDirective], exports: [DetailViewInformationBoxComponent,
            DetailViewInformationComponent,
            DetailViewInformationTabComponent,
            DetailViewInformationTabBarComponent,
            InboxDetailViewComponent,
            InboxNoteBoxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewModule, imports: [talenraBaseModule, CommonModule, BadgeModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: InboxDetailViewModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        DetailViewInformationBoxComponent,
                        DetailViewInformationComponent,
                        DetailViewInformationTabComponent,
                        DetailViewInformationTabBarComponent,
                        InboxDetailViewComponent,
                        InboxNoteBoxComponent,
                    ],
                    imports: [talenraBaseModule, CommonModule, NgTemplateOutlet, BadgeModule, TooltipDirective],
                    exports: [
                        DetailViewInformationBoxComponent,
                        DetailViewInformationComponent,
                        DetailViewInformationTabComponent,
                        DetailViewInformationTabBarComponent,
                        InboxDetailViewComponent,
                        InboxNoteBoxComponent,
                    ],
                }]
        }] });

class talenraInboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: talenraInboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.9", ngImport: i0, type: talenraInboxModule, declarations: [SelectionFilterComponent,
            RangeFilterComponent,
            InboxToolbarComponent,
            DataItemsListComponent,
            DataItemComponent,
            InboxLayoutComponent,
            AttributesSettingsComponent,
            AttributesSettingsLayoutComponent,
            FilterToolbarComponent,
            InboxComponent,
            InboxSkeletonLoadingComponent,
            InboxShortcutsComponent,
            ConfigurationMenuComponent,
            IconFiltersComponent,
            SortFilterComponent,
            PresetsComponent,
            SkeletonLoadingDataItemsListComponent,
            AttributeSelectorComponent,
            AdvancedFilterSelectionComponent], imports: [AttributesListComponent,
            DevKitModule,
            talenraBaseModule,
            SearchModule,
            ReactiveFormsModule,
            MatFormFieldModule,
            MatInputModule,
            MatNativeDateModule,
            CommonModule,
            DragDropModule,
            MatBadgeModule,
            VirtualScrollerModule,
            AngularDraggableModule,
            FormsModule,
            ObserversModule,
            MatMenuModule,
            MatIconModule,
            MatCheckboxModule,
            MatExpansionModule,
            MatSnackBarModule,
            InboxDetailViewModule,
            DateModule,
            TooltipDirective,
            PaginatorComponent,
            CopyContentDirective,
            BadgeModule,
            QueryBuilderComponent], exports: [InboxComponent,
            InboxSkeletonLoadingComponent,
            ConfigurationMenuComponent,
            InboxToolbarComponent,
            FilterToolbarComponent,
            DataItemsListComponent,
            AttributesSettingsLayoutComponent,
            AttributeSelectorComponent,
            InboxDetailViewModule,
            IconFiltersComponent,
            DataItemComponent,
            InboxLayoutComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: talenraInboxModule, imports: [AttributesListComponent,
            DevKitModule,
            talenraBaseModule,
            SearchModule,
            ReactiveFormsModule,
            MatFormFieldModule,
            MatInputModule,
            MatNativeDateModule,
            CommonModule,
            DragDropModule,
            MatBadgeModule,
            VirtualScrollerModule,
            AngularDraggableModule,
            FormsModule,
            ObserversModule,
            MatMenuModule,
            MatIconModule,
            MatCheckboxModule,
            MatExpansionModule,
            MatSnackBarModule,
            InboxDetailViewModule,
            DateModule,
            PaginatorComponent,
            BadgeModule,
            QueryBuilderComponent, InboxDetailViewModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.9", ngImport: i0, type: talenraInboxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        SelectionFilterComponent,
                        RangeFilterComponent,
                        InboxToolbarComponent,
                        DataItemsListComponent,
                        DataItemComponent,
                        InboxLayoutComponent,
                        AttributesSettingsComponent,
                        AttributesSettingsLayoutComponent,
                        FilterToolbarComponent,
                        InboxComponent,
                        InboxSkeletonLoadingComponent,
                        InboxShortcutsComponent,
                        ConfigurationMenuComponent,
                        IconFiltersComponent,
                        SortFilterComponent,
                        PresetsComponent,
                        SkeletonLoadingDataItemsListComponent,
                        AttributeSelectorComponent,
                        AdvancedFilterSelectionComponent,
                    ],
                    imports: [
                        AttributesListComponent,
                        DevKitModule,
                        talenraBaseModule,
                        SearchModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatNativeDateModule,
                        CommonModule,
                        DragDropModule,
                        MatBadgeModule,
                        VirtualScrollerModule,
                        AngularDraggableModule,
                        FormsModule,
                        ObserversModule,
                        MatMenuModule,
                        MatIconModule,
                        MatCheckboxModule,
                        MatExpansionModule,
                        MatSnackBarModule,
                        InboxDetailViewModule,
                        DateModule,
                        TooltipDirective,
                        PaginatorComponent,
                        CopyContentDirective,
                        BadgeModule,
                        QueryBuilderComponent,
                    ],
                    exports: [
                        InboxComponent,
                        InboxSkeletonLoadingComponent,
                        ConfigurationMenuComponent,
                        InboxToolbarComponent,
                        FilterToolbarComponent,
                        DataItemsListComponent,
                        AttributesSettingsLayoutComponent,
                        AttributeSelectorComponent,
                        InboxDetailViewModule,
                        IconFiltersComponent,
                        DataItemComponent,
                        InboxLayoutComponent,
                    ],
                }]
        }] });

/**
 * Attribute filter modes
 */
const AttributeFilterModes = {
    MultiSelect: 'multi-select',
    SingleSelect: 'single-select',
    DateRange: 'date-range',
    CharRange: 'char-range',
    NumberRange: 'number-range',
};

/**
 * Attribute filter modes
 */
const PresetOperations = {
    Create: 'create',
    Update: 'update',
    Rename: 'rename',
    UpdateRename: 'update & rename',
    AttributeUpdate: 'attribute-update',
    Delete: 'delete',
    VisibilityOff: 'visibility-off',
    VisibilityOn: 'visibility-on',
    DragDrop: 'dragDrop',
    PositionUp: 'position-up',
    PositionDown: 'position-down',
    None: 'none',
};

/*
 * Public API Surface of ngx-inbox
 */
// modules

/**
 * Workaround: As files outside `rootDir` (s. `tsconfig.lib.json`) are not accessible. To provide the library's version
 * number via API, we need access to `package.json`. This file acts as a wrapper for `./src/public-api` and entry-point
 * for Typescript.
 */
const version = pkg.version;

/**
 * Generated bundle index. Do not edit.
 */

export { AdvancedFilterSelectionComponent, AttributeFilterModes, AttributeSelectorComponent, AttributesSettingsComponent, AttributesSettingsLayoutComponent, CheckboxState, ConfigurationMenuComponent, DataItemComponent, DataItemsClass, DataItemsListComponent, DataItemsService, DetailViewInformationBoxComponent, DetailViewInformationComponent, DetailViewInformationTabBarComponent, DetailViewInformationTabComponent, FilterToolbarComponent, FilterToolbarService, IconFiltersComponent, InboxComponent, InboxDetailViewComponent, InboxDetailViewModule, InboxDetailViewService, InboxLayoutComponent, InboxNoteBoxComponent, InboxSkeletonLoadingComponent, InboxState, InboxToolbarComponent, InboxToolbarService, InteractedDataItemsMessageTypes, PresetOperations, PresetsService, SkeletonLoadingDataItemsListComponent, talenraInboxModule, version };
//# sourceMappingURL=talenra-ngx-inbox.mjs.map
